# coding: utf-8

module MethodDef
  module Dungeon
    module Menu
      module ShowSlaveHelper
        require_rrk 'src/game_define/dungeon/slaves_list'
        require_rrk 'src/defines/dungeon/tentacle_list'
        require_rrk 'src/app/helper/game_define_helper'

        adventurer_ids =
          if GameDefineHelper::ORIGINAL_MODE || GameDefineHelper::FGO_MODE
            (1..999)
          else
            (AdventurersList.adventure_list_by_ver.keys +
              AdventurersList.append_adventure_list_by_ver.keys +
              SlavesList.slave_list_by_mode.keys)
          end

        adventurer_ids.each do |slave_id|
          define_method("show_slave_position_detail_#{slave_id}") do
            elements = @factory_logic_controller.show_slave_position_detail(@game_master, slave_id)
            assign_to_lists(elements)
          end

          define_method("show_slave_in_brothel_detail_#{slave_id}") do
            elements = @factory_logic_controller.show_slave_in_brothel_detail(@game_master, slave_id)
            assign_to_lists(elements)
          end

          define_method("show_slave_in_brothel_detail_in_no_vacancy_#{slave_id}") do
            elements = @factory_logic_controller.show_slave_in_brothel_detail_no_vacancy(@game_master, slave_id)
            assign_to_lists(elements)
          end

          define_method("show_slave_in_brothel_detail_in_resist_#{slave_id}") do
            elements = @factory_logic_controller.show_slave_in_brothel_detail_in_resist(@game_master, slave_id)
            assign_to_lists(elements)
          end

          # 売春用 はじめ
          define_method("set_brothel_sex_toilet_#{slave_id}") do
            elements = @factory_logic_controller.set_to_slave_brothel(@game_master, slave_id, 'sex_toilet')
            assign_to_lists(elements)
          end

          define_method("set_brothel_wall_hole_spring_#{slave_id}") do
            elements = @factory_logic_controller.set_to_slave_brothel(@game_master, slave_id, 'wall_hole_spring')
            assign_to_lists(elements)
          end

          define_method("set_brothel_v_force_spring_#{slave_id}") do
            elements = @factory_logic_controller.set_to_slave_brothel(@game_master, slave_id, 'v_force_spring')
            assign_to_lists(elements)
          end

          define_method("set_brothel_v_whore_spring_#{slave_id}") do
            elements = @factory_logic_controller.set_to_slave_brothel(@game_master, slave_id, 'v_whore_spring')
            assign_to_lists(elements)
          end

          define_method("set_brothel_a_whore_spring_#{slave_id}") do
            elements = @factory_logic_controller.set_to_slave_brothel(@game_master, slave_id, 'a_whore_spring')
            assign_to_lists(elements)
          end

          define_method("set_brothel_all_whore_spring_#{slave_id}") do
            elements = @factory_logic_controller.set_to_slave_brothel(@game_master, slave_id, 'all_whore_spring')
            assign_to_lists(elements)
          end

          define_method("set_brothel_pole_dance_spring_#{slave_id}") do
            elements = @factory_logic_controller.set_to_slave_brothel(@game_master, slave_id, 'pole_dance_spring')
            assign_to_lists(elements)
          end

          define_method("set_brothel_show_tent_spring_#{slave_id}") do
            elements = @factory_logic_controller.set_to_slave_brothel(@game_master, slave_id, 'show_tent_spring')
            assign_to_lists(elements)
          end
          # 売春用 おわり

          define_method("show_slave_in_tentacle_lab_detail_#{slave_id}") do
            elements = @factory_logic_controller.show_slave_in_tentacle_lab_detail(@game_master, slave_id)
            assign_to_lists(elements)
          end

          define_method("set_to_tentacle_lab_#{slave_id}") do
            elements = @factory_logic_controller.set_to_tentacle_lab(@game_master, slave_id, 'basic')
            assign_to_lists(elements)
          end

          define_method("set_to_tentacle_lab_custom_body_c_#{slave_id}") do
            elements = @factory_logic_controller.set_to_tentacle_lab(@game_master, slave_id, 'custom_body_c')
            assign_to_lists(elements)
          end

          TentacleList::TENTACLE_LABS_LIST.values.each do |tentacle_params|
            tentacle_type = tentacle_params[:type]
            define_method("set_to_tentacle_lab_#{tentacle_type}_#{slave_id}") do
              elements = @factory_logic_controller.set_to_tentacle_lab(@game_master, slave_id, tentacle_type)
              assign_to_lists(elements)
            end
          end

          define_method("set_to_maternity_room_#{slave_id}") do
            elements = @factory_logic_controller.set_to_maternity_room(@game_master, slave_id)
            assign_to_lists(elements)
          end

          define_method("release_slave_#{slave_id}") do
            elements = @factory_logic_controller.release_slave(@game_master, slave_id)
            assign_to_lists(elements)
          end

          define_method("show_slave_auction_#{slave_id}") do
            elements = @auction_logic_controller.show_slave_auction(@game_master, slave_id)
            assign_to_lists(elements)
          end
          define_method("buy_slave_#{slave_id}") do
            script_elements = @auction_logic_controller.buy_slave(@game_master, slave_id)

            # 奴隷商人の人数表示の更新
            @menu_logic_controller.update_by_turn(@game_master, @hour_glass.night?, @hour_glass.new_dawn?)
            elements = script_elements.merge(
              @menu_logic_controller.reload_top_menu
            )
            assign_to_lists(elements)
          end
          define_method("buy_slave_n_convert_slave_#{slave_id}") do
            script_elements = @auction_logic_controller.buy_slave_n_convert_slave(@game_master, slave_id)

            # 奴隷商人の人数表示の更新
            @menu_logic_controller.update_by_turn(@game_master, @hour_glass.night?, @hour_glass.new_dawn?)
            elements = script_elements.merge(
              @menu_logic_controller.reload_top_menu
            )
            assign_to_lists(elements)
          end
          define_method("buy_slave_n_convert_magic_#{slave_id}") do
            script_elements = @auction_logic_controller.buy_slave_n_convert_magic(@game_master, slave_id)

            # 奴隷商人の人数表示の更新
            @menu_logic_controller.update_by_turn(@game_master, @hour_glass.night?, @hour_glass.new_dawn?)
            elements = script_elements.merge(
              @menu_logic_controller.reload_top_menu
            )
            assign_to_lists(elements)
          end
          define_method("sell_slave_#{slave_id}") do
            script_elements = @auction_logic_controller.sell_slave(@game_master, slave_id)

            # 奴隷商人の人数表示の更新
            @menu_logic_controller.update_by_turn(@game_master, @hour_glass.night?, @hour_glass.new_dawn?)
            elements = script_elements.merge(
              @menu_logic_controller.reload_top_menu
            )
            assign_to_lists(elements)
          end
        end
      end
    end
  end
end
