# coding: utf-8
module PersonalityHelper
  require_rrk 'src/app/helper/game_define_helper'

  def set_personality_for_original
    if GameDefineHelper::ORIGINAL_MODE
      @personality_type =
        if potential_in_devout?
          'in_devout'
        elsif potential_high_hierarchy?
          'high_hierarchy'
        else
          # 強気、お調子者、弱気
          %w(strong flattered weak).sample
        end
    end
  end

  def in_devout?
    @personality_type == 'in_devout'
  end

  def high_hierarchy?
    @personality_type == 'high_hierarchy'
  end

  def strong_personality?
    @personality_type == 'strong'
  end

  def weak_personality?
    @personality_type == 'weak'
  end

  def flattered_personality?
    @personality_type == 'strong'
  end

  # オリジナル用
  # 信心深い？
  def potential_in_devout?
    %w(
聖騎士
武装神官
女神官
修道女
女司祭
司教
侍祭
僧侶
巫女
).include?(class_name)
  end

  def potential_high_hierarchy?
    return true if noble_or_more?
    if ('rich' == hierarchy) &&
      %w(
騎士
竜騎士
魔法使い
魔導師
賢者
レンジャー
斥候
諜者
)
    end
  end
end
