# coding: utf-8

require_rrk 'src/app/helper/forwardable'

class SlaveServantCage
  extend Forwardable

  attr_reader :slaves

  def initialize
    @slaves = {}
  end

  def brainwash_slave!(adventurer)
    adventurer.brainwash_slave!
    @slaves[adventurer.id] = adventurer
  end

  SLAVE_MAINTENANCE_COST = 200
  def maintenance_cost
    (betray_servant_count * SLAVE_MAINTENANCE_COST)
  end

  def betray_servant_count
    @slaves.size
  end

  def betrayed_slaves
    @slaves
  end

  def rest_of_stalkers!
    @slaves.values.each do |slave|
      slave.rest_with_work! if slave.betrayed_status == :stalking
    end
  end

  def select_active_slave_servants
    result = []
    return result if @slaves.empty?

    @slaves.values.each do |slave|
      if slave.has_more_half_of_life_point_limit # 体力が半分以上あり
        if slave.in_training_in_jail_as_betrayed? # 調教中ではない
          slave.rest_with_work!
        else
          result << slave
        end
      else
        slave.rest_in_slave_cage!
      end
    end
    result
  end

  def has_betrayed_servant?
    !@slaves.empty?
  end
end
