# coding: utf-8

class HourGlass
  attr_reader :day

  def initialize
    @day = 1
    @day_phase = 1 # 0: 夜明け, 1: day, 2: night
  end

  def add_day!
    @day += 1
    @day_phase = 0
  end

  def _elapse_time
    @day_phase += 1
  end

  def night?
    @day_phase == 2
  end

  def new_dawn?
    @day_phase == 0
  end

  alias :next_is_night? :new_dawn?
  alias :next_is_new_dawn? :night?

  def ahead!
    if night?
      add_day!
    else
      _elapse_time
    end
  end

  def last_night?(limit_day)
    @day >= limit_day && night?
  end
end
