# coding: utf-8

require_rrk 'src/app/service/dungeon/module/dungeon_common'
require_rrk 'src/app/util/debug_util'
require_rrk 'src/defines/script/dungeon/slave_script'
require_rrk 'src/app/model/dungeon/slave/brothel_slave'
require_rrk 'src/app/model/dungeon/slave/maternity_slave'
require_rrk 'src/app/model/dungeon/slave/slave_script_status'

require_rrk 'src/app/helper/forwardable'
require_rrk 'src/defines/dungeon/tentacle_list'
require_rrk 'src/app/helper/game_define_helper'

class Slave
  extend Forwardable
  include DungeonCommon
  include DebugUtil
  include GameDefineHelper

  attr_reader :id, :original_id, :name, :short_name,
              :status, :tentacle_lab_type,
              :bad_status, :bad_sex_status, :generated_magic_power
  def_delegators :@slave_script,
                 :status_text, :status_text_in_bar, :short_status_script, :status_detail
  def_delegators :@script_status,
                 :flags,
                 :maternity_room_script,
                 :brothel_prelude_script, :brothel_script_by_type, :brothel_finale_script,
                 :tentacle_lab_orgasms_script, :decrease_resist_for_spring_by_tentacle_script,
                 :tentacle_lab_normal_script, :tentacle_lab_get_bad_status,
                 :broken_mentally_exhaust_script

  def_delegators :@maternity_slave,
                 :sex_with_monster_for_maternity!,
                 :maternity_day_count,
                 # 魔物妊娠系
                 :today_maternity_count, # 出産数
                 :total_maternity_count,
                 :today_maternity_sex_monster_count, # 種付けセックスの回数
                 :otal_maternity_sex_monster_count,
                 :set_today_maternity_sex_monster_count!

  def_delegators :@brothel_slave,
                 :spring_type, :status_in_tent, :popular_in_brothel, :brothel_skill_names,
                 :spring_days_count, # 売春日数
                 :set_today_sales, :set_today_guest_number,
                 :add_spring_days_count!,
                 :sell_type, :set_sell_type!, :clear_spring_status!,
                 :set_spring_flag!,
                 :bonus_text, :today_sales, :today_guest_number,
                 :resist_for_spring, :resist_for_spring_before,
                 :mentally_exhaust, :mentally_exhaust_before,
                 :decrease_resist_for_spring!, :diff_resist_for_spring, :base_regist_by_spring_type,
                 :mentally_exhaust,
                 :exhaust_mental!, :rest_mentally_exhaust!, :recover_mentally_exhaust_by_blessing!,
                 :base_mentally_exhaust_by_spring_type, :diff_mentally_exhaust,
                 :broken_mentally_exhaust?,

                 # フラグ系
                 :first_wall_hole_spring?,
                 :first_v_force_spring?,
                 :first_v_whore_spring?, :first_a_whore_spring?, :first_all_whore_spring?,
                 :first_pole_dance_spring?, :first_show_tent_spring?,
                 :add_popular_in_brothel!,
                 # 判断系
                 :in_group_spring?, :in_v_spring?, :in_a_spring?, :show_spring?,
                 :in_pole_dance_spring?, :in_show_tent_spring?, :in_whore_spring?,
                 :senior_whore?, :popular_whore?,
                 # 計算系
                 :spring_capacity, :spring_price,
                 # スキル系
                 :has_skill?, :add_brothel_skill!

  # adventurerがセックスステータスにdelegateしている分は全部ここ
  def_delegators :@adventurer,
                 :has_tattoo?,
                 :bookmarked?,
                 :self_call, :name, :virgin?, :lost_virgin!, :lost_virgin_script, :set_lost_virgin_script,
                 :add_masturbation_exp!, :masturbation!, :add_public_masturbation_exp!,
                 :class_name, :skills, :talents, :skill_personality, :bad_status_in_body,
                 :men_exp, :lesbian_exp, :sex_stared_exp, :force_sex_exp, :tentacle_exp, :spring_count, :spring_group_count,
                 :custom_body_exp, :custom_mind_exp,
                 :add_men_exp!, :add_lesbian_exp!, :add_sex_stared_exp!, :add_force_sex_exp!, :add_tentacle_exp!, :add_spring_count!,
                 :add_custom_body_exp!, :add_custom_mind_exp!,
                 :add_c_exp!, :add_v_exp!, :add_a_exp!, :add_b_exp!, :add_oral_exp!,
                 :add_v_sex_exp!, :add_a_sex_exp!, :add_oral_exp!,
                 :add_c_voltage!, :add_v_voltage!, :add_a_voltage!, :add_b_voltage!,
                 :orgasm_count, :sperm_shot,
                 :add_c_orgasm_by_spring!, :add_v_orgasm_by_spring!, :add_a_orgasm_by_spring!, :add_b_orgasm_by_spring!,
                 :add_oral_sperm_shot!, :add_v_sperm_shot!, :add_a_sperm_shot!, :add_skin_sperm_shot!,
                 :add_sex_stared_exp!,
                 :decrease_by_orgasm!,
                 :decrease_resist, :clear_decrease_resist!, :set_decrease_resist,
                 :decrease_san, :clear_decrease_san!, :set_decrease_san,
                 :masturbation_exp, :public_masturbation_exp, :v_sex_exp, :a_sex_exp,
                 :c_exp, :v_exp, :a_exp, :b_exp, :oral_exp,
                 :c_ero_develop_rate, :v_ero_develop_rate, :a_ero_develop_rate, :b_ero_develop_rate,
                 :oral_sperm_shot, :v_sperm_shot, :a_sperm_shot, :skin_sperm_shot,
                 :add_oral_sperm_shot!, :add_v_sperm_shot!, :add_a_sperm_shot!, :add_skin_sperm_shot!,
                 :c_orgasm_count, :v_orgasm_count, :a_orgasm_count, :b_orgasm_count,
                 :this_turn_v_sperm_shot_count, :this_turn_a_sperm_shot_count, :this_turn_oral_sperm_shot_count, :this_turn_skin_sperm_shot_count,
                 :this_turn_c_orgasm_count, :this_turn_v_orgasm_count, :this_turn_a_orgasm_count, :this_turn_b_orgasm_count,
                 :get_this_turn_sperm_shot_points, :get_this_turn_sperm_shot_max_count, :get_this_turn_sperm_shot_total_count,
                 :get_this_turn_orgasms_sum, :get_this_turn_orgasms, :get_this_turn_orgasms_max_count,
                 :clear_this_turn_orgasms_and_sperm_shot!,
                 :short_class_type,
                 # slave用に追加
                 :hierarchy_name, :noble_or_more?,
                 :hooter_level_max?, :boom_hooter_level!,
                 :hooter_level_name, :hooter_level_short_name, :hooter_level_short_name_plus,
                 :in_brain_washing?,
                 :has_bad_status_in_body?, :add_bad_status_in_body!,
                 :has_bad_status?, :remove_bad_status!,
                 :has_bad_sex_status?, :add_bad_sex_status!,
                 :add_skill_personality!, :has_skill_personality?,
                 :add_skill_holic!, :has_skill_holic?, :add_talent!, :has_talent?,
                 :get_bad_sex_status_name, :get_skill_personality_name,
                 :get_bad_status_in_body_name, :get_skill_holic_name, :get_talents_name,
                 :hooter_level,
                 :add_ero_develop_rate!, :is_max_ero_develop_rate?,
                 # セリフ分岐用
                 :in_devout?, :high_hierarchy?

  def initialize(params)
    @id = params[:id]
    @original_id = params[:original_id] || id
    @name = params[:name]
    @short_name = params[:short_name]
    @bad_status = params[:bad_status] || []
    @bad_sex_status = params[:bad_sex_status] || []
    @adventurer = params[:adventurer]
    @status = nil
    @tentacle_lab_type = nil
    @generated_magic_power = 0

    @brothel_slave = BrothelSlave.new(self)
    @maternity_slave = MaternitySlave.new
    @slave_script = SlaveScript.new

    @script_status = SlaveScriptStatus.new(original_id, self)
  end

  def set_status(new_status)
    @status = new_status
  end

  def set_tentacle_lab_type(type)
    @tentacle_lab_type = type
  end

  def dec_resist_by_spring!
    return if resist_for_spring_before.zero? # もうゼロなら計算する意味がない
    # 無理やり感が強いほど減る量が多い
    base_resist_decrease = base_regist_by_spring_type
    decrease =
      base_resist_decrease + (get_this_turn_orgasms_sum * 0.1) + (get_this_turn_sperm_shot_total_count * 0.04)
    decrease_resist_for_spring!(decrease.to_i)
  end

  def dec_mentally_exhaust_by_spring!(dungeon_master)
    return if mentally_exhaust_before.zero? # もうゼロなら計算する意味がない
    return if dungeon_master.has_book?(:spring_none)
    return if has_bad_status_in_body?(:spring_brainwash) # 売春洗脳済みならノーダメ
    return if has_bad_status_in_body?(:override_identify) # 上書き人格でもノーダメ

    # 無理やり感が強いほど減る量が多い
    base_mentally_exhaust = base_mentally_exhaust_by_spring_type
    base_decrease = base_mentally_exhaust * ((today_guest_number / 10) + 1)
    decrease =
      base_decrease - (get_this_turn_orgasms_sum * 0.01) + (get_this_turn_sperm_shot_total_count * 0.03)
    if popular_whore?
      decrease *= 0.25 # 看板娘なら摩耗四半減
    elsif senior_whore?
      decrease *= 0.5 # 上級娼婦なら摩耗半減
    end

    # 精神強いと半減
    decrease *= 0.5 if has_talent?(:tough_mind)

    # 魔道書で半減可能
    decrease *= 0.5 if dungeon_master.has_book?(:spring_half)
    # バステでも半減可能
    decrease *= 0.5 if has_bad_status_in_body?(:broken_reason)

    # FGOのバーサーカーなら半減。
    decrease *= 0.5 if FGO_MODE && (short_class_type == '狂')

    exhaust_mental!(decrease.to_i)

    # もしここで精神崩壊したら公衆便女に配置変更
    if broken_mentally_exhaust?
      add_talent!(:broken_mental) # 精神崩壊を追加
    end
  end

  def dec_resist_by_tentacle_lab_type!
    return if resist_for_spring_before.zero? # もうゼロなら計算する意味がない

    tentacle_params =
      if @tentacle_lab_type == 'basic'
        { base_resist_decrease: 3 }
      elsif @tentacle_lab_type == 'custom_body_c'
        { base_resist_decrease: 7 }
      else
        TentacleList::TENTACLE_LABS_LIST.values.find{ |params| params[:type] == @tentacle_lab_type }
      end
    if tentacle_params.nil?
      puts "Ooops, tentacle_type(#{@tentacle_lab_type}) IS NOT FOUND!!"
      tentacle_params = {}
    end
    base_resist_decrease = tentacle_params[:base_resist_decrease] || 3
    decrease =
      base_resist_decrease + (get_this_turn_orgasms_sum * 0.086) + (get_this_turn_sperm_shot_total_count * 0.04)
    decrease_resist_for_spring!(decrease.to_i)
  end

  DECREASE_RESIST_FOR_SPRING_BY_SEEDING_SEX_RATE = 0.01
  DECREASE_RESIST_FOR_SPRING_BY_MATERNITY_RATE = 0.004
  def dec_resist_by_maternity_room!
    return if resist_for_spring_before.zero? # もうゼロなら計算する意味がない

    base_dec = (
      # 種付けSEX数
    today_maternity_sex_monster_count * DECREASE_RESIST_FOR_SPRING_BY_SEEDING_SEX_RATE +
      # 出産数
      today_maternity_count * DECREASE_RESIST_FOR_SPRING_BY_MATERNITY_RATE
    ).to_i

    decrease =
      base_dec + (get_this_turn_orgasms_sum * 0.03) + (get_this_turn_sperm_shot_total_count * 0.01)
    decrease_resist_for_spring!(decrease.to_i)
  end

  def has_bad_status?(status)
    bad_status.include?(status)
  end

  def has_bad_sex_status?(status)
    bad_sex_status.include?(status)
  end

  def add_bad_sex_status!(status)
    @bad_sex_status << status unless has_bad_sex_status?(status)
  end

  TENTACLE_MAGIC_POWER_RATE = 0.1
  TENTACLE_ORGASM_MAX_MAGIC_POWER_RATE = 0.08
  TENTACLE_ORGASM_SUM_MAGIC_POWER_RATE = 0.05
  TENTACLE_ORGASM_ORIGINAL_MODE_RATE = 0.3
  def generate_magic_power_by_tentacle!(tentacle_count)
    rate_by_mode = ORIGINAL_MODE ? TENTACLE_ORGASM_ORIGINAL_MODE_RATE : 1.0
    base_point =
      tentacle_count * TENTACLE_MAGIC_POWER_RATE +
        (get_this_turn_orgasms_max_count * TENTACLE_ORGASM_MAX_MAGIC_POWER_RATE * rate_by_mode) +
        (get_this_turn_orgasms_sum * TENTACLE_ORGASM_SUM_MAGIC_POWER_RATE * rate_by_mode)
    @generated_magic_power = base_point.to_i
  end

  MATERNITY_MAGIC_POWER_RATE = 0.3
  MATERNITY_ORGASM_MAX_MAGIC_POWER_RATE = 0.125
  MATERNITY_ORGASM_SUM_MAGIC_POWER_RATE = 0.15
  MATERNITY_ORGASM_ORIGINAL_MODE_RATE = 0.6
  def generate_magic_power_by_maternity!(monster_count)
    _add_maternity_exp!(monster_count)

    rate_by_mode = ORIGINAL_MODE ? MATERNITY_ORGASM_ORIGINAL_MODE_RATE : 1.0
    base_point =
      monster_count * MATERNITY_MAGIC_POWER_RATE +
        (get_this_turn_orgasms_max_count * MATERNITY_ORGASM_MAX_MAGIC_POWER_RATE * rate_by_mode) +
        (get_this_turn_orgasms_sum * MATERNITY_ORGASM_SUM_MAGIC_POWER_RATE * rate_by_mode)
    @generated_magic_power = base_point.to_i
  end

  def _add_maternity_exp!(monster_count)
    c_count = monster_count * rand(0.1..0.4)
    v_count = monster_count * rand(7.0..15.0)
    a_count = monster_count * rand(0.9..2.3)
    b_count = monster_count * rand(0.3..1.2)
    oral_count = monster_count * rand(1.5..5.2)

    add_c_exp!(c_count.to_i)
    add_v_exp!(v_count.to_i)
    add_a_exp!(a_count.to_i)
    add_b_exp!(b_count.to_i)
    add_oral_exp!(oral_count.to_i)

    add_v_sex_exp!(v_count.to_i)
    add_a_sex_exp!(a_count.to_i)

    add_c_voltage!((c_count * rand(30..50)).to_i)
    add_v_voltage!((v_count * rand(60..120)).to_i)
    add_a_voltage!((a_count * rand(40..125)).to_i)
    add_b_voltage!((b_count * rand(20..60)).to_i)

    add_skin_sperm_shot!((monster_count * 2.0 * rand(1.5..2.5)).to_i)
    add_oral_sperm_shot!((oral_count * rand(1.3..2.0)).to_i)
    add_v_sperm_shot!((v_count * rand(0.8..1.8)).to_i)
    add_a_sperm_shot!((a_count * rand(0.4..1.1)).to_i)
  end

  def add_exp_by_tentacle!(tentacle_count)
    clear_this_turn_orgasms_and_sperm_shot!
    case @tentacle_lab_type
      when 'basic'
        _add_exp_by_tentacle_on_basic!(tentacle_count)
      when 'custom_body_c'
        _add_exp_by_tentacle_on_c!(tentacle_count)
      when 'custom_body_v'
        _add_exp_by_tentacle_on_v!(tentacle_count)
      when 'custom_body_v_lv2'
        _add_exp_by_tentacle_on_v_lv2!(tentacle_count)
      when 'custom_brainwash'
        _add_exp_by_tentacle_on_brainwash!(tentacle_count)
      when 'custom_brainwash_lv2'
        _add_exp_by_tentacle_on_brainwash_lv2!(tentacle_count)
      when 'custom_hard'
        _add_exp_by_tentacle_on_hard!(tentacle_count)
      when 'custom_body_a'
        _add_exp_by_tentacle_on_a!(tentacle_count)
      when 'custom_body_b'
        _add_exp_by_tentacle_on_b!(tentacle_count)
    end
  end

  def _add_exp_by_tentacle_on_basic!(tentacle_count)
    add_tentacle_exp!(tentacle_count)

    c_count = tentacle_count * rand(0.5..1.2)
    v_count = tentacle_count * rand(1.2..2.1)
    a_count = tentacle_count * rand(0.9..1.8)
    b_count = tentacle_count * rand(0.3..0.7)
    oral_count = tentacle_count * rand(0.5..1.1)

    add_c_exp!(c_count.to_i)
    add_v_exp!(v_count.to_i)
    add_a_exp!(a_count.to_i)
    add_b_exp!(b_count.to_i)
    add_oral_exp!(oral_count.to_i)

    add_v_sex_exp!(v_count.to_i)
    add_a_sex_exp!(a_count.to_i)

    add_c_voltage!((c_count * rand(80..140)).to_i)
    add_v_voltage!((v_count * rand(55..180)).to_i)
    add_a_voltage!((a_count * rand(40..125)).to_i)
    add_b_voltage!((b_count * rand(50..110)).to_i)

    add_skin_sperm_shot!((tentacle_count * 0.3 * rand(1.5..2.5)).to_i)
    add_oral_sperm_shot!((oral_count * rand(1.3..2.0)).to_i)
    add_v_sperm_shot!((v_count * rand(0.5..1.2)).to_i)
    add_a_sperm_shot!((a_count * rand(0.4..1.1)).to_i)

    add_ero_develop_rate!(:c, [0.4, 0.6, 0.8].sample) if random_roll(30, 100)
    add_ero_develop_rate!(:v, [0.2, 0.4, 0.6].sample) if random_roll(50, 100)
    add_ero_develop_rate!(:a, [0.2, 0.4, 0.6].sample) if random_roll(33, 100)
    add_ero_develop_rate!(:b, [0.2, 0.4, 0.6].sample) if random_roll(60, 100)
  end

  def _add_exp_by_tentacle_on_c!(tentacle_count)
    add_tentacle_exp!(tentacle_count)
    c_count = tentacle_count * rand(2.2..4.2)
    add_c_exp!(c_count.to_i)
    add_skin_sperm_shot!((tentacle_count * 0.3 * rand(1.5..2.5)).to_i)
    add_c_voltage!((c_count * rand(80..140)).to_i)

    # 性感帯開発
    add_ero_develop_rate!(:c, [0.4, 0.6, 0.8, 1.0].sample) if random_roll(70, 100)
  end

  def _add_exp_by_tentacle_on_v!(tentacle_count)
    add_tentacle_exp!(tentacle_count)

    c_count = tentacle_count * rand(0.5..1.2)
    v_count = tentacle_count * rand(2.2..4.1)

    add_c_exp!(c_count.to_i)
    add_v_exp!(v_count.to_i)

    add_v_sex_exp!(v_count.to_i)

    add_c_voltage!((c_count * rand(80..140)).to_i)
    add_v_voltage!((v_count * rand(55..180)).to_i)

    add_skin_sperm_shot!((tentacle_count * 0.3 * rand(1.5..2.5)).to_i)
    add_v_sperm_shot!((v_count * rand(0.5..1.2)).to_i)

    # 性感帯開発
    ero_develop_bonus_rate = v_count + (get_this_turn_orgasms_sum * 0.03) # 絶頂数ボーナス
    ero_develop_bonus_gain = [
      0.5,
      [(ero_develop_bonus_rate * 0.05), 0.1].max
    ].min

    add_ero_develop_rate!(:c, [0.1, 0.2, 0.3].sample) if random_roll(25, 100)
    add_ero_develop_rate!(:v, [0.6, 0.8, 1.0].sample) if random_roll(66, 100)
  end

  def _add_exp_by_tentacle_on_v_lv2!(tentacle_count)
    add_tentacle_exp!(tentacle_count)

    c_count = tentacle_count * rand(0.5..1.2)
    v_count = tentacle_count * rand(3.2..5.1)

    add_c_exp!(c_count.to_i)
    add_v_exp!(v_count.to_i)

    add_v_sex_exp!(v_count.to_i)

    add_c_voltage!((c_count * rand(80..140)).to_i)
    add_v_voltage!((v_count * rand(70..190)).to_i)

    add_skin_sperm_shot!((tentacle_count * 0.3 * rand(1.5..2.5)).to_i)
    add_v_sperm_shot!((v_count * rand(0.5..1.2)).to_i)

    # 性感帯開発
    add_ero_develop_rate!(:c, [0.1, 0.2, 0.3, 0.4].sample) if random_roll(33, 100)
    add_ero_develop_rate!(:v, [0.6, 0.8, 1.0, 1.2].sample) if random_roll(80, 100)
  end

  def _add_exp_by_tentacle_on_brainwash!(tentacle_count)
    add_tentacle_exp!(tentacle_count)

    c_count = tentacle_count * rand(0.2..0.5)
    v_count = tentacle_count * rand(0.4..0.9)
    a_count = tentacle_count * rand(0.4..0.8)
    b_count = tentacle_count * rand(0.2..0.4)
    oral_count = tentacle_count * rand(0.1..0.3)

    add_c_exp!(c_count.to_i)
    add_v_exp!(v_count.to_i)
    add_a_exp!(a_count.to_i)
    add_b_exp!(b_count.to_i)
    add_oral_exp!(oral_count.to_i)

    add_v_sex_exp!(v_count.to_i)
    add_a_sex_exp!(a_count.to_i)

    add_c_voltage!((c_count * rand(60..120)).to_i)
    add_v_voltage!((v_count * rand(35..140)).to_i)
    add_a_voltage!((a_count * rand(20..65)).to_i)
    add_b_voltage!((b_count * rand(30..80)).to_i)

    add_skin_sperm_shot!((tentacle_count * 0.2 * rand(1.5..2.5)).to_i)
    add_oral_sperm_shot!((oral_count * rand(0.5..1.0)).to_i)
    add_v_sperm_shot!((v_count * rand(0.3..0.6)).to_i)
    add_a_sperm_shot!((a_count * rand(0.2..0.5)).to_i)

    # 性感帯開発
    add_ero_develop_rate!(:c, [0.1, 0.2, 0.3].sample) if random_roll(30, 100)
    add_ero_develop_rate!(:v, [0.1, 0.2, 0.3].sample) if random_roll(20, 100)
    add_ero_develop_rate!(:a, [0.1, 0.2, 0.3].sample) if random_roll(10, 100)
    add_ero_develop_rate!(:b, [0.1, 0.2, 0.3].sample) if random_roll(15, 100)
  end

  def _add_exp_by_tentacle_on_brainwash_lv2!(tentacle_count)
    add_tentacle_exp!(tentacle_count)

    c_count = tentacle_count * rand(0.4..1.1)
    v_count = tentacle_count * rand(0.8..2.1)
    a_count = tentacle_count * rand(0.8..1.7)
    b_count = tentacle_count * rand(0.4..0.9)
    oral_count = tentacle_count * rand(0.3..0.5)

    add_c_exp!(c_count.to_i)
    add_v_exp!(v_count.to_i)
    add_a_exp!(a_count.to_i)
    add_b_exp!(b_count.to_i)
    add_oral_exp!(oral_count.to_i)

    add_v_sex_exp!(v_count.to_i)
    add_a_sex_exp!(a_count.to_i)

    add_c_voltage!((c_count * rand(60..120)).to_i)
    add_v_voltage!((v_count * rand(35..140)).to_i)
    add_a_voltage!((a_count * rand(20..65)).to_i)
    add_b_voltage!((b_count * rand(30..80)).to_i)

    add_skin_sperm_shot!((tentacle_count * 0.2 * rand(1.5..2.5)).to_i)
    add_oral_sperm_shot!((oral_count * rand(0.5..1.0)).to_i)
    add_v_sperm_shot!((v_count * rand(0.3..0.6)).to_i)
    add_a_sperm_shot!((a_count * rand(0.2..0.5)).to_i)

    # 性感帯開発
    add_ero_develop_rate!(:c, [0.2, 0.3, 0.4].sample) if random_roll(60, 100)
    add_ero_develop_rate!(:v, [0.2, 0.3, 0.4].sample) if random_roll(33, 100)
    add_ero_develop_rate!(:a, [0.2, 0.3, 0.4].sample) if random_roll(25, 100)
    add_ero_develop_rate!(:b, [0.2, 0.3, 0.4].sample) if random_roll(40, 100)
  end

  def _add_exp_by_tentacle_on_hard!(tentacle_count)
    add_tentacle_exp!(tentacle_count)

    c_count = tentacle_count * rand(0.5..1.2)
    v_count = tentacle_count * rand(2.8..4.5)
    a_count = tentacle_count * rand(2.4..5.2)
    b_count = tentacle_count * rand(1.5..2.4)

    add_c_exp!(c_count.to_i)
    add_v_exp!(v_count.to_i)
    add_a_exp!(a_count.to_i)
    add_b_exp!(b_count.to_i)

    add_v_sex_exp!(v_count.to_i)
    add_a_sex_exp!(a_count.to_i)

    add_c_voltage!((c_count * rand(80..140)).to_i)
    add_v_voltage!((v_count * rand(120..240)).to_i)
    add_a_voltage!((a_count * rand(55..200)).to_i)
    add_b_voltage!((b_count * rand(75..150)).to_i)

    add_skin_sperm_shot!((tentacle_count * 0.5 * rand(2.5..4.5)).to_i)
    add_v_sperm_shot!((v_count * rand(0.8..1.6)).to_i)
    add_a_sperm_shot!((a_count * rand(0.6..1.8)).to_i)

    # 性感帯開発
    add_ero_develop_rate!(:c, [0.1, 0.2, 0.4, 0.6].sample) if random_roll(90, 100)
    add_ero_develop_rate!(:v, [0.3, 0.5, 0.7, 0.9].sample) if random_roll(50, 100)
    add_ero_develop_rate!(:a, [0.2, 0.4, 0.6, 0.8].sample) if random_roll(35, 100)
    add_ero_develop_rate!(:b, [0.2, 0.3, 0.5, 0.7].sample) if random_roll(66, 100)
  end

  def _add_exp_by_tentacle_on_a!(tentacle_count)
    add_tentacle_exp!(tentacle_count)

    a_count = tentacle_count * rand(2.9..3.8)
    add_a_exp!(a_count.to_i)
    add_a_sex_exp!(a_count.to_i)
    add_a_voltage!((a_count * rand(40..125)).to_i)
    add_a_sperm_shot!((a_count * rand(0.4..1.1)).to_i)

    # 性感帯開発
    ero_develop_bonus_rate = a_count + (get_this_turn_orgasms_sum * 0.03) # 絶頂数ボーナス
    ero_develop_bonus_gain = [
      0.3,
      [(ero_develop_bonus_rate * 0.05), 0.1].max
    ].min

    add_ero_develop_rate!(:a, ero_develop_bonus_gain) if random_roll(30, 100)
  end

  def _add_exp_by_tentacle_on_b!(tentacle_count)
    add_tentacle_exp!(tentacle_count)
    b_count = tentacle_count * rand(2.1..4.8)
    add_b_exp!(b_count.to_i)
    add_skin_sperm_shot!((tentacle_count * 0.3 * rand(1.5..2.5)).to_i)
    add_b_voltage!((b_count * rand(50..110)).to_i)

    # 性感帯開発
    ero_develop_bonus_rate = b_count + (get_this_turn_orgasms_sum * 0.03) # 絶頂数ボーナス
    ero_develop_bonus_gain = [
      0.5,
      [(ero_develop_bonus_rate * 0.05), 0.1].max
    ].min

    add_ero_develop_rate!(:b, ero_develop_bonus_gain) if random_roll(70, 100)
  end

  # brothel_slaveとsex_statusの両方を触るためここに置く
  def add_spring_count!(dungeon_master, guest_number)
    set_today_guest_number(guest_number)
    if self.in_group_spring? # 輪姦系の売春中なら経験が上がる
      @adventurer.add_spring_group_count!(guest_number)
    end
    if self.in_v_spring? # 輪姦系の売春中なら経験が上がる
      @adventurer.add_spring_v_count!(guest_number)
    end
    if self.in_a_spring? # 輪姦系の売春中なら経験が上がる
      @adventurer.add_spring_a_count!(guest_number)
    end
    if self.show_spring? # 見世物系だと数が減るよ
      @adventurer.add_spring_count!(3)
    else
      @adventurer.add_spring_count!(guest_number)
    end

    clear_this_turn_orgasms_and_sperm_shot!
    add_xx_exp_by_spring!(guest_number)
    _generate_by_spring_magic_power!(guest_number)

    add_brothel_skill_if!
    add_spring_days_count!
    dec_resist_by_spring!
    dec_mentally_exhaust_by_spring!(dungeon_master)

    recover_mentally_exhaust_by_blessing! if has_bad_status_in_body?(:blessing_of_slut_load)
  end

  def add_xx_exp_by_spring!(guest_number)
    case spring_type
      when 'sex_toilet'
        add_men_exp!(guest_number) # 経験人数

        oral_count = (guest_number * 0.8 * rand(1.0..1.5))
        c_count    = (guest_number * 0.5 * rand(1.0..1.5))
        v_count    = (guest_number * 2.0 * rand(1.0..2.0))
        a_count    = (guest_number * 0.4 * rand(0.5..1.5))
        b_count    = (guest_number * 0.2 * rand(0.5..1.5))
        add_oral_exp!(oral_count.to_i)
        add_c_exp!(c_count.to_i)
        add_v_exp!(v_count.to_i)
        add_a_exp!(a_count.to_i)
        add_b_exp!(b_count.to_i)
        add_v_sex_exp!(v_count.to_i)
        add_a_sex_exp!(a_count.to_i)

        add_c_orgasm_by_spring!((c_count * rand(0.02..0.06)).to_i)
        add_v_orgasm_by_spring!((v_count * rand(0.02..0.1)).to_i)
        add_a_orgasm_by_spring!((a_count * rand(0.01..0.03)).to_i)
        add_b_orgasm_by_spring!((b_count * rand(0.01..0.02)).to_i)

        add_skin_sperm_shot!((guest_number * 0.3 * rand(0.5..1.5)).to_i)
        add_oral_sperm_shot!((oral_count * rand(0.3..1.0)).to_i)
        add_v_sperm_shot!((v_count * rand(1.0..1.5)).to_i)
      when 'wall_hole_spring'
        add_men_exp!(guest_number) # 経験人数

        oral_count = (guest_number * 0.8 * rand(1.0..1.5))
        c_count    = (guest_number * 0.5 * rand(1.0..1.5))
        v_count    = (guest_number * 2.0 * rand(1.0..2.0))
        a_count    = (guest_number * 0.4 * rand(0.5..1.5))
        b_count    = (guest_number * 0.2 * rand(0.5..1.5))
        add_oral_exp!(oral_count.to_i)
        add_c_exp!(c_count.to_i)
        add_v_exp!(v_count.to_i)
        add_a_exp!(a_count.to_i)
        add_b_exp!(b_count.to_i)
        add_v_sex_exp!(v_count.to_i)
        add_a_sex_exp!(a_count.to_i)

        add_c_orgasm_by_spring!((c_count * rand(0.1..0.3)).to_i)
        add_v_orgasm_by_spring!((v_count * rand(0.1..0.5)).to_i)
        add_a_orgasm_by_spring!((a_count * rand(0.03..0.15)).to_i)
        add_b_orgasm_by_spring!((b_count * rand(0.05..0.2)).to_i)

        add_skin_sperm_shot!((guest_number * 0.3 * rand(0.5..1.5)).to_i)
        add_oral_sperm_shot!((oral_count * rand(0.3..1.0)).to_i)
        add_v_sperm_shot!((v_count * rand(1.0..1.5)).to_i)
      when 'v_force_spring'
        add_men_exp!(guest_number) # 経験人数

        oral_count = (guest_number * 0.4 * rand(0.5..2.0))
        c_count    = (guest_number * 0.6 * rand(1.0..1.5))
        v_count    = (guest_number * 2.0 * rand(1.0..2.0))
        a_count    = (guest_number * 0.3 * rand(0.5..1.5))
        b_count    = (guest_number * 0.5 * rand(0.5..1.5))
        add_oral_exp!(oral_count.to_i)
        add_c_exp!(c_count.to_i)
        add_v_exp!(v_count.to_i)
        add_a_exp!(a_count.to_i)
        add_b_exp!(b_count.to_i)
        add_v_sex_exp!(v_count.to_i)

        add_c_orgasm_by_spring!((c_count * rand(0.3..0.5)).to_i)
        add_v_orgasm_by_spring!((v_count * rand(0.2..0.7)).to_i)
        add_a_orgasm_by_spring!((a_count * rand(0.03..0.15)).to_i)
        add_b_orgasm_by_spring!((b_count * rand(0.08..0.3)).to_i)

        add_skin_sperm_shot!((guest_number * 0.5 * rand(0.5..2.0)).to_i)
        add_oral_sperm_shot!((oral_count * rand(0.3..0.7)).to_i)
        add_v_sperm_shot!((v_count * rand(0.8..2.0)).to_i)
      when 'v_whore_spring'
        add_men_exp!(guest_number) # 経験人数

        oral_count = (guest_number * 0.8 * rand(0.5..2.0)) # whoreならフェラ率高め
        c_count    = (guest_number * 0.6 * rand(1.0..1.5))
        v_count    = (guest_number * 2.8 * rand(1.0..2.0))
        a_count    = (guest_number * 0.2 * rand(0.5..1.5))
        b_count    = (guest_number * 0.7 * rand(0.5..2.0))
        add_oral_exp!(oral_count.to_i)
        add_c_exp!(c_count.to_i)
        add_v_exp!(v_count.to_i)
        add_a_exp!(a_count.to_i)
        add_b_exp!(b_count.to_i)
        add_v_sex_exp!(v_count.to_i)

        add_c_orgasm_by_spring!((c_count * rand(0.5..0.8)).to_i)
        add_v_orgasm_by_spring!((v_count * rand(0.4..1.0)).to_i)
        add_a_orgasm_by_spring!((a_count * rand(0.05..0.2)).to_i)
        add_b_orgasm_by_spring!((b_count * rand(0.1..0.4)).to_i)

        add_skin_sperm_shot!((guest_number * 0.5 * rand(0.5..2.0)).to_i)
        add_oral_sperm_shot!((oral_count * rand(0.5..1.0)).to_i)
        add_v_sperm_shot!((v_count * rand(1.2..2.5)).to_i)
      when 'a_whore_spring'
        add_men_exp!(guest_number) # 経験人数

        oral_count = (guest_number * 1.0 * rand(0.5..2.0)) # whoreならフェラ率高め
        c_count    = (guest_number * 0.6 * rand(1.0..1.5))
        v_count    = (guest_number * 0.3 * rand(0.3..1.5))
        a_count    = (guest_number * 2.2 * rand(1.0..2.2))
        b_count    = (guest_number * 0.7 * rand(0.5..2.0))
        add_oral_exp!(oral_count.to_i)
        add_c_exp!(c_count.to_i)
        add_v_exp!(v_count.to_i)
        add_a_exp!(a_count.to_i)
        add_b_exp!(b_count.to_i)
        add_a_sex_exp!(a_count.to_i)

        add_c_orgasm_by_spring!((c_count * rand(0.5..0.8)).to_i)
        add_v_orgasm_by_spring!((v_count * rand(0.1..0.2)).to_i)
        add_a_orgasm_by_spring!((a_count * rand(0.3..0.8)).to_i)
        add_b_orgasm_by_spring!((b_count * rand(0.1..0.4)).to_i)

        add_skin_sperm_shot!((guest_number * 0.5 * rand(0.5..2.0)).to_i)
        add_oral_sperm_shot!((oral_count * rand(0.5..1.0)).to_i)
        add_a_sperm_shot!((v_count * rand(1.3..2.7)).to_i)
      when 'all_whore_spring'
        add_men_exp!(guest_number) # 経験人数

        oral_count = (guest_number * 1.4 * rand(0.5..2.0)) # whoreならフェラ率高め
        c_count    = (guest_number * 1.2 * rand(0.5..2.0))
        v_count    = (guest_number * 1.8 * rand(0.8..2.3))
        a_count    = (guest_number * 1.4 * rand(0.5..1.5))
        b_count    = (guest_number * 0.8 * rand(0.5..2.0))
        add_oral_exp!(oral_count.to_i)
        add_c_exp!(c_count.to_i)
        add_v_exp!(v_count.to_i)
        add_a_exp!(a_count.to_i)
        add_b_exp!(b_count.to_i)
        add_v_sex_exp!(v_count.to_i)
        add_a_sex_exp!(a_count.to_i)

        add_c_orgasm_by_spring!((c_count * rand(0.5..1.2)).to_i)
        add_v_orgasm_by_spring!((v_count * rand(0.4..1.2)).to_i)
        add_a_orgasm_by_spring!((a_count * rand(0.3..1.0)).to_i)
        add_b_orgasm_by_spring!((b_count * rand(0.3..0.8)).to_i)

        add_skin_sperm_shot!((guest_number * 1.3 * rand(1.3..4.0)).to_i)
        add_oral_sperm_shot!((oral_count * rand(0.5..1.4)).to_i)
        add_v_sperm_shot!((v_count * rand(1.0..3.0)).to_i)
        add_a_sperm_shot!((v_count * rand(0.8..2.0)).to_i)
      when 'pole_dance_spring'
        add_sex_stared_exp!(guest_number)
        public = true
        masturbation!(rand(3..10), public)
      when 'show_tent_spring'
        add_sex_stared_exp!(guest_number)
      else
        puts "invalid spring type!! #{spring_type}"
        0
    end
  end

  # こいつで微妙に調整する。
  GENERATE_MAGIC_POWER_BY_BROTHEL_RATE = 0.5
  GENERATE_MAGIC_POWER_ORIGINAL_RATE = 0.7
  def _generate_by_spring_magic_power!(guest_number)
    rate_by_mode = ORIGINAL_MODE ? GENERATE_MAGIC_POWER_ORIGINAL_RATE : 1.0

    base_point =
      (guest_number * magic_power_rate_by_spring_type) +
        # 射精回数
        (get_this_turn_sperm_shot_total_count * 0.08) +
        (get_this_turn_sperm_shot_max_count * 0.16) +
        # 絶頂回数
        (get_this_turn_orgasms_max_count * 0.16) +
        (get_this_turn_orgasms_sum * 0.08)
    @generated_magic_power = (base_point * GENERATE_MAGIC_POWER_BY_BROTHEL_RATE * rate_by_mode).to_i
  end

  def magic_power_rate_by_spring_type
    case spring_type
      when 'sex_toilet'
        0.01
      when 'wall_hole_spring'
        0.15
      when 'v_force_spring'
        0.2
      when 'v_whore_spring'
        0.4
      when 'a_whore_spring'
        0.9
      when 'all_whore_spring'
        0.5
      when 'pole_dance_spring'
        1.0
      when 'show_tent_spring'
        1.5
      else
        0.1
    end
  end

  def add_brothel_skill_if!
    if !has_skill?(:senior_whore) &&
      (spring_days_count > 3) && (spring_count > 200) &&
      ((v_sex_exp > 300) || (a_sex_exp > 400)) && (men_exp > 500) &&
      resist_for_spring < 50
      add_brothel_skill!(:senior_whore)
    end

    if !has_skill?(:popular_whore) &&
      (popular_in_brothel >= 80) &&
      (spring_days_count > 5) && (spring_count > 200) &&
      ((v_sex_exp > 300) || (a_sex_exp > 400)) && (men_exp > 500) &&
      resist_for_spring < 15
      add_brothel_skill!(:popular_whore)
    end
  end

  def accept_v_whore_spring?
    if has_bad_sex_status?(:lewdness) # 淫乱
      return true
    end
    # 精液中毒
    if has_bad_sex_status?(:semen_holic) && (spring_days_count > 1) && (spring_count > 30) && (resist_for_spring < 50)
      return true
    end

    if (spring_days_count > 3) && (spring_count > 80) && (v_sex_exp > 200)
      return true
    end
    if (spring_days_count > 1) && (spring_count > 30) && (v_sex_exp > 500)
      return true
    end
    false
  end

  def accept_a_whore_spring?
    if has_bad_sex_status?(:lewdness) && (a_sex_exp > 300) # 淫乱
      return true
    end

    if (spring_days_count > 3) && (spring_count > 50) && (a_exp > 200)
      return true
    end
    if (spring_days_count > 1) && (spring_count > 30) && (a_sex_exp > 150)
      return true
    end
    false
  end

  def accept_all_whore_spring?
    if has_bad_sex_status?(:gang_rape_holic) &&
      (v_sex_exp > 300) && (a_sex_exp > 100) &&
      (spring_days_count > 0) && (spring_count > 100)
       # 輪姦被虐中毒
       return true
    end

    if (has_bad_sex_status?(:lewdness) || # 淫乱
        has_bad_sex_status?(:v_semen_holic) || # 飲精中毒
        has_bad_sex_status?(:semen_holic) # 精液中毒
    ) && (spring_days_count > 0) &&
      (spring_count > 100) &&
      (v_sex_exp > 450) &&
      (a_sex_exp > 100) &&
      (resist_for_spring < 15)
      return true
    end

    return false if (resist_for_spring > 5)

    if (spring_days_count > 5) && (spring_count > 150) &&
       (v_sex_exp > 250) && (a_exp > 150)
      return true
    end
    if (spring_days_count > 2) && (spring_count > 60) &&
       (v_sex_exp > 500) && (a_exp > 250)
      return true
    end
    false
  end

  def accept_pole_dance_spring?
    return false if (resist_for_spring > 5)

    if (spring_days_count > 3) && (spring_count > 100) &&
      (v_sex_exp > 250) && (men_exp > 500)
      return true
    end
    if (spring_days_count > 1) && (spring_count > 100) &&
      (men_exp > 1_000)
      return true
    end
    false
  end

  def accept_show_tent_spring?
    return false if (resist_for_spring > 5)

    if (spring_days_count > 5) && (spring_count > 300) &&
      (v_sex_exp > 300) && (a_sex_exp > 250) && (men_exp > 500)
      return true
    end
    if (spring_days_count > 2) && (spring_count > 100) &&
      (men_exp > 3_000)
      return true
    end
    false
  end

  def resist_v_force_spring?
    resist_border =
      if has_bad_sex_status?(:lewdness) # 淫乱
        200
      elsif has_bad_sex_status?(:semen_holic) # 精液中毒
        150
      else
        90
      end
    (resist_for_spring > resist_border)
  end

  def resist_v_whore_spring?
    resist_border =
      if has_bad_sex_status?(:lewdness) # 淫乱
        90
      elsif has_bad_sex_status?(:semen_holic) # 精液中毒
        80
      else
        70
      end
    (resist_for_spring > resist_border)
  end

  def resist_a_whore_spring?
    resist_border =
      if has_bad_sex_status?(:lewdness) # 淫乱
        85
      elsif has_bad_sex_status?(:semen_holic) # 精液中毒
        77
      else
        60
      end
    (resist_for_spring > resist_border)
  end

  def resist_all_whore_spring?
    resist_border =
      if has_bad_sex_status?(:lewdness) # 淫乱
        65
      elsif has_bad_sex_status?(:semen_holic) # 精液中毒
        50
      else
        40
      end
    (resist_for_spring > resist_border)
  end

  def resist_pole_dance_spring?
    resist_border =
      if has_bad_sex_status?(:lewdness) # 淫乱
        60
      elsif has_bad_sex_status?(:semen_holic) # 精液中毒
        35
      else
        25
      end
    (resist_for_spring > resist_border)
  end

  def resist_show_tent_spring?
    resist_border =
      if has_bad_sex_status?(:lewdness) # 淫乱
        50
      elsif has_bad_sex_status?(:semen_holic) # 精液中毒
        40
      else
        10
      end
    (resist_for_spring > resist_border)
  end

  def set_tent_spring_type!
    @brothel_slave.set_tent_spring_type!(self)
  end

  def drain_magic_power!
    magic_power = generated_magic_power.to_i
    @generated_magic_power = 0
    magic_power
  end

  def have_generated_magic_power?
    generated_magic_power.nonzero?
  end
end
