# coding: utf-8
require_rrk 'src/defines/dungeon/utils/dmm_utils'
require_rrk 'src/app/helper/game_define_helper'

class BrothelSlave
  include DmmUtils
  include GameDefineHelper

  attr_reader :spring_type,
              :popular_in_brothel, :spring_days_count, :flag,
              :brothel_skills, :status_in_tent, :resist_for_spring, :resist_for_spring_before,
              :mentally_exhaust, :mentally_exhaust_before,
              :bonus_text, :today_sales, :today_guest_number

  # 今の所未使用
  BROTHEL_SKILLS_NAMES = {
    senior_whore: '上級娼婦',
    popular_whore: '看板娘',
  }

  MAX_AMOUNT_OF_MENTALLY_EXHAUST = 100
  INITIAL_RESIST_FOR_SPRING = 100
  def initialize(slave)
    @slave = slave # スキルを見るために親クラスを持つ

    @spring_type = nil
    @popular_in_brothel = 0
    @spring_days_count = 0
    @flag = {}
    @brothel_skills = []
    @status_in_tent = nil
    @resist_for_spring = INITIAL_RESIST_FOR_SPRING
    @resist_for_spring_before = @resist_for_spring

    @bonus_text = ''
    @today_sales = 0
    @today_guest_number = 0

    @mentally_exhaust = MAX_AMOUNT_OF_MENTALLY_EXHAUST
    @mentally_exhaust_before = @mentally_exhaust
  end

  # 今の所未使用
  def brothel_skill_names
    brothel_skills.map do |skill_key|
      BROTHEL_SKILLS_NAMES[skill_key]
    end
  end

  def has_skill?(skill_name)
    @brothel_skills.include?(skill_name)
  end

  def senior_whore? # 上級娼婦
    has_skill?(:senior_whore)
  end

  def popular_whore? # 看板娘
    has_skill?(:popular_whore)
  end

  def bonus_of_popular_whore?
    popular_whore? && [:a_whore, :v_whore, :all_whore].include?(spring_type)
  end

  def add_brothel_skill!(skill)
    return if has_skill?(skill)
    @brothel_skills << skill
  end

  # === フラグ系 はじめ ====================
  def set_spring_flag!(flag_name)
    @flag[flag_name] = true
  end

  def first_wall_hole_spring?
    flag[:wall_hole].nil?
  end

  def first_v_force_spring?
    flag[:v_force].nil?
  end

  def first_v_whore_spring?
    flag[:v_whore].nil?
  end

  def first_a_whore_spring?
    flag[:a_whore].nil?
  end

  def first_all_whore_spring?
    flag[:all_whore].nil?
  end

  def first_pole_dance_spring?
    flag[:pole_dance].nil?
  end

  def first_show_tent_spring?
    flag[:show_tent].nil?
  end
  # === フラグ系 おわり ====================

  def add_spring_days_count!
    @spring_days_count += 1
  end

  def set_sell_type!(spring_type)
    unless %w(sex_toilet wall_hole_spring v_force_spring
              v_whore_spring a_whore_spring all_whore_spring
              pole_dance_spring show_tent_spring).include?(spring_type)
      raise "INVALID SPRING TYPE! #{spring_type}"
    end

    @spring_type = spring_type
  end

  def clear_spring_status!
    @spring_type = nil
  end

  def set_tent_spring_type!(slave)
    case spring_type
      when 'pole_dance_spring'
        # ポールダンス、公開オナニー
        types = %w(sexy_dance public_masturbation lesbian slime_dance battle)
      when 'show_tent_spring'
        types = %w(lesbian_sex uncle_seeding sensitive_drug slime_sex anal_sex battle)
        if slave.has_bad_sex_status?(:beast_sex_holic) && !FOR_DMM_MODE
          types += %w(horse_sex pig_sex)
        end
      else
        puts "invalid spring type!! #{spring_type}"
        types = []
    end
    spring_type = types.sample
    set_status_in_tent!(spring_type.to_s)
  end

  def set_status_in_tent!(status_name)
    @status_in_tent = status_name
  end

  def clear_status_in_tent!
    set_status_in_tent!(nil)
  end

  def spring_capacity
    base_capacity =
      case spring_type
        when 'sex_toilet'
          20
        when 'wall_hole_spring'
          60
        when 'v_force_spring'
          40
        when 'v_whore_spring'
          35
        when 'a_whore_spring'
          32
        when 'all_whore_spring'
          70
        when 'pole_dance_spring'
          200
        when 'show_tent_spring'
          200
        else
          puts "invalid spring type!! #{spring_type}"
          0
      end
    # 最大20人まで人気次第で増える
    capacity = base_capacity + (popular_in_brothel / 5)
    capacity += 10 if senior_whore?
    capacity
  end

  def in_group_spring?
    %w(all_force_spring all_whore_spring).include?(spring_type)
  end

  def in_v_spring?
    in_group_spring? || %w(sex_toilet wall_hole_spring v_force_spring v_whore_spring).include?(spring_type)
  end

  def in_a_spring?
    in_group_spring? || %w(a_force_spring a_whore_spring).include?(spring_type)
  end

  def show_spring?
    %w(pole_dance_spring show_tent_spring).include?(spring_type)
  end

  def in_pole_dance_spring?
    'pole_dance_spring' == spring_type
  end

  def in_show_tent_spring?
    'show_tent_spring' == spring_type
  end

  def in_whore_spring? # 輪姦除く
    %w(v_whore_spring a_whore_spring).include?(spring_type)
  end

  def in_sex_toilet?
    spring_type == 'sex_toilet'
  end

  POPULAR_IN_BROTHEL_LIMIT = 100
  def add_popular_in_brothel!(gain)
    return if @popular_in_brothel >= POPULAR_IN_BROTHEL_LIMIT

    @popular_in_brothel += gain.to_i
    if @popular_in_brothel > POPULAR_IN_BROTHEL_LIMIT
      @popular_in_brothel = POPULAR_IN_BROTHEL_LIMIT
    end
  end

  # 売春価格
  def spring_price
    bonus_text_array = []
    price = _base_spring_price * (1 + (popular_in_brothel * 0.0125))
    price *= 2.0

    if in_sex_toilet?
      price = _base_spring_price * (1 + (popular_in_brothel * 0.0125))
      price *= 2.0
      @bonus_text = '廃娼状態によるペナルティ（ボーナスなし）'
      return price.to_i
    end

    if bonus_of_popular_whore?
      price *= 1.70
      bonus_text_array << '看板娘(×70%)'
    elsif senior_whore?
      price *= 1.30
      bonus_text_array << '上級娼婦(×30%)'
    end
    slave = @slave

    skill = :lewdness
    if slave.has_bad_sex_status?(skill)
      talent_name = slave.get_bad_sex_status_name(skill)
      price *= 1.30
      bonus_text_array << "#{talent_name}（×３０％）"
    end
    skill = :breast_milk
    if slave.has_bad_status_in_body?(skill) # 噴乳体質
      talent_name = slave.get_bad_status_in_body_name(skill)
      price *= 1.20
      bonus_text_array << "#{talent_name}（×２０％）"
    end
    skill = :breast_milk_ecstasy
    if slave.has_bad_status_in_body?(skill) # 噴乳快楽体質
      talent_name = slave.get_bad_status_in_body_name(skill)
      price *= 1.20
      bonus_text_array << "#{talent_name}（×２０％）"
    end
    [:good_looking, :hooters, :good_hooters].each do |skill|
      if slave.has_talent?(skill)
        talent_name = slave.get_talents_name(skill)
        price *= 1.30
        bonus_text_array << "#{talent_name}（×３０％）"
      end
    end
    [:charisma, :famoues, :charming].each do |skill|
      if slave.has_talent?(skill)
        talent_name = slave.get_talents_name(skill)
        bonus_text_array << "#{talent_name}（×５０％）"
        status_bonus += 0.5
      end
    end

    [:semen_holic, :oral_semen_holic, :aphrodisiac].each do |skill|
      if slave.has_skill_holic?(skill)
        talent_name = slave.get_skill_holic_name(skill)
        price *= 1.20
        bonus_text_array << "#{talent_name}（×２０％）"
      end
    end

    [:c_sensitive, :b_sensitive].each do |skill|
      if slave.has_bad_status_in_body?(skill)
        talent_name = slave.get_bad_status_in_body_name(skill)
        price *= 1.25
        bonus_text_array << "#{talent_name}（×２５％）"
      end
    end
    [:c_sensitive_high, :b_sensitive_high].each do |skill|
      if slave.has_bad_status_in_body?(skill)
        talent_name = slave.get_bad_status_in_body_name(skill)
        price *= 1.50
        bonus_text_array << "#{talent_name}（×５０％）"
      end
    end

    if in_group_spring?
      skill = :gang_rape_holic
      if slave.has_bad_sex_status?(skill)
        talent_name = slave.get_bad_sex_status_name(skill)
        price *= 1.30
        bonus_text_array << "#{talent_name}（×３０％）"
      end
    end
    if in_v_spring? || in_group_spring?
      skill = :v_sensitive
      if slave.has_bad_status_in_body?(skill)
        talent_name = slave.get_bad_status_in_body_name(skill)
        price *= 1.25
        bonus_text_array << "#{talent_name}（×２５％）"
      end
      skill = :v_semen_holic
      if slave.has_skill_holic?(skill)
        talent_name = slave.get_skill_holic_name(skill)
        price *= 1.20
        bonus_text_array << "#{talent_name}（×２０％）"
      end
      # 蜜壺過敏、ポルチオ、受精快楽感覚
      [:v_sensitive_high, :uterus_sensitive, :fertilization_ecstasy].each do |skill|
        if slave.has_bad_status_in_body?(skill)
          talent_name = slave.get_bad_status_in_body_name(skill)
          price *= 1.50
          bonus_text_array << "#{talent_name}（×５０％）"
        end
      end
    end
    if in_a_spring? || in_group_spring?
      skill = :a_sensitive
      if slave.has_bad_status_in_body?(skill)
        talent_name = slave.get_bad_status_in_body_name(skill)
        price *= 1.25
        bonus_text_array << "#{talent_name}（×２５％）"
      end
      skill = :a_sensitive_high
      if slave.has_bad_status_in_body?(skill)
        talent_name = slave.get_bad_status_in_body_name(skill)
        price *= 1.50
        bonus_text_array << "#{talent_name}（×５０％）"
      end
      skill = :a_semen_holic
      if slave.has_skill_holic?(skill)
        talent_name = slave.get_skill_holic_name(skill)
        price *= 1.20
        bonus_text_array << "#{talent_name}（×２０％）"
      end
    end

    if slave.has_talent?(:royal)
      price *= 2.00
      bonus_text_array << "「階級：王族」（×１００％）"
    end
    if slave.has_talent?(:noble)
      price *= 1.50
      bonus_text_array << "「階級：貴族」（×５０％）"
    end
    if slave.has_talent?(:knight)
      price *= 1.30
      bonus_text_array << "「ステータス：騎士叙勲」（×５０％）"
    end
    if slave.has_talent?(:dark_hero)
      price *= 1.30
      bonus_text_array << "「ステータス：闇の英雄」（×３０％）"
    end

    if slave.has_bad_status_in_body?(:broken_reason)
      talent_name = slave.get_bad_status_in_body_name(:broken_reason)
      price *= 0.7
      bonus_text_array << "#{talent_name}（×−３０％）"
    end

    # 巨乳ボーナス
    hooter_bonus =
      case slave.hooter_level
        when 6
          3.0
        when 5
          2.0
        when 4
          1.5
        when 3
          1.2
        else
          1.0
      end
    bonus_text_array << "巨乳サイズ（×#{100 * hooter_bonus}%）" if hooter_bonus > 1.0
    price *= hooter_bonus

    @bonus_text = bonus_text_array.join('、')

    price.to_i
  end

  def set_today_sales(sales)
    @today_sales = sales
  end

  def set_today_guest_number(today_guest_number)
    @today_guest_number = today_guest_number
  end

  def _base_spring_price_for_toho
    case spring_type
      when 'sex_toilet'
        3
      when 'wall_hole_spring'
        10
      when 'v_force_spring'
        25
      when 'v_whore_spring'
        42
      when 'a_whore_spring'
        35
      when 'all_whore_spring'
        36
      when 'pole_dance_spring'
        39
      when 'show_tent_spring'
        60
      else
        puts "invalid spring type!! #{spring_type}"
        0
    end
  end

  def _base_spring_price
    return _base_spring_price_for_toho if toho_mode

    case spring_type
      when 'sex_toilet'
        3
      when 'wall_hole_spring'
        10
      when 'v_force_spring'
        20
      when 'v_whore_spring'
        25
      when 'a_whore_spring'
        20
      when 'all_whore_spring'
        18
      when 'pole_dance_spring'
        13
      when 'show_tent_spring'
        20
      else
        puts "invalid spring type!! #{spring_type}"
        0
    end
  end

  def decrease_resist_for_spring!(dec)
    return if resist_for_spring_before.zero?
    @resist_for_spring_before = @resist_for_spring
    @resist_for_spring -= dec
    @resist_for_spring = 0 if resist_for_spring < 0
  end

  def diff_resist_for_spring
    resist_for_spring_before - resist_for_spring
  end

  def base_regist_by_spring_type
    case spring_type
      when 'sex_toilet'
        10
      when 'wall_hole_spring'
        10
      when 'v_force_spring'
        5
      when 'v_whore_spring'
        2
      when 'a_whore_spring'
        3
      when 'all_whore_spring'
        5
      when 'pole_dance_spring'
        0
      when 'show_tent_spring'
        0
      else
        puts "Invalid Spring Type!! #{spring_type}"
        0
    end
  end

  def base_mentally_exhaust_by_spring_type
    case spring_type
      when 'sex_toilet'
        0
      when 'wall_hole_spring'
        3
      when 'v_force_spring'
        4
      when 'v_whore_spring'
        5
      when 'a_whore_spring'
        7
      when 'all_whore_spring'
        5
      when 'pole_dance_spring'
        4
      when 'show_tent_spring'
        5
      else
        puts "Invalid Spring Type!!1! #{spring_type}"
        0
    end
  end

  REST_AMOUNT_OF_MENTALLY_EXHAUST = 30
  def rest_mentally_exhaust!
    return if broken_mentally_exhaust?
    @mentally_exhaust_before = @mentally_exhaust

    @mentally_exhaust = [
      (@mentally_exhaust + REST_AMOUNT_OF_MENTALLY_EXHAUST),
      MAX_AMOUNT_OF_MENTALLY_EXHAUST
    ].min
  end

  RECOVER_AMOUNT_OF_MENTALLY_EXHAUST_BY_BLESSING = 10
  def recover_mentally_exhaust_by_blessing!
    return if broken_mentally_exhaust?
    @mentally_exhaust_before = @mentally_exhaust

    @mentally_exhaust = [
      (@mentally_exhaust + RECOVER_AMOUNT_OF_MENTALLY_EXHAUST_BY_BLESSING),
      MAX_AMOUNT_OF_MENTALLY_EXHAUST
    ].min
  end

  def exhaust_mental!(dec)
    return if mentally_exhaust_before.zero?
    @mentally_exhaust_before = @mentally_exhaust

    @mentally_exhaust -= dec
    if @mentally_exhaust < 0
      @mentally_exhaust = 0
    end
  end

  def diff_mentally_exhaust
    mentally_exhaust_before - mentally_exhaust
  end

  def broken_mentally_exhaust?
    # 精神耐久度が０以下、かつ上書き人格を持たない
    (@mentally_exhaust <= 0) && !@slave.has_bad_status_in_body?(:override_identify)
  end
end
