# coding: utf-8
require_rrk 'src/app/model/version/version_data'

class VersionSecretary
  attr_accessor :version_data

  def initialize
    @version_data = VersionData.new
    @version_data.boot!
  end

  def now_game_version
    @version_data.game_version
  end

  def now_valid_version?
    has_valid_version?(now_game_version)
  end

  def has_valid_version?(version_number)
    version_file_path = _make_version_file_path(version_number)
    File.exist?(version_file_path)
  end

  def _make_version_file_path(version_number)
    File.join(File.absolute_path("."), 'versions', "version#{version_number.to_i}.txt")
  end
end
