# coding: utf-8

require_rrk 'src/app/service/dungeon/view/factory_menu_service'
require_rrk 'src/defines/dungeon/main_menu/magic_factory_script_helper'
require_rrk 'src/app/view_element_logic/dungeon/base_view_element_logic'
require_rrk 'src/app/helper/game_define_helper'

# 魔術工房を扱うよ
class FactoryViewElementLogic < BaseViewElementLogic
  include Dungeon::MainMenu::MagicFactoryHelper
  include GameDefineHelper

  def initialize
    @factory_menu_service = Dungeon::FactoryMenuService.new
    super
  end

  def show_magic_factory
    @view_element_converter.make_menu_items_to(
      @factory_menu_service.show_magic_factory + back_to_top)
  end

  def show_slave_positions(list)
    @view_element_converter.make_menu_items_to(
      @factory_menu_service.show_slave_positions(list))
  end

  def make_slave_position_detail(slave_id, scripts)
    @view_element_converter.make_script_menu_items_to(
      show_slave_positions_list(slave_id)
    ) +
      make_scripts_from(scripts)
  end

  def make_slave_brothel_position_detail(slave_id, slave, dungeon_master, scripts)
    @view_element_converter.make_script_menu_items_to(
      show_slave_brothel_positions_list(slave_id, slave, dungeon_master)
    ) +
      make_scripts_from(scripts)
  end

  def show_slave_brothel_list(list)
    @view_element_converter.make_script_menu_items_to(
      @factory_menu_service.show_slave_brothel_list(list)
    )
  end

  def make_slave_tentacle_lab_position_detail(slave_id, dungeon_master, scripts)
    @view_element_converter.make_script_menu_items_to(
      show_slave_tentacle_lab_positions_list(slave_id, dungeon_master)
    ) +
      make_scripts_from(scripts)
  end

  def show_slave_tentacle_lab_list(list)
    @view_element_converter.make_script_menu_items_to(
      @factory_menu_service.show_slave_tentacle_lab_list(list)
    )
  end

end
