# coding: utf-8
module Dungeon
  module MainMenu
    module JailScriptHelper
      require_rrk 'src/defines/dungeon/tattoos_list'
      include TattoosList

      def show_prisoner_custom_list(slave_id, slave, dungeon_master)
        list = TATTOOS_LIST.map do |_, tattoo|
          next if slave.has_tattoo?(tattoo[:key])
          next if tattoo[:has_book] && !tattoo[:has_book].all? { |book|
            dungeon_master.has_book?(book)
          }

          {
            'type' => 'button',
            'text' => "#{slave.short_name}に#{tattoo[:name]}（#{tattoo[:cost]}）を刻む",
            'action' => "brand_detail_#{tattoo[:key]}_tattoo_#{slave_id}",
          }
        end
        list.compact + [
          {
            'type' => 'button',
            'text' => '（ステータス画面に戻る）',
            'action' => "show_prisoner_in_jail_#{slave_id}",
          }
        ]
      end

      def show_betray_servant_custom_list(slave_id, slave, dungeon_master)
        [
          {
            'type' => 'button',
            'text' => "#{slave.short_name}のレベルを上げる（必要魔力：#{slave.magic_power_betrayed_level_up(slave)}）",
            'action' => "level_up_betray_servant_#{slave_id}",
          },
          {
            'type' => 'button',
            'text' => '戻る',
            'action' => 'show_betray_servant_cage',
          },
        ]

      end

      def brand_detail_tattoo_buttons(slave_id, slave, tattoo)
        [
          {
            'type' => 'button',
            'text' => "#{slave.short_name}に[#{tattoo[:name]}]を刻む",
            'action' => "brand_#{tattoo[:key]}_tattoo_#{slave_id}",
          },
          {
            'type' => 'button',
            'text' => '戻る',
            'action' => "show_jail_details_for_custom_#{slave_id}",
          },
        ]
      end

      def brand_detail_tattoo_buttons_in_shortage(slave_id)
        [
          {
            'type' => 'button',
            'text' => '戻る',
            'action' => "show_jail_details_for_custom_#{slave_id}",
          },
        ]
      end
    end
  end
end
