# coding: utf-8

module MonsterListV5
  MASTER_MONSTERS = {
    # ゴブリン
    # ホブゴブリン
    # ブラックゴブリン

    # オーク
    # トロル
    # オーガ

    # コボルト
    # ハイコボルト
    # ワーウルフ

    # インプ
    # レッサーデーモン
    # デーモン

    # イビル・メイジ
    # デミ・イビル
    # ダークロード

    # リザードマン
    # ブラックリザードマン
    # ドラゴニュート

    # ビーストヘッド
    # ビーストマン
    # ミノタウロス

    goblin: [1, 2, 3],
    ork: [11, 12, 13],
    kobold: [21, 22, 23],
    daemon: [31, 32, 33],
    mage: [41, 42, 43],
    lizard: [51, 52, 53],
    beastman: [61, 62, 63],
  }

  DEFAULT_MONSTERS = {
    goblin: [1, 2, 3],
    ork: [11, 12, 13],
    kobold: [21, 22, 23],
    daemon: [31, 32, 33],
    mage: [41, 42, 43],
    lizard: [51, 52, 53],
    beastman: [61, 62, 63],
  }

  GUARD_MONSTER_DEFINE_LIST = {
    101 => {
      name: 'ウルク',
      unit_name: '体',
      type: :urk,
      magic_power: 800, # １ユニット召喚する時のコスト
      power: 70,
      life_point: 70,
      is_beast: false,
      is_dirty: true,
      description: %w(
古き大陸の北の半分の国家を次々と焼き滅ぼした「赤き魔王」の軍勢の、中核にして精鋭をなした恐るべき魔物たちです。
「赤き魔王」は誇り高い種族を穢し、作り変え、己に従わせる術に長けていました。
赤き魔王の魔物の軍勢は、数え切れぬほどの魔物たち、ゴブリン、コボルド、オークなどを兵として持っていました。
中でも赤き魔王が将軍、参謀、あるいは親衛隊とするために作り出したものが、強靭な体格を持つオークの知性と理性、魔術と体格を強化した「ウルク」です。
呪われし地より優れたオークを呼び出し、さらに呪法を模した魔術強化を同時に加えたものがウルクの最初の世代でした。
ウルクは優れた知性を持つ人間やエルフの母胎を利用して子を作ることで数を増やしました。
そのために非常に高いレベルの知性を持ち、魔術への強い適性を持つと言われています。
      ),
      bad_status_in_dive: {
        paralysis: 7,
        fever: 6,
      },
      bad_status_in_body: {
        broken_reason: 10,
        v_expanded: 7,
        a_expanded: 6,
        sperm_shot_orgasm: 7,
        oral_sperm_shot_orgasm: 5,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 10,
        semen_holic: 20,
        oral_semen_holic: 12,
        v_semen_holic: 15,
        dirty_sex_holic: 10,
        gang_rape_holic: 10,
        aphrodisiac_semen_holic: 12,
        beast_sex_holic: 10,
      },
      skills: %w(arrest),
    },
  }

  MONSTER_DEFINE_LIST = {
    1 => {
      name: 'ゴブリン',
      short_name: 'ゴブリン',
      unit_name: '体',
      type: :goblin,
      power: 2,
      life_point: 2,
      is_beast: true,
      is_dirty: true,
      description: %w(
他の強い種族によって地上から追い払われたゴブリンたちが洞窟に住み着いたもの。
性格は獰猛で好戦的。知性こそ低いが、集団戦やトラップを使いこなす。
強い者とは戦わないが、勝ち目があると見ると集団で襲いかかってくる。
その繁殖力は強く数で押す傾向がある。
また、捕らえた女を使って数を増やすこともあるという。
      ),
      bad_status_in_body: {
        sperm_shot_orgasm: 1,
        oral_sperm_shot_orgasm: 1,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 5,
        semen_holic: 10,
        oral_semen_holic: 3,
        v_semen_holic: 5,
        drug_sex_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 3,
      },
    },
    2 => {
      name: 'ホブ・ゴブリン',
      short_name: 'ホブゴブリン',
      unit_name: '体',
      type: :goblin,
      power: 5,
      life_point: 8,
      is_beast: true,
      is_dirty: true,
      description: %w(
ゴブリンより大型の上位種。
奴隷階級としてのゴブリンたちを従え、より多くの栄養を得たことで大型化したその姿はゴブリンといえど侮れない。
性格は獰猛で好戦的。知性こそ低いが、集団戦やトラップを使いこなす。
武器には痺れ毒が塗られている時もあるので油断はできない。
強い者とは戦わないが、勝ち目があると見ると集団で襲いかかってくる。
その繁殖力は強く数で押す傾向がある。
また、捕らえた女を使って数を増やすこともあるという。
      ),
      bad_status_in_dive: {
        paralysis: 1,
        fever: 1,
        aphrodisiac_fever: 5,
      },
      bad_status_in_body: {
        broken_reason: 1,
        v_expanded: 1,
        a_expanded: 1,
        sperm_shot_orgasm: 1,
        oral_sperm_shot_orgasm: 2,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 5,
        semen_holic: 10,
        oral_semen_holic: 3,
        v_semen_holic: 5,
        drug_sex_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 3,
      },
    },
    3 => {
      name: 'ブラック・ゴブリン',
      short_name: 'Ｂゴブリン',
      unit_name: '体',
      type: :goblin,
      power: 8,
      life_point: 13,
      is_beast: true,
      is_dirty: true,
      description: %w(
浅黒い肌を持つ、ゴブリンより大型の上位種。
奴隷階級としてのゴブリンたちを従え、より多くの栄養を得たことで大型化したその姿はゴブリンといえど侮れない。
階級化された社会と、魔術を操る少数のゴブリンメイジや戦術を操るその姿はもはや愚劣なゴブリンと同種とは言えない。
強い者とは戦わないが、勝ち目があると見ると集団で襲いかかってくる。
武器には痺れ毒が塗られている時もあるので油断はできない。
その繁殖力は強く数で押す傾向がある。
また、捕らえた女を使って数を増やすこともあるという。
      ),
      bad_status_in_body: {
        broken_reason: 1,
        v_expanded: 1,
        a_expanded: 1,
        sperm_shot_orgasm: 1,
        oral_sperm_shot_orgasm: 2,
      },
      bad_status_in_dive: {
        paralysis: 2,
        fever: 2,
        aphrodisiac_fever: 5,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 5,
        semen_holic: 10,
        oral_semen_holic: 3,
        v_semen_holic: 5,
        drug_sex_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 3,
      },
    },
    11 => {
      name: 'オーク', # 戦士特攻
      short_name: 'オーク',
      unit_name: '体',
      power: 15,
      life_point: 13,
      type: :ork,
      is_beast: true,
      is_dirty: true,
      description: %w(
ゴブリンに見た目は似ているが、全体的に大型化し、力も強い。
硬い外皮は生半可な剣戟を簡単に弾くだろう。
丸太のような腕を振り回す攻撃は強力で、防御していてもダメージは大きいだろう。
しっかりとした盾や鎧によって受け止めつつ確実にダメージを与えられなければ厄介な相手になる。
狡猾な性格で、罠を使いこなす。また武器には痺れ毒が塗られていることもある。
      ),
      bad_status_in_dive: {
        paralysis: 3,
        fever: 3,
      },
      bad_status_in_body: {
        broken_reason: 3,
        v_expanded: 3,
        a_expanded: 3,
        sperm_shot_orgasm: 6,
        oral_sperm_shot_orgasm: 3,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 5,
        semen_holic: 16,
        oral_semen_holic: 7,
        v_semen_holic: 8,
        dirty_sex_holic: 5,
        gang_rape_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 5,
      },
      skills: %w(arrest),
    },
    12 => {
      name: 'トロル', # 戦士特攻
      unit_name: '体',
      power: 17,
      life_point: 23,
      type: :ork,
      is_beast: true,
      is_dirty: true,
      description: %w(
オークがさらに大型化、凶暴化したもの。
知性は下位種にくらべて発達している。棍棒や鉄斧、大型の鉄塊じみた剣などの武器で武装している。
武器や防具は略奪された冒険者が装備していた質の高いものだが、手入れはされていない。
しかし頑健な肉体から繰り出される攻撃は圧倒的で、多くの冒険者たちの人生を断ち切ってきた。
ダメージを与えることも容易ではなく、決して油断できる相手ではないだろう。
      ),
      bad_status_in_dive: {
        paralysis: 4,
        fever: 4,
      },
      bad_status_in_body: {
        broken_reason: 5,
        v_expanded: 5,
        a_expanded: 5,
        sperm_shot_orgasm: 12,
        oral_sperm_shot_orgasm: 8,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 8,
        semen_holic: 17,
        oral_semen_holic: 10,
        v_semen_holic: 11,
        dirty_sex_holic: 7,
        gang_rape_holic: 7,
        aphrodisiac_semen_holic: 8,
        beast_sex_holic: 7,
      },
      skills: %w(arrest),
    },
    13 => {
      name: 'オーガ', # 戦士特攻
      short_name: 'オーガ',
      unit_name: '体',
      power: 30,
      life_point: 29,
      type: :ork,
      is_beast: true,
      is_dirty: true,
      description: %w(
オークの上位種たるトロルのさらに上位種にあたる。
歩けば地面を揺らす大型の体はもはや伝承における「鬼」に近い。
多くの場合兜で覆われた発達した頭部は彼らに戦術や体術を考えさせる知性を与えた。
それでなくとも強靭で頑健な肉体から繰り出される膂力は圧倒的で、抵抗する人々を容赦なく叩き潰す。
彼らが現れれば、すぐにいくつもの人間やエルフの集落は滅ぼされた。
奴隷に堕とした女たちを孕ませながら緑色の肌をもつこの悪魔たちは数を増やしている。
集落を焼きながら移動するその姿は、移動する災厄といえるだろう。
      ),
      bad_status_in_dive: {
        paralysis: 7,
        fever: 6,
      },
      bad_status_in_body: {
        broken_reason: 7,
        v_expanded: 7,
        a_expanded: 7,
        sperm_shot_orgasm: 15,
        oral_sperm_shot_orgasm: 10,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 10,
        semen_holic: 20,
        oral_semen_holic: 12,
        v_semen_holic: 15,
        dirty_sex_holic: 10,
        gang_rape_holic: 10,
        aphrodisiac_semen_holic: 12,
        beast_sex_holic: 10,
      },
      skills: %w(arrest),
    },
    21 => {
      name: 'コボルト',
      unit_name: '体',
      type: :kobold,
      power: 2,
      life_point: 3,
      is_beast: true,
      is_dirty: true,
      description: %w(
犬のような顔をした獣人の一種。
亜人を迫害する人間たちの勢力拡大によって地上を追われた彼らが流れ着いたのがこのダンジョンだった。
簡単な武器と粗末な装備、低い知性しか持たないが、その嗅覚と敏捷さは冒険者にとっては厄介に感じるだろう。
      ),
      skill_personality: {
      },
      bad_status_in_body: {
        broken_reason: 1,
        v_expanded: 1,
        a_expanded: 1,
        uterus_expanded: 1,
        sperm_shot_orgasm: 1,
        oral_sperm_shot_orgasm: 1,
      },
      skill_holic: {
        masochism_ecstasy_holic: 5,
        semen_holic: 10,
        oral_semen_holic: 3,
        v_semen_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 15,
      },
    },
    22 => {
      name: 'ハイコボルト',
      unit_name: '体',
      type: :kobold,
      power: 8,
      life_point: 11,
      is_beast: true,
      is_dirty: true,
      description: %w(
犬のような顔をした獣人の一種。コボルトの上位種。
硬い毛皮と針金のような毛、筋肉で全身を鎧ったその姿は小型の熊のようだ。
簡単な武器と粗末な装備、低い知性しか持たないが、その嗅覚と敏捷さ、何より肉体能力は冒険者にとっては厄介に感じるだろう。
武器には痺れ毒が塗られている時もあるので油断はできない。
      ),
      bad_status_in_dive: {
        paralysis: 2,
        aphrodisiac_fever: 7,
      },
      bad_status_in_body: {
        broken_reason: 2,
        v_expanded: 2,
        a_expanded: 2,
        uterus_expanded: 2,
        sperm_shot_orgasm: 2,
        oral_sperm_shot_orgasm: 1,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 5,
        semen_holic: 10,
        oral_semen_holic: 3,
        v_semen_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 15,
      },
    },
    23 => {
      name: 'ワーウルフ',
      unit_name: '体',
      type: :kobold,
      power: 17,
      life_point: 26,
      is_beast: true,
      is_dirty: true,
      description: %w(
二足歩行で歩く、狼と熊の中間のような存在。
硬い毛皮と針金のような毛、鋼のごとき筋肉で全身を鎧ったその姿は熊のようだ。
人間に姿が近くなった分その動きは俊敏になり、多彩な戦術を操るようになった。
主に金属製の鎧と、冒険者から奪った装備で武装している。
統率の取れた動きと嗅覚、敏捷さ。何より肉体能力は多くの冒険者が命を奪われるか、あるいはそれ以上の絶望を味あわされてきた。
      ),
      bad_status_in_dive: {
        paralysis: 7,
        aphrodisiac_fever: 11,
      },
      bad_status_in_body: {
        broken_reason: 3,
        v_expanded: 3,
        a_expanded: 3,
        uterus_expanded: 3,
        sperm_shot_orgasm: 3,
        oral_sperm_shot_orgasm: 2,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 7,
        semen_holic: 18,
        oral_semen_holic: 9,
        v_semen_holic: 11,
        dirty_sex_holic: 10,
        gang_rape_holic: 12,
        aphrodisiac_semen_holic: 10,
        beast_sex_holic: 15,
      },
    },
    31 => {
      name: 'インプ', # アンチ戦士
      unit_name: '体',
      power: 1,
      life_point: 4,
      cost: 9,
      type: :daemon,
      description: %w(
翼のついた小人のような姿をしている。
醜い顔を持ちその邪悪そうな表情どおり狡猾な知性を持つ。
長く凶悪な形状の男性器をぶら下げ、女と見ると執拗に襲いかかる。
群れで行動する習性がある。
相手の剣の届かない場所から一撃離脱で襲いかかるために厄介だ。
      ),
      skill_personality: {
      },
      bad_status_in_body: {
        broken_reason: 2,
        v_expanded: 2,
        a_expanded: 2,
        uterus_expanded: 2,
        sperm_shot_orgasm: 2,
        oral_sperm_shot_orgasm: 1,
      },
      skill_holic: {
        masochism_ecstasy_holic: 5,
        semen_holic: 7,
        gang_rape_holic: 5,
      },
    },
    32 => {
      name: 'レッサー・デーモン', # アンチ戦士
      short_name: '亜デーモン',
      unit_name: '体',
      power: 10,
      life_point: 8,
      cost: 9,
      type: :daemon,
      description: %w(
翼のついた獣人じみた外見をしたモンスター。
棘やコブのついた男性器をぶら下げ、女と見ると執拗に襲いかかる。
下位種に比べ、人間らしい面影のある顔立ちをしていることから、人間や亜人の女を使って繁殖していることは明らかだ。
戦術を用いる傾向にあり、群れで行動する習性がある。
相手の剣の届かない場所から一撃離脱で襲いかかる
      ),
      bad_status_in_dive: {
        paralysis: 3,
        fever: 2,
      },
      bad_status_in_body: {
        broken_reason: 2,
        v_expanded: 2,
        a_expanded: 2,
        uterus_expanded: 2,
        customed_ovary: 2,
        sperm_shot_orgasm: 2,
        oral_sperm_shot_orgasm: 1,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 5,
        semen_holic: 10,
        oral_semen_holic: 2,
        v_semen_holic: 3,
        drug_sex_holic: 6,
        gang_rape_holic: 5,
        aphrodisiac_semen_holic: 8,
      },
    },
    33 => {
      name: 'デーモン', # アンチ戦士
      unit_name: '体',
      power: 25,
      life_point: 26,
      type: :daemon,
      description: %w(
翼を持ち、黒い肌を保つ亜人種のモンスター。
混沌の影響を強く受けており、赤く光る目と黒い肌、口元に見える長い牙が特徴。
流暢に人の言葉を操り、交渉や取引、あるいは会話を試みようとする。
ただしそれは女を罠にはめ、犯し、いたぶるための悪辣な罠であり、会話をするべきではない。
棘やコブのついた男性器をぶら下げ、女と見ると執拗に襲いかかる。
精液には麻薬じみた中毒性を持つ媚薬効果があり、この虜となった女の未来には破滅しかなくなってしまう。
人間らしい面影のある顔立ちと体つきをしていることから、人間や亜人の女を使って繁殖していることは明らかだ。
待ち伏せや包囲など戦術を用いる傾向にあり、群れで行動する習性がある。
相手の剣の届かない場所から一撃離脱で襲いかかる
      ),
      bad_status_in_dive: {
        paralysis: 7,
        fever: 7,
        hypno: 10,
      },
      bad_status_in_body: {
        broken_reason: 2,
        v_expanded: 2,
        a_expanded: 2,
        uterus_expanded: 2,
        customed_ovary: 2,
        sperm_shot_orgasm: 4,
        oral_sperm_shot_orgasm: 3,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 8,
        semen_holic: 15,
        oral_semen_holic: 6,
        v_semen_holic: 8,
        drug_sex_holic: 10,
        gang_rape_holic: 12,
        aphrodisiac_semen_holic: 11,
      },
    },
    41 => {
      name: 'イビル・メイジ',
      short_name: 'Ｅメイジ',
      unit_name: '体',
      power: 12,
      life_point: 10,
      type: :mage,
      description: %w(
ローブをまとい杖をついたモンスター。
元は人間であったが、魔力がもつ力に取り憑かれてしまった魔導師。
己の魂と肉体を悪魔に捧げることで圧倒的な力を得ることができたが、その代価は大きく彼の者の精神と肉体と魂は悪魔たちに隷属することになった。
このダンジョンに召喚された彼らは、亡者のように地底の底をさまよい続けている。
しかし彼らが操る魔術の数々や、使役する死霊傀儡の元冒険者たちは侮れない実力を持つ。
      ),
      bad_status_in_body: {
        broken_reason: 3,
        v_expanded: 1,
        a_expanded: 1,
        uterus_expanded: 2,
        customed_ovary: 2,
        breast_milk: 1,
        sperm_shot_orgasm: 2,
        oral_sperm_shot_orgasm: 1,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 5,
        semen_holic: 7,
        gang_rape_holic: 5,
      },
    },
    42 => {
      name: 'デミ・イビル',
      short_name: 'Ｄイビル',
      unit_name: '体',
      power: 22,
      life_point: 17,
      type: :mage,
      description: %w(
ローブをまとった浅黒い肌を保つ人間型モンスター。
元は人間であったが、暗黒魔術がもつ「力」に取り憑かれてしまった魔導師が、暗黒魔術の使いすぎによって魔物の力に侵食された姿。
その価値観や思考は人間よりも悪魔のものに近い。
倒した人間を洗脳し死霊兵として使役したり、戯れに他の魔物たちに力を授け、後から法外な代償を取り立てたりする。
捕らえた女を嬲る時にも、狡猾な言葉と洗脳魔術で精神の隙間に入り込み、女の矜持と理性を容赦なく蹂躙していく。
半ば悪魔へと転化したその姿と放たれる強い暗黒魔力は相対した相手に悪寒を感じさせずにはいられない。
死霊兵に守られ、強力な魔術を使う半悪魔たちは決して侮ってはいけない存在だ。
      ),
      bad_status_in_body: {
        broken_reason: 5,
        v_expanded: 1,
        a_expanded: 1,
        uterus_expanded: 2,
        customed_ovary: 2,
        breast_milk: 2,
        sperm_shot_orgasm: 3,
        oral_sperm_shot_orgasm: 2,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 9,
        semen_holic: 9,
        gang_rape_holic: 7,
      },
    },
    43 => {
      name: 'ダークロード',
      short_name: 'Ｄロード',
      unit_name: '体',
      power: 27,
      life_point: 31,
      type: :mage,
      description: %w(
マントをまとった黒い肌と紅の瞳をつ人間型モンスター。
元は人間であったが、暗黒魔術がもつ「力」に取り憑かれてしまった魔導師が、悪魔に隷属し、その血族と成り果てた姿。
その価値観や思考は悪魔そのものだ。
倒した人間を「転化」し、死ぬまで半死兵として使役したり、戯れに他の魔物たちに力を授け、後から法外な代償を取り立てたりする。
捕らえた女を嬲る時にも、狡猾な言葉と洗脳魔術で精神の隙間に入り込み、女の矜持と理性を容赦なく蹂躙していく。
また元・人間だけあって人間の急所や弱点をよく理解しており、戦術の隙をついて狡猾に襲いかかってくる。
悪魔そのものへと転化したその外見と放たれる強い暗黒魔力は相対した相手に悪寒を感じさせずにはいられない。
従者である半死兵に守られ、強力な魔術と圧倒的な膂力を誇る彼らは、上級の冒険者でなければ歯が立たないだろう。
      ),
      bad_status_in_body: {
        broken_reason: 7,
        v_expanded: 1,
        a_expanded: 1,
        uterus_expanded: 2,
        customed_ovary: 2,
        breast_milk: 2,
        sperm_shot_orgasm: 4,
        oral_sperm_shot_orgasm: 3,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 12,
        semen_holic: 11,
        gang_rape_holic: 7,
      },
      skills: %w(arrest),
    },
    51 => {
      name: 'リザードマン',
      short_name: 'リザード',
      unit_name: '体',
      power: 14,
      life_point: 10,
      type: :lizard,
      is_beast: true,
      description: %w(
身体中に鱗の生えた爬虫類のごとき亜人。
噂によれば、人の女が竜種によって孕まされたことで生まれた竜の下等種らしい。
社会性を持ち、集団で行動し、簡易な鎧と武器で武装している。
鋭い爪はたやすく冒険者の革鎧を切り裂き、硬い鱗は生半可な一撃は受け止めてしまう。
個体によっては炎を操り、簡易な魔術すらも使いこなす危険な亜人だ。
      ),
      bad_status_in_body: {
        broken_reason: 3,
        v_expanded: 3,
        a_expanded: 2,
        uterus_expanded: 5,
        customed_ovary: 1,
        sperm_shot_orgasm: 5,
        oral_sperm_shot_orgasm: 3,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 3,
        semen_holic: 3,
        oral_semen_holic: 1,
        v_semen_holic: 1,
        beast_sex_holic: 5,
      },
    },
    52 => {
      name: 'ブラックリザードマン', # 戦士特攻
      short_name: 'Ｂリザード',
      unit_name: '体',
      power: 21,
      life_point: 20,
      type: :lizard,
      is_beast: true,
      description: %w(
身体中に鱗の生えた爬虫類のごとき亜人。
噂によれば、人の女が竜種によって孕まされたことで生まれた竜の下等種らしい。
北方に住み、混沌の影響を強く受けていたため黒い鱗を持ち、また大型化している。
社会性を持ち、集団で行動する。
背中側を硬い鱗で多い、弱点である腹を鎧で武装することが多い。
鋭い爪はたやすく冒険者の革鎧を切り裂き、硬い鱗は生半可な一撃では傷をつけることもできない。
個体によっては炎を操り、高度な魔術すらも使いこなす危険な亜人だ。
      ),
      bad_status_in_body: {
        broken_reason: 5,
        v_expanded: 4,
        a_expanded: 3,
        uterus_expanded: 5,
        customed_ovary: 1,
        sperm_shot_orgasm: 7,
        oral_sperm_shot_orgasm: 5,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 5,
        semen_holic: 5,
        oral_semen_holic: 3,
        v_semen_holic: 3,
        beast_sex_holic: 7,
      },
    },
    53 => {
      name: 'ドラゴニュート', # 戦士特攻
      short_name: 'Ｄニュート',
      unit_name: '体',
      power: 30,
      life_point: 30,
      type: :lizard,
      is_beast: true,
      description: %w(
身体中に鱗の生えた爬虫類のごとき亜人。
もともとは北方の竜が守護する地において、竜に近仕や警護する人間たちに力を与えたことでこの姿になったとされる。
しかし北方は混沌の跋扈する地となり、竜は斃れ、その従者である彼らも邪悪な力によって歪められてしまった。
高位の亜人種らしく、高度な魔導技術と高い肉体能力を示し、戦術と集団戦で多くの冒険者を打ち倒してきた。
また混沌によって欲望を剥き出しにした彼らは、蛮人のように女を犯し楽しもうとする。
邪悪に歪められてしまった竜人たちが元の姿に戻ることは、もはやない。
      ),
      bad_status_in_body: {
        broken_reason: 7,
        v_expanded: 5,
        a_expanded: 3,
        uterus_expanded: 6,
        customed_ovary: 1,
        sperm_shot_orgasm: 8,
        oral_sperm_shot_orgasm: 6,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 8,
        semen_holic: 14,
        oral_semen_holic: 7,
        v_semen_holic: 7,
        beast_sex_holic: 15,
      },
      skills: %w(arrest),
    },
    61 => {
      name: 'ビーストヘッド',
      short_name: 'Ｂヘッド',
      unit_name: '体',
      type: :beastman,
      power: 8,
      life_point: 12,
      is_beast: true,
      is_dirty: true,
      description: %w(
邪教を崇拝し、獣の頭をかぶった蛮人たちの集団。
破壊と殺戮、陵辱と略奪こそが信仰のための行為と信じて北の大地を荒らしまわってきた。
魔術と儀式による洗礼行為によって、肉体的強化を得る代わりにもはや彼らは人間よりもモンスターに近い存在となっている。
死を恐れない攻撃と鍛え上げられた体躯から振り下ろされる斧や戦鎚をまともに受ければ死は逃れられないだろう。
      ),
      bad_status_in_body: {
        broken_reason: 5,
        v_expanded: 5,
        a_expanded: 4,
        uterus_expanded: 3,
        sperm_shot_orgasm: 5,
        oral_sperm_shot_orgasm: 2,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 5,
        semen_holic: 10,
        oral_semen_holic: 3,
        v_semen_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 15,
      },
      skills: %w(arrest),
    },
    62 => {
      name: 'ビーストマン',
      unit_name: '体',
      type: :beastman,
      power: 19,
      life_point: 22,
      is_beast: true,
      is_dirty: true,
      description: %w(
邪教を崇拝する、獣人たちの集団。
破壊と殺戮、陵辱と略奪こそが信仰のための行為と信じて北の大地を荒らしまわってきた。
村々を襲っては人間よりもふたまわりは大きい体格で多くの戦士を粉砕し、女たちを拐い、子供を産ませては数を増やしてきた。
死を恐れない攻撃と鍛え上げられた体躯から振り下ろされる斧や戦鎚の力は恐ろしい威力を持つ。
      ),
      bad_status_in_dive: {
        paralysis: 2,
        aphrodisiac_fever: 7,
      },
      bad_status_in_body: {
        broken_reason: 7,
        v_expanded: 7,
        a_expanded: 4,
        uterus_expanded: 3,
        sperm_shot_orgasm: 6,
        oral_sperm_shot_orgasm: 4,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 5,
        semen_holic: 10,
        oral_semen_holic: 3,
        v_semen_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 15,
      },
      skills: %w(arrest),
    },
    63 => {
      name: 'ミノタウロス',
      unit_name: '体',
      type: :beastman,
      power: 35,
      life_point: 36,
      is_beast: true,
      is_dirty: true,
      description: %w(
邪教を崇拝する、牛の頭を持つ呪われた獣人たちの集団。
破壊と殺戮、陵辱と略奪こそが信仰のための使命と信じ、北の果ての国に死と破壊をふりまいてきた。
鋼のような筋肉は多くの兵士の武器を受け付けず、人間よりもはるかに大きな体格から振り下ろされる戦斧の攻撃は人間をやすやすと砕いてしまう。
男たちを殺戮し、女たちを拐い、子供を産ませては数を増やしてきた。
時には徒党を組み城壁で囲まれた都市すらも襲い、守る兵を殺戮し、都市ごと荒らすという。
この牛頭の悪魔たちが跋扈した北の果ての国では、多くの開拓民たちが切り開いた土地が数年で荒廃した無人の地に戻ってしまった。
      ),
      bad_status_in_dive: {
        paralysis: 7,
        aphrodisiac_fever: 11,
      },
      bad_status_in_body: {
        broken_reason: 9,
        v_expanded: 10,
        a_expanded: 5,
        uterus_expanded: 5,
        sperm_shot_orgasm: 7,
        oral_sperm_shot_orgasm: 5,
      },
      skill_personality: {
      },
      skill_holic: {
        masochism_ecstasy_holic: 7,
        semen_holic: 18,
        oral_semen_holic: 9,
        v_semen_holic: 11,
        dirty_sex_holic: 10,
        gang_rape_holic: 12,
        aphrodisiac_semen_holic: 10,
        beast_sex_holic: 15,
      },
      skills: %w(arrest),
    },
  }

  FLOOR_ENEMIES_LIST = {
    1 => {
      enemy_id: 1,
    },
    2 => {
      enemy_id: 21,
    },
    3 => {
      enemy_id: 31,
    },
    4 => {
      enemy_id: 2,
    },
    5 => {
      enemy_id: 21,
    },
    6 => {
      enemy_id: 31,
    },
    7 => {
      enemy_id: 2,
    },
    8 => {
      enemy_id: 41,
    },
    9 => {
      enemy_id: 61,
    },
    10 => {
      enemy_id: 11,
    },
    11 => {
      enemy_id: 51,
    },
    12 => {
      enemy_id: 11,
    },
    13 => {
      enemy_id: 41,
    },
    14 => {
      enemy_id: 61,
    },
    15 => {
      enemy_id: 3,
    },
    16 => {
      enemy_id: 12,
    },
    17 => {
      enemy_id: 22,
    },
    18 => {
      enemy_id: 32,
    },
    19 => {
      enemy_id: 42,
    },
    20 => {
      enemy_id: 52,
    },
    21 => {
      enemy_id: 62,
    },
    22 => {
      enemy_id: 3,
    },
    23 => {
      enemy_id: 22,
    },
    24 => {
      enemy_id: 32,
    },
    25 => {
      enemy_id: 52,
    },
    26 => {
      enemy_id: 12,
    },
    27 => {
      enemy_id: 42,
    },
    28 => {
      enemy_id: 62,
    },
    29 => {
      enemy_id: 23,
    },
    30 => {
      enemy_id: 33,
    },
    31 => {
      enemy_id: 53,
    },
    32 => {
      enemy_id: 13,
    },
    33 => {
      enemy_id: 43,
    },
    34 => {
      enemy_id: 63,
    },
    35 => {
      enemy_id: 23,
    },
    36 => {
      enemy_id: 33,
    },
    37 => {
      enemy_id: 53,
    },
    38 => {
      enemy_id: 13,
    },
    39 => {
      enemy_id: 43,
    },
    40 => {
      enemy_id: 63,
    },
  }

  DUNGEON_MASTER_SUMMONS_LIST = {
  }
end
