# coding: utf-8

module TrapList
  # トラップ追加時にはここに定義追加すること（1/3）
  MASTER_TRAPS = {
    hole: [1, 3, 5, 6],
    teleporter: [2, 4, 7, 8],
    slime_pool: [11, 12, 13],
    gas: [21, 22],
    v_tentacle: [51, 52, 53 ,54],
    a_tentacle: [61, 62, 63 ,64],
    c_tentacle: [71, 72, 75],
    b_tentacle: [73, 74, 76],
    injection_tentacle: [41, 42, 43],
    penis: [81, 82],
    hypno_sex: [91, 92],
    possession: [93, 94],
    possession_wank: [95, 96],
    monster_house: [31],
    simple_trap: [101, 102, 103],
    enchant_pool: [121, 122],
    tentacle_pool: [131, 132],
    v_vibe_belt: [141, 142, 143],
    ero_shot: [151, 152],
    arresting: [161, 162, 163],
  }

  DEFAULT_TRAPS = {
    hole: [1],
    teleporter: [2],
    slime_pool: [11],
    gas: [21],
    v_tentacle: [],
    a_tentacle: [],
    c_tentacle: [],
    b_tentacle: [],
    injection_tentacle: [41],
    penis: [],
    hypno_sex: [],
    possession: [],
    possession_wank: [],
    monster_house: [],
    simple_trap: [101, 102, 103],
    enchant_pool: [],
    tentacle_pool: [],
    v_vibe_belt: [],
    ero_shot: [],
    arresting: [],
  }

  # トラップ追加時にはここに定義追加すること（2/3）
  TRAP_DEFINE_LIST = {
    # 0x系は位置移動
    1  => { # 個人用
            name: '落とし穴',
            type: :hole,
    },
    2  => { # パーティ用
            name: '転移方陣',
            type: :teleporter,
    },
    3  => { # 個人用(落ちるフロアが大きい)
            name: '落とし穴Lv2',
            type: :hole,
    },
    4  => { # パーティ用(落ちるフロアが大きい)
            name: '転移方陣Lv2',
            type: :teleporter,
    },
    5  => { # 個人用(落ちるフロアが大きい)
            name: '落とし穴Lv3',
            type: :hole,
    },
    6  => { # 個人用(落ちるフロアが大きい)
            name: '落とし穴Lv4',
            type: :hole,
    },
    7  => { # パーティ用(落ちるフロアが大きい)
            name: '転移方陣Lv3',
            type: :teleporter,
    },
    8  => { # パーティ用(落ちるフロアが大きい)
            name: '転移方陣Lv4',
            type: :teleporter,
    },
    # 1x系は装備解除
    11 => {
      name: 'スライムプール',
      type: :slime_pool,
    },
    12 => {
      name: '麻痺効果つきスライムプール',
      type: :slime_pool,
      bad_status_in_dive: {
        paralysis: 25,
      },
    },
    13 => {
      name: '媚薬効果つきスライムプール',
      type: :slime_pool,
      bad_status_in_dive: {
        aphrodisiac: 25,
        aphrodisiac_fever: 8,
      },
      ero_develop_rate: {
        v: {
          success: 0.2,
          rate:    0.1,
        },
        a: {
          success: 0.2,
          rate:    0.1,
        },
        c: {
          success: 0.2,
          rate:    0.1,
        },
        b: {
          success: 0.2,
          rate:    0.1,
        },
      },
    },
    # 2x系はバステ付与
    21 => {
      name: '催淫ガス',
      type: :gas,
      bad_status_in_dive: {
        aphrodisiac: 10,
        aphrodisiac_fever: 20,
      },
    },
    22 => {
      name: '集団催淫ガス',
      type: :gas,
      bad_status_in_dive: {
        aphrodisiac: 10,
        aphrodisiac_fever: 15,
      },
    },
    23 => {
      name: '広範囲催淫ガス',
      type: :gas,
      bad_status_in_dive: {
        aphrodisiac: 10,
        aphrodisiac_fever: 15,
      },
    },
    24 => {
      name: 'フロア全体催淫ガス',
      type: :gas,
      bad_status_in_dive: {
        aphrodisiac: 10,
        aphrodisiac_fever: 15,
      },
    },
    # 3x系は召喚
    31 => {
      name: 'モンスターハウス',
      type: :monster_house,
      bad_status_in_dive: {
        aphrodisiac: 10,
        aphrodisiac_fever: 15,
      },
    },
    # 4x系は注射トラップ
    41 => {
      name: '注射針つき触手',
      type: :injection_tentacle,
      bad_status_in_dive: {
        aphrodisiac: 5,
        aphrodisiac_fever: 5,
        paralysis: 5,
      },
      bad_status_in_body: {
        c_sensitive: 3,
        b_sensitive: 3,
      },
      ero_develop_rate: {
        v: {
          success: 0.3,
          rate:    0.1,
        },
        a: {
          success: 0.3,
          rate:    0.1,
        },
        c: {
          success: 0.3,
          rate:    0.1,
        },
        b: {
          success: 0.3,
          rate:    0.1,
        },
      },
      boom_hooter: 30,
    },
    42 => {
      name: '大型の注射針つき触手',
      type: :injection_tentacle,
      bad_status_in_dive: {
        aphrodisiac: 15,
        aphrodisiac_fever: 15,
        paralysis: 15,
      },
      bad_status_in_body: {
        c_sensitive: 10,
        v_sensitive: 10,
        a_sensitive: 10,
        b_sensitive: 10,
      },
      ero_develop_rate: {
        v: {
          success: 0.5,
          rate:    0.2,
        },
        a: {
          success: 0.5,
          rate:    0.2,
        },
        c: {
          success: 0.5,
          rate:    0.2,
        },
        b: {
          success: 0.5,
          rate:    0.2,
        },
      },
      boom_hooter: 60,
    },
    43 => {
      name: '特濃薬液入り注射針つき触手',
      type: :injection_tentacle,
      bad_status_in_dive: {
        aphrodisiac: 25,
        aphrodisiac_fever: 25,
        paralysis: 25,
      },
      bad_status_in_body: {
        c_sensitive: 20,
        v_sensitive: 15,
        a_sensitive: 15,
        b_sensitive: 20,
      },
      ero_develop_rate: {
        v: {
          success: 0.3,
          rate:    0.4,
        },
        a: {
          success: 0.3,
          rate:    0.4,
        },
        c: {
          success: 0.5,
          rate:    0.4,
        },
        b: {
          success: 0.5,
          rate:    0.4,
        },
      },
      boom_hooter: 75,
    },

    # 5x系は前の穴
    51 => {
      name: '秘所愛撫触手',
      type: :v_tentacle,
      performance: {
        c: (110..250),
        v: (20..60),
      },
      exp: {
        v: (1..3),
      },
      bad_status_in_body: {
        c_sensitive: 7,
      },
      ero_develop_rate: {
        v: {
          success: 0.3,
          rate:    0.2,
        },
      },
    },
    52 => {
      name: '秘所愛撫触手ブラシ',
      type: :v_tentacle,
      performance: {
        c: (70..320),
        v: (80..150),
      },
      exp: {
        v: (3..6),
      },
      bad_status_in_body: {
        c_sensitive: 12,
      },
      ero_develop_rate: {
        v: {
          success: 0.5,
          rate:    0.2,
        },
      },
    },
    53 => {
      name: '触手肉バイブ',
      type: :v_tentacle,
      performance: {
        v: (120..300),
      },
      bad_status_in_body: {
        v_sensitive: 8,
      },
      exp: {
        v: (4..7),
      },
      ero_develop_rate: {
        v: {
          success: 0.4,
          rate:    0.3,
        },
      },
      insert_v: true,
    },
    54 => {
      name: '触手イボ付き肉バイブ',
      type: :v_tentacle,
      performance: {
        v: (90..400),
      },
      bad_status_in_body: {
        v_sensitive: 20,
      },
      exp: {
        v: (6..10),
      },
      ero_develop_rate: {
        v: {
          success: 0.6,
          rate:    0.3,
        },
      },
      insert_v: true,
    },
    # 6x系はアナル
    61 => {
      name: 'アナル愛撫触手',
      type: :a_tentacle,
      performance: {
        c: (50..300),
        a: (50..150),
      },
      exp: {
        a: (1..3),
      },
      bad_status_in_body: {
        a_sensitive: 5,
      },
      ero_develop_rate: {
        a: {
          success: 0.3,
          rate:    0.1,
        },
      },
    },
    62 => {
      name: 'アナル愛撫触手ブラシ',
      type: :a_tentacle,
      performance: {
        c: (140..360),
        a: (80..230),
      },
      exp: {
        a: (4..6),
      },
      bad_status: {
        masochism_ecstasy_holic: 7,
      },
      bad_status_in_body: {
        a_sensitive: 15,
      },
      ero_develop_rate: {
        a: {
          success: 0.3,
          rate:    0.2,
        },
      },
    },
    63 => {
      name: '触手肉アナルバイブ',
      type: :a_tentacle,
      performance: {
        a: (150..480),
      },
      exp: {
        a: (3..6),
      },
      bad_status: {
        masochism_ecstasy_holic: 10,
      },
      bad_status_in_body: {
        a_sensitive: 20,
      },
      ero_develop_rate: {
        a: {
          success: 0.5,
          rate:    0.2,
        },
      },
    },
    64 => {
      name: '触手肉アナルビーズ',
      type: :a_tentacle,
      performance: {
        a: (150..600),
      },
      exp: {
        a: (6..10),
      },
      bad_status: {
        masochism_ecstasy_holic: 15,
      },
      bad_status_in_body: {
        a_sensitive: 30,
      },
      ero_develop_rate: {
        a: {
          success: 0.6,
          rate:    0.2,
        },
      },
    },
    # 7x系はそのほか
    71 => {
      name: 'クリ愛撫触手',
      type: :c_tentacle,
      performance: {
        c: (100..300),
        b: (50..120),
      },
      exp: {
        c: (1..3),
      },
      bad_status_in_body: {
        c_sensitive: 8,
      },
      ero_develop_rate: {
        c: {
          success: 0.4,
          rate:    0.1,
        },
      },
    },
    72 => {
      name: 'クリ愛撫触手ブラシ',
      type: :c_tentacle,
      performance: {
        c: (110..480),
        b: (50..180),
      },
      exp: {
        c: (4..6),
      },
      bad_status_in_body: {
        c_sensitive: 20,
      },
      ero_develop_rate: {
        c: {
          success: 0.6,
          rate:    0.2,
        },
      },
    },
    73 => {
      name: '乳房愛撫触手',
      type: :b_tentacle,
      performance: {
        b: (150..320),
      },
      exp: {
        b: (1..3),
      },
      bad_status_in_body: {
        b_sensitive: 8,
      },
      ero_develop_rate: {
        b: {
          success: 0.4,
          rate:    0.1,
        },
      },
    },
    74 => {
      name: '乳房愛撫触手ブラシ',
      type: :b_tentacle,
      performance: {
        b: (240..600),
      },
      exp: {
        b: (2..7),
      },
      bad_status_in_body: {
        b_sensitive: 20,
      },
      ero_develop_rate: {
        b: {
          success: 0.6,
          rate:    0.3,
        },
      },
    },
    75 => {
      name: 'クリ敏感改造触手オナホール',
      type: :c_tentacle,
      performance: {
        c: (380..750),
      },
      bad_status: {
        masochism_ecstasy_holic: 10,
      },
      bad_status_in_body: {
        c_sensitive: 50,
      },
      exp: {
        b: (3..6),
      },
      ero_develop_rate: {
        b: {
          success: 0.6,
          rate:    0.3,
        },
      },
    },
    76 => {
      name: '乳房搾乳触手ブラシ',
      type: :b_tentacle,
      performance: {
        b: (240..800),
      },
      bad_status: {
        masochism_ecstasy_holic: 10,
      },
      bad_status_in_body: {
        b_sensitive: 25,
        breast_milk: 15,
        breast_milk_ecstasy: 20,
      },
      exp: {
        b: (3..6),
      },
      ero_develop_rate: {
        b: {
          success: 0.6,
          rate:    0.5,
        },
      },
    },
    # 8x系は幻術
    81 => {
      name: '催眠濃厚フェラ',
      type: :hypno_sex,
      exp: {
        blowjob: (1..3),
      },
      sperm_shot: {
        oral: (2..5),
      },
      bad_status: {
        oral_semen_holic: 15,
      },
    },
    82 => {
      name: '催眠種付けセックス',
      type: :hypno_sex,
      performance: {
        v: (450..1200),
      },
      exp: {
        v: (10..20),
        v_sex: (5..10),
      },
      sperm_shot: {
        v: (2..10),
      },
      bad_status: {
        v_semen_holic: 15,
      },
      ero_develop_rate: {
        v: {
          success: 0.5,
          rate:    0.3,
        },
      },
    },
    # 9x系は催眠、常識改変、淫紋系

    91 => {
      name: 'ふたなりオナホオナニー',
      type: :penis,
      performance: {
        c: (300..650),
        v: (250..750),
      },
      exp: {
        c: (5..10),
        v: (3..6),
        v_sex: (3..6),
      },
      sperm_shot: {
        v: (3..5),
      },
      bad_status_in_body: {
        c_sensitive: 10,
      },
      bad_status: {
        v_semen_holic: 15,
      },
      ero_develop_rate: {
        c: {
          success: 0.5,
          rate:    0.3,
        },
      },
    },
    92 => {
      name: 'ふたなり搾精オナホオナニー',
      type: :penis,
      performance: {
        c: (500..1050),
        v: (420..1250),
      },
      exp: {
        c: (8..14),
        v: (6..9),
        v_sex: (6..9),
      },
      sperm_shot: {
        v: (5..8),
      },
      bad_status_in_body: {
        c_sensitive: 20,
      },
      bad_status: {
        v_semen_holic: 25,
      },
      ero_develop_rate: {
        c: {
          success: 0.5,
          rate:    0.5,
        },
      },
    },
    93 => {
      name: '淫霊憑依レズ乱交',
      type: :possession,
      performance: {
        c: (300..540),
        v: (90..240),
        a: (70..170),
        b: (420..750),
      },
      exp: {
        c: (4..7),
        v: (1..4),
        a: (1..3),
        b: (2..5),
      },
      bad_status_in_body: {
        c_sensitive: 20,
        v_sensitive: 20,
        a_sensitive: 20,
        b_sensitive: 20,
      },
      bad_status: {
        lesbian_holic: 20,
        v_semen_holic: 25,
        a_semen_holic: 20,
      },
      ero_develop_rate: {
        c: {
          success: 0.3,
          rate:    0.1,
        },
        b: {
          success: 0.4,
          rate:    0.2,
        },
        v: {
          success: 0.1,
          rate:    0.1,
        },
        a: {
          success: 0.1,
          rate:    0.1,
        },
      },
    },
    94 => {
      name: '淫霊憑依ふたなり乱交',
      type: :possession,
      performance: {
        c: (400..840),
        v: (350..700),
        a: (250..500),
        b: (320..1050),
      },
      exp: {
        c: (4..7),
        v: (4..10),
        a: (3..8),
        b: (2..5),
        v_sex: (3..7),
        a_sex: (3..5),
      },
      bad_status_in_body: {
        c_sensitive: 25,
        v_sensitive: 30,
        a_sensitive: 30,
        b_sensitive: 25,
      },
      bad_status: {
        lesbian_holic: 30,
        v_semen_holic: 45,
        a_semen_holic: 40,
      },
      ero_develop_rate: {
        c: {
          success: 0.4,
          rate:    0.2,
        },
        b: {
          success: 0.4,
          rate:    0.3,
        },
        v: {
          success: 0.2,
          rate:    0.2,
        },
        a: {
          success: 0.2,
          rate:    0.2,
        },
      },
    },
    95 => {
      name: '淫霊憑依オナニー',
      type: :possession_wank,
      performance: {
        c: (200..540),
        v: (120..350),
        b: (120..450),
      },
      exp: {
        c: (4..7),
        v: (1..4),
        b: (2..5),
      },
      bad_status_in_body: {
        c_sensitive: 10,
        v_sensitive: 15,
        b_sensitive: 8,
      },
      bad_status: {
        onany_holic: 15,
      },
      ero_develop_rate: {
        c: {
          success: 0.4,
          rate:    0.2,
        },
        b: {
          success: 0.2,
          rate:    0.3,
        },
      },
    },
    96 => {
      name: '淫霊憑依公開露出オナニー',
      type: :possession_wank,
      performance: {
        c: (200..840),
        v: (250..450),
        b: (120..650),
      },
      exp: {
        c: (5..10),
        v: (2..5),
        b: (2..7),
      },
      bad_status_in_body: {
        c_sensitive: 10,
        v_sensitive: 15,
        b_sensitive: 8,
      },
      bad_status: {
        onany_holic: 25,
      },
      ero_develop_rate: {
        c: {
          success: 0.5,
          rate:    0.2,
        },
        b: {
          success: 0.3,
          rate:    0.3,
        },
      },
    },
    101 => {
      name: '地雷',
      type: :simple_trap,
      damage: (3..5),
    },
    102 => {
      name: '痺れ矢',
      type: :simple_trap,
      damage: (1..3),
      bad_status_in_dive: {
        paralysis: 15,
      },
    },
    103 => {
      name: '機械式くすぐりトラップ',
      type: :simple_trap,
      performance: {
        c: (180..380),
        v: (50..120),
        b: (80..160),
      },
      exp: {
        c: (1..3),
        v: (1..3),
        b: (1..3),
      },
      bad_status_in_body: {
        c_sensitive: 5,
        v_sensitive: 1,
        b_sensitive: 3,
      },
    },

    121 => {
      name: '膨乳効果つきスライムプール',
      type: :enchant_pool,
      performance: {
        c: (20..30),
        v: (30..70),
        a: (20..50),
        b: (120..240),
      },
      performance_without_rescue: {
        c: (90..320),
        v: (90..360),
        a: (90..450),
        b: (240..600),
      },
      bad_status_in_dive: {
        aphrodisiac: 10,
      },
      ero_develop_rate: {
        b: {
          success: 0.3,
          rate:    0.2,
        },
      },
    },
    122 => {
      name: '感度上昇効果スライムプール',
      type: :enchant_pool,
      performance: {
        c: (120..180),
        v: (40..90),
        a: (30..60),
        b: (30..90),
      },
      performance_without_rescue: {
        c: (150..450),
        v: (120..600),
        a: (60..720),
        b: (150..560),
      },
      bad_status_in_dive: {
        aphrodisiac: 15,
      },
      ero_develop_rate: {
        v: {
          success: 0.3,
          rate:    0.2,
        },
        a: {
          success: 0.3,
          rate:    0.2,
        },
        c: {
          success: 0.3,
          rate:    0.2,
        },
        b: {
          success: 0.3,
          rate:    0.2,
        },
      },
    },
    131 => {
      name: '触手だまり',
      type: :tentacle_pool,
      bad_status_in_dive: {
        aphrodisiac: 15,
      },
      performance: {
        c: (80..150),
        v: (30..80),
        a: (30..60),
        b: (25..90),
      },
      performance_without_rescue: {
        c: (300..800),
        v: (200..600),
        a: (200..500),
        b: (350..750),
      },
      ero_develop_rate: {
        v: {
          success: 0.3,
          rate:    0.2,
        },
        a: {
          success: 0.3,
          rate:    0.2,
        },
        c: {
          success: 0.3,
          rate:    0.2,
        },
        b: {
          success: 0.3,
          rate:    0.2,
        },
      },
    },
    132 => {
      name: '触手の巣',
      type: :tentacle_pool,
      bad_status_in_dive: {
        aphrodisiac: 25,
      },
      performance: {
        c: (100..200),
        v: (60..100),
        a: (50..125),
        b: (45..110),
      },
      performance_without_rescue: {
        c: (500..1000),
        v: (200..900),
        a: (200..900),
        b: (450..950),
      },
      ero_develop_rate: {
        v: {
          success: 0.4,
          rate:    0.3,
        },
        a: {
          success: 0.4,
          rate:    0.3,
        },
        c: {
          success: 0.4,
          rate:    0.3,
        },
        b: {
          success: 0.4,
          rate:    0.3,
        },
      },
    },
    141 => {
      name: 'バイブ付き貞操帯',
      type: :v_vibe_belt,
      performance: {
        v: (70..250),
      },
      bad_status_in_body: {
        v_sensitive: 15,
      },
      exp: {
        v: (6..13),
      },
      insert_v: true,
      ero_develop_rate: {
        v: {
          success: 0.1,
          rate:    0.1,
        },
        c: {
          success: 0.1,
          rate:    0.1,
        },
      },
    },
    142 => {
      name: '極太バイブ付き貞操帯',
      type: :v_vibe_belt,
      performance: {
        v: (90..320),
      },
      bad_status_in_body: {
        v_sensitive: 20,
      },
      exp: {
        v: (6..18),
      },
      insert_v: true,
      ero_develop_rate: {
        v: {
          success: 0.2,
          rate:    0.1,
        },
        c: {
          success: 0.1,
          rate:    0.1,
        },
      },
    },
    143 => {
      name: 'ローター付き貞操帯',
      type: :v_vibe_belt,
      performance: {
        c: (90..320),
        v: (30..60),
      },
      bad_status_in_body: {
        c_sensitive: 8,
        v_sensitive: 5,
      },
      exp: {
        c: (6..18),
        v: (2..5),
      },
      ero_develop_rate: {
        c: {
          success: 0.1,
          rate:    0.1,
        },
      },
    },
    151 => {
      name: '性感魔法弾',
      type: :ero_shot,
      performance: {
        c: (90..320),
        v: (30..60),
        a: (90..210),
        b: (120..180),
      },
      exp: {
        c: (6..18),
        v: (2..5),
        a: (5..7),
        b: (12..21),
      },
      ero_develop_rate: {
        c: {
          success: 0.1,
          rate:    0.1,
        },
        b: {
          success: 0.1,
          rate:    0.1,
        },
      },
    },
    152 => {
      name: '性感拷問機',
      type: :ero_shot,
      performance: {
        c: (50..420),
        v: (210..360),
        a: (120..250),
        b: (180..320),
      },
      exp: {
        c: (16..28),
        v: (12..25),
        a: (15..27),
        b: (12..31),
      },
      ero_develop_rate: {
        v: {
          success: 0.2,
          rate:    0.1,
        },
        a: {
          success: 0.2,
          rate:    0.1,
        },
        c: {
          success: 0.2,
          rate:    0.1,
        },
        b: {
          success: 0.2,
          rate:    0.1,
        },
      },
    },
    # 拘束系
    161 => {
      name: '拘束強制鞭打ち',
      type: :arresting,
      performance: {
        c: (30..120),
        v: (10..30),
      },
      bad_status: {
        masochism_ecstasy_holic: 20,
      },
      exp: {
        c: (80..250),
        v: (5..12),
      },
    },
    162 => {
      name: '拘束触手椅子',
      type: :arresting,
      performance: {
        c: (270..520),
        v: (130..290),
        a: (120..230),
        b: (150..360),
      },
      bad_status: {
        masochism_ecstasy_holic: 10,
      },
      bad_status_in_body: {
        c_sensitive: 8,
        v_sensitive: 5,
        b_sensitive: 8,
      },
      bad_status_in_dive: {
        aphrodisiac: 15,
      },
      exp: {
        c: (16..38),
        v: (8..25),
        a: (6..22),
        b: (22..35),
      },
      ero_develop_rate: {
        v: {
          success: 0.3,
          rate:    0.2,
        },
        a: {
          success: 0.3,
          rate:    0.2,
        },
        c: {
          success: 0.3,
          rate:    0.2,
        },
        b: {
          success: 0.3,
          rate:    0.2,
        },
      },
    },
    163 => {
      name: '拘束丸呑み触手肉袋',
      type: :arresting,
      performance: {
        c: (370..520),
        v: (330..560),
        a: (220..460),
        b: (250..460),
      },
      bad_status_in_body: {
        c_sensitive: 12,
        v_sensitive: 7,
        a_sensitive: 5,
        b_sensitive: 8,
      },
      bad_status_in_dive: {
        aphrodisiac: 25,
      },
      exp: {
        c: (21..51),
        v: (12..37),
        a: (9..33),
        b: (28..45),
      },
      ero_develop_rate: {
        v: {
          success: 0.3,
          rate:    0.4,
        },
        a: {
          success: 0.3,
          rate:    0.4,
        },
        c: {
          success: 0.3,
          rate:    0.4,
        },
        b: {
          success: 0.3,
          rate:    0.4,
        },
      },
    },
  }

  EQUIP_ERO_TRAP_DEFINE_LIST = {
    141 => {
      name: 'バイブ付き貞操帯',
      type: :v_vibe_belt,
      performance: {
        v: (70..250),
      },
      exp: {
        v: (6..13),
      },
      ero_develop_rate: {
        v: {
          success: 0.1,
          rate:    0.1,
        },
        c: {
          success: 0.1,
          rate:    0.1,
        },
      },
    },
    142 => {
      name: '極太バイブ付き貞操帯',
      type: :v_vibe_belt,
      performance: {
        v: (90..320),
      },
      exp: {
        v: (6..18),
      },
      ero_develop_rate: {
        v: {
          success: 0.2,
          rate:    0.1,
        },
        c: {
          success: 0.1,
          rate:    0.1,
        },
      },
    },
    143 => {
      name: 'ローター付き貞操帯',
      type: :v_vibe_belt,
      performance: {
        c: (90..320),
        v: (30..60),
      },
      exp: {
        c: (6..18),
        v: (2..5),
      },
      ero_develop_rate: {
        c: {
          success: 0.2,
          rate:    0.1,
        },
      },
    },
  }

  ERO_TRAP_DEPLOY_LIST = {
    1  => [],
    2  => [],
    # 2階まではノートラップ
    3  => [:simple_trap, :simple_trap, :c_tentacle, :b_tentacle],
    4  => [:simple_trap, :simple_trap, :c_tentacle, :b_tentacle],
    # 4階まではロストバージンの危機はない
    5  => [:simple_trap, :simple_trap, :c_tentacle, :b_tentacle, :injection_tentacle,],
    6  => [:simple_trap, :simple_trap, :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    7  => [:simple_trap, :simple_trap, :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle, :injection_tentacle,],
    8  => [:simple_trap, :simple_trap, :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    9  => [:gas, :slime_pool, :v_vibe_belt,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    10 => [:gas, :slime_pool, :injection_tentacle,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    11 => [:gas, :slime_pool, :v_vibe_belt,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    12 => [:possession_wank, :gas, :injection_tentacle,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    13 => [:possession_wank, :gas, :injection_tentacle,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    14 => [:possession_wank, :v_vibe_belt,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    15 => [:possession_wank, :gas, :injection_tentacle,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    16 => [:possession_wank,  :v_vibe_belt,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    17 => [:possession_wank, :gas, :injection_tentacle,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    18 => [:possession_wank, :hypno_sex, :gas,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    19 => [:possession_wank, :hypno_sex, :gas, :v_vibe_belt,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    20 => [:possession_wank, :hypno_sex, :gas,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    21 => [:possession_wank, :possession, :penis, :injection_tentacle,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    22 => [:possession_wank, :possession, :v_vibe_belt,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    23 => [:possession_wank, :possession, :penis, :injection_tentacle,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    24 => [:gas, :slime_pool, :penis, :v_vibe_belt,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    25 => [:gas, :slime_pool, :penis, :v_vibe_belt,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle, :arresting],
    26 => [:gas, :slime_pool, :penis, :v_vibe_belt, :injection_tentacle,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    27 => [:possession_wank, :gas, :slime_pool, :penis,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle, :ero_shot],
    28 => [:possession_wank, :gas, :slime_pool, :penis, :injection_tentacle,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle],
    29 => [:possession_wank, :gas, :slime_pool, :penis,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle, :arresting],
    30 => [:slime_pool, :hypno_sex, :possession, :possession_wank, :penis,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle, :ero_shot],
    31 => [:gas, :hypno_sex, :possession, :possession_wank, :penis, :injection_tentacle,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle, :arresting],
    32 => [:gas, :slime_pool, :possession, :possession_wank, :penis,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle, :ero_shot],
    33 => [:gas, :slime_pool, :hypno_sex, :possession_wank, :penis, :v_vibe_belt,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle, :arresting],
    34 => [:gas, :slime_pool, :hypno_sex, :possession, :penis, :injection_tentacle,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle, :ero_shot],
    35 => [:hypno_sex, :possession, :possession_wank, :penis, :v_vibe_belt,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle, :arresting],
    36 => [:gas, :slime_pool, :hypno_sex, :possession, :possession_wank, :penis, :v_vibe_belt,
           :injection_tentacle,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle, :ero_shot],
    37 => [:gas, :slime_pool, :hypno_sex, :possession, :possession_wank, :penis, :v_vibe_belt,
           :injection_tentacle,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle, :arresting],
    38 => [:gas, :slime_pool, :hypno_sex, :possession, :possession_wank, :penis, :v_vibe_belt,
           :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle, :ero_shot],
    39 => [
      :gas, :slime_pool, :hypno_sex, :possession, :possession_wank, :penis, :v_vibe_belt,
      :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle,
      :ero_shot, :arresting,
    ],
    40 => [
      :gas, :slime_pool, :hypno_sex, :possession, :possession_wank, :penis, :v_vibe_belt,
      :c_tentacle, :v_tentacle, :a_tentacle, :b_tentacle,
      :ero_shot, :arresting,
    ],
  }

  DUNGEON_MASTER_ROCKED_TRAPS_LIST = {
    3 => {
      name: '落とし穴Lv2',
      floor: '（浅層に配置）',
      price: 2_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
パーティーのうち、一人を下の階層に転落させます。
孤立した冒険者は倒されやすいため、冒険者を餌食にしやすくなります。
落とし穴の中でも、転落する深さが大きいため、そう簡単には冒険者は地上に戻れません
      ),
    },
    4 => {
      name: '転移方陣Lv2',
      floor: '（中層に配置）',
      price: 2_800, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
パーティーごと、下のフロアに転送します。
深い階層に転送できます。レベルに見合わない強力なモンスターがいる階層で、冒険者は必死の探索を余儀なくされます
      ),
    },
    5 => {
      name: '落とし穴Lv3',
      price: 6_500, # 購入価格
      lock: [3, 4], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
パーティーのうち、一人を下の階層に転落させます。
孤立した冒険者は倒されやすいため、冒険者を餌食にしやすくなります。
落とし穴の中でも、転落する深さが大きいため、そう簡単には冒険者は地上に戻れません
      ),
    },
    6 => {
      name: '落とし穴Lv4',
      price: 13_500, # 購入価格
      lock: [3, 4, 5], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
パーティーのうち、一人を下の階層に転落させます。
孤立した冒険者は倒されやすいため、冒険者を餌食にしやすくなります。
落とし穴の中でも、転落する深さが大きいため、そう簡単には冒険者は地上に戻れません
      ),
    },
    7 => {
      name: '転移方陣Lv3',
      price: 7_800, # 購入価格
      lock: [3, 4], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
パーティーごと、下のフロアに転送します。
深い階層に転送できます。レベルに見合わない強力なモンスターがいる階層で、冒険者は必死の探索を余儀なくされます
      ),
    },
    8 => {
      name: '転移方陣Lv4',
      price: 14_800, # 購入価格
      lock: [3, 4], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
パーティーごと、下のフロアに転送します。
深い階層に転送できます。レベルに見合わない強力なモンスターがいる階層で、冒険者は必死の探索を余儀なくされます
      ),
    },
    12 => {
      name: '麻痺つきスライムプール',
      price: 1_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
冒険者の装備を溶かすスライムプールを改良し、スライムの分泌液に溶解液に加えて麻痺毒を加えます
確率で冒険者に麻痺効果を与えることができます。
      ),
    },
    13 => {
      name: '媚薬漬けスライムプール',
      price: 5_000, # 購入価格
      lock: [12], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
冒険者の装備を溶かすスライムプールを改良し、スライムの分泌液に溶解液に加えて媚薬毒を加えます
確率で冒険者に催淫効果を与えることができます。
      ),
    },
    22 => {
      name: '集団催淫ガス',
      price: 7_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
冒険者を発情させる催淫ガスを、パーティー全体に噴射します。
一度発情してしまえば、抵抗の手が鈍るため敵に捕獲されやすくなります。
      ),
    },
    23 => {
      name: '広範囲催淫ガス',
      price: 50_000, # 購入価格
      lock: [22], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
冒険者を発情させる催淫ガスを、パーティーがいるフロアの広範囲に噴射します。
罠を踏んだパーティーはもちろん、
一度発情してしまえば、抵抗の手が鈍るため敵に捕獲されやすくなります。
      ),
    },
    24 => {
      name: 'フロア全体催淫ガス',
      price: 120_000, # 購入価格
      lock: [23], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
冒険者を発情させる催淫ガスを、パーティーのいるフロア全体に噴射します。
一度発情してしまえば、抵抗の手が鈍るため敵に捕獲されやすくなります。
      ),
    },
    42 => {
      name: '大型注射針つき触手',
      price: 4_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
先端に大型の注射針がついた触手です。
罠にかかった女冒険者の脚をつかみ、逃げられなくしたところで注射針を体に突き刺し、強力な効果を持つ薬毒を注入します。
薬毒の効果は麻痺や催淫、肉体の感度の上昇、そして極めつけは膨乳効果です。
触手の毒は、女の肉体を男にとって都合の良い肉穴として容赦なく作り変えてしまう効果があります。
      ),
    },
    43 => {
      name: '特濃薬液入り注射針つき触手',
      price: 8_000, # 購入価格
      lock: [42], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
先端に注射針が注射針ついた触手です。注射針の根元にボコリと膨らんだ薬液だまりには特に強力な薬毒液が詰まっています。
罠にかかった女冒険者の脚をつかみ、逃げられなくしたところで注射針を体に突き刺し、強力な効果を持つ薬毒を注入します。
薬毒の効果は麻痺や催淫、肉体の感度の上昇、そして極めつけは膨乳効果です。
触手の超強力な毒は、女の肉体を男にとって都合の良い肉穴として容赦なく作り変えてしまう効果があります。
      ),
    },
    51 => {
      name: '秘所愛撫触手',
      price: 1_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      all_lock: [],
      description: %w(
女の秘所を責め立てるための触手ブラシです。
脚を拘束用触手でがっちり掴んだ上で女冒険者の最も神聖な場所にあるクレヴァスを執拗に責め立てます。
この触手で秘所をこすり上げられれば、女冒険者はたとえ未知の行為であっても快楽を感じずにはいられないでしょう。
      ),
    },
    52 => {
      name: '秘所愛撫触手ブラシ',
      price: 1_800, # 購入価格
      lock: [51], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
触手の先端部分に柔らかい肉ブラシがびっしりと生えた凶悪な外見の触手ブラシです。
このブラシで秘所をこすり上げられれば、女冒険者は腰砕けになってしまうでしょう。
      ),
    },
    53 => {
      name: '触手肉バイブ',
      price: 5_000, # 購入価格
      lock: [52], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
触手でできた肉色のバイブです。
罠を踏んだ冒険者めがけて飛び出し、肉壷の中でたっぷりと暴れまわります。
      ),
    },
    54 => {
      name: '触手イボ付き肉バイブ',
      price: 10_500, # 購入価格
      lock: [53], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
触手でできた肉色のバイブです。
罠を踏んだ冒険者めがけて飛び出し、肉壷の中でたっぷりと暴れまわります。
えげつない形状のイボがたっぷとついており、隙間から濃厚な媚薬原液を分泌し膣内にたっぷりと塗りつけていきます。
      ),
    },
    61 => {
      name: 'アナル愛撫触手',
      price: 1_100, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      all_lock: [],
      description: %w(
女冒険者のアナルを責め立てるための触手ブラシです。
脚を拘束用触手でがっちり掴んだ上で女冒険者の茶色い背徳の穴を執拗に責め立てます。
この柔らかいピンク色の触手はぴっちりと閉じた背徳穴も容易にこじ開けます。
優しい背徳の刺激に、女冒険者はたとえ未知の行為であっても快楽を感じずにはいられないでしょう。
      ),
    },
    62 => {
      name: 'アナル愛撫触手ブラシ',
      price: 7_000, # 購入価格
      lock: [61], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
触手の先端部分に柔らかい肉ブラシがびっしりと生えた凶悪な外見の触手ブラシです。
このブラシで秘穴をこすり上げられれば、女冒険者は腰砕けになってしまうでしょう。
どれ程固く閉じた尻穴であっても、柔らかい肉ブラシは難なくこじ開けてしまいます。
      ),
    },
    63 => {
      name: '触手肉アナルバイブ',
      price: 14_000, # 購入価格
      lock: [62], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
触手でできた肉色のバイブです。
このバイブが中で震えるたび、甘くたまらない快楽が冒険者の心をがっちりと掴み、尻穴快楽を忘れられなくしてしまいます。
どれ程固く閉じた尻穴であっても、柔らかい肉バイブは難なくこじ開けてしまいます。
      ),
    },
    64 => {
      name: '触手肉アナルビーズ',
      price: 20_000, # 購入価格
      lock: [62, 63], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
触手でできた肉色のアナルビーズです。
本物と異なり柔らかくまた内側で動きながら直腸の奥深くまで潜り込んでいきます。
このアナルビーズが中で震えるたび、甘くたまらない快楽が冒険者の心をがっちりと掴み、尻穴快楽を忘れられなくしてしまいます。
どれ程固く閉じた尻穴であっても、柔らかい肉ビーズは難なくこじ開けてしまいます。
      ),
    },
    71 => {
      name: 'クリ愛撫触手',
      price: 300, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      all_lock: [],
      description: %w(
罠を踏むと触手が飛び出し、クリトリスをうねうねと動く細い触手で容赦なく攻め嬲ります。
足をがっちりと掴むことで獲物に逃れることを許さず、触手はビクビクと快楽に震える獲物を容赦なく責め続けるでしょう。
      ),
    },
    72 => {
      name: 'クリ愛撫触手ブラシ',
      price: 2_500, # 購入価格
      lock: [71], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
罠を踏むと触手が飛び出し、クリトリスをびっしりと生えそろった肉ブラシで容赦なく攻め嬲ります。
足をがっちりと掴むことで獲物に逃れることを許さず、触手は獲物が何度甘い悲鳴と許しを乞う無様な声をあげても責め続けるでしょう。
      ),
    },
    75 => {
      name: 'クリ敏感改造触手オナホール',
      price: 8_500, # 購入価格
      lock: [72], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
罠を踏むと触手が飛び出し、クリトリスの周りを取り囲むとオナホールを作ります。
オナホールでシゴきあげられたクリトリスは媚薬原液をたっぷりと流し込まれ、鋭敏な感覚のまま徹底的に調教されていきます。
これをつけられて腰砕けにならなかった女はおりません。
      ),
    },
    73 => {
      name: '乳房愛撫触手',
      price: 400, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      all_lock: [],
      description: %w(
罠を踏むと触手が飛び出し、女のシンボルである胸を蛍光色の縄じみた触手で締め上げ敏感にしてから他の触手たちが責め嬲ります。
さらに先端部の蕾には特別にうねうねと動く細い触手が責めかかります。
足をがっちりと掴むことで獲物に逃れることを許さず、触手はビクビクと快楽に震える獲物を容赦なく責め続けるでしょう。
      ),
    },
    74 => {
      name: '乳房愛撫触手ブラシ',
      price: 2_800, # 購入価格
      lock: [73], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
罠を踏むと触手が飛び出し、女のシンボルである胸をびっしりと生えそろった肉ブラシで容赦なく攻め嬲ります。
腕と体をがっちりと掴むことで獲物に逃れることを許さないまま、触手は獲物が何度甘い悲鳴と許しを乞う無様な声をあげても、胸を責め続けるでしょう。
      ),
    },
    76 => {
      name: '乳房搾乳触手ブラシ',
      price: 9_000, # 購入価格
      lock: [74], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
罠を踏むと触手が飛び出し、乳首へと巻きついていきます。
先端の針から体質改善を行う分泌液を流し込むことで相手を一時的に噴乳体質へと変えてしまいます。
オナホールでシゴきあげられたクリトリスは媚薬原液をたっぷりと流し込まれ、鋭敏な感覚のまま徹底的に調教されていきます。
これをつけられて腰砕けにならなかった女はおりません。
      ),
    },
    81 => {
      name: '催眠濃厚フェラ',
      price: 5_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
罠を踏むと催眠ガスが噴き出します。冒険者たちが眠った頃種付けおじさんが物陰から飛び出し、冒険者の一人を襲います。
冒険者はその際に目覚めますが、冒険者は種付けおじさんを最愛の相手であるかのように誤認します。
種付けおじさんの求めるままに冒険者は、相手を喜ばせるために徹底的に濃厚奉仕を、中年男の汚らしい肉棒に対して行います。
      ),
    },
    82 => {
      name: '催眠種付けセックス',
      price: 17_000, # 購入価格
      lock: [81], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
罠を踏むと催眠ガスが噴き出します。冒険者たちが眠った頃種付けおじさんが物陰から飛び出し、冒険者の一人を襲います。
冒険者はその際に目覚めますが、冒険者は種付けおじさんを最愛の相手であるかのように誤認します。
種付けおじさんが徹底的にねちっこく女を攻め立て、たっぷりと種付けする間、女は己が肉奴隷に変えられる行為を幸福と満足を持って受け入れてしまいます。
      ),
    },
    91 => {
      name: 'ふたなりオナホオナニー',
      price: 6_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
罠を踏むと催淫ガスが噴き出し、通路を塞ぐ扉がおります。
同時に触手が飛び出し、冒険者の一人にふたなりを生やします。
ふたなりチンポで、罠近くの壁に取り付けられたオナホールで射精するまで扉は開きません。
冒険者がふたなりオナホオナニーを続ける間、常識改変効果により他の仲間たちはその行為に違和感を感じません。
肉槍による未知の快楽は確実に冒険者の理性を狂わせていくでしょう。
      ),
    },
    92 => {
      name: 'ふたなり搾精オナホオナニー',
      price: 14_500, # 購入価格
      lock: [91], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
罠を踏むと催淫ガスが噴き出し、通路を塞ぐ扉がおります。
同時に触手が飛び出し、冒険者の一人にふたなりを生やします。
ふたなりチンポで、罠近くの壁に取り付けられたオナホールで射精するまで扉は開きません。
オナホールの内側にはびっしりと襞が生えており、一度入れるだけでも膝がガクガク笑うほどの快楽を相手に与えます。
冒険者がふたなりオナホオナニーを続ける間、常識改変効果により他の仲間たちはその行為に違和感を感じません。
肉槍による未知の快楽は確実に冒険者の理性を狂わせていくでしょう。
      ),
    },
    93 => {
      name: '淫霊憑依レズ乱交',
      price: 10_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
罠を踏むとパーティー全体に淫霊が憑依します。
精気を好む淫霊たちはパーティーを操り、レズセックスを開始します。
その階層に淫らな声が響き渡るでしょう。また経験豊富な淫霊のテクニックは冒険者たちの淫らな体質を容赦なく開花させていきます。
      ),
    },
    94 => {
      name: '淫霊憑依ふたなり乱交',
      price: 22_000, # 購入価格
      lock: [93], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
罠を踏むとパーティー全体に淫霊が憑依します。
精気を好む淫霊たちはパーティーを操り、はやしたふたなりチンポで激しいレズセックスを開始します。
その階層に淫らな声が響き渡るでしょう。また経験豊富な淫霊のテクニックは冒険者たちの淫らな体質を容赦なく開花させていきます。
      ),
    },

    95 => {
      name: '淫霊憑依オナニー',
      price: 8_000, # 購入価格
      lock: [91], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
罠を踏むとパーティーの一人に淫霊が憑依します。
淫霊の発情効果によってオナニーをせずにはいられなくなります。
淫霊の常識改変能力の効力により、パーティーの他の仲間は行為中違和感を抱きません。
その階層に淫らな声が響き渡るでしょう。また経験豊富な淫霊のテクニックは冒険者たちの淫らな体質を容赦なく開花させていきます。
      ),
    },
    96 => {
      name: '淫霊憑依公開露出オナニー',
      price: 16_500, # 購入価格
      lock: [95], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
罠を踏むとパーティーの一人に淫霊が憑依します。
淫霊の発情効果によってオナニーをせずにはいられなくなります。
また淫霊の発情効果による快楽は他人に見られることによって大きくなるため、冒険者は他人に見せつけるようにブリッジのような姿勢をとってオナニーします。
淫霊の常識改変能力の効力により、パーティーの他の仲間は行為中違和感を抱きません。
その階層に淫らな声が響き渡るでしょう。また経験豊富な淫霊のテクニックは冒険者たちの淫らな体質を容赦なく開花させていきます。
      ),
    },
    121 => {
      name: '膨乳効果付きスライムプール',
      price: 30_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      all_lock: [13, 23],
      description: %w(
冒険者の装備を溶かすスライムプールを改良し、スライムの分泌液に媚薬成分と膨乳成分をたっぷりと加えています。
確率で冒険者の胸を大きくすることができます。
また粘度が高いがためにそれは底なし沼のようで、冒険者一人では容易に抜け出すことはできません。
またスライムプールの効果は大きく、そこに長時間浸かり続けることは、恐ろしい効果を女の肉体に与えることになるでしょう。
ただし仲間がいればすぐに抜け出すことはできます。もし仲間がいなければ………
      ),
    },
    122 => {
      name: '感度上昇効果スライムプール',
      price: 110_000, # 購入価格
      lock: [121], # こいつを買ってないと購入できない
      all_lock: [],
      description: %w(
冒険者の装備を溶かすスライムプールを改良し、スライムの分泌液に快楽神経を刺激し、感度をあげる成分をたっぷりと加えています。
確率で冒険者の胸を大きくすることができます。
また粘度が高いがためにそれは底なし沼のようで、冒険者一人では容易に抜け出すことはできません。
またスライムプールの効果は大きく、そこに長時間浸かり続けることは、恐ろしい効果を女の肉体に与えることになるでしょう。
ただし仲間がいればすぐに抜け出すことはできます。もし仲間がいなければ………
      ),
    },
    131 => {
      name: '触手だまり',
      price: 80_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      all_lock: [121],
      description: %w(
ダンジョンにうごめく触手たちにとって心地良い溜まり場です。
触手は薄暗く、ジメジメとしたそれでいて入り口の狭い安全な場所を好み、そこに集まる習性があります。
もし万が一、捕食対象である女冒険者がそこに落ちれば…… 獰猛な捕食者たちは一斉に獲物に襲いかかるでしょう。
触手に囲まれてしまえばそれは底なし沼のようで、冒険者一人では容易に抜け出すことはできません。
また触手が与えるの快楽は大きく、そこに長時間浸かり続けることは、恐ろしい触手漬けの快楽中毒の効果を女の肉体に与えることになるでしょう。
ただし仲間がいればすぐに抜け出すことはできます。もし仲間がいなければ………
      ),
    },
    132 => {
      name: '触手の巣',
      price: 200_000, # 購入価格
      lock: [131], # こいつを買ってないと購入できない
      all_lock: [],
      description: %w(
ダンジョンにうごめく触手たちにとって心地良い寝ぐらです。
触手は薄暗く、ジメジメとしたそれでいて入り口の狭い安全な場所を好み、そこに巣を作る習性があります。
もし万が一、捕食対象である女冒険者がそこに落ちれば…… 獰猛な捕食者たちは防衛本能と捕食本能に突き動かされ、一斉に獲物に襲いかかるでしょう。
触手に囲まれてしまえばそれは底なし沼のようで、冒険者一人では容易に抜け出すことはできません。
また触手が与えるの快楽は大きく、そこに長時間浸かり続けることは、恐ろしい触手漬けの快楽中毒の効果を女の肉体に与えることになるでしょう。
ただし仲間がいればすぐに抜け出すことはできます。もし仲間がいなければ………
      ),
    },
    141 => {
      name: 'バイブ付き貞操帯',
      price: 50_000, # 購入価格
      lock: [143], # こいつを買ってないと購入できない
      all_lock: [53],
      description: %w(
罠を踏むとパーティーの一人に貞操帯が装着されます。
外すことはできず、歩くたびにゆっくりじわじわと、甘い痺れを女芯に与え続けます。
女冒険者は媚肉の火照りと、もどかしい物足りなさに苛まれることになるでしょう。
貞操帯は力づくでは外すことはできません。
魔術的な強化に加えて呪いの力が付与されているため、外せる者は二種類います。
一つは。地母神の加護のある教会の聖職者。
もう一つはその内側の媚肉を狙う、魔力と呪いを込めたダンジョンの主人の下僕である魔物たちです。
      ),
    },
    142 => {
      name: '極太バイブ付き貞操帯',
      price: 120_000, # 購入価格
      lock: [141], # こいつを買ってないと購入できない
      all_lock: [],
      description: %w(
罠を踏むとパーティーの一人に貞操帯が装着されます。
外すことはできず、歩くたびに極太の張り型がゆっくりじわじわと、えげつないほどの甘い痺れを女芯に与え続けます。
女冒険者は媚肉の火照りと、もどかしい物足りなさに苛まれることになるでしょう。
貞操帯は力づくでは外すことはできません。
魔術的な強化に加えて呪いの力が付与されているため、外せる者は二種類います。
一つは。地母神の加護のある教会の聖職者。
もう一つはその内側の媚肉を狙う、魔力と呪いを込めたダンジョンの主人の下僕である魔物たちです。
      ),
    },
    143 => {
      name: 'ローター付き貞操帯',
      price: 30_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      all_lock: [52],
      description: %w(
罠を踏むとパーティーの一人に貞操帯が装着されます。
外すことはできず、歩くたびに秘所に当たる部分に装着されたローターががゆっくりじわじわと、甘い痺れを女芯に与え続けます。
女冒険者は媚肉の火照りと、もどかしい物足りなさに苛まれることになるでしょう。
貞操帯は力づくでは外すことはできません。
魔術的な強化に加えて呪いの力が付与されているため、外せる者は二種類います。
一つは。地母神の加護のある教会の聖職者。
もう一つはその内側の媚肉を狙う、魔力と呪いを込めたダンジョンの主人の下僕である魔物たちです。
      ),
    },
    151 => {
      name: '性感魔道弾',
      price: 25_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
罠を踏むと冒険者を中心に魔道弾が浮かび上がり、冒険者に襲いかかります。
炸裂すれば快楽の衝撃を与える悪辣な性感魔道弾を何発も同時に受ければ、どんな女でも絶頂からは逃れられません。
ましてや数十発同時に受ければ、発狂しそうなほどの快楽に啼き狂うことになるでしょう……
      ),
    },
    152 => {
      name: '性感拷問機',
      price: 45_000, # 購入価格
      lock: [151], # こいつを買ってないと購入できない
      all_lock: [],
      description: %w(
罠を踏むと、地下からせり上がった巨大なカプセルの中に冒険者を閉じ込めます。
機械の力でありとあらゆる快楽を徹底的に女に与える快楽拷問機の中で、女冒険者は悶え狂うことになるでしょう。
手加減なしの快楽拷問を与え続けられれば、どれほど精神の強い女であっても、快楽に屈し溺れてしまうことは間違いありません。
肉の喜悦の中でイキ狂う経験を知った女は、これまでと同じ人生や価値観を持ち続けることは困難です。
桁違いの快楽は女の人生を大きく歪めてしまうでしょう……
      ),
    },
    161 => {
      name: '拘束強制鞭打ち',
      price: 20_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      all_lock: [51, 61, 71, 73],
      description: %w(
罠を踏むと触手が冒険者を捕え、触手たちが襲いかかります。
触手たちは冒険者を鞭打ち、被虐の悦びを教え込んでいきます。
痛みにいり混じる快楽の中で、女冒険者の精神は淫らに歪められていくでしょう。
      ),
    },
    162 => {
      name: '拘束触手椅子',
      price: 30_000, # 購入価格
      lock: [161], # こいつを買ってないと購入できない
      all_lock: [],
      description: %w(
罠を踏むと触手が冒険者を捕え、触手たちが襲いかかります。
触手たちは冒険者をむりやり椅子の上に座らせると容赦なく快楽の味を教え込んでいきます。
女冒険者を快楽と屈服によって躾けていきます。
桁外れの快楽を休みなく与えられることで、女冒険者の精神は淫らに歪められていくでしょう。
      ),
    },
    163 => {
      name: '拘束丸呑み触手肉袋',
      price: 50_000, # 購入価格
      lock: [162], # こいつを買ってないと購入できない
      all_lock: [],
      description: %w(
罠を踏むと触手が冒険者を捕え、巨大な触手が襲いかかります。
触手は冒険者を飲み込み、壁の隙間を通り安全な場所に連れ込むと、感覚鋭敏化媚薬と丸呑み愛撫で情け容赦なく快楽の味を教え込んでいきます。

女冒険者にとって抵抗することもできず容赦なく与えられるそれは拷問そのものです。
この悪魔的な触手は肉悦拷問の中で女冒険者の精神と肉体を後遺症が残るまで容赦なく作り変えるでしょう。
      ),
    },
  }
end
