# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# パチュリー
class Adventurer5Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「一人だからといって甘くみないことね！」',
          '自らを励ますように' + adventurer.short_name + 'は吠える',
        ],
        [
          '「たとえ一人でも、あなた達ごときに負けはしないわ！」',
          '魔道書を構え、' + adventurer.short_name + 'は己を力づけるように吠えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会ね……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          '（これは裏切りではないわ…… 新しい悦びを知る機会を与えてあげているのよ……）',
        ]
      else
        [
          [
            '（今日のところは、まだ機運ではないようね……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（今はうかがうことにしましょう……。きっと、チャンスはいくらでもあるわ……）',
          ],
          [
            '（今なにをしても、あまり意味がなさそうね） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（せいぜい、信頼を稼いでおこうかしら……）',
          ],
        ].sample
      end
    else
      [
        [
          '「数の力だけが頼みの、こんな雑魚相手に負けるものですか！」',
          adventurer.short_name + 'は威勢よく叫んだ',
        ],
        [
          '「実力の差というものを教えてあげるわ！」',
          adventurer.short_name + 'は油断なく構えた',
        ],
      ].sample
    end
  end

  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          '無数にひしめく魔物たちを' + slave.short_name + 'はあしらう。',
          '「ああもう…… しつこいったら……」',
          '魔物たちは有効打を与えられていないようだ……',
        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          '「離れなさい！ 下賤な魔物たちが、触れていいものではないのよ、' + slave.self_call + 'の体はっ！」',
          '連日休みなく繰り返される怪物たちの攻めを' + slave.short_name + 'はあしらい続けている。',
          'だが休みもなく抗いつづける' + slave.short_name + 'の疲労はたまり続けるばかりだが、魔物たちには交代し、休む余裕もある。',
          slave.short_name + 'の行き着く先が見え始めているのは明らかだった。',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          '魔物たちをあしらい続ける' + slave.short_name + 'の動きにも、かつてのキレは見えない。',
          'ここ数日で溜まりに溜まった疲労が、' + slave.short_name + 'の肉体を蝕んでいた……。',
          '（ゴホッ、ゴホッ…… このままでは、いつか……）',
          'キレが落ちたとはいえ、' + slave.short_name + 'は未だ魔物たちに屈することはない。' +
            'だが限界が迫りつつあるのは、' + slave.short_name + '自身も理解していた……',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          '重い疲労を全身に感じながら、' + slave.short_name + 'は魔物たちを睨みつける。',
          '「不埒者たちめ！　いますぐ' + slave.self_call + 'を解放しなさい！ でないと、' + slave.self_call + 'の仲間たちが痛い目に合わせるわよ」',
          'まだ、こんなところで負けるわけにはいかなかった。',
          slave.short_name + 'は己を叱咤する。自分で自分を励まさねば、折れてしまいそうだった。',
        ],
      ].sample
    else
      [
        [
          slave.short_name + 'が喘息の発作を起こした隙をついて魔物の一匹がついに' + slave.short_name + 'を押し倒した。',
          'ブチブチと服が乱暴に破られる。押しのけようとした右腕が、別の魔物に押さえつけられる。',
          '「くぅぅっ、このっ、離れなさいっ！」',
          '押し倒された' + slave.short_name + 'は、必死の力で、魔物の腹を蹴り上げる。うまくみぞおちに入ったことで、魔物は苦しそうに呻きとびのいた。',
          '腕を押さえていた魔物も顔に手刀を入れ、その隙に' + slave.short_name +
            'は離れることができた。',
          'かろうじて危地を脱することはできたが、崖っぷちにまで自分が追い込まれたのだ。',
          '押し倒され、おしのけることもできず犯されるのは遠い未来ではない。今日か、それとも明日か。',
          slave.short_name + 'の背筋に恐ろしい予感が走り抜けた。',
        ],
      ].sample
    end
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '休みのない手加減なしの陵辱によって冒険者としてのプライドをすべて砕かれ、' + slave.short_name + 'の理性はドロドロに溶かされてしまった。',
        '激しい陵辱の末に、ついに' + slave.short_name + 'は冒険者としての気概をすべて失ってしまった……',
        '女とは男に犯されるための肉穴であり、精液を排泄されるための都合の良い性処理便器なのだ。そう悟った' + slave.short_name +
          'は、虚ろな目で性奴隷になることを宣言した。',
        monster.name + 'たちはそれを聞くとニヤニヤと笑いながら奴隷商人に引き渡した……',
        '「おちんぽっ、おちんぽぉっ、もっと、もっとぉぉ！」',
        monster.name + 'たちは卑語を叫ぶ' + slave.short_name + 'をニヤニヤと眺めている。',
        '「あーあ、すっかり壊しちまって。もう二度と元には戻らねえぞ」',
        '「へへっ、いいじゃねえか。どうせちんぽハメ穴として使い潰すんだから、あっちのほうが都合がいいだろ？」',
        'かつては賢者と呼ばれた知性を持っていた' + slave.short_name + 'の頭脳は、度重なる陵辱と致死量に近い媚薬の度重なる使用によって完全に壊れていた……',
        'もはや彼女の知性は、どれほど献身的な治療を加えようと幼児レベルまでしか戻らないだろう……',
        '（' + slave.short_name + 'は奴隷宣言しました。）',
      ],
    ].sample
    script
  end
end
