# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# フラン
class Adventurer7Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「こちらが一人なら、まさか負けると思ったの？」',
          adventurer.short_name + 'は吠えると武器を構えた。',
          '「あははっ、遊んでくれる相手を独り占め！ 最高じゃない！」',
          '大音声に空気がビリビリと震える。まずい相手に勝負を仕掛けてしまったかもしれない。そんな本能的恐怖が、一瞬だけ魔物たちの脳裏をよぎる……',
        ],
        [
          '「' + adventurer.self_call + 'と遊んでくれるの？ あはは、いっぱい楽しませてね！！」',
          '自らの敗北を全く考えていないかのように、' + adventurer.short_name + 'は笑う',
          'そこに潜む危険な何かを感じ取った魔物たちはびくりと震えた……',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、隙だらけっ……♪ 大丈夫、とってもいいことを教えてもらえるのよ？ だから感謝して欲しいわ……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今は、まだいい時じゃないよねー……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（ふふふ、それなら、魔物たちを壊して遊ぶだけだもの。楽しいわね！）',
          ],
          [
            '（今日のところは、まだダメかしら……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（退屈な仲間ごっこだけれど、これも楽しいから、もう少し遊んでみようかしら……）',
          ],
        ].sample
      end
    else
      [
        [
          '「あははっ！ こんなに遊んでくれるなんて、' + adventurer.self_call + '、とっても嬉しいわ！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
        [
          '「' + adventurer.self_call + 'と遊んでくれるの？ あはは、いっぱい楽しませてね！！」',
          adventurer.short_name + 'は狂気を孕んだ声で、大きく叫んだ',
        ],
      ].sample
    end
  end

  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          slave.short_name + 'は襲いかかる魔物たちをあしらい続けている。',
          '素手とはいえ、' + _adventurer_type + 'である' + slave.short_name + 'にとっては造作もないことなのだろう。',
          'その媚肉が目当ての魔物たちも、殺さぬよう手加減していることも大きいようだ。',
          '「あははっ！ いまボキッ、って言ったの！ 骨が折れる音ってとても素敵ね！」',
          '素手とはいえ、吸血鬼の怪力は容赦なく魔物たちの骨を折り、肉をえぐっていく。',
          'だが休みのない責めが' + slave.short_name + 'の体力を少しずつ削り取っていった……。',
        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          '「あははっ、みんなで遊んでくれるの！ ' + slave.self_call + '、すごく楽しいわ！」',
          '連日休みなく繰り返される怪物たちの攻めを' + slave.short_name + 'は容赦なく跳ね返す。',
          'だが休みもなく抗いつづける' + slave.short_name + 'の疲労はたまり続けるばかりだが、魔物たちには交代し、休む余裕もある。',
          slave.short_name + 'の行き着く先が見え始めているのは明らかだった。',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '冷たく、硬い石の床に横たわっても疲れはほとんど取れはしない。',
          'だがそれでも' + slave.short_name + 'は休めなければいけない。助けがくる、あるいは逃げ出す' +
            'チャンスが巡ってくるまでは体力を一欠片でも温存しておかねばならなかった。',
          '「うー、お姉さまたち、早く迎えに来てよ……」',
        ],
        [
          '魔物たちをあしらい続ける' + slave.short_name + 'の動きにも、かつてのキレは見えない。',
          'ここ数日で溜まりに溜まった疲労が、' + slave.short_name + 'の肉体を蝕んでいた……。',
          'キレが落ちたとはいえ、' + slave.short_name + 'は未だ魔物たちに屈することはない。' +
            'だが限界が迫りつつあるのは、' + slave.short_name + '自身も理解していた……',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          'すでに手足には鉛のような重さを覚えている。自分が切れ味を失いつつあるのは明らかだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。',
          '「もうっ、いい加減にしてよっ！」',
          slave.short_name + 'はさらに一体の魔物を組み伏せ、蹴り飛ばす。' +
            '今なら、まだ負けはしないだろう。だが限界は、すぐ目の前にまで迫りつつあった。',
        ],
      ].sample
    else
      [
        [
          'ぜぇぜぇと' + slave.short_name + 'は荒い息を吐く。',
          '魔力を封じられてさえいなければ、武器さえあれば、仲間さえいれば、体力さえあれば。',
          'こんな雑魚たちなど束になっても相手になるはずがなかった。それが、こんなやつらに追い詰められている。',
          '破滅の足音がすぐそこまで迫っているのを、' + slave.short_name + 'は聞いていた……',
        ],
      ].sample
    end
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '休みのない手加減なしの陵辱によって冒険者としてのプライドをすべて砕かれ、' + slave.short_name + 'の理性はドロドロに溶かされてしまった。',
        '激しい陵辱の末に、ついに' + slave.short_name + 'は冒険者としての気概をすべて失ってしまった……',
        '女とは男に犯されるための肉穴であり、精液を排泄されるための都合の良い性処理便器なのだ。そう悟った' + slave.short_name +
          'は、虚ろな目で性奴隷になることを宣言した。',
        monster.name + 'たちはそれを聞くとニヤニヤと笑いながら奴隷商人に引き渡した……',
        '「あははっ、いいわっ！」',
        '「おちんぽで、' + slave.short_name + 'をもっといじめてくれるんでしょう？」',
        '快楽に狂い、欲望に飲まれた' + slave.short_name + 'はセックスに耽溺している……',
        '「もっと男の人に犯してもらえるなら、' + slave.self_call + '、どこにだって行くわ！」',
        '限界を超えた陵辱調教によって快楽の泥沼から抜け出せなくなった' + slave.short_name + 'は二度と日常生活には戻れないだろう……',
        '（' + slave.short_name + 'は奴隷宣言しました。）',
      ],
    ].sample
    script
  end
end
