# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 小悪魔
class Adventurer9Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「あらあら、ふふふ、数を揃えていれば、勝てると思ったの？」',
          '孤立中を襲われた危地にもかかわらず、' + adventurer.short_name + 'は余裕を崩さない。不気味な迫力に魔物達は気圧され気味になる。',
        ],
        [
          '「たとえ一人でも、貴方達下等な魔物達ごときに負けはしませんわ」',
          '武器を構え、' + adventurer.short_name + 'は、どこか余裕を感じさせる態度で戦闘態勢を整えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会ですわ）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          '（大丈夫、最高の女の悦びを知る手伝いをしてあげますわ……）',
        ]
      else
        [
          [
            '（今日のところは、まだ好機ではないようですね……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（ふふっ、堕とせる日が楽しみですわ……）',
          ],
          [
            '（今日のところは、まだ分が悪いか……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（あの自信に満ち溢れた顔、無様に歪むところを表情しただけで、たまらないわ……）',
          ],
        ].sample
      end
    else
      [
        [
          '「実力の差を教えてあげるわ！」',
          adventurer.short_name + 'は油断なく構えた',
        ],
        [
          '「すぐに片付けてあげます！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
      ].sample
    end
  end

  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          '無数にひしめく魔物たちを' + slave.short_name + 'は徒手空拳であしらう。',
          '武器を失ったとはいえ、実力の差は明らかだった。',
          '（助けが来るまで持ちこたえねば……）',
          '魔物たちは有効打を与えられていないようだ……',
        ],
        [
          '部屋の中には、多数の魔物たちが美女を目当てにぐるりと囲んでいる',
          slave.short_name + 'は犯そうと襲い掛かる魔物たちを素手であしらい続けている',
          '「あらあら、美女相手に目の色を変えて！　' + slave.self_call + 'が美しすぎるのがいけないのね！」',
          '軽口を叩いてはいるが数が多く、全てを倒してこの地下牢から逃れることは難しいだろう。いまできることは、ここで抵抗し破滅を先延ばしにしながら、チャンスを待ち続けることだけだ。',
        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。今なら、まだ負けはしない。' +
            'だが先行きを考えれば、楽観はできなかった。',
          '「うーん、逃げ出す方法も早めに考えておかないと……」',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '冷たく、硬い石の床に横たわっても疲れはほとんど取れはしない。',
          'だがそれでも' + slave.short_name + 'は休めなければいけない。助けがくる、あるいは逃げ出す' +
            'チャンスが巡ってくるまでは体力を一欠片でも温存しておかねばならなかった。',
          '「必ず、必ず助けは来る、はず…… 頼みますよ、パチュリー様ぁ……」',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          'すでに手足には鉛のような重さを覚えている。自分が切れ味を失いつつあるのは明らかだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。',
          '「この、いい加減にっ！ しろったら！」',
          slave.short_name + 'はさらに一体の魔物を組み伏せ、蹴り飛ばす。' +
            '今なら、まだ負けはしないだろう。だが限界は、すぐ目の前にまで迫りつつあった。',
        ],
      ].sample
    else
      [
        [
          '魔物の一匹がついに' + slave.short_name + 'を押し倒した。',
          'ブチブチと服が乱暴に破られる。押しのけようとした右腕が、別の魔物に押さえつけられる。',
          '「離れなさいっ！　このスケベっ！」',
          '押し倒された' + slave.short_name + 'は、必死の力で、魔物の腹を蹴り上げる。うまくみぞおちに入ったことで、魔物は苦しそうに呻きとびのいた。',
          '腕を押さえていた魔物も顔に手刀を入れ、その隙に' + slave.short_name +
            'は離れることができた。',
          'かろうじて危地を脱することはできたが、崖っぷちにまで自分が追い込まれたのだ。',
          '押し倒され、おしのけることもできず犯されるのは遠い未来ではない。今日か、それとも明日か。',
          slave.short_name + 'の背筋に恐ろしい予感が走り抜けた。',
        ],
        [
          'ぜぇぜぇと' + slave.short_name + 'は荒い息を吐く。',
          '魔力を封じられてさえいなければ、武器さえあれば、仲間さえいれば、体力さえあれば。',
          'こんな雑魚たちなど束になっても相手になるはずがなかった。それが、こんなやつらに追い詰められている。',
          '破滅の足音がすぐそこまで迫っているのを、' + slave.short_name + 'は聞いていた……',
        ],
      ].sample
    end
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '休みのない手加減なしの陵辱によって冒険者としてのプライドをすべて砕かれ、' + slave.short_name + 'の理性はドロドロに溶かされてしまった。',
        '激しい陵辱の末に、ついに' + slave.short_name + 'は冒険者としての気概をすべて失ってしまった……',
        '女とは男に犯されるための肉穴であり、精液を排泄されるための都合の良い性処理便器なのだ。そう悟った' + slave.short_name +
          'は、虚ろな目で性奴隷になることを宣言した。',
        monster.name + 'たちはそれを聞くとニヤニヤと笑いながら奴隷商人に引き渡した……',
        '「あははっ、まあここまで堕ちてしまったのなら、しばらくは性奴隷というものを楽しむのも悪くはないかもしれませんねえ」',
        '快楽に狂いながらも、オスたちの煮え滾る欲望を楽しむ' + slave.short_name + 'は舌なめずりをした……',
        '淫魔としての彼女の本能は、己が肉贄にされたことすらも喜んでいるようだ……',
        '（' + slave.short_name + 'は奴隷宣言しました。）',
      ],
    ].sample
    script
  end
end
