# coding: utf-8
require_rrk 'src/defines/script/dungeon/script_utils'
require_rrk 'src/app/helper/game_define_helper'

class AuctionScript
  include ScriptUtils
  include GameDefineHelper

  def show_blank_auction_room
    [
      '（いまのところ、奴隷商人のところには元・冒険者はいません）',
      '（冒険者が戦闘に敗北し、陵辱に屈した時にここに送られてくる手はずとなっています）',
      '奴隷商人は強欲そうに笑った',
      '「女がきたら、任せてくれよ？」',
      '「売り払うなりあるいは捕まえた連中に金を払って買い戻すなり、どちらにせよ、全部俺に任せてくれれば間違いはないからよ」',
      'その中にはたっぷりと奴隷商人の「取り分」が含まれているのだろう',
      '奴隷商人はヒヒッと気味悪く笑った。',
      ' ',
      ' ',
    ]
  end

  def show_auction_room(slaves, wallet_money)
    slave_params = slaves.values.sample
    slave = slave_params[:slave]

    slave_names = if slaves.size > 1
      "#{slave.short_name}たち#{slaves.size}人の元・冒険者たち"
    else
      '元・冒険者である' + slave.short_name
    end
    [
      ' ',
      "奴隷商人の元には#{slave_names}がいる。",
      '陵辱の果ての屈辱にまみれた奴隷宣言を行った後だけあって絶望と諦観がその美しい顔を彩っている。',
      '彼女を売り払うことで金を得ることもできるが、もし懐に余裕があるのならば買い戻すこともできる。',
      'さて、どうしようか……',
      money_status(wallet_money),
    ]
  end

  def show_slave_auction(slave_params, wallet_money)
    slave = slave_params[:slave]
    bonus_texts = slave_params[:sell_info][:bonus_texts]
    script = [
      ' ',
      '奴隷宣言し、無力感と敗北感を顔に浮かべた' + slave.short_name + 'をオークションにかけ、売り払うことができます。',
      '奴隷商人は揉み手をしながらこちらの出方を窺っている……',
      ' ',
      'その後の彼女の人生に待つものは肉奴隷として、尊厳などひとかけらもない生活だけでしょう。',
      'あるいは買取ることで、あなたの魔術工房で触手による肉体改造や魔物を孕ませる子袋、あるいは奴隷娼婦として金を稼がせることもできます。',
      '肉奴隷に堕ちた' + slave.short_name + 'の人生をどうするかはすべてあなたにゆだねられています。',
      '何れにせよ、彼女が取り得るすべての末路に希望などありはしないのですが……',
      money_status(wallet_money),
      ' ',
    ]

    unless bonus_texts.empty?
      script += [
        '=== ステータスによる売却金額のボーナス ===',
      ] + bonus_texts
    end
    script += [
      ' ',
      '========= ステータス表示 ================',
      ' ',
    ] +
      slave.status_script +
      [' ', ' ',]
    script
  end

  def buy_slave(slave_params, buy_price, wallet_money)
    slave = slave_params[:slave]
    [
      slave.short_name + "（#{_add_comma(buy_price)}）を購入しました。",
      slave.short_name + 'を膝を抱えた状態でようやく入れる大きさの小さな檻に入れると、あなたは従順な使い魔たちにダンジョンの奥底へと運ぶよう命令しました。',
      '単なる奴隷として売り払われるだけだと思っていた' + slave.short_name + 'は自分の行き先がダンジョンの奥深くと知り、' +
        '新たなる絶望の予感に必死になって暴れますが、身動きも取れない檻の中では全てが手遅れです。',
      "（所持金が減り、 #{_add_comma(wallet_money)} になりました）",
      ' ',
      ' ',
    ]
  end

  def buy_slave_n_convert(slave_params, buy_price, wallet_money)
    slave = slave_params[:slave]
    script = [
      slave.short_name + "（#{_add_comma(buy_price)}）を購入しました。",
      'あなたの魔術工房の奥にある実験室で、' + slave.short_name + 'は四肢を大きく伸ばされた状態で拘束されている。',
      '女性らしく美しい腹のボディラインが、あなたの眼前に無防備にさらけ出されている。',
      'あなたの手にはたっぷりと熱せられた焼印があった。見るからに不吉で恐ろしい焼印。' +
        '焼印に刻み込まれた複雑な図形。それは相手に主人への絶対的な忠誠を誓わせるための精神融合による服従魔術刻印だった。',
      ]
    script +=
      if FGO_MODE
        [
          '服従魔術刻印、それはあなたの所有物だという事実を肉体はおろかサーヴァントの根幹、本質である霊基にまで刻み込む悪魔の刻印。' +
            'サーヴァント自身の魔力を取り込むことで半永久的に動作し、主人への忠誠を精神と肉体に刻み込み、淫乱な肉奴隷に作り変えようと容赦なく洗脳し続ける悪辣な刻印だった。',
          '呪いに近いその性質ゆえに刻まれてからすぐに高度な魔術知識と技能を持つ魔術師によって解呪されなければ、サーヴァントの霊基と癒着し、' +
            '一体化してしまい、サーヴァントの消滅以外に解呪する方法はなくなってしまうという代物だった。',
          '刻印自体はサーヴァントの召喚契約を打ち消せずとも、聖杯の力、あるいはその泥に似た性質によって召喚契約を上書きする。',
          'じわじわと心身を侵食し、魂を汚染する恐ろしく淫らな悪意の塊が、' + slave.short_name + 'の存在の根底からあなたにとって絶対服従の都合の良い手駒として作り変えてしまう。' +
            '精液と快楽を得るためならばどんな男であっても股を開き、発情し、まぐわう。' +
            '男に命令されればどんな内容でも従ってしまう。すべては服従の喜びと決して満たされぬ肉の渇きを癒すためだ。',
        ]
      elsif ORIGINAL_MODE
        [
          '精神融合による服従魔術刻印、それはあなたの隷属奴隷だという事実を女の肉体の内側の深淵に存在する精神に刻み込む悪魔の刻印。' +
            '刻まれた対象自身の魔力を取り込むことで精神融合を半永久的に持続させる、主人への忠誠を精神と肉体に刻み込み、淫乱な肉奴隷に作り変えようと容赦なく洗脳し続ける悪辣な刻印だった。',
          '精神融合と呼ばれる都合上、融合対象となる使い魔が必要になる、そしてそれは女淫魔という、' + slave.short_name + 'に取って最悪の存在だった。',
          'ましてや女淫魔という最悪の存在を魂に融合させられて、もとの人格や価値観が生き残るはずなどあり得るはずがなかった。',
          'じわじわと心身を侵食し、魂を汚染する恐ろしく淫らな悪意の塊が、' + slave.short_name + 'の存在の根底からあなたにとって絶対服従の都合の良い手駒として作り変えてしまう。' +
            '精液と快楽を得るためならばどんな男であっても股を開き、発情し、まぐわう。' +
            '男に命令されればどんな内容でも従ってしまう。すべては服従の喜びと決して満たされぬ肉の渇きを癒すためだ。',
        ]
      else
        [
          '精神融合による服従魔術刻印、それはあなたの隷属奴隷だという事実を女の肉体の内側の深淵に存在する精神に刻み込む悪魔の刻印。' +
            '刻まれた対象自身の魔力を取り込むことで精神融合を半永久的に持続させる、主人への忠誠を精神と肉体に刻み込み、淫乱な肉奴隷に作り変えようと容赦なく洗脳し続ける悪辣な刻印だった。',
          '妖怪の本質は精神である。精神を変質させられてしまえばそれはもう彼女自身の生き方や価値観そのものが作り変えられてしまうに等しいことだった。',
          '妖怪すらも作り変えてしまう強力な刻印に妖怪以外の人間や妖精が対抗できるはずもない。',
          '精神融合と呼ばれる都合上、融合対象となる使い魔が必要になる、そしてそれは女淫魔という、' + slave.short_name + 'に取って最悪の存在だった。',
          'ましてや女淫魔という最悪の存在を魂に融合させられて、もとの人格や価値観が生き残るはずなどあり得るはずがなかった。',
          'じわじわと心身を侵食し、魂を汚染する恐ろしく淫らな悪意の塊が、' + slave.short_name + 'の存在の根底からあなたにとって絶対服従の都合の良い手駒として作り変えてしまう。' +
            '精液と快楽を得るためならばどんな男であっても股を開き、発情し、まぐわう。' +
            '男に命令されればどんな内容でも従ってしまう。すべては服従の喜びと決して満たされぬ肉の渇きを癒すためだ。',
        ]
      end
    script += [
      'そんなものを刻み込まれてしまえばもう目の前の男に逆らうことができなくなる、女として終わってしまう、' + slave.short_name + 'は恐ろしい予感にガタガタと震えだすが、' +
        'がっちりと拘束された四肢はビクともしない。',
      'ついに焼印を押された。口枷をはめられたことで響く悲鳴はくぐもってはいたが、絶望と激痛から絞り出される' +
        slave.short_name + 'の悲鳴はあなたを大いに楽しませた。',
      '精神におぞましい泥のような何かが染み込んでいく恐ろしい感触に本能が警鐘を鳴らす。しかし逃れることはできはしない。精神の最も奥深くが' +
        '侵されていく恐ろしい感覚に' + slave.short_name + 'は拘束具からガチャガチャと耳障りな音を響かせることしかできなかった……',
      '焼き付けられた焼印が早くも魔力による妖しい光を放つ。' + slave.short_name + 'の魂に、融合の素材となった女淫魔の魂が癒着し始めた証だった。',
      "（所持金が減り、 #{_add_comma(wallet_money)} になりました）",
      ' ',
      ' ',
    ]
    script
  end

  def buy_slave_n_convert_magic(slave_params, buy_price, wallet_money, magic_power)
    slave = slave_params[:slave]
    script = [
      slave.short_name + "（#{_add_comma(buy_price)}）を購入しました。",
      'あなたの魔術工房の奥にある実験室で、' + slave.short_name + 'は手足を縛られた状態で拘束されている。',
      '目の前にあるのは、例えて言うなら巨大な大釜だった。ただし中には無数の毒々しい色の触手がひしめき合っている。',
      '眩しいほどの魔力が大釜の中にあるのは、この大釜が迷宮の根幹たる賢者の大宝珠と直結されているためだ。',
      'かつて女魔術師の一門のすべてから搾りとられた魔力を固形化しつくられた賢者の大宝珠は妖しく光る。新たな獲物を貪れる期待に震えているかのようだ。',
      'この大釜で自分から魔力を搾りとる、とだけ聞かされていた' + slave.short_name + 'は「自分はどんな行為にも屈しない」と気丈に言った。',
      'どうやら、今までの陵辱同様に屈辱と快楽などによって女から魔力を搾りとる装置だと考えているようだ。',
      'まあいい。その勘違いを、今から修正してやろう。授業料は' + slave.short_name + 'の生命だ。',
      'あなたは' + slave.short_name + 'の背中をどん、と突き飛ばし大釜の中へと蹴り入れた。',
      '餌を投げ込まれた触手たちが' + slave.short_name + 'を絡め取り、触手の沼の中へとたちまち飲み込んでいく。',
      '苦しげにビクビクと震える腕だけが見えていたが、触手たちに飲み込まれやがてすぐに見えなくなった。',
      '触手たちは' + slave.short_name + 'に巻きつき、分泌液を分泌し、それを執拗に' + slave.short_name + 'に塗りつけていく。',
      '分泌液が触れた部分は最初は熱を持ち、やがてゆっくりと溶けていく。肉が溶ける際にまばゆい光が溢れる。',
      '光の正体は' + slave.short_name + 'の肉体を構成していた要素であり、精神力であり、魔力であり、生命力そのものだ。',
      '触手たちの狙いが陵辱ではなく捕食にあると気づいた' + slave.short_name + 'は狂ったように叫ぶが、大釜の外には半分も聞こえはしない。' +
        '分厚い触手たちが全てを遮っていた。',
    ]
    script +=
      if FGO_MODE
        [
          'サーヴァントの全身は「座」から召喚されたときに魔力を転換し構成される高品質のものだ。それらをとかし貪る触手たちは、その魔力の美味さに' +
            '舌鼓をうち、歓喜するように震えている。',
          'やがて触手は霊基そのものに直接干渉士、魔力を吸い上げられるほどに' + slave.short_name + 'の肉体を侵食していく。',
          '生命力や魔力が、はっきりとわかるほどにごっそりと奪われていく絶望。',
          '己の肉体がどんどん小さくなっていく恐怖。',
          '霊基という己の根幹が音を立てて砕かれていくことへの本能的な怯え。',
          'それらのすべてが' + slave.short_name + 'を支配していた。',
          'なにより恐ろしいことを' + slave.short_name + 'は直感した。',
          '通常であればサーヴァントは「死」を迎えれば肉体を失い、「英霊の座」に帰る。だが強力な魔術結界に包まれたこの場所で死ねば' +
            'この賢者の大宝珠に己の魂は飲み込まれ、二度と「英霊の座」に戻ることはない。',
          '太陽の重力に捕まった小衛星が逃れるすべもなく太陽へと引きずり込まれるような者だ。そしてタチの悪いことに' +
            'サーヴァントほど強力な精神をもつ者は燃え尽きることもできず永遠にこの宝珠の中で苦しみ続けることになる。',
          '伝聞として聞いてはいた、かつてカルデアにいたという若き女所長の最期が' + slave.short_name + 'の頭によぎる。',
          slave.short_name + 'はたったいま、本心から絶望と恐怖によって悲鳴をあげた。己のこれほど情けない声をあげたことなど今までの生涯の中でなかった。',
          slave.short_name + 'にとって幸いなことは、聞かれれば名誉に障るその哀れな声を聞きとれた者は、誰もいなかったことだ。この無慈悲な捕食者たる触手を除いて。',
        ]
      else
        [
        ]
      end
    script += [
      '触手たちの中から響く' + slave.short_name + 'の悲鳴はくぐもってはいたが、絶望と激痛から絞り出される' +
        slave.short_name + 'の悲鳴はあなたを大いに楽しませた。',
      "（所持金が減り、 #{_add_comma(wallet_money)} になりました）",
      "（魔力が増え、 #{_add_comma(magic_power)} になりました）",
      ' ',
      ' ',
    ]
    script
  end

  def lack_to_buy_slave(slave_params, buy_price, wallet_money)
    slave = slave_params[:slave]
    [
      slave.short_name + "（#{_add_comma(buy_price)}）を買うには所持金が足りません。",
      money_status(wallet_money),
    ]
  end

  def sell_slave(adventurer, slave_price_params, money)
    buyer_type = adventurer.buyer_type
    script = _calculate_status_script(adventurer, slave_price_params, money)
    script += _slave_buyer_type_script(adventurer, buyer_type)
    script
  end

  def _calculate_status_script(adventurer, slave_price_params, money)
    [
      ' ',
      adventurer.short_name + 'の売却価格は' + _add_comma(slave_price_params[:slave_price]) + 'だった',
      '徹底的な調教によって叩き込まれた性奴隷としての能力に対する評価が' + _add_comma(slave_price_params[:sex_status_price]) +
        '、冒険者としての能力に対する評価が' + _add_comma(slave_price_params[:adventurer_status_price]) + 'だった。',
      'その額は地上の町で暮らす庶民の年収の数十倍に当たる額だ。しかし、美しい女として、また' + _adventurer_type + 'としての' +
        adventurer.short_name + 'の人生に相当する額であるかは別の意見があるかもしれない。',
      "（売却により所持金が #{_add_comma(money)} になりました）",
      ' ',
    ]
  end

  def _slave_buyer_type_script(adventurer, buyer_type)
    case buyer_type
      when 'brothel'
        sell_slave_to_brothel(adventurer)
      when 'gang'
        sell_slave_to_gang(adventurer)
      when 'rich'
        sell_slave_to_rich(adventurer)
      when 'beast_man'
        sell_slave_to_beast_man(adventurer)
      when 'tentacle'
        sell_slave_to_tentacle(adventurer)
      else
        raise "Buyer Type is invalid!!! #{buyer_type} #{buyer_type.class}"
    end
  end

  def sell_slave_to_brothel(adventurer)
    [
      '奴隷商人が渡りをつけた' + adventurer.short_name + 'の売却先は、娼館だった。',
      '何人もの' + _adventurer_type + 'たちを飲み込んできたあの忌まわしいダンジョンを挟んで、冒険者たちが拠点としている街とは反対側にあるという。',
    ] +
      [
        [
          '助けがくる望みは薄いだろう。なにしろ' + adventurer.short_name + 'もこの場所の存在を今初めて知ったぐらいだ。',
          'それに何より、' + adventurer.short_name + 'の心を重い絶望感と諦観、敗北感や劣等感が支配していた。',
          '男への恐怖や怯えの前に、すでに精神は折れ、粉々に砕けてしまっていた。' + adventurer.short_name + 'に出来ることは、我が身の不幸を呪い、嗚咽することだけだった。',
          ' ',
        ],
      ].sample
  end

  def sell_slave_to_gang(adventurer)
    [
      '奴隷商人が渡りをつけた' + adventurer.short_name + 'の売却先は、裏社会に巣食うならず者たちだった。',
      'ボスを筆頭に１００人近くいるならず者たち。普段の仕事は強盗や略奪、あるいは黒社会、つまりは社会の掃き溜めの仕事をしている最低の男たち。',
    ] +
      [
        [
          '最初の方こそボスらしき男が' + adventurer.short_name + 'の肉体を味わってはいたが３ヶ月と持たずに飽きられた。',
          '飽きられたからといって解放されるわけではない。常に肉に飢えていたならず者の下っ端たちによって貪られたのだ。',
          adventurer.short_name + 'がここに連れてこられてから数ヶ月も経っただろうか。どのみち' + adventurer.short_name +
            'には時間というものを気にしなくなっていたがそれでも短くはない時間ということは知っていた。',
          '部屋には大量の男たちがいる。男たちによる休みのない輪姦。ものを考えるなどという脳の高尚な機能はとっくの昔に壊れていた。',
          '男を喜ばせるために甘い声で啼き、体の全ての穴を使って男たちの肉棒をもてなす。休みなどない。だが男たちの期待に応えることができれば' +
            '少なくとも痛い目に合わせられることはない。',
          adventurer.short_name + 'は、２日前にここに連れてこられたさらわれてきた村娘たちとともに嬲られていた。',
          '町娘たちは絶えず嗚咽を漏らしているが、' + adventurer.short_name + 'は同情や憐憫といった感情を抱かなかった。' +
            '彼女たちが、すぐに「壊れて」楽になれることを知っていたからだ。',
          _adventurer_type + 'として尊敬と名声を得ていた' + adventurer.short_name + 'の心と体は、そう簡単には壊れなかった。',
          'だから彼女は、永劫にも思える苦痛をたっぷりと味わうことになっている。苦しみはまだ当分は続きそうだった……',
          ' ',
        ],
      ].sample
  end

  def sell_slave_to_rich(adventurer)
    [
      '奴隷商人が渡りをつけた' + adventurer.short_name + 'の売却先は、この街の富豪の男だった。',
      'ダンジョンを抱え、多くの人が集まった街で様々な商売を起こし、たっぷりと私財を蓄えた男の楽しみは、若い女を己が思うがままに弄ぶことだった。',
    ] +
      [
        [
          '',
          '',
          ' ',
        ],
        [
          '',
          '',
          ' ',
        ],
      ].sample
  end

  def sell_slave_to_beast_man(adventurer)
    [
      '奴隷商人が渡りをつけた' + adventurer.short_name + 'の売却先は、ダンジョン近くの山脈に住まう獣人だった。',
      '様々な異形が住まうダンジョンであれば、出口から外に抜け出し、そこに住まいを変えるものもいる。',
      '山中に巧妙に作られた隠れ家は地元のものも入らない難所を超えた場所にあり、たとえいつの日かダンジョンが掃討されたとしても' +
        'ここにまでは手は及ばないだろう。それはすなわち、' + adventurer.short_name + 'にとって助けが来る可能性がほぼなくなったことを意味していた……',
    ] +
      [
        [
          '',
          '',
          '',
        ],
        [
          '',
        ],
      ].sample
  end

  def sell_slave_to_tentacle(adventurer)
    [
      [
        '奴隷商人が渡りをつけた' + adventurer.short_name + 'の売却先は、ある男だった。',
        'その男の態度は非常に奇妙で目の焦点も合わずフラフラと歩く男で、明らかにまともとは思えなかった。',
        'だが奴隷商人が言うには、その男は今までにも何人もの女を買ってはいるが、金払いは確かだという。それにその男は使いだから、買い主は別だぜ。といった。',
        '要するに金さえ入るならば奴隷商人にとっては後はどうだって良いのだろう。',
        '男が引く鎖に引っ張られ、山道を' + adventurer.short_name + 'は歩いていた。フラフラとした足取りの割に鎖を引く力は奇妙に強い。逃げ出そうとしても首に首輪が食い込むだけだった。',
        'それにしても……　こんな人気のない山の中に人家があるとは思えない。いったいこの男はどこまで自分を連れて行く気だろう。',
        adventurer.short_name + 'が怪しみ出した頃、やおらに男が苦しみ始めた。',
        '地面の上をのたうちまわる。やがて口から赤黒いものを吐き出し始めた。',
        '最初、' + adventurer.short_name + 'は口から内臓を吐き出したと思った。おそらくこれは死ぬのは間違いない。',
        '逃げ出すチャンスだと思った' + adventurer.short_name + 'は、逃げるために男の手から鎖を外すべく近寄った。',
        'そしてそれが致命的な間違いだった。',
        '男が吐き出した赤黒い、短く太い蛇のようなものは、バネのように' + adventurer.short_name +
          'の顔に飛びついた。尻尾にあたる部分を、' + adventurer.short_name + 'の口にねじ込む。',
        '口の中に生暖かくおぞましい何かを産み付けられていく感触。自分が何か取り返しのつかないことをされていることだけは、ぼんやりと' + adventurer.short_name + 'にもわかっていた……',
        '男から飛び出した赤黒いものの正体は、触手だった。人に寄生し、内側から体を食い荒らしながら思うがままに操る寄生生物。',
        '触手にとって、強力な魔力と' + _adventurer_type + 'として鍛えた強靭な肉体を持つ' + adventurer.short_name + 'は、極上の苗床となってくれる、そう触手が考えているのが、' + adventurer.short_name + 'にも伝わってきた。',
        'それは自分が、触手に乗っ取られつつある証だと' + adventurer.short_name + 'は直感し、深い絶望を感じていた……',
      ],
      [
        '奴隷商人が渡りをつけた' + adventurer.short_name + 'の売却先は、郊外に住む胡散臭げな男だった。',
        '屋敷に連れてこられた' + adventurer.short_name + 'は、自分を買った男が、特段女に飢えているようでもなく、また屋敷にも他に人気がないことから、' +
          'もしかすれば、自分はひどい目には遭わされないかもしれないという淡い希望を持った。',
        '分厚いメガネ越しに見た、自分を品定めする男の目つきが、肉欲とは異なるものに彩られていたことは多少気がかりだったが、' + adventurer.short_name + 'は男に案内されるままに屋敷を歩いていた。',
        'このまま' + adventurer.short_name + 'の部屋に案内する、そう言われた。',
        adventurer.short_name + 'はその言葉を疑わなかった。そしてそれが致命的な誤りだった。',
        'ある部屋の扉を開ける。奇妙に生臭い。' + adventurer.short_name + 'が、ここが自分に割り当てられた部屋なのかと中を覗き込んだ瞬間、背中を蹴り飛ばされ、下へと突き落とされた。',
        ' ',
        '全身を覆う生臭い感覚。ヌメヌメとし何かが自分を覆い尽くそうとしている。',
        adventurer.short_name + 'が上を見上げると、男の顔が見えた。口が半月型の笑いに歪んでいる。',
        ' ',
        '男は科学者だった。それもまともではない方の。女を実験隊の苗床に使い、強い合成生物を生み出す研究をしていた。今までの女はすぐに壊れてしまったが、' + adventurer.short_name + 'の強靭な肉体と精神であれば、しばらくは役に立つだろう。',
        '生まれる子供に悪影響が出ないように狂わぬように薬を与えられ、たっぷりと栄養を与えられながら、生きることになる。' +
          '当分は壊れはしないだろう。',
        'これから' + adventurer.short_name + 'は肉玩具として触手たちを楽しませ、数え切れぬほど異形の子供達を孕むことになる。',
        adventurer.short_name + 'は、男の期待に対して、予想以上に長い期間応えてみせた。',
        '',
      ],
    ].sample
  end

  def show_trial_buy_script
    [
      '奴隷商人は曖昧な笑みを浮かべた。どうやら買い戻すには何か条件があるようだ',
      '（体験版では奴隷を買い戻すことはできません）',
      ' ',
    ]
  end
end
