# coding: utf-8
require_rrk 'src/defines/script/dungeon/script_utils'

class DungeonMasterScript
  include ScriptUtils


  def show_dungeon_top_menu(money, magic_power)
    [
      '（あなたの居室）',
      'ダンジョンの最下層に、ダンジョンとは思えぬほど整った石造りの部屋がある。ここはあなたがこのダンジョンの最下部に作った魔術工房だ。',
      '外道と蔑まれた魔術を研鑽し、究めるための研究区画。天才魔導師であるあなたにとって、己が心血を注いで作り上げたこの場所が最も心が落ち着く場所だ。',
      ' ',
      '女たちの運命を蹂躙する魔術を究めた外道の魔導師であるあなたは部屋の周囲を見回した。',
      'さて、何をしようか',
      ' ',
      'ここではダンジョンを強化できます。',
      wallet_status(money, magic_power),
    ]
  end

  def show_summons_power_up(money)
    [
      '（あなたの居館、魔術召喚室）',
      'ここはダンジョンの最下層部の大部屋。中央には魔導炉の本体である魔導回路により構成された巨大な魔術炉心図が描かれている。',
      'もしこの円形の魔術炉心図が赤黒く光り輝くときにこの部屋を訪れれば、この魔術炉心図の中から魔物たちが現れるのをみることができるはずだ。',
      '（魔術炉心図にさらに紋様を書き加えることで、新たな魔物を召喚することができます）',
      ' ',
      'ここではダンジョンに配置する強力な魔物を召喚できます。',
      '強力な魔物は女' + _adventurer_type + 'の行く手を阻み、打ち倒すことができるでしょう。',
      money_status(money),
    ]
  end


  def show_traps_power_up(money, magic_power)
    [
      '（あなたの居館、魔術工房）',
      'ここはダンジョンの最下層部にある工房。広々とした作業机の上には大量の工具や作りかけのトラップ、設計図などが整然と並べられている。',
      'ここで新たなトラップを開発することもできます。',
      'ダンジョン中に配置されたトラップは、専用の使い魔によって配置されます。' +
      '新型の強力なトラップを作れば、瞬く間にダンジョン中に仕込まれていくでしょう。',
      '強力で悪辣なトラップは、' + _adventurer_type + 'たちの行く手を阻み、堕落させるための下準備をその精神と肉体に加えていきます。',
      ' ',
      'ここではダンジョンに配置する強力なトラップを開発できます。',
      'トラップは強力な魔物は女' + _adventurer_type + 'の行く手を阻み、実力を発揮することを阻むことができます。',
      wallet_status(money, magic_power),
    ]
  end

  def show_merchant_shop(money)
    [
      '（違法歓楽街の奥まった場所にある闇商人の店）',
      'ここはダンジョンの裏側にある違法歓楽街。その奥まった場所にある目立たない建物の２階。',
      '何かの刺激臭が鼻をついた。',
      'この店の主人が扱うものは機械仕掛けのアイテムを開発や、あるいは依頼の遂行など。',
      '金さえ積めばできないことはないと異国風の見かけの主人はいう。',
      'あなたのダンジョンを強化させるための機械仕掛けのアイテムはずらりと並ぶ。店の隅にある' +
        '掲示板には怪しげな依頼や仕事を求める紙がぎっしりと貼り付けられている。',
      ' ',
      'ここではダンジョンを強化するアイテムを購入することができます。',
      money_status(money),
    ]
  end

  def show_book_shop(money)
    [
      '（違法歓楽街から外れた場所にある老魔導師の魔術工房）',
      'ここはダンジョンの裏側にある違法歓楽街。その表通りから外れたところにある二階建ての石造りの家。',
      'ここは老魔導師が、己が収集した魔道アイテムを扱う店だ。いや正確に言えばかつてはそうだった。',
      '老魔導師はすでに亡くなったが、この魔術工房を守るべく配置された使い魔たちが今でも健在で誰もこの店には手が出せない。',
      'あなたが店先を覗くと、品物を扱う使い魔が会釈のようにぺこりと頭を下げた。老魔導師の着古したローブを羽織った不可視の使い魔は、' +
        'いまや読むもののいない魔道書を売り、この魔術工房を維持する費用を捻出している。',
      '煙突からはもくもくと嫌な匂いのする煙が立ち上っている。別の使い魔たちが工房の奥で何かを作っているのだろう。',
      ' ',
      'ここではあなたが使える魔術スキルを増やす魔道書を購入することができます。',
      money_status(money),
    ]
  end

  def show_summon_magic_room(guard_unit_count, money, magic_power)
    [
      '（あなたの居館、魔術召喚室）',
      'ここはダンジョンの最下層部の大部屋。賢者の大水晶と直結されたこの部屋の中央には魔導回路により構成された巨大な魔術炉心図が描かれている。',
      'もしこの円形の魔術炉心図が赤黒く光り輝くときにこの部屋を訪れれば、この魔術炉心図の中から魔物たちが現れるのをみることができるはずだ。',
      '強力な魔物を呼べれば、この迷宮の心臓部がある最深部を守る戦力は大幅に増強できるだろう。',
      '（魔術炉心図に魔力を流すことで、新たな強力な魔物を召喚することができます）',
      ' ',
      'ここではダンジョンに配置する強力な魔物を召喚できます。',
      '強力な魔物は女' + _adventurer_type + 'の行く手を阻み、打ち倒すことができるでしょう。',
      wallet_status(money, magic_power),
      ' ',
      "現在、迷宮の深層には#{half_number_to_full(guard_unit_count)}隊の強力な魔物たちが" +
        '女' + _adventurer_type + 'を倒すべく徘徊しています。',
      ' ',
      ' ',
    ]
  end

  def summon_elite_monster(guard_unit_count, money, magic_power, monster_params)
    [
      "魔力を#{half_number_to_full(monster_params[:magic_power])}使って、#{monster_params[:name]}を数十#{monster_params[:unit_name]}召喚しました。",
      wallet_status(money, magic_power),
      ' ',
      "現在、迷宮の深層には#{half_number_to_full(guard_unit_count)}隊の強力な魔物たちが" +
        '女' + _adventurer_type + 'を倒すべく徘徊しています。',
      ' ',
      ' ',
    ]
  end

  def shortage_of_magic_power(cost, magic_power)
    [
      ' ',
      '実行するには魔力が足りません',
    ] + short_of_magic_power(magic_power, cost)
  end

  def show_carpenter_shop(money)
    [
      '（違法歓楽街の外れにある左官の店）',
      'ここはダンジョンの裏側にある違法歓楽街。その外れにある広めの平屋の建物。',
      '表に出ている削り出している最中に見える新品の木柱の香りが鼻をくすぐった。',
      'この店の、頑固な性格が顔に出ている主人は、金さえ積めば素晴らしいほどの速さで建物を作ってくれる。',
      'もちろん真っ当な目的でないものであってもだ。',
      'たとえば強力な妖怪を押さえつけるための強力な拘束具を固定する頑丈な台座。',
      '女と交わらせるための馬を、すぐに観客たちのいる公開種付け台に導くための通路。',
      'その設計は見事なもので、機能美の中にドギツい装飾美がうまく入り混じっている。',
      '割増料金さえ積めば、すぐにでもやるぜ。棟梁はキセルをふかしながらそう言った。',
      '設計図の元となる図面はすでにできている。さて、何を頼もうか……。',
      ' ',
      'ここでは売春内容を増やすための娼館の施設を増築することができます。',
      money_status(money),
    ]
  end

  def show_tentacle_shop(money, magic_power)
    [
      '（ダンジョンの最深部。それも奥まった場所）',
      'ここはダンジョンの最下層、それもさらに奥まった場所にあるジメジメと湿った場所。',
      '換気が悪いためにカビ臭い。いやそれ以上になにかひどい臭いが鼻をついた。',
      'ここではかつてあなたが触手苗床で使うための触手を開発していた。',
      'いま苗床で女たちを苛んでいる触手たちもここで生まれたのだ。',
      'さらなる資金や魔力を注ぎ込めば、より凶悪で悪辣な触手を作り出す事ができるだろう。',
      'ナメクジのような、あるいはザクロのような凶悪な触手たち。',
      'このものたちは、必ずや女たちに悪魔のような肉の歓びを刻み込んでいくだろう。',
      ' ',
      'ここでは女の肉体と精神を作り変える触手たちを開発・培養することができます。',
      wallet_status(money, magic_power),
    ]
  end

  def deploy_monster(monster_name, wallet_money, cost)
    [
      '深夜。どのような生物も、草木ですら眠るであろう時間。それは召喚陣が活性化する時間でもある。',
      'あらたに複雑な紋様を書き加えられた禍々しい魔導炉全体が活性期を迎え、青白く光り始める。',
      '今までと同じゴブリンなどのモンスターに混じって、より大柄で強靭で頑健な新型のモンスターが現れる。',
      'その凶悪そうな' + monster_name + 'の外観は、冒険者にとっては恐ろしく、そしてあなたにとっては頼もしく見えた。',
      monster_name + 'たちは今までよりも、多くの冒険者を倒してくれるに違いない。あなたは昏く笑った。',
      '（' + monster_name + 'を召喚しました）',
      ' ',
    ] + spent_money(wallet_money, cost)
  end

  def deploy_trap(trap_name, magic_power, cost)
    [
      '試行錯誤の末に、新型のトラップが完成した。',
      '新たな機構を備えたトラップは今までよりも強力で悪辣な効果を持っている。',
      '今までよりも多くの女' + _adventurer_type + 'たちに効果を発揮し苦しめることができるだろう、',
      'あなたは昏く笑った。',
      '（新型トラップ：' + trap_name + 'を開発しました）',
      ' ',
    ] + spent_magic_power(magic_power, cost)
  end

  def deploy_item(item_name, wallet_money, cost)
    [
      'あなたが住処としているダンジョンの秘密の入り口に、闇商人の使いの者が来ていた、と使い魔が告げた。',
      '大仰な箱に収められた' + item_name + 'は、間違いなくダンジョンを運営する上で役に立つだろう。',
      'それはつまり、多くの女' + _adventurer_type + 'を破滅に近づける役に立つということだ、',
      'あなたは昏く笑った。',
      '（新型アイテム：' + item_name + 'を購入しました）',
      ' ',
    ] + spent_money(wallet_money, cost)
  end

  def deploy_book(item_name, wallet_money, cost)
    [
      '麻袋に入れられた金額を確かめると、使い魔は店の奥の本棚から一冊の本を取り出し、あなたのもとに手渡した。',
      '古ぼけ、奇妙な香りのついた' + item_name + 'は、間違いなくダンジョンを運営する上で役に立つだろう。',
      'それはつまり、多くの女' + _adventurer_type + 'を破滅に近づける役に立つということだ、',
      'あなたは昏く笑った。',
      '（新しい魔道書：' + item_name + 'を購入しました）',
      ' ',
    ] + spent_money(wallet_money, cost)
  end

  def deploy_building(building_name, wallet_money, cost)
    script_by_mode =
      if FGO_MODE
        [
          'これでさらに、奴隷娼婦たちを使ってかつての仲間であるサーヴァントたちを追い詰めるための資金を稼ぐ事ができる、',
        ]
      else
        [
          'これでさらに、奴隷娼婦たちを使ってかつての冒険者仲間たちを追い詰めるための資金を稼ぐ事ができる、',
        ]
      end

    [
      'あなたが住処としているダンジョンの秘密の入り口に、大工の棟梁の使いの者が来ていた、と使い魔が告げた。',
      '遠見の水晶を通してみると、奴隷娼館の一部として' + building_name + 'が仕上がっていた。',
    ] +
    script_by_mode +
    [
      'あなたはそう昏く笑った。',
      '（新施設：' + building_name + 'を建築しました）',
      ' ',
    ] + spent_money(wallet_money, cost)
  end

  def deploy_tentacle(tentacle_name, wallet_money, cost)
    [
      '試行錯誤の末に新型触手が完成しました。',
      '新たな効能を備えた触手は今までよりも強力で悪辣な効果を持っている。',
      '今までよりも、捕らえた元・女冒険者たちに効果を発揮し苦しめることができるだろう、',
      'あなたは昏く笑った。',
      '（新型触手：' + tentacle_name + 'を開発しました）',
      ' ',
    ] + spent_magic_power(wallet_money, cost)
  end

  def short_of_money(wallet_money, cost)
    [
      ' ',
      '所持金（' + _add_comma(wallet_money) + '）ではお金が足りません',
      '（費用は' + _add_comma(cost) + 'です）',
      ' ',
    ]
  end

  def spent_money(wallet_money, cost)
    [
      ' ',
      '所持金が' + _add_comma(wallet_money) + 'になりました',
      '（費用：' + _add_comma(cost) + 'を使いました）',
      ' ',
    ]
  end

  def trap_description(trap_params)
  trap_params[:description] +
    [
      "価格：#{_add_comma(trap_params[:price])}",
    ]
  end

  def item_description(item_params)
    item_params[:description] +
      [
        "価格：#{_add_comma(item_params[:price])}",
      ]
  end

  def building_description(building_params)
    building_params[:description] +
      [
        "価格：#{_add_comma(building_params[:price])}",
      ]
  end

  def tentacle_description(tentacle_params)
    tentacle_params[:description] +
      magic_power_to_development(tentacle_params[:price])
  end

  def money_description(dungeon_master)
    [
      money_status(dungeon_master.money),
    ]
  end

  def magic_power_description(dungeon_master)
    [
      magic_power_status(dungeon_master.magic_power),
    ]
  end

  def get_monster_power_desc(monster_params)
    "ライフ：#{monster_params[:power]}、パワー：#{monster_params[:life_point]}"
  end
end
