# coding: utf-8
require 'src/defines/script/dungeon/script_utils'

class NightScript
  include ScriptUtils

  def hunting_prologue_script(hunter_name, adventurer)
    # 侵入方法。文章単位。
    approach_script = [
      '一人が手から淡い光を放つ。施錠魔術がかけられた鍵を解錠したのだ。',
      '器用に屋根に縄のついた鈎をひっかけると、スルスルと縄をよじ登り、窓から部屋を伺う。',
      'あらかじめ宿屋の人間の一人を買収しておいたために鍵のかかっていない扉は音もなく開いた。',
      'あらかじめ作っておいた合鍵で扉を静かに開いた。 ',
    ].sample

    [
      "深夜の街。通りには人の姿は全く見えない。全ての家は門戸を閉ざし家人は寝入っている。静まり返っている通りを進むいく人かの#{hunter_name}だけが例外だ。",
      '彼らは' + adventurer.short_name + 'たちが宿泊する宿屋の裏口にたどり着くと、' + approach_script,
      '彼らは' + adventurer.short_name + 'の部屋に目をつけたようだ……',
    ]
  end

  def hunt_success_script(hunter_name, adventurer)
    [
      hunter_name + 'たちが部屋へとそぉっと侵入しようとする。',
      '音もなく扉が開き、男たちは部屋の中に侵入する。これから始まる陵辱劇への期待に股間をたかぶらせる' + hunter_name + 'たちの前で' +
      adventurer.short_name + 'は無防備に眠りこけている。',
      hunter_name + 'は' + adventurer.short_name + 'の手を縛り上げ、そして脚を大きく広げた状態でベッドの脚に固定する。',
      '本来秘められるべき、女の最も神聖な場所が' + hunter_name + 'たちの前に曝け出される。',
      '部屋には静寂の符呪が何枚も貼られている。どれほど大きな声を上げようとも、隣の部屋の人間すらも気づきはしないだろう。',
      hunter_name + 'たちはゴクリと唾を飲んだ。もはや彼らが目の前の極上の獲物を貪ることを邪魔できるものなど誰もいなかった。',
      ' ',
      hunter_name + 'たちは徹底的に' + adventurer.short_name + 'を輪姦し、たっぷりとその肉体を味わった。',
      'どれほど' + adventurer.short_name + 'が悲鳴をあげても、符呪によってその声は遮られ、誰にも気づかれることなく朝まで陵辱劇は続けられた。',
      hunter_name + 'たちにとっては誰にも邪魔されることなく女の美肉を貪れる最高の時間、' +
        adventurer.short_name + 'にとっては地獄のような時間は、朝まで続いた……',
    ]
  end

  def hunt_force_success_script(hunter_name, adventurer)
    # オナニー中だけは別
    if adventurer.has_skill_holic?(:onany_holic)
      onany_script = [
        '（夜這い＋自慰中毒）',
        hunter_name + 'たちは鍵のかかった部屋の扉を外側から開けると音もなく' + 
        adventurer.short_name + 'の部屋へと侵入した。',
        hunter_name + 'たちが見た者は、一心不乱に自慰行為に没頭する' + adventurer.short_name + 'の姿だった',
        hunter_name + 'たちに痴態を見られた' + adventurer.short_name + 'は悲鳴を上げようとする。',
        'だが' + hunter_name + 'たちは素早く動き、固まっている' + adventurer.short_name + 'の口を塞ぎ、手足を縛り上げる。',
        '壁に吸音の呪符を張り、扉の鍵を内側から閉めてしまえば、もはやこの部屋で何が起きようと他人に気づかれる心配はない。',
        hunter_name + 'たちは下卑た笑いを浮かべた。もはや彼らが目の前の極上の獲物を貪ることを邪魔できるものなど誰もいなかった。',
        ' ',
        hunter_name + 'たちは徹底的に' + adventurer.short_name + 'を輪姦し、たっぷりとその肉体を味わった。',
        'どれほど' + adventurer.short_name + 'が悲鳴をあげても、符呪によってその声は遮られ、誰にも気づかれることなく朝まで陵辱劇は続けられた。',
        hunter_name + 'たちにとっては誰にも邪魔されることなく女の媚肉を貪れる最高の時間、' +
          adventurer.short_name + 'にとっては地獄のような時間は、朝まで続いた……',
      ]
      return onany_script
    end

    script = [
      hunter_name + 'たちが部屋へとそぉっと侵入しようとする。',
      '音もなく扉が開き、男たちは部屋の中に侵入する。' +
      '壁に吸音の呪符を張り、扉の鍵を内側から閉めてしまえば、もはやこの部屋で何が起きようと他人に気づかれる心配はない。',
      adventurer.short_name + 'の無防備な寝顔に、これから始まる陵辱劇への期待に股間をたかぶらせた' + hunter_name + 'たちの口の端が醜く歪む',
    ]

    script +=
    if adventurer.has_skill_personality?(:lewdness)
      [
        '（夜這い＋淫乱）',
        adventurer.short_name + 'は、招かれざる侵入者に気づいたようだ',
        adventurer.short_name + 'はすぐに事態を把握すると武器を取り、たちまち乱入者たちをねじ伏せた。',
        '生け捕りにして縛り上げておくか、あるいはこのままとどめを刺すか。',
        'そう迷ううちに' + adventurer.short_name + 'は乱入者たちのいきり立った肉槍を視界にとらえた。',
        adventurer.short_name + 'の瞳が妖しく光り、舌なめずりをする。',
        '煮るも焼くも自由ならば、いきりたった男のモノをせいぜい有効活用させてもらう。そう、これはお互いの利害が一致した行為なのだ。',
        'そう考えれば遠慮はいらない。' + hunter_name + 'のうちの一人の肉槍を' + adventurer.short_name + 'は口に含む。',
        '最初の方こそ戸惑っていた' + hunter_name + 'たちだが、状況を理解したようだ。',
        '静寂の呪符を部屋の壁に貼り、外に音が漏れないようにすると、彼らは一糸まとわぬ姿となる。' + adventurer.short_name + 'を贄とした肉の宴が始まる。',
        '最初の方こそ遠慮がちだったものの、すぐに' + hunter_name + 'たちの行動に遠慮がなくなる。',
        '主導権が男たちの側に移り、力関係が逆転し、やがて' + adventurer.short_name + 'をいたぶり、啼き狂わせるための嗜虐的な肉のリンチじみたものへと輪姦行為は姿を変えていく。',
        'だがそれでも' + adventurer.short_name + 'は己が貶められる行為に悦びの声をあげ続けた。',
        'ハードな輪姦行為は太陽が昇るまで、長い時間をかけて行われた。',
      ]
    elsif adventurer.has_skill_holic?(:aphrodisiac_constitution)
      [
        '（夜這い＋催淫体質）',
        adventurer.short_name + 'が全身を撫で回される感触に目をさますと目の前には侵入者たちの姿があった。',
        'たちまち跳ね起き、武器を手に取ろうとするが秘所に挿れられた指がゴリッと強く膣壁を引っ掻く。',
        '武器さえ手に取れば勝てるはずの' + adventurer.short_name + 'はあっさり腰砕けになり、ベッドに崩れてしまう。侵入者たちは' + adventurer.short_name + 'が普通ではない状態にあることに気づいたようだ。',
        '手足を押さえつけ、遠慮なく体を貪り始める。',
        '最初の方こそ抵抗していた' + adventurer.short_name + 'もついには甘い声で啼き、肉の飢えを訴えていた体を満たす男たちの獣欲の前に痴態を晒し続けた……',
      ]
    elsif adventurer.has_skill_holic?(:aphrodisiac_fever_holic)
      [
        '（夜這い＋媚薬催淫中毒）',
        adventurer.short_name + 'が目をさますと、目の前には侵入者たちの姿があった。',
        'たちまち跳ね起きようとするが、ベッドに転がる自分に使われたであろう注射器が目に入る。急に動いたことで、全身に血が勢いよく回り、血管に流し込まれた悪魔的な媚薬毒が全身を侵食していく。',
        '全身から汗が噴き出し、思考にピンクの靄がかかる。',
        'どうやら薬の効果が十分だと察した男は、' + adventurer.short_name + 'の目の前に肉棒を突きつけた',
        'ゴクリと' + adventurer.short_name + 'は唾を飲み込んだ。',
        '武器さえ手に取れば勝てるはずの' + adventurer.short_name + 'は、媚薬によるキメセク快楽への期待によって抵抗する気持ちを手放してしまう。犯されたい、貫かれたい。あさましい肉欲が膨れ上がっていく',
        adventurer.short_name + 'が抵抗しないのを良いことに、陵辱者たちは手足を押さえつけ、遠慮なく体を貪り始める。',
        '最初の方こそ抑えがちだった' + adventurer.short_name + 'の声は、陰核に何度も注射器を突き刺されたことで最後は吠えるような浅ましい声になっていた。',
        'あらわにできぬキメセク願望と肉の飢えを満たしてくれる男たちの獣欲の前に、' + adventurer.short_name + 'は浅ましい痴態を晒し続けた……',
      ]
    elsif adventurer.has_skill_holic?(:dirty_sex_holic) # 汚辱中毒
      [
        '（夜這い＋汚辱中毒）',
        adventurer.short_name + 'が目をさますと、目の前には侵入者たちの姿があった。',
        'たちまち跳ね起きようとするが、視界に男たちが露出した下半身が入る。',
        '何日も洗っていない不潔な肉棒。たっぷりとこびりついたチンカス。あれを無理やり舌で舐め取らされた時のトラウマが' + adventurer.short_name + 'の脳裏に蘇る。',
        '全身から汗が噴き出し、思考にピンクの靄がかかる。',
        'また自分は男たちによって犯され、汚されるのだ。',
        'ゴクリと' + adventurer.short_name + 'は唾を飲み込んだ。',
        '武器さえ手に取れば勝てるはずの' + adventurer.short_name + 'は、かつてのトラウマによって抵抗する気持ちを手放してしまう。',
        adventurer.short_name + 'が抵抗しないのを良いことに、陵辱者たちは手足を押さえつけ、遠慮なく体を貪り始める。',
        '最初の方こそ悲鳴をあげていた' + adventurer.short_name + 'だったが、やがてその声は完全に屈服した肉奴隷の哀願へと変わっていった……',
        'トラウマとたぎるほどの男たちの獣欲の前に、' + adventurer.short_name + 'は浅ましい痴態を晒し続けた……',
        '',
      ]
    elsif adventurer.has_skill_holic?(:gang_rape_holic) # 輪姦被虐中毒
      [
        '（夜這い＋輪姦被虐中毒）',
        adventurer.short_name + 'が全身を撫で回される感触に目をさますと目の前には侵入者たちの姿があった。',
        'たちまち跳ね起きようとするが、男たちが丸出しにしていた下半身とし逆に満ちた表情に、これから彼らが自分に何をするつもりなのかを悟ってしまう。',
        'ゴクリと' + adventurer.short_name + 'は唾を飲み込んだ。',
        '武器さえ手に取れば勝てるはずの' + adventurer.short_name + 'は、輪姦と被虐への期待に抵抗する気持ちが霧散してしまう。犯されたい、貫かれたい。あさましい肉欲が膨れ上がっていく',
        adventurer.short_name + 'が抵抗しないのを良いことに、陵辱者たちは手足を押さえつけ、遠慮なく体を貪り始める。',
        '最初の方こそ抑えがちだった' + adventurer.short_name + 'の声はついにはもっと欲しい、いたぶって、とさらなる嗜虐をもとめて啼き続ける。',
        'あらわにできぬ被虐の願望と肉の飢えを満たす男たちの獣欲の前に、' + adventurer.short_name + 'は浅ましい痴態を晒し続けた……',
      ]
    elsif adventurer.has_skill_personality?(:masohism)
      # 被虐中毒
      [
        '（夜這い＋被虐中毒）',
        adventurer.short_name + 'が全身を撫で回される感触に目をさますと目の前には侵入者たちの姿があった。',
        'たちまち跳ね起き、武器を手に取ろうとするが、とっさに男の一人が' + adventurer.short_name + 'を平手打ちする。',
        '痛みと、殴られたという思いに、かつてのトラウマが蘇る。全身が固まり、手足が萎え、抵抗しようという気持ちが溶け落ちていく。',
        '武器さえ手に取れば勝てるはずの' + adventurer.short_name + 'はあっさり腰砕けになった。それを見逃さない侵入者たちは' + adventurer.short_name + 'が普通ではない状態にあることに気づいたようだ。',
        '手足を押さえつけ、遠慮なく体を貪り始める。',
        '最初の方こそ抵抗していた' + adventurer.short_name + 'もついには甘い声で啼き、乱暴に扱われたことで歪んだ被虐願望が刺激され、男たちの獣欲の前に痴態を晒し続けた……',
      ]
    else
      [
        '（夜這い判定成功）',
        adventurer.short_name + 'が全身を撫で回される感触に目をさますと目の前には侵入者たちの姿があった。',
        'たちまち跳ね起き、武器を手に取ろうとするが、すでに縛られた手足はまったく動かせないことに気づく。',
        'すでに陵辱者たちは獲物を貪る準備を完了させていたのだ。',
        hunter_name + 'たちは下卑た笑いを浮かべた。もはや彼らが目の前の極上の獲物を貪ることを邪魔できるものなど誰もいなかった。',
        ' ',
        hunter_name + 'たちは徹底的に' + adventurer.short_name + 'を輪姦し、たっぷりとその肉体を味わった。',
        'どれほど' + adventurer.short_name + 'が悲鳴をあげても、符呪によってその声は遮られ、誰にも気づかれることなく朝まで陵辱劇は続けられた。',
        hunter_name + 'たちにとっては誰にも邪魔されることなく女の媚肉を貪れる最高の時間、' +
          adventurer.short_name + 'にとっては地獄のような時間は、朝まで続いた……',
      ]
    end
    script
  end

  def hunt_failed_script(hunter_name, adventurer)
    [
      hunter_name + 'たちが部屋へとそぉっと侵入しようとする。だがうっかり物音を立ててしまったようだ。',
      adventurer.short_name + 'の部屋から轟音が鳴り響く。',
      '物音に目を覚ました' + adventurer.short_name + 'が' + hunter_name + 'をたちまち追い払ったのだ。',
      '命からがら逃げ出す' + hunter_name + 'の姿を窓から一瞥した' + adventurer.short_name + 'は不機嫌そうに' +
        '鼻を鳴らすと、妨げられた眠りの続きを貪ることに決めたようだ……',
    ]
  end

  def hunter_other_script(hunter_name, adventurer)
    prologue = [
      adventurer.short_name + 'によって追い払われた' + hunter_name + 'たちは' +
        '収まりを知らぬ高ぶりを鎮めるべく、適当な近隣の民家へと押し入った。',
    ]

    main_script = [
      [
        '運悪く両親が不在だったその家で、' + hunter_name + 'たちは、小さな弟や妹たちを人質にとり、' +
          '姉をたっぷりと輪姦した。',
        '陵辱の限りを尽くされながら、必死に小さな弟や妹たちを守ろうとした姉が、ついに気絶した後' +
          hunter_name + 'たちは弟を遊び半分に痛めつけ、妹の未成熟な穴に、不釣り合いなほど大きい肉棒を強引にねじ込んだ。',
        '翌朝、目を覚ました姉は、目の前に広がる光景の惨たらしさに絶望の声を上げた……',

      ],
      [
        '若夫婦の家に押し入った' + hunter_name + 'たちは、夫を殴り倒し、夫の眼の前で、' +
          '若妻を思う存分蹂躙した。',
        '最初の方こそ拒絶の声をあげていた若妻も、' + hunter_name + 'たちが' +
        adventurer.short_name + 'に使うために持ってきていた強力な媚薬を注射された後は' +
          '発情期を迎えた一匹のメスのように悦びの声をあげ続けた。',
        '夫の絶望の声は、' + hunter_name + 'たちを高ぶらせるスパイスに過ぎなかった……',
      ],
      [
        'その時まで幸せに暮らしていた家族の家に押し入った' + hunter_name + 'たちは、' +
          '最初に手近な娘を引きずり倒し犯し始めた。続いて妹を助けるために飛び出してきた姉が毒牙にかかった。',
        '賢明にも、他の家族たちは家の奥で息を殺し、娘たちが嬲られ蹂躙される声を聞きながら隠れていたためにそれ以上の被害はなかった。',
        '翌朝、夜が明ける前に姿を消した乱入者たちとともに娘二人も姿を消していた。',
        '両親たちが考える通り、娘たちは奴隷商人に売られ、二度と両親と再会することはなかった。',
      ],
    ].sample

    epilogue = [
      hunter_name + 'たちは、女を思う存分犯した達成感を感じながら、そそくさと夜が明ける前に引き上げて行った……',
    ]

    return (prologue + main_script + epilogue)
  end

  def adventurer_hunt_man_script(adventurer)
    [
      '',
      '',
      '',
    ]
  end
end
