# coding: utf-8
require_rrk 'src/defines/script/dungeon/original/base_adventurer_script'

# 弱気
class Adventurer5Script < BaseAdventurerScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script =
        if adventurer.fighter?
          [
            [
              '「ひっ、ひぃぃっ、こないでください！！」',
              '怯える' + adventurer.short_name +
                'は、身を守るように武器を構える。' + 
                'この窮地を抜け出すには勝利するしかないのだ。',
            ],
            [
              "「ひっ、ひとりの時にどうしてっ……　#{adventurer.self_call}っ、絶対に負けないんだから……」",
              '自らを励ますように' + adventurer.short_name + 'は呟いた',
            ],
            [
              '「負けないっ' + adventurer.self_call + '、絶対負けないんだからっ！」',
              "「さあきなさい！　#{adventurer.self_call}が不覚をとるとおもうなよ！」",
              '己を叱咤しながら' + adventurer.short_name + 'は武器を構えた。',
            ],
          ].sample
        else
          [
            [
              "「#{adventurer.self_call}は、#{adventurer.self_call}はっ、こんなところで負けない！」",
              '声が震えそうになるのを必死にこらえながら' + adventurer.short_name + 'は声を発し武器を構えた。',
            ],
            [
              '「くぅ、この卑怯者たちめっ！」',
              '自らを励ますように' + adventurer.short_name + 'は武器を強く握りしめた',
            ],
            [
              '「数の力で押すことしかできない最低の卑怯者たちね！　恥を知りなさい！」',
              'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するように吠えた。',
            ],
          ].sample
        end
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、後ろがガラ空きですわ）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          '（感謝して欲しいですわ。その身を殿方に捧げるための手伝いをしてあげるのですもの）',
        ]
      else
        return super
      end
    else
      scripts = [
        [
          '「神代の昔より続く我が家門の名にかけて、お前たちを倒す！」',
          '家門名とともに名乗りをあげると' + adventurer.short_name + 'は、武器を構えた！',
        ],
      ]
      if adventurer.fighter?
        scripts += [
          [
            '「来い、悪魔の手先どもめ！　我が剣でナマスに刻んでくれようぞ」',
            '剣を構える' + adventurer.short_name + 'の姿には一分の隙もない。',
            '生れてより剣を握り鍛え上げてきたその実力は侮れるものではなかった',
          ],
          [
            '「下賤な呪わしき者め。　塵芥に返してくれようぞ！」',
            '銀に輝く長剣を構え、' + adventurer.short_name + 'は体に力を漲らせる。',
          ],
          [
            '「皆、油断するな！ このような奴らはものの数ではない！」',
            adventurer.short_name + 'は仲間たちに呼びかける',
          ],
        ]
      else
        scripts += [
          [
            '「下賤な呪わしき者達よ。塵に返してあげましょう！」',
            adventurer.short_name + 'は体に力を漲らせる。',
          ],
          [
            '「油断しないで！ お互いをカバーしながら倒すのです！」',
            adventurer.short_name + 'は仲間たちに呼びかける',
          ],
          [
            "「おぞましい者どもめ！　#{adventurer.self_call}たちが誅罰を与えてやりましょう！」",
            adventurer.short_name + 'は威勢良く叫んだ',
          ],
        ]
      end

      scripts.sample
    end
  end

  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          slave.short_name + 'は襲いかかる魔物たちをあしらい続けている。',
          '素手とはいえ、' + _adventurer_type + 'である' + slave.short_name + 'にとっては造作もないことなのだろう。',
          'その媚肉が目当ての魔物たちも、殺さぬよう手加減していることも大きいようだ。',
          '「このっ、こないでっ！　こないでったら！」',
          'だが休みのない責めが' + slave.short_name + 'の体力を少しずつ削り取っていく。',
        ],
        [
          '無数にひしめく魔物たちを' + slave.short_name + 'は徒手空拳であしらう。',
          '武器を失ったとはいえ、実力の差は明らかだった。',
          '（誰かが、誰かが助けに来るはず……）',
          '魔物たちは有効打を与えられていないようだ……',
        ],
        [
          '部屋の中には、多数の魔物たちが美女を目当てにぐるりと囲んでいる',
          slave.short_name + 'は犯そうと襲い掛かる魔物たちを素手であしらい続けている',
          '「このっ、こないでったら！　' + slave.self_call + 'は屈したりしませんっ！」',
          'だが数が多く、全てを倒してこの地下牢から逃れることは難しいだろう。いまできることは、ここで抵抗し破滅を先延ばしにしながら、チャンスを待ち続けることだけだ。',
        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          '「近寄らないでっ、近寄らないでったら！」',
          '連日休みなく繰り返される怪物たちの攻めを' + slave.short_name + 'はあしらい続けている。',
          'だが休みもなく抗いつづける' + slave.short_name + 'の疲労はたまり続けるばかりだが、魔物たちには交代し、休む余裕もある。',
          slave.short_name + 'の行き着く先が見え始めているのは明らかだった。',
        ],
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。今なら、まだ負けはしない。' +
            'だが先行きを考えれば、楽観はできなかった。',
        ],
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          '「この石とか、動かせそうなんだけど……」',
          '睡眠時間を削ってまで行われた' + slave.short_name + 'の努力は徒労に終わったようだ……',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          '「慈悲深き神よ、どうか、どうかおたすけください……」',
          slave.short_name + 'が祈ると全身に力が満ちていく。もっとも、信仰を積み重ねていない分大した力が出てくるわけではない',
          '力は満ちるがそれだけだ。ここから抜け出せるわけではない。' + slave.short_name + 
          'は暗い気分になりかけた己を叱咤した',
        ],
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。' +
            '今日も凌ぎきることができた、それが正直な感想だった。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。' +
            '一方で魔物たちは仲間を呼び、数を増やしつつある。',
          '自分はもうダメかもしれない……',
          'いや、弱気になってはいけない。' + slave.short_name + 'は頭を振り、不吉な考えを振り払った。',
        ],
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '冷たく、硬い石の床に横たわっても疲れはほとんど取れはしない。',
          'だがそれでも' + slave.short_name + 'は休めなければいけない。助けがくる、あるいは逃げ出す' +
            'チャンスが巡ってくるまでは体力を一欠片でも温存しておかねばならなかった。',
          '「誰かが、誰かがきっと助けに来てくれる……　信じなきゃ……」',
        ],
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '冷たく、硬い石の床に横たわっても疲れはほとんど取れはしない。',
          'だがそれでも' + slave.short_name + 'は休めなければいけない。助けがくる、あるいは逃げ出す' +
            'チャンスが巡ってくるまでは体力を一欠片でも温存しておかねばならなかった。',
          '夜、体を休めるのは魔物たちも同じだ。',
          'だが彼らはボロ布やわらでできた思い思いのねぐらで休んでいる。外から襲われる可能性もないねぐらで休む魔物たちは、翌朝には十分に英気を養い、体力を回復させることができる。' +
            slave.short_name + 'とは大違いだった。',
          '……時間の経過が、' + slave.short_name + 'の不利になることは明らかだった。',
        ],
        [
          '魔物たちをあしらい続ける' + slave.short_name + 'の動きにも、かつてのキレは見えない。',
          'ここ数日で溜まりに溜まった疲労が、' + slave.short_name + 'の肉体を蝕んでいた……。',
          'キレが落ちたとはいえ、' + slave.short_name + 'は未だ魔物たちに屈することはない。' +
            'だが限界が迫りつつあるのは、' + slave.short_name + '自身も理解していた……',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '（助けは来ないの……　どうして、どうして……　このままじゃ' + slave.self_call + 'は……）',
          slave.short_name + 'の心身は、限界に近付きつつあった。',
        ],
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          'すでに手足には鉛のような重さを覚えている。自分が切れ味を失いつつあるのは明らかだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。',
          '「来ないでっ！　来ないでって言っているのに！」',
          slave.short_name + 'はさらに一体の魔物を組み伏せ、蹴り飛ばす。' +
            '今なら、まだ負けはしないだろう。だが限界は、すぐ目の前にまで迫りつつあった。',
        ],
        [
          '重い疲労を全身に感じながら、' + slave.short_name + 'は魔物たちを睨みつける。',
          '「' + slave.self_call + 'は負けないっ！　負けるわけにいかないんだからっ！」',
          'こんなところで終わるわけにはいかない。' + slave.short_name + 'は己を叱咤する。自分で自分を励まさねば、折れてしまいそうだった。',
        ],
      ].sample
    else
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          '「助けは、来ないの……？」',
          '「おかあさん……　おかあさん……　おかあさん……」',
          '部屋の隅で、宙の一点を見つめながら' + slave.short_name + 'はブツブツとなにごとかつぶやいている',
          '心身の限界がすぐそこまで迫っていることは明らかだった。',
        ],
        [
          '魔物の一匹がついに' + slave.short_name + 'を押し倒した。',
          'ブチブチと服が乱暴に破られる。押しのけようとした右腕が、別の魔物に押さえつけられる。',
          '「いやああああ、離れてっ！」',
          '押し倒された' + slave.short_name + 'は、必死の力で、魔物の腹を蹴り上げる。うまくみぞおちに入ったことで、魔物は苦しそうに呻きとびのいた。',
          '腕を押さえていた魔物も顔に手刀を入れ、その隙に' + slave.short_name +
            'は離れることができた。',
          'かろうじて危地を脱することはできたが、崖っぷちにまで自分が追い込まれたのだ。',
          '押し倒され、おしのけることもできず犯されるのは遠い未来ではない。今日か、それとも明日か。',
          slave.short_name + 'の背筋に恐ろしい予感が走り抜けた。',
        ],
        [
          'ぜぇぜぇと' + slave.short_name + 'は荒い息を吐く。',
          '魔力を封じられてさえいなければ、武器さえあれば、仲間さえいれば、体力さえあれば。',
          'こんな雑魚たちなど束になっても相手になるはずがなかった。それが、こんなやつらに追い詰められている。',
          '破滅の足音がすぐそこまで迫っているのを、' + slave.short_name + 'は聞いていた……',
        ],
      ].sample
    end
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「こんなのっ、こんなのっ、ひどすぎる……　どうして、どうして' + slave.self_call + 'が……」',
            slave.short_name + 'は、望まぬ相手に犯されたことで、部屋の隅で泣き崩れている。',
          ],
          [
            '「うぎぃぃぃィッ、殺すっ……　お前たちっ、全員殺してやるぅぅ……」',
            slave.short_name + 'は心の中に溜まった憎悪をぶちまけるように、底冷えのような声で呻く',
            '「ゲヒャヒャッ、なぁにが殺すだよ。たっぷりブチ犯されるだけの肉便器がよぉ」',
            'もちろん魔物たちがそれに動じるはずもない。いまや' + slave.short_name + 'は無様に犯されるだけの肉穴なのだ。',
            '今までの借りを返すかのように、男たちは' + slave.short_name + 'を執拗にいたぶっている……',
          ],
          [
            '「おごっ、んぐぶぅぅぅぅぅ！？」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は男の腰を降参だというように何度もタップするが、男はもちろん気にするはずもない。',
            '肉穴も尻穴も口も、それぞれ男たちが己の欲望を吐き出すために塞がれている。',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            '「せめて、優しくしてよ……　' + slave.self_call + '、好きな人ともまだ、したことないのに……」',
            slave.short_name + 'は、望まぬ相手に犯されたことで、部屋の隅で泣き崩れている。',
          ],
          [
            '「いい加減に、しなさい……」',
            slave.short_name + 'は陵辱者たちを睨みつけてはいるが、その顔には怯えの色が見える……',
            '繰り返し刻み込まれた陵辱が' + slave.short_name + 'を蝕み続けている……',
          ],
          [
            '「早くここから出してよ……」',
            slave.short_name + 'は男たちの顔も見たくないというように顔を背けた',
            'しかしそれは、睨みつける気力が萎えてしまったことを悟らせないようにするための無駄な抵抗でもあった。',
          ],
          [
            '「嫌なのに、嫌なのにぃ……　どうして助けはこないの……」',
            slave.short_name + 'の気力は萎えかけているようだ……',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            '「ひいぃぃっ、ひどいことをしないでください……」',
            '「抵抗しませんから、言うことを聞きますから、だから乱暴にしないでください……」',
            slave.short_name + 'は、魔物たちを表向きには従順に従っている。全ては無駄な痛みを防ぐためだ。',
            'それが演技にすぎないことは、魔物たちも承知している。穢し、屈服させ続けることで、やがて演技は精神の奥に刻まれる。',
            '隷従以外に何も考えられなくなるまで魔物たちは' + slave.short_name + 'を穢すつもりなのだ。',
          ],
          [
            '「もう、もうやめてください……」',
            'もはや' + slave.short_name + 'には魔物たちを睨みつける気力もない',
            '確実に' + slave.short_name + 'の気力は削られているようだ……',
          ],
          [
            '「せめて……　少しでいいから休ませて……」',
            'ボロ雑巾のようになりつつある' + slave.short_name + 'の願いは、けして顧みられることもない',
            '「うぅ……　いやだっ、いやだぁぁ……」',
          ],
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            '全身も痛々しい痣だらけであり、かつての雪のように白く絹のように滑らかな、清らかな肌は少しも残ってはいない……',
          ],
        ].sample
      else
        [
          [
            '「どうして、どうして' + slave.self_call + 'なの……　なにか悪いことをしたの……」',
            slave.short_name + 'は部屋の隅でブツブツとつぶやいている。どうやら限界が近いようだ……',
          ],
          [
            '「魔物なんかに、' + slave.self_call + '……　いや、いやぁぁぁ……」',
            '魔物たちの去った地下牢で、' + slave.short_name + 'は膝を抱えつぶやく。',
            '「このまま、' + slave.self_call + '、終わりなのかな……」',
            '不吉な想像をしてしまった' + slave.short_name + 'はぶるりと震える。' +
              'だが、このままでは破滅も近いことは明らかだった……',
          ],
          [
            '「……もう、やめて……　限界なの……」',
            '奇妙に平板な声で' + slave.short_name + 'はつぶやく。疲労の限界を超え、もうまともな感情の起伏を起こす余力もないのだ',
            'だが魔物たちは、容赦もせずに性奉仕をするよう' + slave.short_name + 'に命じる。' + 
            '捕えた肉奴隷に一体なんの遠慮をする必要もあるだろうか。',
            '「わ、わかりました……　やらせていただきます……　だから……」',
            '陵辱の宴に終わりはない。' + slave.short_name + 'が奴隷宣言するそのときまでは',
          ],
        ].sample
      end
    script
  end

end
