# coding: utf-8
# 冒険者一覧
module DungeonsList::Adventurers::V2
  ADVENTURERS_LIST = {
    1 => {
      name: '博麗霊夢',
      short_name: '霊夢',
      life_point_bonus: 5,
      equip_point_bonus: 5,
      positiveness: 1,
      lawful_level: 'neutral',
      good_level: 'neutral',
      honor: 30,
      class_type: 'fighter',
      class_name: '巫女',
      leader_aptitude_bonus: 1,
      battle_bonus: 2,
    },
    2 => {
      name: '霧雨魔理沙',
      short_name: '魔理沙',
      life_point_bonus: 3,
      positiveness: 1,
      lawful_level: 'chaotic',
      good_level: 'evil',
      class_type: 'wizard',
      class_name: '魔法使い',
      leader_aptitude_bonus: 1,
      wisdom: 1,
      cunning: 2,
      magic: 1,
      lightness: 2,
      talents: [:hard_worker, :thief],
    },
    3 => {
      name: 'アリス・マーガトロイド',
      short_name: 'アリス',
      positiveness: 0,
      equip_point_bonus: 5,
      lawful_level: 'neutral',
      good_level: 'neutral',
      class_type: 'scout',
      class_name: '人形師',
      wisdom: 1,
      cunning: 1,
      magic: 3,
      talents: [:gifted, :hand_dexterity, :good_looking, :half_assed],
    },
    4 => {
      name: 'レミリア・スカーレット',
      short_name: 'レミリア',
      life_point_bonus: 7,
      equip_point_bonus: 5,
      positiveness: 2,
      lawful_level: 'chaotic',
      good_level: 'evil',
      class_type: 'fighter',
      class_name: '吸血鬼',
      leader_aptitude_bonus: 3,
      weapon_technique: 3,
      battle_bonus: 3,
      talents: [:tough_mind],
    },
    5 => {
      name: 'パチュリー・ノーレッジ',
      short_name: 'パチュリー',
      positiveness: -1,
      lawful_level: 'neutral',
      good_level: 'neutral',
      class_type: 'wizard',
      class_name: '魔法使い',
      wisdom: 2,
      magic: 3,
      talents: [:footers, :weak],
    },
    6 => {
      name: '十六夜咲夜',
      short_name: '咲夜',
      positiveness: 0,
      lawful_level: 'neutral',
      good_level: 'neutral',
      class_type: 'scout',
      class_name: 'メイド',
      leader_aptitude_bonus: 1,
      cunning: 1,
      lightness: 1,
      battle_bonus: 1,
      talents: [:tough_mind, :good_responsibility],
    },
    7 => {
      name: 'フランドール・スカーレット',
      short_name: 'フラン',
      positiveness: 2,
      lawful_level: 'chaotic',
      good_level: 'evil',
      class_type: 'wizard',
      class_name: '魔法使い',
      leader_aptitude_bonus: 1,
      weapon_technique: 1,
      battle_bonus: 3,
      magic: 3,
      talents: [:funatic],
    },
    8 => {
      name: '紅美鈴',
      short_name: '美鈴',
      positiveness: 0,
      lawful_level: 'neutral',
      good_level: 'good',
      class_type: 'fighter',
      class_name: '門番',
      weapon_technique: 2,
      lightness: 2,
      battle_bonus: 1,
      talents: [:footers, :good_responsibility],
    },
    9 => {
      name: '小悪魔',
      short_name: '小悪魔',
      positiveness: 2,
      lawful_level: 'neutral',
      good_level: 'evil',
      class_type: 'scout',
      class_name: '盗賊',
      magic: 1,
    },
    10 => {
      name: '少名針妙丸',
      short_name: '針妙丸',
      positiveness: 0,
      lawful_level: 'lawful',
      good_level: 'good',
      class_type: 'scout',
      class_name: '斥候',
      leader_aptitude_bonus: 1,
      lightness: 2,
    },
    11 => {
      name: '鬼神正邪',
      short_name: '正邪',
      positiveness: 1,
      lawful_level: 'chaotic',
      good_level: 'evil',
      class_type: 'fighter',
      class_name: '戦士',
      cunning: 2,
      lightness: 1,
      talents: [:half_assed],
    },
    12 => {
      name: '宇佐見菫子',
      short_name: '菫子',
      positiveness: 2,
      lawful_level: 'neutral',
      good_level: 'neutral',
      class_type: 'wizard',
      class_name: '魔法使い',
      leader_aptitude_bonus: 1,
      wisdom: 1,
      magic: 1,
      cunning: 1,
      lightness: 1,
      talents: [:good_growth],
    },
    13 => {
      name: '蓬莱山輝夜',
      short_name: '輝夜',
      positiveness: 0,
      lawful_level: 'neutral',
      good_level: 'neutral',
      class_type: 'wizard',
      class_name: '魔法使い',
      leader_aptitude_bonus: 3,
      cunning: 1,
      magic: 1,
      battle_bonus: 1,
      talents: [:good_looking]
    },
    14 => {
      name: '八意永琳',
      short_name: '永琳',
      positiveness: 0,
      lawful_level: 'neutral',
      good_level: 'good',
      class_type: 'fighter',
      class_name: '弓使い',
      leader_aptitude_bonus: 2,
      wisdom: 3,
      cunning: 2,
      weapon_technique: 1,
      battle_bonus: 2,
      talents: [:good_looking, :tough_mind, :footers],
    },
    15 => {
      name: '鈴仙・イナバ・優曇華院',
      short_name: 'うどんげ',
      positiveness: -2,
      lawful_level: 'neutral',
      good_level: 'good',
      class_type: 'scout',
      class_name: '薬師',
      wisdom: 1,
      talents: [:footers, :good_responsibility],
    },
    16 => {
      name: '因幡てゐ',
      short_name: 'てゐ',
      positiveness: -1,
      lawful_level: 'neutral',
      good_level: 'good',
      class_type: 'scout',
      class_name: '薬師',
      wisdom: 1,
      cunning: 3,
      lightness: 2,
      talents: [:half_assed],
    },
    17 => {
      name: '藤原妹紅',
      short_name: '妹紅',
      positiveness: 0,
      lawful_level: 'neutral',
      good_level: 'good',
      class_type: 'fighter',
      class_name: '軽戦士',
      battle_bonus: 2,
      talents: [:good_responsibility],
    },
    18 => {
      name: '上白沢慧音',
      short_name: '慧音',
      positiveness: -1,
      lawful_level: 'lawful',
      good_level: 'good',
      class_type: 'wizard',
      class_name: '魔法使い',
      leader_aptitude_bonus: 1,
      magic: 1,
      wisdom: 2,
      talents: [:footers, :self_sacrifice],
    },
    19 => {
      name: '犬走椛',
      short_name: '椛',
      lawful_level: 'lawful',
      good_level: 'good',
      class_type: 'fighter',
      class_name: '獣戦士',
      battle_bonus: 2,
      weapon_technique: 3,
    },
    20 => {
      name: '二ッ岩マミゾウ',
      short_name: 'マミゾウ',
      lawful_level: 'chaotic',
      good_level: 'evil',
      class_type: 'wizard',
      class_name: '魔法使い',
      cunning: 3,
      wisdom: 3,
      magic: 3,
      talents: [:footers],
    },
    21 => {
      name: '射命丸文',
      short_name: '文',
      positiveness: 2,
      lawful_level: 'neutral',
      good_level: 'neutral',
      class_type: 'scout',
      class_name: '天狗',
      cunning: 3,
      battle_bonus: 2,
      lightness: 3,
      talents: [:good_looking, :tough_mind],
    },
    22 => {
      name: 'ルーミア',
      positiveness: 2,
      short_name: 'ルーミア',
      lawful_level: 'neutral',
      good_level: 'neutral',
      class_type: 'wizard',
      magic: 1,
      class_name: '妖怪',
    },
    23 => {
      name: '秦こころ',
      short_name: 'こころ',
      lawful_level: 'neutral',
      good_level: 'neutral',
      class_type: 'fighter',
      class_name: '戦士',
    },
    24 => {
      name: '封獣ぬえ',
      positiveness: 1,
      short_name: 'ぬえ',
      lawful_level: 'neutral',
      good_level: 'neutral',
      class_type: 'scout',
      class_name: '盗賊',
      weapon_technique: 1,
      battle_bonus: 2,
    },
    25 => {
      name: '雲居一輪',
      short_name: '一輪',
      lawful_level: 'neutral',
      good_level: 'neutral',
      class_type: 'fighter',
      class_name: 'モンク',
      wisdom: 5,
      lightness: 2,
      weapon_technique: 1,
      battle_bonus: 2,
      talents: [:self_sacrifice],
    },
    26 => {
      name: '聖白蓮',
      short_name: '白蓮',
      lawful_level: 'lawful',
      good_level: 'good',
      class_type: 'wizard',
      class_name: '聖者',
      wisdom: 5,
      magic: 4,
      lightness: 2,
      leader_aptitude_bonus: 5,
      weapon_technique: 1,
      battle_bonus: 3,
      talents: [:good_looking, :tough_mind, :footers, :self_sacrifice],
    },
    27 => {
      name: '村紗水蜜',
      short_name: '村紗',
      lawful_level: 'lawful',
      good_level: 'neutral',
      class_type: 'scout',
      class_name: '水先案内人',
    },
    28 => {
      name: 'レイセン',
      short_name: 'レイセン',
      positiveness: -1,
      lawful_level: 'lawful',
      good_level: 'neutral',
      class_type: 'fighter',
      class_name: '玉兎',
      cunning: 2,
      lightness: 3,
    },
    29 => {
      name: '稀神サグメ',
      short_name: 'サグメ',
      lawful_level: 'lawful',
      good_level: 'good',
      class_type: 'wizard',
      class_name: '賢者',
      wisdom: 3,
      magic: 3,
      cunning: 2,
      lightness: 1,
      talents: [:good_looking, :tough_mind],
    },
    30 => {
      name: 'ドレミー・スイート',
      short_name: 'ドレミー',
      lawful_level: 'neutral',
      good_level: 'neutral',
      class_type: 'scout',
      class_name: '盗賊',
      wisdom: 1,
      lightness: 3,
    },
    31 => {
      name: '東風谷早苗',
      short_name: '早苗',
      lawful_level: 'chaotic',
      good_level: 'good',
      class_type: 'wizard',
      class_name: '巫女',
      magic: 3,
      wisdom: 1,
      cunning: 1,
      leader_aptitude_bonus: 2,
      talents: [:good_looking, :grace_of_god],
    },
    32 => {
      name: '洩矢諏訪子',
      short_name: '諏訪子',
      lawful_level: 'chaotic',
      good_level: 'evil',
      class_type: 'fighter',
      class_name: '土着神',
      wisdom: 1,
      lightness: 3,
    },
    33 => {
      name: '八坂神奈子',
      short_name: '神奈子',
      lawful_level: 'lawful',
      good_level: 'good',
      class_type: 'fighter',
      class_name: '神霊',
      wisdom: 3,
      lightness: 1,
      leader_aptitude_bonus: 3,
      talents: [:tough_mind, :footers],
    },
    34 => {
      name: '河城にとり',
      short_name: 'にとり',
      lawful_level: 'chaotic',
      good_level: 'neutral',
      class_type: 'scout',
      class_name: '発明家',
      cunning: 1,
      lightness: 3,
    },
    35 => {
      name: '霊烏路空',
      short_name: 'お空',
      lawful_level: 'neutral', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'wizard',
      class_name: '魔法使い',
      magic: 4,
      battle_bonus: 2,
      weapon_technique: 2,
      talents: [:footers],
    },
    36 => {
      name: '火焔猫燐',
      short_name: 'お燐',
      lawful_level: 'neutral', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'scout',
      class_name: '盗賊',
      cunning: 1,
      lightness: 1,
    },
    37 => {
      name: '水橋パルスィ',
      short_name: 'パルスィ',
      lawful_level: 'neutral',
      good_level: 'neutral',
      class_type: 'wizard',
      class_name: '魔術士',
      cunning: 1,
      magic: 1,
      wisdom: 1,
      lightness: 1,
    },
    38 => {
      name: '星熊勇儀',
      short_name: '勇儀',
      lawful_level: 'lawful',
      good_level: 'good',
      class_type: 'fighter',
      class_name: '重戦士',
      leader_aptitude_bonus: 2,
      battle_bonus: 3,
      weapon_technique: 3,
      talents: [:tough_mind, :good_responsibility],
    },
    39 => {
      name: '姫海棠はたて',
      short_name: 'はたて',
      lawful_level: 'neutral', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'scout',
      class_name: '盗賊',
      cunning: 1,
      lightness: 4,
    },
    40 => {
      name: '摩多羅隠岐奈',
      short_name: '隠岐奈',
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'wizard',
      class_name: '賢者',
      leader_aptitude_bonus: 2,
      wisdom: 3,
      cunning: 3,
      weapon_technique: 1,
      battle_bonus: 2,
      talents: [:good_looking, :tough_mind, :footers],
    },
    41 => {
      name: '丁礼田舞',
      short_name: '舞',
      lawful_level: 'neutral', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'scout',
      class_name: '盗賊',
      cunning: 2,
      lightness: 2,
    },
    42 => {
      name: '爾子田里乃',
      short_name: '里乃',
      lawful_level: 'neutral', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'fighter',
      class_name: '戦士',
      cunning: 1,
      lightness: 4,
    },
  }
end
