=begin
JRubyFX - Write JavaFX and FXML in Ruby
Copyright (C) 2013 The JRubyFX Team

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
=end

# DO NOT MODIFY THIS FILE!
# This file is generated by the `rake reflect` task.

module JRubyFX
  module DSL
    NAME_TO_CLASSES = {
      # Manual overrides
      'observable_array_list' => proc { |*args| FXCollections.observable_array_list(*args) },
      'double_property' => Java::JavafxBeansProperty::SimpleDoubleProperty,
      'xy_chart_series' => Java::javafx.scene.chart.XYChart::Series,
      'xy_chart_data' => Java::javafx.scene.chart.XYChart::Data,
      # Automatically generated
    }
    NAME_TO_CLASS_NAME = {
      'animation' => "Java::JavafxAnimation::Animation",
      'animation_timer' => "Java::JavafxAnimation::AnimationTimer",
      'fade_transition' => "Java::JavafxAnimation::FadeTransition",
      'fill_transition' => "Java::JavafxAnimation::FillTransition",
      'interpolator' => "Java::JavafxAnimation::Interpolator",
      'key_frame' => "Java::JavafxAnimation::KeyFrame",
      'key_value' => "Java::JavafxAnimation::KeyValue",
      'parallel_transition' => "Java::JavafxAnimation::ParallelTransition",
      'path_transition' => "Java::JavafxAnimation::PathTransition",
      'pause_transition' => "Java::JavafxAnimation::PauseTransition",
      'rotate_transition' => "Java::JavafxAnimation::RotateTransition",
      'scale_transition' => "Java::JavafxAnimation::ScaleTransition",
      'sequential_transition' => "Java::JavafxAnimation::SequentialTransition",
      'stroke_transition' => "Java::JavafxAnimation::StrokeTransition",
      'timeline' => "Java::JavafxAnimation::Timeline",
      'transition' => "Java::JavafxAnimation::Transition",
      'translate_transition' => "Java::JavafxAnimation::TranslateTransition",
      'platform' => "Java::JavafxApplication::Platform",
      'simple_boolean_property' => "Java::JavafxBeansProperty::SimpleBooleanProperty",
      'simple_double_property' => "Java::JavafxBeansProperty::SimpleDoubleProperty",
      'simple_float_property' => "Java::JavafxBeansProperty::SimpleFloatProperty",
      'simple_integer_property' => "Java::JavafxBeansProperty::SimpleIntegerProperty",
      'simple_list_property' => "Java::JavafxBeansProperty::SimpleListProperty",
      'simple_long_property' => "Java::JavafxBeansProperty::SimpleLongProperty",
      'simple_map_property' => "Java::JavafxBeansProperty::SimpleMapProperty",
      'simple_object_property' => "Java::JavafxBeansProperty::SimpleObjectProperty",
      'simple_set_property' => "Java::JavafxBeansProperty::SimpleSetProperty",
      'simple_string_property' => "Java::JavafxBeansProperty::SimpleStringProperty",
      'change_listener' => "Java::JavafxBeansValue::ChangeListener",
      'fx_collections' => "Java::JavafxCollections::FXCollections",
      'worker' => "Java::JavafxConcurrent::Worker",
      'task' => "Java::JavafxConcurrent::Task",
      'service' => "Java::JavafxConcurrent::Service",
      'event' => "Java::JavafxEvent::Event",
      'action_event' => "Java::JavafxEvent::ActionEvent",
      'event_handler' => "Java::JavafxEvent::EventHandler",
      'initializable' => "Java::JavafxFxml::Initializable",
      'load_exception' => "Java::JavafxFxml::LoadException",
      'horizontal_direction' => "Java::JavafxGeometry::HorizontalDirection",
      'h_pos' => "Java::JavafxGeometry::HPos",
      'insets' => "Java::JavafxGeometry::Insets",
      'orientation' => "Java::JavafxGeometry::Orientation",
      'pos' => "Java::JavafxGeometry::Pos",
      'rectangle2_d' => "Java::JavafxGeometry::Rectangle2D",
      'side' => "Java::JavafxGeometry::Side",
      'vertical_direction' => "Java::JavafxGeometry::VerticalDirection",
      'v_pos' => "Java::JavafxGeometry::VPos",
      'group' => "Java::JavafxScene::Group",
      'node' => "Java::JavafxScene::Node",
      'parent' => "Java::JavafxScene::Parent",
      'scene' => "Java::JavafxScene::Scene",
      'canvas' => "Java::JavafxSceneCanvas::Canvas",
      'area_chart' => "Java::JavafxSceneChart::AreaChart",
      'axis' => "Java::JavafxSceneChart::Axis",
      'bar_chart' => "Java::JavafxSceneChart::BarChart",
      'bubble_chart' => "Java::JavafxSceneChart::BubbleChart",
      'category_axis' => "Java::JavafxSceneChart::CategoryAxis",
      'chart' => "Java::JavafxSceneChart::Chart",
      'line_chart' => "Java::JavafxSceneChart::LineChart",
      'number_axis' => "Java::JavafxSceneChart::NumberAxis",
      'pie_chart' => "Java::JavafxSceneChart::PieChart",
      'scatter_chart' => "Java::JavafxSceneChart::ScatterChart",
      'stacked_area_chart' => "Java::JavafxSceneChart::StackedAreaChart",
      'stacked_bar_chart' => "Java::JavafxSceneChart::StackedBarChart",
      'value_axis' => "Java::JavafxSceneChart::ValueAxis",
      'xy_chart' => "Java::JavafxSceneChart::XYChart",
      'accordion' => "Java::JavafxSceneControl::Accordion",
      'button' => "Java::JavafxSceneControl::Button",
      'cell' => "Java::JavafxSceneControl::Cell",
      'check_box' => "Java::JavafxSceneControl::CheckBox",
      'check_box_tree_item' => "Java::JavafxSceneControl::CheckBoxTreeItem",
      'check_menu_item' => "Java::JavafxSceneControl::CheckMenuItem",
      'choice_box' => "Java::JavafxSceneControl::ChoiceBox",
      'color_picker' => "Java::JavafxSceneControl::ColorPicker",
      'combo_box' => "Java::JavafxSceneControl::ComboBox",
      'context_menu' => "Java::JavafxSceneControl::ContextMenu",
      'hyperlink' => "Java::JavafxSceneControl::Hyperlink",
      'label' => "Java::JavafxSceneControl::Label",
      'list_cell' => "Java::JavafxSceneControl::ListCell",
      'list_view' => "Java::JavafxSceneControl::ListView",
      'menu' => "Java::JavafxSceneControl::Menu",
      'menu_bar' => "Java::JavafxSceneControl::MenuBar",
      'menu_button' => "Java::JavafxSceneControl::MenuButton",
      'menu_item' => "Java::JavafxSceneControl::MenuItem",
      'pagination' => "Java::JavafxSceneControl::Pagination",
      'password_field' => "Java::JavafxSceneControl::PasswordField",
      'popup_control' => "Java::JavafxSceneControl::PopupControl",
      'progress_bar' => "Java::JavafxSceneControl::ProgressBar",
      'progress_indicator' => "Java::JavafxSceneControl::ProgressIndicator",
      'radio_button' => "Java::JavafxSceneControl::RadioButton",
      'radio_menu_item' => "Java::JavafxSceneControl::RadioMenuItem",
      'scroll_bar' => "Java::JavafxSceneControl::ScrollBar",
      'scroll_pane' => "Java::JavafxSceneControl::ScrollPane",
      'separator' => "Java::JavafxSceneControl::Separator",
      'separator_menu_item' => "Java::JavafxSceneControl::SeparatorMenuItem",
      'slider' => "Java::JavafxSceneControl::Slider",
      'split_menu_button' => "Java::JavafxSceneControl::SplitMenuButton",
      'split_pane' => "Java::JavafxSceneControl::SplitPane",
      'tab' => "Java::JavafxSceneControl::Tab",
      'table_view' => "Java::JavafxSceneControl::TableView",
      'table_cell' => "Java::JavafxSceneControl::TableCell",
      'table_column' => "Java::JavafxSceneControl::TableColumn",
      'tab_pane' => "Java::JavafxSceneControl::TabPane",
      'text_area' => "Java::JavafxSceneControl::TextArea",
      'text_field' => "Java::JavafxSceneControl::TextField",
      'titled_pane' => "Java::JavafxSceneControl::TitledPane",
      'toggle_button' => "Java::JavafxSceneControl::ToggleButton",
      'toggle_group' => "Java::JavafxSceneControl::ToggleGroup",
      'tool_bar' => "Java::JavafxSceneControl::ToolBar",
      'tooltip' => "Java::JavafxSceneControl::Tooltip",
      'tree_cell' => "Java::JavafxSceneControl::TreeCell",
      'tree_item' => "Java::JavafxSceneControl::TreeItem",
      'tree_view' => "Java::JavafxSceneControl::TreeView",
      'content_display' => "Java::JavafxSceneControl::ContentDisplay",
      'overrun_style' => "Java::JavafxSceneControl::OverrunStyle",
      'selection_mode' => "Java::JavafxSceneControl::SelectionMode",
      'blend' => "Java::JavafxSceneEffect::Blend",
      'blend_mode' => "Java::JavafxSceneEffect::BlendMode",
      'bloom' => "Java::JavafxSceneEffect::Bloom",
      'blur_type' => "Java::JavafxSceneEffect::BlurType",
      'box_blur' => "Java::JavafxSceneEffect::BoxBlur",
      'color_adjust' => "Java::JavafxSceneEffect::ColorAdjust",
      'color_input' => "Java::JavafxSceneEffect::ColorInput",
      'displacement_map' => "Java::JavafxSceneEffect::DisplacementMap",
      'drop_shadow' => "Java::JavafxSceneEffect::DropShadow",
      'gaussian_blur' => "Java::JavafxSceneEffect::GaussianBlur",
      'glow' => "Java::JavafxSceneEffect::Glow",
      'image_input' => "Java::JavafxSceneEffect::ImageInput",
      'inner_shadow' => "Java::JavafxSceneEffect::InnerShadow",
      'lighting' => "Java::JavafxSceneEffect::Lighting",
      'motion_blur' => "Java::JavafxSceneEffect::MotionBlur",
      'perspective_transform' => "Java::JavafxSceneEffect::PerspectiveTransform",
      'reflection' => "Java::JavafxSceneEffect::Reflection",
      'sepia_tone' => "Java::JavafxSceneEffect::SepiaTone",
      'shadow' => "Java::JavafxSceneEffect::Shadow",
      'image' => "Java::JavafxSceneImage::Image",
      'image_view' => "Java::JavafxSceneImage::ImageView",
      'pixel_reader' => "Java::JavafxSceneImage::PixelReader",
      'pixel_writer' => "Java::JavafxSceneImage::PixelWriter",
      'clipboard' => "Java::JavafxSceneInput::Clipboard",
      'clipboard_content' => "Java::JavafxSceneInput::ClipboardContent",
      'context_menu_event' => "Java::JavafxSceneInput::ContextMenuEvent",
      'drag_event' => "Java::JavafxSceneInput::DragEvent",
      'gesture_event' => "Java::JavafxSceneInput::GestureEvent",
      'input_event' => "Java::JavafxSceneInput::InputEvent",
      'input_method_event' => "Java::JavafxSceneInput::InputMethodEvent",
      'key_code' => "Java::JavafxSceneInput::KeyCode",
      'key_event' => "Java::JavafxSceneInput::KeyEvent",
      'mnemonic' => "Java::JavafxSceneInput::Mnemonic",
      'mouse_drag_event' => "Java::JavafxSceneInput::MouseDragEvent",
      'mouse_event' => "Java::JavafxSceneInput::MouseEvent",
      'rotate_event' => "Java::JavafxSceneInput::RotateEvent",
      'scroll_event' => "Java::JavafxSceneInput::ScrollEvent",
      'swipe_event' => "Java::JavafxSceneInput::SwipeEvent",
      'touch_event' => "Java::JavafxSceneInput::TouchEvent",
      'transfer_mode' => "Java::JavafxSceneInput::TransferMode",
      'zoom_event' => "Java::JavafxSceneInput::ZoomEvent",
      'anchor_pane' => "Java::JavafxSceneLayout::AnchorPane",
      'border_pane' => "Java::JavafxSceneLayout::BorderPane",
      'column_constraints' => "Java::JavafxSceneLayout::ColumnConstraints",
      'flow_pane' => "Java::JavafxSceneLayout::FlowPane",
      'grid_pane' => "Java::JavafxSceneLayout::GridPane",
      'hbox' => "Java::JavafxSceneLayout::HBox",
      'pane' => "Java::JavafxSceneLayout::Pane",
      'priority' => "Java::JavafxSceneLayout::Priority",
      'row_constraints' => "Java::JavafxSceneLayout::RowConstraints",
      'stack_pane' => "Java::JavafxSceneLayout::StackPane",
      'tile_pane' => "Java::JavafxSceneLayout::TilePane",
      'vbox' => "Java::JavafxSceneLayout::VBox",
      'audio_clip' => "Java::JavafxSceneMedia::AudioClip",
      'audio_equalizer' => "Java::JavafxSceneMedia::AudioEqualizer",
      'audio_track' => "Java::JavafxSceneMedia::AudioTrack",
      'equalizer_band' => "Java::JavafxSceneMedia::EqualizerBand",
      'media' => "Java::JavafxSceneMedia::Media",
      'media_exception' => "Java::JavafxSceneMedia::MediaException",
      'media_error_event' => "Java::JavafxSceneMedia::MediaErrorEvent",
      'media_marker_event' => "Java::JavafxSceneMedia::MediaMarkerEvent",
      'media_player' => "Java::JavafxSceneMedia::MediaPlayer",
      'media_view' => "Java::JavafxSceneMedia::MediaView",
      'video_track' => "Java::JavafxSceneMedia::VideoTrack",
      'color' => "Java::JavafxScenePaint::Color",
      'cycle_method' => "Java::JavafxScenePaint::CycleMethod",
      'image_pattern' => "Java::JavafxScenePaint::ImagePattern",
      'linear_gradient' => "Java::JavafxScenePaint::LinearGradient",
      'paint' => "Java::JavafxScenePaint::Paint",
      'radial_gradient' => "Java::JavafxScenePaint::RadialGradient",
      'stop' => "Java::JavafxScenePaint::Stop",
      'arc' => "Java::JavafxSceneShape::Arc",
      'arc_to' => "Java::JavafxSceneShape::ArcTo",
      'arc_type' => "Java::JavafxSceneShape::ArcType",
      'circle' => "Java::JavafxSceneShape::Circle",
      'close_path' => "Java::JavafxSceneShape::ClosePath",
      'cubic_curve' => "Java::JavafxSceneShape::CubicCurve",
      'cubic_curve_to' => "Java::JavafxSceneShape::CubicCurveTo",
      'ellipse' => "Java::JavafxSceneShape::Ellipse",
      'fill_rule' => "Java::JavafxSceneShape::FillRule",
      'hline_to' => "Java::JavafxSceneShape::HLineTo",
      'line' => "Java::JavafxSceneShape::Line",
      'line_to' => "Java::JavafxSceneShape::LineTo",
      'move_to' => "Java::JavafxSceneShape::MoveTo",
      'path' => "Java::JavafxSceneShape::Path",
      'path_element' => "Java::JavafxSceneShape::PathElement",
      'polygon' => "Java::JavafxSceneShape::Polygon",
      'polyline' => "Java::JavafxSceneShape::Polyline",
      'quad_curve' => "Java::JavafxSceneShape::QuadCurve",
      'quad_curve_to' => "Java::JavafxSceneShape::QuadCurveTo",
      'rectangle' => "Java::JavafxSceneShape::Rectangle",
      'shape' => "Java::JavafxSceneShape::Shape",
      'stroke_line_cap' => "Java::JavafxSceneShape::StrokeLineCap",
      'stroke_line_join' => "Java::JavafxSceneShape::StrokeLineJoin",
      'stroke_type' => "Java::JavafxSceneShape::StrokeType",
      'svg_path' => "Java::JavafxSceneShape::SVGPath",
      'vline_to' => "Java::JavafxSceneShape::VLineTo",
      'font' => "Java::JavafxSceneText::Font",
      'font_posture' => "Java::JavafxSceneText::FontPosture",
      'font_smoothing_type' => "Java::JavafxSceneText::FontSmoothingType",
      'font_weight' => "Java::JavafxSceneText::FontWeight",
      'text' => "Java::JavafxSceneText::Text",
      'text_alignment' => "Java::JavafxSceneText::TextAlignment",
      'text_bounds_type' => "Java::JavafxSceneText::TextBoundsType",
      'affine' => "Java::JavafxSceneTransform::Affine",
      'rotate' => "Java::JavafxSceneTransform::Rotate",
      'scale' => "Java::JavafxSceneTransform::Scale",
      'shear' => "Java::JavafxSceneTransform::Shear",
      'translate' => "Java::JavafxSceneTransform::Translate",
      'web_view' => "Java::JavafxSceneWeb::WebView",
      'html_editor' => "Java::JavafxSceneWeb::HTMLEditor",
      'directory_chooser' => "Java::JavafxStage::DirectoryChooser",
      'file_chooser' => "Java::JavafxStage::FileChooser",
      'modality' => "Java::JavafxStage::Modality",
      'popup' => "Java::JavafxStage::Popup",
      'popup_window' => "Java::JavafxStage::PopupWindow",
      'screen' => "Java::JavafxStage::Screen",
      'stage' => "Java::JavafxStage::Stage",
      'stage_style' => "Java::JavafxStage::StageStyle",
      'window' => "Java::JavafxStage::Window",
      'window_event' => "Java::JavafxStage::WindowEvent",
      'duration' => "Java::JavafxUtil::Duration",
    }
  end
end
