# coding: utf-8
module BrandPrisonerHelper
  require_rrk 'src/defines/dungeon/tattoos_list'
  include TattoosList

  require_rrk 'src/app/helper/game_define_helper'

  adventurer_ids =
    if GameDefineHelper::ORIGINAL_MODE || GameDefineHelper::FGO_MODE
      (1..999)
    else
      (AdventurersList.adventure_list_by_ver.keys +
        AdventurersList.append_adventure_list_by_ver.keys)
    end

  adventurer_ids.each do |adventurer_id|
    TATTOOS_LIST.each do |_, tattoo|
      brand_method_header = "brand_#{tattoo[:key]}_tattoo_"
      method_name = brand_method_header + adventurer_id.to_s
      define_method(method_name) do
        elements = @menu_logic_controller.brand_tattoo_to_prisoner(@game_master, adventurer_id, tattoo)
        assign_to_lists(elements)
      end
      brand_detail_method_header = "brand_detail_#{tattoo[:key]}_tattoo_"
      detail_method_name = brand_detail_method_header + adventurer_id.to_s
      define_method(detail_method_name) do
        elements = @menu_logic_controller.brand_detail_tattoo_to_prisoner(@game_master, adventurer_id, tattoo)
        assign_to_lists(elements)
      end
    end
  end
end
