# coding: utf-8
module ShowAdventurerHelper
  require_rrk 'src/app/helper/game_define_helper'

  adventurer_ids =
    if GameDefineHelper::ORIGINAL_MODE || GameDefineHelper::FGO_MODE
      (1..999)
    else
      (AdventurersList.adventure_list_by_ver.keys +
        AdventurersList.append_adventure_list_by_ver.keys +
        SlavesList.slave_list_by_mode.keys)
    end
  adventurer_ids.each do |adventurer_id|
    show_party_method_name = 'show_party_' + adventurer_id.to_s
    show_jails_method_name = 'show_jails_' + adventurer_id.to_s
    show_jail_details_method_name = 'show_jail_details_for_custom_' + adventurer_id.to_s
    show_betray_servant_detail_method_name = 'show_betray_servant_detail_' + adventurer_id.to_s
    toggle_betray_servant_penis_method_name = 'toggle_betray_servant_penis_' + adventurer_id.to_s
    level_up_betray_servant_method_name = 'level_up_betray_servant_' + adventurer_id.to_s
    show_adventurer_method_name = 'show_adventurer_' + adventurer_id.to_s
    show_adventurer_only_prisoner_method_name = 'show_adventurer_only_prisoner_' + adventurer_id.to_s
    show_adventurer_with_bookmark_method_name = 'show_adventurer_with_bookmark_' + adventurer_id.to_s
    show_adventurer_in_jail_method_name = 'show_adventurer_in_jail_' + adventurer_id.to_s
    show_prisoner_in_jail_method_name = 'show_prisoner_in_jail_' + adventurer_id.to_s
    show_bounty_method_name = 'show_bounty_of_' + adventurer_id.to_s
    release_prison_of_method_name = 'release_prison_of_' + adventurer_id.to_s
    left_prison_of_method_name = 'left_prison_of_' + adventurer_id.to_s
    default_prison_of_method_name = 'default_prison_of_' + adventurer_id.to_s
    pay_bounty_method_name = 'pay_bounty_of_' + adventurer_id.to_s
    release_from_jail_method_name = 'release_from_jail_' + adventurer_id.to_s
    set_bookmark_to_method_name = 'set_bookmark_to_' + adventurer_id.to_s
    reset_bookmark_to_method_name = 'reset_bookmark_to_' + adventurer_id.to_s

    define_method(show_party_method_name) do
      elements = @menu_logic_controller.show_party_detail(@game_master, adventurer_id)
      assign_to_lists(elements)

      _scroll_to_top
    end

    define_method(show_jails_method_name) do
      elements = @menu_logic_controller.show_jail_room(@game_master, adventurer_id)
      assign_to_lists(elements)

      _scroll_to_top
    end

    define_method(show_jail_details_method_name) do
      elements = @menu_logic_controller.show_jail_details_for_custom(@game_master, adventurer_id)
      assign_to_lists(elements)

      _scroll_to_top
    end

    define_method(show_betray_servant_detail_method_name) do
      elements = @menu_logic_controller.show_betray_servant_detail(@game_master, adventurer_id)
      assign_to_lists(elements)

      _scroll_to_top
    end

    define_method(toggle_betray_servant_penis_method_name) do
      elements = @menu_logic_controller.toggle_betray_servant_penis(@game_master, adventurer_id)
      assign_to_lists(elements)

      _scroll_to_top
    end

    define_method(level_up_betray_servant_method_name) do
      elements = @menu_logic_controller.level_up_betray_servant(@game_master, adventurer_id)
      assign_to_lists(elements)
    end

    define_method(show_adventurer_method_name) do
      elements = @menu_logic_controller.show_adventurer(@game_master, adventurer_id)
      assign_to_lists(elements)

      _scroll_to_top
    end

    define_method(show_adventurer_only_prisoner_method_name) do
      elements = @menu_logic_controller.show_adventurer_only_prisoner(@game_master, adventurer_id)
      assign_to_lists(elements)

      _scroll_to_top
    end

    define_method(show_adventurer_with_bookmark_method_name) do
      elements = @menu_logic_controller.show_adventurer_with_bookmark(@game_master, adventurer_id)
      assign_to_lists(elements)

      _scroll_to_top
    end

    # TOP > 酒場で冒険者の噂を聞く > 冒険者の噂を聞く > 冒険者の詳細
    # TOP > 地下室に監禁されている冒険者たち > 冒険者の詳細
    define_method(show_adventurer_in_jail_method_name) do
      back_method_name = 'show_adventurers_show_jails'
      by_adventurer = true
      elements = @menu_logic_controller.show_prisoner(@game_master, adventurer_id, by_adventurer, back_method_name)
      assign_to_lists(elements)

      _scroll_to_top
    end

    # 地下牢の様子を見る > 冒険者の詳細
    define_method(show_prisoner_in_jail_method_name) do
      back_method_name = 'show_jail'
      by_adventurer = false
      elements = @menu_logic_controller.show_prisoner(@game_master, adventurer_id, by_adventurer, back_method_name)
      assign_to_lists(elements)

      _scroll_to_top
    end

    define_method(show_bounty_method_name) do
      elements = @menu_logic_controller.show_bounty_of(@game_master, adventurer_id)
      assign_to_lists(elements)

      _scroll_to_top
    end

    define_method(release_prison_of_method_name) do
      elements = @menu_logic_controller.set_prison_of(@game_master, adventurer_id, 'release')
      assign_to_lists(elements)

      _scroll_to_top
    end

    define_method(left_prison_of_method_name) do
      elements = @menu_logic_controller.set_prison_of(@game_master, adventurer_id, 'left')
      assign_to_lists(elements)

      _scroll_to_top
    end

    define_method(default_prison_of_method_name) do
      elements = @menu_logic_controller.set_prison_of(@game_master, adventurer_id, 'default')
      assign_to_lists(elements)

      _scroll_to_top
    end

    define_method(pay_bounty_method_name) do
      elements = @menu_logic_controller.pay_bounty_of(@game_master, adventurer_id, @hour_glass.day)
      assign_to_lists(elements)

      _scroll_to_top
    end

    define_method(release_from_jail_method_name) do
      elements = @menu_logic_controller.release_from_jail(@game_master, adventurer_id)
      assign_to_lists(elements)

      _scroll_to_top
    end

    define_method(set_bookmark_to_method_name) do
      elements = @menu_logic_controller.set_bookmark_to(@game_master, adventurer_id)
      assign_to_lists(elements)

      _scroll_to_top
    end

    define_method(reset_bookmark_to_method_name) do
      elements = @menu_logic_controller.reset_bookmark_to(@game_master, adventurer_id)
      assign_to_lists(elements)

      _scroll_to_top
    end
  end
end
