# coding: utf-8
module ChainMenuSaveHelper
  ('0'..'9').to_a.each do |slot_number|
    save_method_name = 'save_to_' + slot_number
    define_method(save_method_name) do
      save_data = {
        'game_master' => @game_master,
        'bard' => @bard,
        'hour_glass' => @hour_glass,
        'version_data' => @version_secretary.version_data,
      }

      elements = @menu_logic_controller.save_to_(slot_number, save_data)
      assign_to_lists(elements)
    end

    load_method_name = 'load_from_' + slot_number
    define_method(load_method_name) do
      result = @menu_logic_controller.load_from_(slot_number)

      save_data = result['save_data']
      @game_master = save_data['game_master']
      @bard = save_data['bard']
      @hour_glass = save_data['hour_glass']
      @game_master.set_hour_glass(@hour_glass)
      @version_secretary.version_data = save_data['version_data']

      _convert_to_backward_compatibility(save_data['version'])

      # メニューの更新
      @menu_logic_controller.update_by_turn(@game_master, @hour_glass.night?, @hour_glass.new_dawn?)
      _show_top_menu

      _convert_for_compatibility!
      # houseのデータの更新
      _set_data_in_boot

      elements = result['view_elements']
      assign_to_lists(elements)
    end

    def _convert_for_compatibility!
      # do nothing
    end
  end

  def _convert_to_backward_compatibility(save_version)
    @game_master.care_backward_compatibility!(save_version)
  end
end
