# coding: utf-8
module TrainMethodHelper
  # 体力切れではなく、手動で調教終了
  def finish_train
    scripts =
      @slave_servant.finish_train_manually_script +
        _finish_train_common_scripts +
        [
          '',
          '',
        ]

    _finish_training_common
    _elapse_turn_common
    _refresh_list_in_end_train_from(scripts)
  end

  def _finish_recording
    @slave_servant.on_finish_recording!
    @train_boy.finish_recording(@slave_servant)
    scripts = @slave_servant.finish_recording_script
    scripts
  end

  def _slave_down_common(scripts)
    # 時間経過
    _finish_training_common
    _elapse_turn_common

    # グループメニューとメニュー更新
    _refresh_list_in_end_train_from(scripts)
  end

  def _slave_down_common_scripts
    scripts = [' ',] +
      @slave_servant.down_in_train_script +
      [' ',]
    scripts += _finish_train_common_scripts
    scripts
  end

  def _finish_train_common_scripts
    scripts = []
    if @slave_servant.in_recording
      # ビデオ終了処理
      scripts += _finish_recording
    end

    if @slave_servant.in_outdoor
      # 外出　終了処理
      scripts += @train_boy.finish_outdoor(@slave_servant)
    end

    unless scripts.empty?
      scripts += [' ',]
    end

    scripts
  end

  def close_train_report
    scripts =
      @slave_servant.finish_train_script +
        [' ',]

    # 仲間を売った場合、そのフラグをmaster側に移し替え
    @slave_servant.finish_training_for_flag(@master)

    @slave_servant.grow_up_on_finish!
    scripts += @slave_servant.grow_up_script

    fall_result = @slave_servant.fall_if!(@master)
    unless fall_result.empty?
      scripts += @slave_servant.fall_down_script(fall_result)
    end

    list_elements = @train_logic_controller.close_train_report(@house, @hour_glass, scripts)
    assign_to_lists(list_elements)
  end

  def lack_of_strength_to_start_train(slave)
    list_elements = @menu_logic_controller.lack_of_strength_to_start_train(slave)
    assign_to_lists(list_elements)
  end
end

