# coding: utf-8
# LogicControllerは本質的にControllerが担うべき役割を持つ

require_rrk 'src/app/view_element_logic/dungeon/progress_view_element_logic'

class ProgressLogicController
  def initialize
    @view_element_logic = ProgressViewElementLogic.new
  end

  def progress_turn(bard, hour_glass)
    element =
      if hour_glass.next_is_night?
        _nightly_progress_element(bard) # 昼なら夜の結果を出す
      elsif hour_glass.next_is_new_dawn?
        @view_element_logic.make_scripts_from(bard.some_tips_script)
      else
        @view_element_logic.make_scripts_from(bard.this_turn_adventure_in_dungeon) # 夜なら昼の結果を出す

      end

    {
      'script_list' => {
        'clear'    => true,
        'elements' => element,
      },
    }
  end

  def _nightly_progress_element(bard)
    jail_elements = bard.this_turn_adventure_element_in_jail[:jail_elements]
    (
    @view_element_logic.make_scripts_from(bard.this_turn_adventure_element_in_jail[:header_scripts]) +
      @view_element_logic.make_scripts_from(bard.this_turn_adventure_element_in_jail[:body_scripts]) +
      @view_element_logic.make_scripts_from(jail_elements[:border_script]) +
      @view_element_logic.make_script_menu_items_to(jail_elements[:body_element]) +
      @view_element_logic.make_scripts_from(jail_elements[:border_script]) +
      @view_element_logic.make_scripts_from(jail_elements[:prelude_script]) +
      @view_element_logic.make_scripts_from(jail_elements[:progress_script]) +
      @view_element_logic.make_scripts_from(bard.this_turn_adventure_in_midnight)
    )
  end

  def show_dungeon(bard)
    {
      'script_list' => {
        'clear'    => true,
        'elements' => @view_element_logic.make_scripts_from(
          bard.this_turn_adventure_in_dungeon
        ),
      },
    }
  end

  # 昨日の地下牢の様子
  def show_jail(bard)
    {
      'script_list' => {
        'clear'    => true,
        'elements' => _nightly_progress_element(bard),
      },
    }
  end

  def show_magic_factory_night(bard)
    {
      'script_list' => {
        'clear'    => true,
        'elements' => @view_element_logic.make_scripts_from(
          bard.this_turn_magic_factory
        ),
      },
    }
  end
end
