# coding: utf-8
require_rrk 'src/defines/script/dungeon/betrayed_servant_script'
%w(forwardable).each do |src_name|
  require_rrk 'src/app/helper/' + src_name
end

class BetrayedServant
  extend Forwardable

  def_delegators :@script,
                 :show_betray_servant_detail_script,
                 :level_up_betray_servant_script,
                 :level_up_betray_servant_in_lack_script,
                 :level_up_betray_servant_in_over_limit_script,
                 :result_down_text, :result_escape_text, :result_victory_text,
                 :toggle_betray_servant_penis_scirpt
  attr_reader :skill_for_betrayed, :training_in_jail_as_betrayed,
              :betrayed_status_text,
              :this_battle_damage_point_sum, :target_party_leader_short_name,
              :betrayed_status

  def initialize(skill_for_betrayed)
    @skill_for_betrayed = skill_for_betrayed || [] # 洗脳済みサーヴァント用スキル
    @training_in_jail_as_betrayed = false # 洗脳済みサーヴァントとして調教中
    @betrayed_status = nil # このターン何してた？
    @this_battle_damage_point_sum = 0 # このターンの与ダメージ合計
    @target_party_leader_short_name = '' # 戦闘対象のパーティー名

    @script = BetrayedServantScript.new
    @betrayed_status_text = set_initial_status! # このターン何してた？
  end

  def set_betrayed_status(status)
    @betrayed_status = status
  end

  def betrayed_status_text!(text)
    @betrayed_status_text = text
  end

  def empty_skill_for_betrayed?
    @skill_for_betrayed.empty?
  end

  def add_skill_for_betrayed!(skill)
    if has_skill_for_betrayed?(skill)
      false
    else
      @skill_for_betrayed << skill
      true
    end
  end

  def remove_skill_for_betrayed!(skill)
    @skill_for_betrayed.delete(skill)
  end

  def has_skill_for_betrayed?(skill)
    skill_for_betrayed.include?(skill)
  end

  def has_betrayed_penis?
    has_skill_for_betrayed?(:penis)
  end

  # ふたなりペニスを付けたり外したり
  def toggle_betrayed_penis!
    skill = :penis
    if has_betrayed_penis?
      remove_skill_for_betrayed!(skill)
    else
      add_skill_for_betrayed!(skill)
    end
  end

  def in_training_in_jail_as_betrayed?
    @training_in_jail_as_betrayed
  end

  def set_training_in_jail_as_betrayed!
    @training_in_jail_as_betrayed = true
  end

  def unset_training_in_jail_as_betrayed!
    @training_in_jail_as_betrayed = false
  end

  def magic_power_betrayed_level_up(slave)
    base_level_up_magic_power = 500
    level_up_rate = 100
    base_level_up_magic_power + (slave.level * level_up_rate)
  end

  def gain_betrayed_damage_point!(damage_point)
    @this_battle_damage_point_sum += damage_point
  end

  # バトル開始に伴い初期化
  def start_battle_of_betray_servant!(leader_short_name)
    @this_battle_damage_point_sum = 0
    @target_party_leader_short_name = leader_short_name
  end

  def set_initial_status!
    @betrayed_status_text =
      @script.initial_status_text
  end

  def set_battle_status!
    @betrayed_status_text =
      @script.battle_status_text(target_party_leader_short_name, this_battle_damage_point_sum)
  end

  def set_battle_status_with_down!
    @betrayed_status_text =
      @script.battle_status_text(target_party_leader_short_name, this_battle_damage_point_sum) +
        @script.down_script
  end

  def set_betrayed_jail_text(slave, monster)
    @betrayed_status_text =
      @script.jail_status_text(slave, monster)
  end

  def set_battle_with_all_down_status!
    @betrayed_status_text =
      @script.set_battle_with_all_down_status!(target_party_leader_short_name)
  end

  def set_rest_status!
    @betrayed_status_text = @script.rest_status_text
  end

  def set_rest_status_by_idle!
    @betrayed_status_text = @script.rest_status_by_idle_text
  end

  def set_stalking_target_status!(leader_short_name)
    @betrayed_status_text = @script.search_failed_status_text(leader_short_name)
  end

  def add_betrayed_capture_status!(adventurer)
    @betrayed_status_text += @script.add_betrayed_capture_status!(adventurer.short_name)
  end

  def set_betrayed_fire_status!(leader_short_name)
    @betrayed_status_text = @script.betrayed_fire_status_text(leader_short_name)
  end
end
