# coding: utf-8

require_rrk 'src/defines/script/dungeon/tips_script'
class Bard
  attr_reader :this_turn_adventure_in_dungeon,
              :this_turn_adventure_element_in_jail,
              :this_turn_magic_factory,
              :this_turn_adventure_in_midnight

  def initialize
    @tips_script = TipsScript.new

    @this_turn_adventure_in_dungeon = [
      '本日この酒場にきたばかりの吟遊詩人が、かつて見聞きした話に尾ひれをつけて大袈裟に話している。',
      '彼はまだ、ダンジョンに挑んだ冒険者の噂話を知らないようだが、その地獄耳で噂話を聞きつければ、どれほど誇張して話すか、それが窺い知れた。',
      '（まだダンジョン内には冒険者はいないようだ）',
    ]
    @this_turn_adventure_element_in_jail = [
      '本日この酒場にきたばかりの吟遊詩人が、かつて見聞きした話に尾ひれをつけて大袈裟に話している。',
      '彼はまだ、ダンジョンに挑んだ冒険者の噂話を知らないようだが、その地獄耳で噂話を聞きつければ、どれほど誇張して話すか、それが窺い知れた。',
      '（まだ監禁されている冒険者はいないようだ）',
    ]
    @this_turn_adventure_in_midnight = []
    @this_turn_magic_factory = [
      '本日この酒場にきたばかりの吟遊詩人が、かつて見聞きした話に尾ひれをつけて大袈裟に話している。',
      '彼はまだ、ダンジョンに挑んだ冒険者の噂話を知らないようだが、その地獄耳で噂話を聞きつければ、どれほど誇張して話すか、それが窺い知れた。',
      '（魔術工房にはまだ冒険者は配置されていないようだ）',
    ]
    @history_in_jails = {}
  end

  def add_history(adventurer, turn_no, scripts)
    @history_in_jails[adventurer.id] ||= {}
    @history_in_jails[adventurer.id][turn_no] = scripts
  end

  def hear_story_in_dungeon!(script)
    @this_turn_adventure_in_dungeon = script
  end

  def hear_story_in_jail!(element)
    @this_turn_adventure_element_in_jail = element
  end

  def hear_story_in_brothel!(magic_factory_scripts)
    @this_turn_magic_factory = magic_factory_scripts
  end

  def hear_story_in_midnight!(script)
    @this_turn_adventure_in_midnight = script
  end

  def some_tips_script
    @tips_script.tips
  end
end
