# coding: utf-8
require_rrk 'src/app/service/dungeon/module/dungeon_common'
require_rrk 'src/defines/dungeon/skill_list'

class TentacleLab
  include ScriptUtils
  include DungeonCommon
  attr_reader :tentacle_count

  def initialize
    @tentacle_count = 50
  end

  def add_tentacle_effect_if!(slaves)
    if slaves.empty?
      return []
    end

    tentacle_count_by_slave = tentacle_count / slaves.size
    scripts = []
    slaves.each do |key, slave|
      slave.add_exp_by_tentacle!(tentacle_count_by_slave)
      slave.generate_magic_power_by_tentacle!(tentacle_count_by_slave)

      _get_bad_status_if(slave)

      diff_count = increase_tentacle_by(slave.get_this_turn_orgasms_sum)
      scripts += slave.tentacle_lab_orgasms_script(slave, tentacle_count_by_slave, diff_count)
      slave.dec_resist_by_tentacle_lab_type!
    end

    if scripts.empty?
      slave = slaves.values.sample
      scripts += slave.tentacle_lab_normal_script(slave) # 特にバステ付与なし
    end
    slaves.values.each do |slave|
      scripts += slave.decrease_resist_for_spring_by_tentacle_script(slave)
    end
    scripts
  end

  def _get_bad_status_if(slave)
    bad_status_in_body = nil
    breast_custom = nil
    bad_status_type = nil
    scripts = []
    case slave.tentacle_lab_type
      when 'basic'
        success_rate = slave.has_tattoo?(:reward_of_infection) ? 20 : 10
        if !slave.has_bad_status_in_body?(:broken_reason) && random_roll(success_rate, 100)
          bad_status_in_body = :broken_reason
          bad_status_type = 'body'
        end

        unless bad_status_in_body
          success_rate = slave.has_tattoo?(:reward_of_infection) ? 32 : 16
          if random_roll(success_rate, 100)
            bad_status_in_body =
              [:c_sensitive, :v_sensitive, :a_sensitive, :b_sensitive,
               :v_expanded, :a_expanded, :uterus_expanded, :breast_milk,
               :sperm_shot_orgasm, :oral_sperm_shot_orgasm,
               # 洗脳系
               :sperm_shot_brain_wash, :sperm_taste_lover].sample
            bad_status_type = 'body'
          end
        end
      when 'custom_body_c'
        success_rate = slave.has_tattoo?(:reward_of_infection) ? 20 : 10
        if !slave.has_bad_status_in_body?(:broken_reason) && random_roll(success_rate, 100)
          bad_status_in_body = :broken_reason
          bad_status_type = 'body'
        end

        unless bad_status_in_body
          success_rate = slave.has_tattoo?(:reward_of_infection) ? 32 : 16
          if !slave.has_bad_status_in_body?(:c_sensitive)
            # C敏感なし
            if random_roll(success_rate, 100)
              bad_status_in_body = :c_sensitive
              bad_status_type = 'body'
            end
          elsif !slave.has_bad_status_in_body?(:c_sensitive_high)
            # C過敏
            if random_roll(success_rate, 100)
              bad_status_in_body = :c_sensitive_high
              bad_status_type = 'body'
            end
          end
        end

        unless bad_status_in_body
          if !slave.has_bad_status_in_body?(:c_sensitive_fleshy)
            # C肥大化
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 32 : 16
            if random_roll(success_rate, 100)
              bad_status_in_body = :c_sensitive_fleshy
              bad_status_type = 'body'
            end
          end
        end
      when 'custom_body_b'
        success_rate = slave.has_tattoo?(:reward_of_infection) ? 20 : 10
        if !slave.has_bad_status_in_body?(:broken_reason) && random_roll(success_rate, 100)
          bad_status_in_body = :broken_reason
          bad_status_type = 'body'
        end

        success_rate = slave.has_tattoo?(:reward_of_infection) ? 40 : 20
        if !slave.hooter_level_max? && random_roll(success_rate, 100)
          slave.boom_hooter_level!
          bad_status_type = 'breast_custom'
          breast_custom = 'hooter'
        end

        unless bad_status_in_body
          if !slave.has_bad_status_in_body?(:b_sensitive)
            # B敏感なし
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 50 : 25
            if random_roll(success_rate, 100)
              bad_status_in_body = :b_sensitive
              bad_status_type = 'body'
            end
          elsif !slave.has_bad_status_in_body?(:b_sensitive_high)
            # 淫乳中毒
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 40 : 20
            if random_roll(success_rate, 100)
              bad_status_in_body = :b_sensitive_high
              bad_status_type = 'body'
            end
          end
        end
        unless bad_status_in_body
          if !slave.has_bad_status_in_body?(:b_sensitive_fleshy)
            # 乳頭肥大化
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 32 : 16
            if random_roll(success_rate, 100)
              bad_status_in_body = :b_sensitive_fleshy
              bad_status_type = 'body'
            end
          end
        end
        unless bad_status_in_body
          if !slave.has_bad_status_in_body?(:breast_milk)
            # 噴乳体質
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 32 : 16
            if random_roll(success_rate, 100)
              bad_status_in_body = :breast_milk
              bad_status_type = 'body'
            end
          elsif !slave.has_bad_status_in_body?(:breast_milk_ecstasy)
            # 噴乳快楽体質
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 32 : 16
            if random_roll(success_rate, 100)
              bad_status_in_body = :breast_milk_ecstasy
              bad_status_type = 'body'
            end
          end
        end
      when 'custom_body_v'
        success_rate = slave.has_tattoo?(:reward_of_infection) ? 60 : 30
        if !slave.has_bad_status_in_body?(:broken_reason) && random_roll(success_rate, 100)
          bad_status_in_body = :broken_reason
          bad_status_type = 'body'
        end

        unless bad_status_in_body
          if !slave.has_bad_status_in_body?(:v_sensitive)
            # V敏感なし
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 50 : 25
            if random_roll(success_rate, 100)
              bad_status_in_body = :v_sensitive
              bad_status_type = 'body'
            end
          elsif !slave.has_bad_status_in_body?(:v_sensitive_high)
            # 蜜壺過敏
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 40 : 20
            if random_roll(success_rate, 100)
              bad_status_in_body = :v_sensitive_high
              bad_status_type = 'body'
            end
          else
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 32 : 16
            if random_roll(success_rate, 100)
              bad_status_sample = [:uterus_sensitive, :fertilization_ecstasy, :v_expanded].sample
              unless slave.has_bad_status_in_body?(bad_status_sample)
                bad_status_in_body = bad_status_sample
                bad_status_type = 'body'
              end
            end
          end
        end

        unless bad_status_in_body
          success_rate = slave.has_tattoo?(:reward_of_infection) ? 40 : 20
          if random_roll(success_rate, 100)
            bad_status_sample = [:v_expanded]
            unless slave.has_bad_status_in_body?(bad_status_sample)
              bad_status_in_body = bad_status_sample
              bad_status_type = 'body'
            end
          end
        end
      when 'custom_body_v_lv2'
        success_rate = slave.has_tattoo?(:reward_of_infection) ? 60 : 30
        if !slave.has_bad_status_in_body?(:broken_reason) && random_roll(success_rate, 100)
          bad_status_in_body = :broken_reason
          bad_status_type = 'body'
        end

        unless bad_status_in_body
          if !slave.has_bad_status_in_body?(:v_sensitive)
            # V敏感なし
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 100 : 50
            if random_roll(success_rate, 100)
              bad_status_in_body = :v_sensitive
              bad_status_type = 'body'
            end
          elsif !slave.has_bad_status_in_body?(:v_sensitive_high)
            # 蜜壺過敏
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 60 : 30
            if random_roll(success_rate, 100)
              bad_status_in_body = :v_sensitive_high
              bad_status_type = 'body'
            end
          else
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 50 : 25
            if random_roll(success_rate, 100)
              bad_status_sample = [:uterus_sensitive, :fertilization_ecstasy, :v_expanded, :uterus_expanded, :customed_ovary].sample
              unless slave.has_bad_status_in_body?(bad_status_sample)
                bad_status_in_body = bad_status_sample
                bad_status_type = 'body'
              end
            end
          end
        end

        unless bad_status_in_body
          success_rate = slave.has_tattoo?(:reward_of_infection) ? 60 : 30
          if random_roll(success_rate, 100)
            bad_status_sample = [:v_expanded]
            unless slave.has_bad_status_in_body?(bad_status_sample)
              bad_status_in_body = bad_status_sample
              bad_status_type = 'body'
            end
          end
        end
      when 'custom_body_a'
        success_rate = slave.has_tattoo?(:reward_of_infection) ? 32 : 16
        if !slave.has_bad_status_in_body?(:broken_reason) && random_roll(success_rate, 100)
          bad_status_in_body = :broken_reason
          bad_status_type = 'body'
        end

        unless bad_status_in_body
          if !slave.has_bad_status_in_body?(:a_sensitive)
            # a敏感なし
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 50 : 25
            if random_roll(success_rate, 100)
              bad_status_in_body = :a_sensitive
              bad_status_type = 'body'
            end
          elsif !slave.has_bad_status_in_body?(:a_sensitive_high)
            # 尻穴狂い
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 40 : 20
            if random_roll(success_rate, 100)
              bad_status_in_body = :a_sensitive_high
              bad_status_type = 'body'
            end
          end
        end

        unless bad_status_in_body
          success_rate = slave.has_tattoo?(:reward_of_infection) ? 32 : 16
          if random_roll(success_rate, 100)
            bad_status_sample = [:a_expanded]
            unless slave.has_bad_status_in_body?(bad_status_sample)
              bad_status_in_body = bad_status_sample
              bad_status_type = 'body'
            end
          end
        end
      when 'custom_hard'
        success_rate = slave.has_tattoo?(:reward_of_infection) ? 50 : 25
        if !slave.has_bad_status_in_body?(:broken_reason) && random_roll(success_rate, 100)
          bad_status_in_body = :broken_reason
          bad_status_type = 'body'
        end

        unless bad_status_in_body
          if !slave.has_bad_status_in_body?(:v_sensitive)
            # v敏感なし
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 50 : 25
            if random_roll(success_rate, 100)
              bad_status_in_body = :v_sensitive
              bad_status_type = 'body'
            end
          elsif !slave.has_bad_status_in_body?(:v_sensitive_high)
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 40 : 20
            if random_roll(success_rate, 100)
              bad_status_in_body = :v_sensitive_high
              bad_status_type = 'body'
            end
          end
        end

        unless bad_status_in_body
          if !slave.has_bad_status_in_body?(:a_sensitive)
            # a敏感なし
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 50 : 25
            if random_roll(success_rate, 100)
              bad_status_in_body = :a_sensitive
              bad_status_type = 'body'
            end
          elsif !slave.has_bad_status_in_body?(:a_sensitive_high)
            # 尻穴狂い
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 40 : 20
            if random_roll(success_rate, 100)
              bad_status_in_body = :a_sensitive_high
              bad_status_type = 'body'
            end
          end
        end

        unless bad_status_in_body
          if !slave.has_bad_status_in_body?(:c_sensitive)
            # C敏感なし
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 32 : 16
            if random_roll(success_rate, 100)
              bad_status_in_body = :c_sensitive
              bad_status_type = 'body'
            end
          elsif !slave.has_bad_status_in_body?(:c_sensitive_high)
            # C過敏
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 32 : 16
            if random_roll(success_rate, 100)
              bad_status_in_body = :c_sensitive_high
              bad_status_type = 'body'
            end
          elsif !slave.has_bad_status_in_body?(:c_sensitive_fleshy)
            # C肥大化
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 32 : 16
            if random_roll(success_rate, 100)
              bad_status_in_body = :c_sensitive_fleshy
              bad_status_type = 'body'
            end
          end
        end

        unless bad_status_in_body
          if !slave.has_bad_status_in_body?(:b_sensitive_fleshy)
            # 乳頭肥大化
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 32 : 16
            if random_roll(success_rate, 100)
              bad_status_in_body = :b_sensitive_fleshy
              bad_status_type = 'body'
            end
          elsif !slave.has_bad_status_in_body?(:breast_milk)
            # 噴乳体質
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 32 : 16
            if random_roll(success_rate, 100)
              bad_status_in_body = :breast_milk
              bad_status_type = 'body'
            end
          elsif !slave.has_bad_status_in_body?(:breast_milk_ecstasy)
            # 噴乳快楽体質
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 32 : 16
            if random_roll(success_rate, 100)
              bad_status_in_body = :breast_milk_ecstasy
              bad_status_type = 'body'
            end
          end
        end

        unless bad_status_in_body
          success_rate = slave.has_tattoo?(:reward_of_infection) ? 50 : 25
          if random_roll(success_rate, 100)
            bad_status_sample = [:uterus_sensitive, :fertilization_ecstasy, :v_expanded, :a_expanded, :uterus_expanded, :customed_ovary].sample
            unless slave.has_bad_status_in_body?(bad_status_sample)
              bad_status_in_body = bad_status_sample
              bad_status_type = 'body'
            end
          end
        end
      when 'custom_brainwash'
        if slave.broken_mentally_exhaust?
          success_rate = slave.has_tattoo?(:reward_of_infection) ? 14 : 7
          if random_roll(success_rate, 100)
            bad_status_in_body = :override_identify
            bad_status_type = 'body'
          end
        else
          # 精神崩壊していないコース
          if slave.has_bad_status_in_body?(:spring_paralysis)
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 40 : 20
            if !slave.has_bad_status_in_body?(:spring_brainwash) && random_roll(success_rate, 100)
              bad_status_in_body = :spring_brainwash
              bad_status_type = 'body'
            end
          else
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 50 : 25
            if random_roll(success_rate, 100)
              bad_status_in_body = :spring_paralysis
              bad_status_type = 'body'
            end
          end

          if !bad_status_in_body && !slave.has_bad_status_in_body?(:blessing_of_slut_load) && random_roll(33, 100)
            bad_status_in_body = :blessing_of_slut_load
            bad_status_type = 'body'
          end

          unless bad_status_in_body
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 40 : 20
            if random_roll(success_rate, 100)
              bad_status_in_body =
                [:sperm_shot_orgasm, :oral_sperm_shot_orgasm, :breast_milk].sample
              if slave.has_bad_status_in_body?(:bad_status_in_body)
                bad_status_in_body = nil
              else
                bad_status_type = 'body'
              end
            end
          end

          unless bad_status_in_body
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 32 : 16
            if random_roll(success_rate, 100)
              bad_status_in_body =
                # 洗脳系
                [:sperm_shot_brain_wash, :sperm_taste_lover].sample
              bad_status_type = 'body'
            end
          end
        end
      when 'custom_brainwash_lv2'
        if slave.broken_mentally_exhaust?
          success_rate = slave.has_tattoo?(:reward_of_infection) ? 80 : 40
          if random_roll(success_rate, 100)
            bad_status_in_body = :override_identify
            bad_status_type = 'body'
          end
        else
          # 精神崩壊していないコース
          if slave.has_bad_status_in_body?(:spring_paralysis)
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 66 : 33
            if !slave.has_bad_status_in_body?(:spring_brainwash) && random_roll(success_rate, 100)
              bad_status_in_body = :spring_brainwash
              bad_status_type = 'body'
            end
          else
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 100 : 50
            if random_roll(success_rate, 100)
              bad_status_in_body = :spring_paralysis
              bad_status_type = 'body'
            end
          end

          if !bad_status_in_body && !slave.has_bad_status_in_body?(:blessing_of_slut_load) && random_roll(50, 100)
            bad_status_in_body = :blessing_of_slut_load
            bad_status_type = 'body'
          end

          unless bad_status_in_body
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 80 : 40
            if random_roll(success_rate, 100)
              bad_status_in_body =
                [:sperm_shot_orgasm, :oral_sperm_shot_orgasm, :breast_milk].sample
              if slave.has_bad_status_in_body?(:bad_status_in_body)
                bad_status_in_body = nil
              else
                bad_status_type = 'body'
              end
            end
          end

          unless bad_status_in_body
            success_rate = slave.has_tattoo?(:reward_of_infection) ? 66 : 33
            if random_roll(success_rate, 100)
              bad_status_in_body =
                # 洗脳系
                [
                  :sperm_shot_brain_wash, :sperm_taste_lover,
                  :nymphomaniac, :hunger_of_lust, :slave_of_ecstasy,
                ].sample
              if slave.has_bad_status_in_body?(:bad_status_in_body)
                bad_status_in_body = nil
              else
                bad_status_type = 'body'
              end
            end
          end
        end
      else
        # ここくるケースってあるか？
        if random_roll(5, 100)
          bad_status_sample = [:broken_reason].sample
          unless slave.has_bad_status_in_body?(bad_status_sample)
            bad_status_in_body = bad_status_sample
            bad_status_type = 'body'
          end
        end
    end

    return scripts if !bad_status_in_body && !breast_custom

    case bad_status_type
      when 'body'
        unless slave.has_bad_status_in_body?(bad_status_in_body)
          slave.add_bad_status_in_body!(bad_status_in_body)
          scripts += slave.tentacle_lab_get_bad_status(slave, bad_status_in_body, DungeonSkillList::BAD_STATUS_IN_BODY_NAMES[bad_status_in_body])
        end
      when 'breast_custom'
        scripts += slave.tentacle_lab_get_bad_status(slave, 'boom_hooter_level', slave.hooter_level_name)
      else
        false
    end
    scripts
  end

  TENTACLE_COUNT_LIMIT = 1_000
  TENTACLE_GROWTH_RATE = 0.06
  def increase_tentacle_by(orgasms_sum)
    increase_count = (orgasms_sum * TENTACLE_GROWTH_RATE).to_i
    if (tentacle_count + increase_count) >= TENTACLE_COUNT_LIMIT
      if @tentacle_count >= TENTACLE_COUNT_LIMIT
        increase_count = TENTACLE_COUNT_LIMIT - tentacle_count
        @tentacle_count = TENTACLE_COUNT_LIMIT
        return increase_count
      else
        return 0 # なにもしない
      end
    end

    @tentacle_count += increase_count
    increase_count
  end
end
