# coding: utf-8
# 戦闘用のモンスター
class Monster
  attr_reader :id, :name, :short_name, :life_point, :power, :unit_name, :exp_point,
              :bad_status, :bad_sex_status, :skills,
              :skill_personality,
              :skill_holic,
              :bad_status_in_dive, :bad_status_in_body,
              :is_beast, :is_tentacle, :is_dirty

  def initialize(params)
    @id         = params[:id]
    @name       = params[:name]
    @short_name = params[:short_name] || params[:name]
    @life_point = params[:life_point]
    @power      = params[:power]
    @unit_name  = params[:unit_name]
    @exp_point  = params[:cost]
    @skills     = params[:skills] || [] # 持っているだけで使わない。コピー用
    @skill_personality = params[:skill_personality] || []
    @skill_holic = params[:skill_holic] || []

    @bad_status = params[:bad_status] || {} # 持っているだけで使わない。コピー用
    @bad_sex_status = params[:bad_sex_status] || {} # 持っているだけで使わない。コピー用

    @bad_status_in_dive = (params[:bad_status_in_dive] || {})
    @bad_status_in_body = (params[:bad_status_in_body] || {})

    @is_beast    = params[:is_beast] == true
    @is_tentacle = params[:is_tentacle] == true
    @is_dirty    = params[:is_dirty] == true
  end

  def down?
    @life_point <= 0
  end

  def get_damage!(damage)
    @life_point -= damage
  end

  def race_type
    case id
      when 1
        'goblin'
      when 2
        'goblin'
      when 3
        'goblin'
      when 11
        'ork'
      when 12
        'ork'
      when 13
        'ork'
      when 21
        'kobold'
      when 22
        'kobold'
      when 23
        'kobold'
      when 31
        'daemon'
      when 32
        'daemon'
      when 33
        'daemon'
      when 41
        'mage'
      when 42
        'mage'
      when 43
        'mage'
      when 51
        'lizard'
      when 52
        'lizard'
      when 53
        'lizard'
      when 61
        'beastman'
      when 62
        'beastman'
      when 63
        'beastman'
      when 101
        'urk'
      else
        puts "INVALID monster ID is #{id}"
        ''
    end
  end
end