# coding: utf-8

require_rrk 'src/game_define/dungeon/adventurers_list'
require_rrk 'src/game_define/dungeon/slaves_list'
require_rrk 'src/app/helper/game_define_helper'
if GameDefineHelper::FGO_MODE
  AdventurersList.adventure_list_by_ver.keys.each do |key|
    require_rrk "src/defines/script/dungeon/fgo/adventurers/magic_factory/slave_#{key}_magic_factory_script"
    require_rrk "src/defines/script/dungeon/fgo/adventurers/magic_factory/tentacle_lab/slave_#{key}_tentacle_lab_script"
  end
  AdventurersList.append_adventure_list_by_ver.keys.each do |key|
    require_rrk "src/defines/script/dungeon/fgo/adventurers/magic_factory/slave_#{key}_magic_factory_script"
    require_rrk "src/defines/script/dungeon/fgo/adventurers/magic_factory/tentacle_lab/slave_#{key}_tentacle_lab_script"
  end
  SlavesList.slave_list_by_mode.keys.each do |key|
    require_rrk "src/defines/script/dungeon/fgo/adventurers/magic_factory/slave_#{key}_magic_factory_script"
    require_rrk "src/defines/script/dungeon/fgo/adventurers/magic_factory/tentacle_lab/slave_#{key}_tentacle_lab_script"
  end
elsif GameDefineHelper::ORIGINAL_MODE
  (1..3).each do |key|
    require_rrk "src/defines/script/dungeon/original/magic_factory/slave_#{key}_magic_factory_script"
    require_rrk "src/defines/script/dungeon/original/magic_factory/tantacle_lab/slave_#{key}_tentacle_lab_script"
  end
else
  AdventurersList.adventure_list_by_ver.keys.each do |key|
    require_rrk "src/defines/script/dungeon/adventurers/magic_factory/slave_#{key}_magic_factory_script"
    require_rrk "src/defines/script/dungeon/adventurers/magic_factory/tentacle_lab/slave_#{key}_tentacle_lab_script"
  end
  SlavesList.slave_list_by_mode.keys.each do |key|
    require_rrk "src/defines/script/dungeon/adventurers/magic_factory/slave_#{key}_magic_factory_script"
    require_rrk "src/defines/script/dungeon/adventurers/magic_factory/tentacle_lab/slave_#{key}_tentacle_lab_script"
  end
end
require_rrk 'src/app/helper/forwardable'

class SlaveScriptStatus
  extend Forwardable

  attr_reader :flags, :script
  def_delegators :@script,
                 :maternity_room_script,
                 :broken_mentally_exhaust_script,
                 :brothel_prelude_script, :brothel_script_by_type, :brothel_finale_script

  def_delegators :@tentacle_lab_script,
                 :tentacle_lab_orgasms_script, :decrease_resist_for_spring_by_tentacle_script,
                 :tentacle_lab_normal_script, :tentacle_lab_get_bad_status
  def initialize(original_id, slave)
    @slave = slave
    @script =
      if GameDefineHelper::ORIGINAL_MODE
        if slave.in_devout?
          Slave2MagicFactoryScript.new
        elsif slave.high_hierarchy?
          Slave3MagicFactoryScript.new
        else
          Slave1MagicFactoryScript.new
        end
      else
        eval("Slave#{original_id}MagicFactoryScript.new")
      end
    @tentacle_lab_script =
      if GameDefineHelper::ORIGINAL_MODE
        if slave.in_devout?
          Slave2TentacleLabScript.new
        elsif slave.high_hierarchy?
          Slave3TentacleLabScript.new
        else
          Slave1TentacleLabScript.new
        end
      else
        eval("Slave#{original_id}TentacleLabScript.new")
      end
    @flags = {}
  end
end
