# coding: utf-8
require_rrk 'src/game_define/rrk/module/method_prefix_helper'

class HouseMenuService
  include MethodPrefixDefinesHelper
  def show_house_cage(house)
    script_elements =
      house.house_cage.map do |slave_key, slave|
        if house.is_spring?(slave_key)
          {
            'type'   => 'button',
            'text'   => slave.short_name + ' (売春中)',
            'action' => SHOW_SLAVE_SPRING_STATUS_PREFIX + slave.id.to_s,
          }
        else
          {
            'type'   => 'button',
            'text'   => slave.short_name,
            'action' => SHOW_SLAVE_STATUS_PREFIX + slave.id.to_s,
          }
        end
      end
    script_elements += (
    [{
       'type'  => 'button',
       'text'   => '(空き部屋)',
       'action' => 'show_blank_house_cage',
     }] * house.house_cage_blank_size
    )

    script_elements +=
      [
        {
          'type'  => 'button',
          'text'   => '戻る',
          'action' => 'show_house_menu',
        },
      ]

      script_elements
  end

  def show_enhance_houce_menu(house)

    elements = [
      {
        'text' => '家を増築する',
        'action' => 'detail_to_enhance_house',
      },
    ]

    elements +=
      if house.has_spring_house?
        [
          {
            'text' => '奴隷売春を増築',
            'action' => 'detail_to_enhance_force_cage',
          },
          {
            'text' => '娼婦売春を増築',
            'action' => 'detail_to_enhance_brothel_cage',
          },
        ]
      else
        [
          {
            'text' => '売春小屋を建てる',
            'action' => 'detail_to_build_spring_house',
          },
        ]
      end
    elements
  end
end
