# coding: utf-8
require_rrk 'src/app/helper/game_define_helper'
require_rrk 'src/app/service/chain_engine/menu/helper/menu_button_helper'
require_rrk 'src/defines/dungeon/menu_helper/menu_list'
require_rrk 'src/defines/dungeon/menu_helper/magic_factory_list_helper'

# turn > round > step という構造
# trainにはいったら1round
# train入る前はturn内
class Dungeon::MainMenuService
  include MenuButtonHelper
  include Dungeon::MenuHelper

  attr_accessor :turn_available_group_menu

  def initialize
    @turn_available_group_menu = {}
  end

  # turn_available_group_menuの更新
  def update(game_master, is_night, is_new_dawn)
    _update_available_menu(is_night, is_new_dawn, game_master.auction_room_slaves, game_master.dungeon_master)
  end

  def update_in_opening_menu(dungeon_master, auction_room_slaves)
    is_night = false
    is_new_dawn = false
    _update_available_menu(is_night, is_new_dawn, auction_room_slaves, dungeon_master)
  end

  def _update_available_menu(is_night, is_new_dawn, auction_room_slaves, dungeon_master)
    @group_menu_definitions = top_group_menu(dungeon_master) # 更新

    # ターン開始時およびアイテムや施設を買ったり奴隷を購入売却すると更新される
    # TODO
    available_group_menu = {}
    definitions =
      if is_new_dawn
        @group_menu_definitions[:new_dawn]
      elsif is_night
        @group_menu_definitions[:night]
      else
        @group_menu_definitions[:day]
      end

    menu_with_auction =
      if is_new_dawn
        definitions
      else
        Hash[*definitions.flatten].merge(auction_room_list(auction_room_slaves))
      end
    menu_with_auction.sort.each do |menu_key, menu_value|
      # 表示可能判定を入れるならここ
      available_group_menu[menu_key] = menu_value
    end
    @turn_available_group_menu = available_group_menu
  end

  include GameDefineHelper
  def show_save_load
    return [] unless mode_to_show_save_load?
    [
      {
        'text'   => 'セーブ',
        'action' => 'show_save_slots',
      },
      {
        'text'   => 'ロード',
        'action' => 'show_load_slots',
      },
    ]
  end

  def go_to_new_game
    [
      {
        'text'   => '強くてニューゲーム',
        'action' => 'opening_menu_after_clear',
      },
    ]
  end
end
