# coding: utf-8
class SaveDataService
  def self.make_save_list
    save_data_service = self.new
    button_set = []
    ('0'..'9').to_a.each do |save_number|
      save_file_path = File.join(File.absolute_path('.'), 'saves', "save#{save_number}.save")

      if File.exist?(save_file_path)
        # セーブファイルがあるときの処理
        access_time = File.mtime(save_file_path).strftime("%Y-%m-%d %H:%M:%S")
        save_label = "#{save_number}： セーブデータ#{save_number}  (#{access_time})"
        button_set << {:text => save_label, :action => "save_as_#{save_number}"}
      else
        # セーブファイルがないときの処理
        save_label = "#{save_number}： セーブデータがありません"
        button_set << {:text => save_label, :action => "save_as_#{save_number}"}
      end
    end

    button_set
  end
end
