# coding: utf-8
require_rrk 'src/app/service/dungeon/module/dungeon_common'
require_rrk 'src/defines/script/dungeon/night_script'

class NightService
  include DungeonCommon

  def initialize
    @night_script = NightScript.new
  end

  def hunt!(chairs)
    return []if chairs.empty?

    adventurer = chairs.sample
    script = [' ', ' ']
    hunters = %w(インプ ゴブリン コボルド)

    status =
      if random_roll(15, 100)
        # 1.成功
        'success'
      else
        bad_ero_status_penalty = ([
          :onany_holic,
          :dirty_sex_holic,
          :gang_rape_holic,
        ].any? {|status| adventurer.has_skill_holic?(status) } ||
          [
            :lewdness,
            :masochism_ecstasy_holic,
          ].any? {|status| adventurer.has_skill_personality?(status) })
        if bad_ero_status_penalty
          # 2.失敗からのバステによる成功
          'success_by_bad_status'
        else
          if false # random_roll(20, 100)
            # 3.失敗したから他襲う
            'failed_n_other_attack'
          else
            # 4.普通に失敗
            'failed'
          end
        end
      end

    # 失敗した時はセリフ数減らす
    if 'failed' && random_roll(70, 100)
      return []
    end

    hunter_name = hunters.sample
    # プロローグ
    script = @night_script.hunting_prologue_script(hunter_name, adventurer)
    script +=
      case status
        when 'success' # 1.成功
          @night_script.hunt_force_success_script(hunter_name, adventurer)
        when 'success_by_bad_status' # 2.失敗からのバステによる成功
          @night_script.hunt_success_script(hunter_name, adventurer)
        when 'failed_n_other_attack' # 3.失敗したから他襲う
          @night_script.hunter_other_script(hunter_name, adventurer)
        when 'failed' # 4.普通に失敗
          @night_script.hunt_failed_script(hunter_name, adventurer)
        else
          []
      end

    script
  end
end
