# coding: utf-8
require_rrk 'src/defines/dungeon/utils/dungeon_utils'
require_rrk 'src/app/helper/game_define_helper'

class Dungeon::AuctionMenuService
  include DungeonUtils
  include GameDefineHelper

  def show_auction_room_of(slaves)
    slaves.map do |_, slave_params|
      slave = slave_params[:slave]
      {
        'type' => 'button',
        'text' => "#{slave.short_name}、Lv：#{slave.level}、売値：#{with_comma(slave_params[:sell_info][:slave_price])}",
        'action' => "show_slave_auction_#{slave.id}"
      }
    end
  end

  def show_slave_auction(dungeon_master, slave_params, sell_price, buy_price)
    slave = slave_params[:slave]
    elements = [
      {
        'type' => 'button',
        'text' => "#{slave.short_name}を奴隷オークションで売却する（値：#{with_comma(sell_price)}）",
        'action' => "sell_slave_#{slave.id}",
      },
      {
        'type' => 'button',
        'text' => "#{slave.short_name}を奴隷として買い取り魔術工房に入れる（値：#{with_comma(buy_price)}）",
        'action' => "buy_slave_#{slave.id}",
      },
    ]

    if dungeon_master.has_book?(:magic_convert)
      text = "#{slave.short_name}を買い取り、魔力(#{with_comma(slave.drain_magic_power)})に転換する（値：#{with_comma(buy_price)}）"
      elements << {
        'type' => 'button',
        'text' => text,
        'action' => "buy_slave_n_convert_magic_#{slave.id}",
      }
    end
    if dungeon_master.has_book?(:brainwash)
      text =
        if FGO_MODE
          "#{slave.short_name}を買い取り、召喚契約を上書き（洗脳）（値：#{with_comma(buy_price)}）"
        else
          "#{slave.short_name}を買い取り、従属奴隷として洗脳する（値：#{with_comma(buy_price)}）"
        end
      elements << {
        'type' => 'button',
        'text' => text,
        'action' => "buy_slave_n_convert_slave_#{slave.id}",
      }
    end

    elements +=[
      {
        'type' => 'button',
        'text' => '他の奴隷を見る',
        'action' => 'show_auction_room',
      }
    ]

    elements
  end
end
