# coding: utf-8
class BaseViewElementLogic
  def initialize *args
    @view_element_converter = ViewElementConverter.new
  end

  def make_script_menu_items_to(elements)
    @view_element_converter.make_script_menu_items_to(elements)
  end

  # 一定文字数で分割
  def make_scripts_from(scripts)
    scripts = _convert_to_labels(scripts)
    @view_element_converter.make_scripts_from(scripts)
  end

  def _convert_to_labels(scripts)
    scripts_elements = []
    scripts.each do |script|
      splited_scripts = script.scan(/.{1,#{script_length_limit}}/)

      splited_scripts.each { |line|
        scripts_elements << {
          'type' => 'label',
          'text' => line,
        }
      }
    end
    scripts_elements
  end

  def script_length_limit
    if JRubyFX::Application.in_jar?
      35
    else
      33
    end
  end
end