# coding: utf-8

require_rrk 'src/app/view_element_logic/dungeon/base_view_element_logic'
require_rrk 'src/app/service/dungeon/view/auction_menu_service'

# オークションを扱うよ
class AuctionViewElementLogic < BaseViewElementLogic
  include Dungeon::MainMenu::MagicFactoryHelper

  def initialize
    @auction_menu_service = Dungeon::AuctionMenuService.new
    super
  end

  def show_auction_room(slaves, scripts)
    @view_element_converter.make_script_menu_items_to(
      @auction_menu_service.show_auction_room_of(slaves)
    ) +
      make_scripts_from(scripts)
  end

  def show_slave_auction(dungeon_master, slave, scripts, sell_price, buy_price)
    @view_element_converter.make_script_menu_items_to(
      @auction_menu_service.show_slave_auction(dungeon_master, slave, sell_price, buy_price)
    ) +
      make_scripts_from(scripts)
  end
end
