# coding: utf-8

require_rrk 'src/app/chain_engine_cover/dungeon/view_element_converter'
require_rrk 'src/app/chain_engine_cover/dungeon/helper/view_size_helper'
class BaseViewElementLogic
  include ViewSizeHelper

  def initialize *args
    @view_element_converter = ViewElementConverter.new
  end

  def make_script_menu_items_to(elements)
    @view_element_converter.make_script_menu_items_to(elements)
  end

  # 一定文字数で分割
  def make_scripts_from(scripts)
    scripts = _convert_to_labels(scripts)
    @view_element_converter.make_scripts_from(scripts)
  end

  def _convert_to_labels(scripts)
    scripts_elements = []
    scripts.each do |script|
      splited_scripts = script.scan(/.{1,#{script_length_limit}}/)

      splited_scripts.each { |line|
        scripts_elements << {
          'type' => 'label',
          'text' => line,
        }
      }
    end
    scripts_elements
  end

  def script_length_limit
    if JRubyFX::Application.in_jar?
      43
    else
      41
    end
  end

  def back_to_(action_name)
    [
      {
        'type' => 'button',
        'text' => '戻る',
        'action' => action_name,
      }
    ]
  end

  def back_to_top
    back_to_('show_game_top_menu')
  end

  def _add_comma(num)
    num.to_s.gsub(/(\d)(?=(\d{3})+(?!\d))/, '\1,')
  end
end