# coding: utf-8
require_rrk 'src/app/view_element_logic/base_view_element_logic'
%w(chain_engine/menu/house_menu_service).each do |src_name|
  require_rrk 'src/app/service/' + src_name
end
require_rrk 'src/game_define/rrk/module/view_size_helper'

class HouseViewElementLogic < BaseViewElementLogic
  include ViewSizeHelper

  def initialize *args
    @house_menu_service  = HouseMenuService.new
    super
  end

  def show_house_cage(house)
    @view_element_converter.make_menu_items_to(
      @house_menu_service.show_house_cage(house)
    )
  end

  def show_enhance_houce_menu(house)
    @view_element_converter.make_menu_items_to(
      @house_menu_service.show_enhance_houce_menu(house)
    )
  end

  def buy_to_enhance_house
    [
      {
        'type'   => 'button',
        'text'   => '監禁用の奴隷部屋を増築する',
        'action' => 'enhance_house',
        'width'  => BUTTON_WIDTH_IN_SCRIPT_LIST,
      },
    ]
  end

  def buy_to_enhance_force_cage
    [
      {
        'type'   => 'button',
        'text'   => '肉便器売春用の地下室を増築する',
        'action' => 'enhance_force_cage',
        'width'  => BUTTON_WIDTH_IN_SCRIPT_LIST,
      },
    ]
  end


  def buy_to_enhance_brothel_cage
    [
      {
        'type'   => 'button',
        'text'   => '娼婦売春用の売春部屋を増築する',
        'action' => 'enhance_brothel_cage',
        'width'  => BUTTON_WIDTH_IN_SCRIPT_LIST,
      },
    ]
  end

  def buy_to_build_spring_house
    [
      {
        'type'   => 'button',
        'text'   => '売春小屋を立てる',
        'action' => 'build_spring_house',
        'width'  => BUTTON_WIDTH_IN_SCRIPT_LIST,
      },
    ]
  end
end
