# coding: utf-8
require_rrk 'src/app/view_element_logic/base_view_element_logic'
require_rrk 'src/app/service/chain_engine/menu/map_menu_service'
require_rrk 'src/game_scenario/map_scenario'

class MapViewElementLogic < BaseViewElementLogic
  def initialize *args
    @map_menu_service  = MapMenuService.new
    @map_scenario  = MapScenario.new
    super
  end

  def show_slaves_in_map_menu(house, member_list, slave_cage_history_keys, master)
    @view_element_converter.make_menu_items_to(
      @map_menu_service.show_slaves_in_map_menu(house, member_list, slave_cage_history_keys, master)
    )
  end

  def show_slave_in_map_menu(slave_id, slave_data, master, house)
    lack_reason = master.lack_to_capture?(slave_data['cost'])
    lack_reason << 'full_cage' if house.full_cage?

    elements =
      make_scripts_from( # キャラの説明
        @map_scenario.slave_detail(slave_data, master)
      ) +
      if lack_reason.empty?
        # 捕まえるボタン
        @map_menu_service.show_slave_in_map_menu_button(slave_id, slave_data) +
          make_scripts_from(
            [
              ' ',
              ' ',
            ]
          )
      else
        # 捕まえられない理由
        make_scripts_from(
          @map_scenario.lack_reason_of(lack_reason)
        )
      end
    elements
  end

  def capture_slave(slave_id, slave_data, master, house)
    make_scripts_from(
      @map_scenario.capture_slave(slave_id, slave_data, master, house)
    )
  end
end
