# coding: utf-8
# ゲームに使うロジックはこちら
%w(view_element_converter).each do |src_name|
  require_rrk 'src/app/chain_engine_cover/' + src_name
end

%w(define/train_menu_helper).each do |src_name|
  require_rrk 'src/app/chain_engine_helper/' + src_name
end

require_rrk 'src/app/view_element_logic/base_view_element_logic'

#%w(chain_engine/menu/main_menu_service).each do |src_name|
%w().each do |src_name|
  require_rrk 'src/app/service/' + src_name
end

#require_rrk 'src/game_define/rrk/module/method_prefix_helper'
#require_rrk 'src/app/model/save/save_secretary'
#require_rrk 'src/game_define/rrk/module/view_size_helper'

class ViewElementLogic < BaseViewElementLogic
  include TrainMenu
#  include MethodPrefixDefinesHelper
#  include ViewSizeHelper

  def initialize(mode_options)
    @main_menu_service  = MainMenuService.new(mode_options)
    # セーブ用
    @save_secretary = SaveSecretary.new
    super
  end

  # 家用メニューを見る
  def show_house_group_menu
    @view_element_converter.make_group_menu_items_to(
      @main_menu_service.turn_available_group_menu.values)
  end

  def show_spring_report_menu
    @view_element_converter.make_menu_items_to(
      @main_menu_service.show_spring_report_menu)
  end

  def show_spring_group_menus
    @view_element_converter.make_group_menu_items_to(
        @main_menu_service.show_spring_group_menus)
  end

  # セーブとロード画面を見る
  def show_save_load
    @view_element_converter.make_menu_items_to(
      @main_menu_service.show_save_load
    )
  end

  def show_jail_group_menu(house, is_day)
    @view_element_converter.make_menu_items_to(
      @main_menu_service.show_jail_menu(house, is_day)
    )
  end

  # ターンごとの更新
  def update_by_turn(game_master)
    @main_menu_service.update(game_master)
  end

  #========== 闇商人系 はじめ =======================
  # 闇商人のところでメニュー見る
  def show_shop_main_menu(house)
    @view_element_converter.make_menu_items_to(
      @main_menu_service.shop_main_menu(house.has_spring_house?)
    )
  end

  # 闇商人のところで調教用アイテム見る
  def show_shop_train_items_menu(house)
    @view_element_converter.make_menu_items_to(
      @main_menu_service.generate_selling_train_items(house)
    )
  end

  # 闇商人のところで魔法アイテム見る
  def show_shop_magic_items_menu(house)
    @view_element_converter.make_menu_items_to(
      @main_menu_service.generate_selling_magic_items(house)
    )
  end

  # 闇商人のところで売春用アイテム見る
  def show_shop_spring_items_menu(house)
    @view_element_converter.make_menu_items_to(
      @main_menu_service.generate_selling_spring_items(house)
    )
  end

  # アイテム購入前の詳細
  def show_item_detail_to_buy(options)
    [{
         'type'   => 'button',
         'text' => options['name'] + ' を購入する',
         'action' => BUY_TRAIN_ITEM_PREFIX + options['item_key'].to_s,
         'width'  => BUTTON_WIDTH_IN_SCRIPT_LIST,
     }]
  end

  # アイテム購入前の詳細
  def show_magic_item_detail_to_buy(options)
    [{
       'type'   => 'button',
       'text' => options['name'] + ' を購入する',
       'action' => BUY_MAGIC_ITEM_PREFIX + options['item_key'].to_s,
       'width'  => BUTTON_WIDTH_IN_SCRIPT_LIST,
     }]
  end

  def show_spring_item_detail_to_buy(options)
    [{
       'type'   => 'button',
       'text' => options['name'] + ' を購入する',
       'action' => BUY_SPRING_ITEM_PREFIX + options['item_key'].to_s,
       'width'  => BUTTON_WIDTH_IN_SCRIPT_LIST,
     }]
  end

  # 売却可能な奴隷一覧を見る
  # shop系
  def show_list_to_sell_slave(slave_elements)
    @view_element_converter.make_menu_items_to(
      slave_elements
    )
  end

  # 売却検討中の奴隷の詳細を見る
  def sell_detail_slave_of(slave, script_elements)
    script_elements + [
      {
         'type'   => 'button',
         'text'   => slave.short_name + 'を売却する',
         'action' => SELL_SLAVE_PREFIX + slave.id.to_s,
         'width'  => BUTTON_WIDTH_IN_SCRIPT_LIST,
       },
      {
        'type'   => 'label',
        'text'   => ' ',
      },
    ]
  end

  # 奴隷を売却
  def sell_slave_of(slave, script_elements)
    script_elements + [{
                         'type'   => 'button',
                         'text'   => slave.short_name + 'を売却する',
                         'action' => SELL_SLAVE_PREFIX + slave.id.to_s,
                         'width'  => BUTTON_WIDTH_IN_SCRIPT_LIST,
                       }]
  end
  #========== 闇商人系 おわり =======================

  # 屋敷を見る
  def show_house_menu(house)
    @view_element_converter.make_menu_items_to(
      @main_menu_service.generate_house_items(house)
    )
  end

  # script_listの方に屋敷の全体図を表示
  def show_house_map_from(house)
    @main_menu_service.make_house_map_from(house)
  end

  # 幻想郷全体を見る
  def show_world_map_menu(house)
    @view_element_converter.make_menu_items_to(
      @main_menu_service.generate_world_map_items(house)
    )
  end

  # 幻想郷全体を見る
  def show_world_map_from(house)
    @main_menu_service.make_world_map_from(house)
  end

  # セーブ一覧を見る
  def show_save_slots(scripts)
    @view_element_converter.make_script_menu_items_to(
      @save_secretary.list_saves_for_save
    ) +
      make_scripts_from(scripts)
  end

  # ロードするセーブデータ一覧を見る
  def show_load_slots(scripts)
    @view_element_converter.make_script_menu_items_to(
      @save_secretary.list_saves_for_load
    ) +
      make_scripts_from(scripts)
  end

  def show_load_slots_in_initial(scripts)
    @view_element_converter.make_script_menu_items_to(
      @save_secretary.list_saves_for_load +
        [
          {
            'type' => 'button',
            'text' => 'はじめから',
            'action' => 'opening_menu_from_load',
          }
        ]
    ) +
      make_scripts_from(scripts)
  end

  def save_to_(slot_number, save_data)
    @save_secretary.save_to_(slot_number, save_data)
  end

  def save_to_view_elements(scripts)
    @view_element_converter.make_script_menu_items_to(
      @save_secretary.list_saves_for_save
    ) +
      make_scripts_from(scripts)
  end

  def load_from_(slot_number)
    @save_secretary.load_from_(slot_number)
  end

  def load_from_view_elements(scripts)
    @view_element_converter.make_script_menu_items_to(
      @save_secretary.list_saves_for_load
    ) +
      make_scripts_from(scripts)
  end

  def opening_menu(scripts)
    make_scripts_from(scripts)
  end

  def show_ending(is_trial_mode)
    if is_trial_mode
      return []
    end

    @view_element_converter.make_group_menu_items_to(
      @main_menu_service.show_ending
    )
  end
end
