# coding: utf-8

module ItemList
  # アイテム追加時にはここに定義追加すること（1/2）
  MASTER_ITEM_DEFINE_LISTS = {
    key_lock: [1, 2, 3, 4],
    capture_net: [11, 12, 13, 14],
    maternity_accessory: [21, 22, 23, 24],
    physical_trap_switch: [31, 32, 33, 34],
    ero_trap_switch: [41, 42, 43, 44],
    brothel_paper: [51, 52, 53, 54],
  }

  DEFAULT_ITEMS = {
    key_lock: [],
    capture_net: [],
    maternity_accessory: [],
    brothel_paper: [],
    physical_trap_switch: [],
    ero_trap_switch: [],
  }

  # アイテム追加時にはここに定義追加すること（2/2）
  ITEM_DEFINE_LIST = {
    # 0x系は位置移動
    1  => {
      name: '二重の地下牢鍵',
      type: :key_lock,
    },
    2  => {
      name: '頑丈な地下牢鍵',
      type: :key_lock,
    },
    3  => {
      name: '回転ダイヤル式地下牢鍵',
      type: :key_lock,
    },
    11 => {
      name: '捕獲ネット',
      type: :capture_net,
    },
    12 => {
      name: '大型捕獲ネット',
      type: :capture_net,
    },
    13 => {
      name: '投射式捕獲ネット',
      type: :capture_net,
    },
    14 => {
      name: '投射式大型捕獲ネット',
      type: :capture_net,
    },
    21 => {
      name: '異種妊娠補助のピアス',
      type: :maternity_accessory,
    },
    22 => {
      name: '異種妊娠促進の指輪',
      type: :maternity_accessory,
    },
    23 => {
      name: '異種妊娠励起の腕輪',
      type: :maternity_accessory,
    },
    24 => {
      name: '異種妊娠同化の首輪',
      type: :maternity_accessory,
    },
    31 => {
      name: '高信頼性の罠発動装置',
      type: :physical_trap_switch,
    },
    32 => {
      name: '囮つき罠発動装置',
      type: :physical_trap_switch,
    },
    33 => {
      name: '盗賊殺しの罠発動装置',
      type: :physical_trap_switch,
    },
    34 => {
      name: '悪魔の罠発動装置',
      type: :physical_trap_switch,
    },

    41 => {
      name: '淫罠の強化術式',
      type: :ero_trap_switch,
    },
    42 => {
      name: '大型淫罠の強化術式',
      type: :ero_trap_switch,
    },
    43 => {
      name: '魔動力式淫罠の強化術式',
      type: :ero_trap_switch,
    },
    44 => {
      name: '活型魔動力式淫罠の強化術式',
      type: :ero_trap_switch,
    },
  }

  DUNGEON_MASTER_ROCKED_ITEMS_LIST = {
    1 => {
      name: '二重の地下牢鍵',
      price: 2_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      description: %w(
地下牢に捕獲した冒険者は、まだ心が折れていなければ脱走を試みます。
地下牢の鍵を二重にすれば脱走に成功する確率は低下します。
せっかく捕らえた冒険者を逃さぬために、このアイテムは役に立つでしょう。
      ),
    },
    2 => {
      name: '頑丈な地下牢鍵',
      price: 30_000, # 購入価格
      lock: [1], # こいつを買ってないと購入できない
      description: %w(
地下牢に捕獲した冒険者は、まだ心が折れていなければ脱走を試みます。
地下牢の鍵を頑丈で複雑なものにすることで、鍵開けに成功する確率は低下します。
せっかく捕らえた冒険者を逃さぬために、このアイテムは役に立つでしょう。
      ),
    },
    3 => {
      name: '回転ダイヤル式地下牢鍵',
      price: 95_000, # 購入価格
      lock: [1, 2], # こいつを買ってないと購入できない
      description: %w(
地下牢に捕獲した冒険者は、まだ心が折れていなければ脱走を試みます。
地下牢の鍵を正しい番号を知らなければ開けることのできない回転ダイヤル式にすれば脱走できる可能性は極端に下がります。
せっかく捕らえた冒険者を逃さぬために、このアイテムは役に立つでしょう。
      ),
    },
    11 => {
      name: '捕獲ネット',
      price: 12_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      description: %w(
戦闘に敗北した後も冒険者は必死に逃げようとします。
身軽な冒険者を逃さぬために、手で投げるタイプの投網のような捕獲ネットです。
網の先端の錘が女の手足を絡め取り、その場で転倒させることで捕らえます。
      ),
    },
    12 => {
      name: '大型捕獲ネット',
      price: 42_000, # 購入価格
      lock: [11], # こいつを買ってないと購入できない
      description: %w(
戦闘に敗北した後も冒険者は必死に逃げようとします。
身軽な冒険者を逃さぬために、手で投げるタイプの投網のような捕獲ネットです。
網の先端の錘が女の手足を絡め取り、その場で転倒させることで捕らえます。
大型化したことで、射程も長く、捕獲範囲も広がり、冒険者を捕まえやすくなりました。
      ),
    },
    13 => {
      name: '投射式捕獲ネット',
      price: 115_000, # 購入価格
      lock: [11, 12], # こいつを買ってないと購入できない
      description: %w(
戦闘に敗北した後も冒険者は必死に逃げようとします。
身軽な冒険者を逃さぬために、銃のように網を前に射出するタイプの投網のような捕獲ネットです。
網の先端の錘が女の手足を絡め取り、その場で転倒させることで捕らえます。
      ),
    },
    14 => {
      name: '投射式大型捕獲ネット',
      price: 165_000, # 購入価格
      lock: [11, 12, 13], # こいつを買ってないと購入できない
      description: %w(
戦闘に敗北した後も冒険者は必死に逃げようとします。
身軽な冒険者を逃さぬために、銃のように網を前に射出するタイプの投網のような捕獲ネットです。
網の先端の錘が女の手足を絡め取り、その場で転倒させることで捕らえます。
大型化したことで、射程も長く、捕獲範囲も広がり、冒険者を捕まえやすくなりました。
銃本体を大型化させ、射出力を高めるためにカートリッジ式の魔力宝珠を使っています。
      ),
    },
    21 => {
      name: '異種妊娠補助のピアス',
      price: 15_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      description: %w(
女に付けさせると異種の生物のオスとの性行為において妊娠しやすくなります。
種族を超えた愛を育む恋人たちが買い求めることもあります。
もっともそういったケースは稀で、主人が金で買った奴隷につけさせるために購入する場合がほとんどですが。
魔術工房で強制妊娠による魔物の繁殖を奴隷にさせるときにとても役に立つでしょう。
      ),
    },
    22 => {
      name: '異種妊娠促進の指輪',
      price: 37_000, # 購入価格
      lock: [21], # こいつを買ってないと購入できない
      description: %w(
女に付けさせると異種の生物のオスとの性行為において妊娠率を飛躍的に高めます。
また出産までに期間を大きく短縮します。
主人が金で買った異種族の奴隷につけさせるために購入する場合がほとんどです。
魔術工房で強制妊娠による魔物の繁殖を奴隷にさせるときにとても役に立つでしょう。
      ),
    },
    23 => {
      name: '異種妊娠励起の腕輪',
      price: 74_000, # 購入価格
      lock: [21, 22], # こいつを買ってないと購入できない
      description: %w(
女に付けさせていれば、異種の生物のオスとの性行為において必ず妊娠させます。
また出産までに期間を飛躍的に短縮します。
美しい女エルフの妊娠出産ショーを、ミノタウロスとさせて見世物にしている一座がこの腕輪の効果の知名度を高めています。
一座は女エルフをおおよそ３ヶ月以内に使い潰しては新しい女エルフに腕輪をはめさせているようです。
しかし女冒険者であれば、より長い間使えるでしょう。
魔術工房で強制妊娠による魔物の繁殖を奴隷にさせるときにとても役に立つはずです。
      ),
    },
    24 => {
      name: '異種妊娠同化の首輪',
      price: 198_000, # 購入価格
      lock: [21, 22, 23], # こいつを買ってないと購入できない
      description: %w(
女に付けさせた上で異種のオスとの性行為をさせれば、肉体の限界を無視して妊娠させることができます。
たとえ種付け相手がどれほど大型で強力な魔物であっても、母体と胎児を出産までの間保護し続けます。
また出産までに期間をほぼ丸一日に短縮します。
伝承によれば、かつて北の大地を支配していた魔王が滅ぼした王国の王族や貴族の女に付けさせ、己の子を産ませたと言います。
今地上にいる魔物の過半は滅国の哀れな王女たちが産んだ子の子孫であるとも。
ほかのアイテムはこの首輪の模造品に過ぎないと言われています。
魔術工房で強制妊娠による魔物の繁殖を奴隷にさせるときに大いに役立つはずです。
      ),
    },
    31 => {
      name: '高信頼性の罠発動装置',
      price: 21_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      description: %w(
落とし穴や転送罠の発動装置は手作業で作られているためにどうしても発動精度にムラがあり、故障しやすくなります。
その隙をついて、多くの盗賊や斥候たちは発動の兆候を察知し、空振りさせる手をとります。
この発動装置は、熟練の職人によって作られているために故障することが少なく、また獲物を感知した瞬間即座に発動します。
そのため、この発動装置を導入すれば一気に罠が獲物を捕らえる数は上がるでしょう。
      ),
    },
    32 => {
      name: '囮つき罠発動装置',
      price: 50_000, # 購入価格
      lock: [31], # こいつを買ってないと購入できない
      description: %w(
多くの場合、盗賊や斥候たちは落とし穴や転送罠を見つけ出したときは、慎重に罠を解除しようとします。
つまり発動装置を分解し、罠を無効化するのです。
この発動装置は、二重に罠の発動装置を罠自身に組み込むことで、一つを解体し無効化したと思い込んだパーティーに対して牙を剥きます。
この発動装置を導入すれば一気に罠が獲物を捕らえる数は上がるでしょう。
      ),
    },
    33 => {
      name: '盗賊殺しの罠発動装置',
      price: 120_000, # 購入価格
      lock: [31, 32], # こいつを買ってないと購入できない
      description: %w(
多くの場合、盗賊や斥候たちは落とし穴や転送罠を見つけ出したときは、慎重に罠を解除しようとします。
これは勘と経験がものを言います。また罠の構造自体はいくつかの法則性があり、当然無効化の手段もそれに対抗して法則性を持ちます。
この発動装置は、盗賊出身の熟練工が作りました。
熟練の盗賊が勘と経験を元に無効化しようとした場合に、囮の罠を解除することになります。そしてこの罠はそれをトリガーとして本命の、解除不能の発動装置を起爆させます。
熟練の盗賊であればこそかかりやすいこの罠は、裏社会では盗賊殺しの罠、と呼びます。
      ),
    },
    34 => {
      name: '悪魔の罠発動装置',
      price: 260_000, # 購入価格
      lock: [31, 32, 33], # こいつを買ってないと購入できない
      description: %w(
多くの場合、盗賊や斥候たちは落とし穴や転送罠を見つけ出したときは、慎重に罠を解除しようとします。
これは勘と経験がものを言います。また罠の構造自体はいくつかの法則性があり、当然無効化の手段もそれに対抗して法則性を持ちます。
しかしこの罠は、それらを知り尽くした上でその裏をかくように作られています。
複雑怪奇で変幻自在、一手でも間違えれば確実に被害を与える悪魔の罠。
しかも仮に解除できたとしても、大きく盗賊を消耗させるために次のトラップの集中を阻害します。
まさにこれは偏執的な情熱を燃やす男によって作られた、悪魔のごとき発動装置です。
      ),
    },
    41 => {
      name: '淫罠の強化術式',
      price: 23_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
      description: %w(
このダンジョン全体に設置されたエロトラップに対して、発動するための魔力を供給することで強化します。
魔力は魔導炉から発生し、洞窟の壁の中の擬似魔術回路を通じて供給されます。
魔術動力室の床どころか壁面全体に描かれた魔導炉の構成陣から魔力を取り出しています。
エロトラップの発動率と効果を上げてくれるでしょう。
      ),
    },
    42 => {
      name: '大型淫罠の強化術式',
      price: 68_000, # 購入価格
      lock: [41], # こいつを買ってないと購入できない
      description: %w(
このダンジョン全体に設置されたエロトラップに対して、発動するための魔力を供給することで強化します。
魔力は魔導炉から発生し、洞窟の壁の中の擬似魔術回路を通じて供給されます。
魔導炉全体を魔力素材に寄って補強しつつ、女聖職者の経血、処女の破瓜血、オークの精液、悪魔の血液を混ぜたインクで構成陣を描いています。
大型ゆえに出力も大きく、エロトラップの発動率と効果を大きく上げてくれるでしょう。
      ),
    },
    43 => {
      name: '魔動力式淫罠の強化術式',
      price: 108_000, # 購入価格
      lock: [41, 42], # こいつを買ってないと購入できない
      description: %w(
このダンジョン全体に設置されたエロトラップに対して、発動するための魔力を供給することで強化します。
魔力は魔導炉から発生し、洞窟の壁の中の擬似魔術回路を通じて供給されます。
動力源として、魔力によって召喚したあと半ば植物化した男淫魔を取り込んでいます。
この男淫魔に「燃料」として、凌辱によって廃人化した女を時折与えることで魔力を女と淫魔自身から搾り取っています。
燃料に困ることはありません。
このダンジョンに眠るという財宝の噂に引き寄せられて、あるいは正義感から、多くの女冒険者たちが引き寄せられてくるのですから。
      ),
    },
    44 => {
      name: '活型魔動力式淫罠の強化術式',
      price: 198_000, # 購入価格
      lock: [41, 44], # こいつを買ってないと購入できない
      description: %w(
このダンジョン全体に設置されたエロトラップに対して、発動するための魔力を供給することで強化します。
魔力は魔導炉から発生し、洞窟の壁の中の擬似魔術回路を通じて供給されます。
動力源として、肉塊のような合成生物の中に魔力によって召喚した男淫魔達を生きたまま取り込んでいます。
この男淫魔達に「燃料」として捕らえた女たちを定期的に与えることで膨大な魔力を女と淫魔自身から搾り取っています。
燃料に困ることはありません。
なにしろこのダンジョンには、何人もの冒険者たちが絶えず挑んでいるのですから。
      ),
    },
  }

  DUNGEON_MASTER_ROCKED_BOOKS_LIST = {
    4 => {
      name: '高度召喚の魔道書',
      price: 50_000,
      key: :summon_high_monster,
      lock: [],
      description: %w(
数百年前、古き大陸には緩やかな連合を保ちながらも対立していた「偉大なる帝国」の後継者を称する諸王国が複数並び立っていました。
北の山脈に現れた赤き魔王を名乗る存在は、二十年をかけてそれらの王国らを滅ぼしていきました。
そのときに古き大陸の北側の国家を襲ったのが魔物たちの軍勢です。
「赤き魔王」は誇り高い種族を穢し、作り変え、己に従わせる術に長けていました。
赤き魔王の魔物の軍勢は、数え切れぬほどの魔物たち、ゴブリン、コボルド、オークなどを兵として持っていました。
中でも赤き魔王が将軍、参謀、あるいは親衛隊とするために作り出したものが、強靭な体格を持つオークの知性と理性、魔術と体格を強化した「ウルク」です。
呪われし地より優れたオークを呼び出し、さらにウルクを造り出した呪法を模した魔術強化を同時に加える方法が、この魔道書に記されています。
ウルクは優れた知性を持つ人間やエルフの母胎を利用して子を作ることで、非常に高いレベルの知性を持ち、魔術への強い適性を持つと言われています。
この書を著した「輝ける賢者」は各種魔術に通じ、赤き魔王に対抗するために大陸の西方世界より現れた賢者の一人でした。
しかし人々を導くはずだった賢者も持てる力の強大さ故に堕落し、赤き魔王の尖兵として人々を苦しめる側に回ったと言います。
彼が遺した魔道書の多くは焼き払われました。記述のどこに赤き魔王を復活させるための術が残されているか分からないからです。
この書はそれらの焚書を逃れた一冊と言われています。
表紙の裏には「読み進めている時、もし誰かの視線を感じたならばこの書は焼け。あの魔王は復活させてはならない。２度の復活で十分だ」と殴り書きがされています。
[効果]
迷宮の最深層付近に、最強の魔物、ウルクを召喚する事が可能になります。
ウルクは、死線をいくたびも潜り抜けた熟練の冒険者から、あなたの迷宮を守るために役立つでしょう。
      ),
    },
    3 => {
      name: '転換の魔道書',
      price: 80_000,
      key: :magic_convert,
      lock: [],
      description: %w(
二百年前、魔道国家同士の戦争が起きました。
劣勢に置かれた国家において国家総動員体制がしかれ、その末に倫理や正義といったタガが上層部の者たちの心から外れていきました。
凄惨な戦争を勝利で終わらせる、逆転のために考案されたのがこの魔力転換の呪法です。
魔力を多く持つ、優れた人間たちを魔力転換炉に文字通り「くべる」ことでその魔力、精神力、生命力をすべて魔力に転換することができます。
この魔力転換炉に、敵の捕虜はおろか人倫の面から反対した騎士や魔術士、さらには自国民がくべられ、膨大なまでの魔力が取り出されました。
しかしやがて二国間の戦争では圧倒したものの、このおぞましい魔道呪法を恐れた周囲の国家から一斉に攻め込まれ首都とともに魔力転換炉は地上から灰も残さず消え去りました。
噂では、この転換炉を作った魔道士は密かに国を脱出し、人々から搾り取った魔力で今もどこかで老いぬまま生きているという話です。
この本はその魔道士が著した魔道書、ということにはなっていますが紙の経年劣化は、せいぜい五十年程度のものに見えます。
[効果]
奴隷宣言した冒険者を、この迷宮の根幹たる賢者の大宝珠に捧げることで大量の魔力を手に入れることができます。
精神をゆっくりと砕いていくことで魔力を得る従来の手法と異なり、生命力や鍛え上げられた肉体や魔力をみなぎらせた精神そのものを搾りカスも残さずに魔力に転換させるため大量の魔力が生成できます。
陵辱である程度ヒビが入っているとはいえ、並の人間では相手にもならない優れた冒険者の全てを奪い尽くすこの魔道書の内容は、まさに悪魔の発想と言えるでしょう。
      ),
    },
    1 => {
      name: '裏切りの魔道書',
      price: 140_000,
      key: :spy,
      lock: [],
      description: %w(
遥か東方にある砂漠の真ん中にあるオアシス都市の宮廷魔術師が書いたという書です。
魔術師は恋した姫を我が物にするため、王を洗脳し、王を諌める王妃の心を壊し、姫を強引に我が物としました。
王の正気を疑い、反対意見を述べた騎士たちは洗脳済みの王によってみな殺されました。
宮廷魔術師が黒幕と気づいた騎士たちは密かに兵を集め、武力で宮廷魔術師を誅し王を救おうとしましたが、陰謀がすぐに露見し逆に処刑されました。
兵たちの中に、宮廷魔術師に密かに洗脳され、傀儡とされていた兵士たちが陰謀を密告したからです。
反対する者たちは、仲間の中に潜む裏切り者たちによって密告や暗殺され、恐怖と不信が市民の中に渦巻いていきました。
大臣、官僚、商人たち。次々と洗脳しついには市民全員を洗脳した魔術師でしたが心を屈服させるために洗脳しなかった姫に復讐をとげられ横死しました。
死してなお洗脳は解けず、砂漠都市は自我を失い、命令を下す魔術師を失った者たちがいまでも亡霊のように廃墟の中を彷徨っていると言います。
[効果]
冒険者を洗脳し、手駒にするための魔術刻印の構成式が書いてある魔道書です。
洗脳刻印を刻まれた冒険者は、普段は今までと変わらぬように振舞いますが、戦闘で正気の冒険者と二人きりになると豹変します。
魔物に売り渡すためにありとあらゆる手を尽くします。なぜなら洗脳刻印を刻まれた冒険者は、女は男に犯され、肉の悦びを知ることこそがこの世で最も尊いことだと信じているからです。
      ),
    },
    2 => {
      name: '融合の魔道書',
      price: 200_000,
      key: :brainwash,
      lock: [],
      description: %w(
南の森の国の魔術師が書いた書です。
人間の魂を、使い魔のそれと融合させることで対象の人物を己の支配下に置く方法が書いてあります。
支配下に置かれた人間は、外見は今までとは変わらないにもかかわらず、内面の精神を原形を保ったまま改変させられているが故に、主人に対しての絶対の服従と価値観の破壊的な改変を強いられます。
特に魔道書には、淫魔との融合の術の事例についてかなりの文量を割いて書かれています。これほど具体的で詳細な記述は本人が人体実験を行っていた事実を示唆しています。
魔術師は、素行の悪さゆえに周囲から非難を浴びていましたが、数人の女領主に特に寵愛を受けたことで長い間己の思うがままに振舞いました。
女領主たちの多くは破滅の末路を辿りましたが、その度に魔術師は生き延び、潜伏しながら次の宿主を探しました。
しかし女領主が「融合」の魔術の対象下にあったという事実について、貴族社会では到底受け入れられない、との理由から詳細な調査は行われていません。
淫魔との融合に執着した理由として、魔術師自信が淫魔の血を引いていたとの説があります。
[効果]
女冒険者の魂に女淫魔の魂を強制的に融合させることで、洗脳し手駒とする魔術儀式の構成式が書いてある魔道書です。
冒険者の最も内側の本質的な存在である精神を、他の存在と強制的に癒着させられ作り変えられることで、女冒険者はあなたの絶対服従の下僕となるでしょう。
女冒険者を、己の手駒として思うがままに扱うことができます。
洗脳のいうカテゴリにある魔術のうちでも最も凶悪で悪質な魔術であるが故に、女冒険者を元に戻すことは不可能です。
また洗脳した冒険者との魔術契約を維持するために、一定の魔力が必要になります。
      ),
    },
    5 => {
      name: '安寧の魔道書',
      price: 300_000,
      key: :spring_half,
      lock: [],
      description: %w(
貧困と疫病が蔓延した渓谷の国において、苦しむ民に心を痛めた領主は高名なる魔道士を招き、力を貸してくれるよう懇願しました。
魔道士は１年の時間をかけ、民を救うための「焚き香料」を開発しました。
「焚き香料」に火をつけ燃やすことで、香料に含まれた破邪の成分が悪しきものを追いはらい、安寧をもたらす、それが魔道士の説明でした。
「焚き香料」は国じゅうで飛ぶように売れ、多くの国民が愛用しました。
気分が軽くなった、不幸を感じなくなった、皆がそう言います。
自身も疫病に冒され、死を間近に控えていた領主は、民が救われたと信じて安らかに冥府に旅立ちました。
……実際には「焚き香料」には破邪の効果などありませんでした。
単に多幸感をもたらす成分が含まれており、疫病も貧困も何一つ解決していません。むしろ依存性のある「焚き香料」によって民の暮らしは苦しくなりました。
領主がその事実を知らずに逝去したことは幸福と言ってよいでしょう。
[効果]
魔道書に書かれた製法にそって調合されたお香を焚くことで女たちの精神に安らぎをもたらします。
売春させている娼婦たちの精神摩耗が半減されます。
精神摩耗が半減されることで、精神が壊れづらくなり長く売春をさせることができます。
      ),
    },
    6 => {
      name: '忘却の魔道書',
      price: 800_000,
      key: :spring_none,
      lock: [5],
      description: %w(
北の魔道国家において、不死や錬金の魔道研究が進められていました。
しかしいずれも完成には至らぬことに業を煮やした宮廷魔導士たちは多くの対価を必要とする手法にのめりこんでいきます。
生贄や多額の費用を必要とするその研究には多くの非難が集まりました。
特に罪人だけでは生贄が足りず、貧民街から人攫いじみた方法で生贄を集めるようになったことで暴動が起きる寸前になりました。
宮廷魔導士長はある奸計に出ます。王宮と王都を守護する結界に己の魔道術式を接続し、王都全体を魔道術式の影響下におきました。
魔道術式の効果により、魔道に対して非難や嫌悪の感情が結びついた記憶は人々の中から消えて行きました。
特定の行為や感情と結びついた記憶を選択的に消去できるこの魔道術式によって、非道で残酷な魔道実験は長く続けられたと言います。
魔道実験の暴走により、一夜で国家が滅びる最後の日までは……
[効果]
魔道書に書かれた魔術式に沿って魔導陣を娼館に描くことで、特定の感情に関係する記憶のみを女の記憶から取り除くことができます。
売春させている娼婦たちの精神摩耗がなくなります。
精神摩耗がなくなることで、精神が壊れなくなり娼婦に休養をとらせる必要がなくなります。
      ),
    },
  }
end
