# coding: utf-8

module MonsterListV2
  MASTER_MONSTERS = {
    human: [1, 21, 22, 23],
    demi_human: [3, 42],
    daemon: [4],
    ork: [2, 41, 5, 6, 7],
    hypno: [11, 12, 13],
    dragon: [10, 14],
    undead: [31, 34, 32, 33],
    roper: [51, 52, 53, 54],
  }

  DEFAULT_MONSTERS = {
    human: [1, 21, 22, 23],
    demi_human: [3, 42],
    daemon: [4],
    ork: [2, 41],
    hypno: [11],
    dragon: [],
    undead: [31, 34, 32, 33],
    roper: [51, 52],
  }

  MONSTER_DEFINE_LIST = {
    1 => {
      name: 'ならず者',
      unit_name: '人',
      power: 1,
      cost: 1,
      type: :human,
      life_point: 1,
      is_dirty: true,
      description: %w(
洞窟に住み着いた雑魚たち
戦闘力は話にならないが、数で押されたりすることもまれにある。
とはいえ普通の冒険者であれば、何の問題にもならないだろう。
しかし、弱っている時に戦うのであれば嫌な相手だ。
      ),
      bad_sex_status: {
        oral_semen_holic: 3,
        v_semen_holic: 5,
        drug_sex_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 5,
      },
    },
    2 => {
      name: 'ゴブリン',
      unit_name: '体',
      type: :ork,
      power: 2,
      life_point: 1,
      cost: 1.8,
      is_beast: true,
      is_dirty: true,
      description: %w(
他の強い種族によって地上から追い払われたゴブリンたちが洞窟に住み着いたもの。
性格は獰猛で好戦的。知性こそ低いが、集団戦やトラップを使いこなす。
強い者とは戦わないが、勝ち目があると見ると集団で襲いかかってくる。
その繁殖力は強く数で押す傾向がある。
また、捕らえた女を使って数を増やすこともあるという。
      ),
      bad_sex_status: {
        semen_holic: 10,
        oral_semen_holic: 3,
        v_semen_holic: 5,
        drug_sex_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 3,
      },
    },
    3 => {
      name: 'コボルト',
      unit_name: '体',
      type: :demi_human,
      power: 2,
      life_point: 2,
      cost: 3.2,
      is_beast: true,
      is_dirty: true,
      description: %w(
犬のような顔をした獣人の一種。
亜人を迫害する人間たちの勢力拡大によって地上を追われた彼らが流れ着いたのがこのダンジョンだった。
簡単な武器と粗末な装備、低い知性しか持たないが、その嗅覚と敏捷さは冒険者にとっては厄介に感じるだろう。
      ),
      bad_sex_status: {
        semen_holic: 10,
        oral_semen_holic: 3,
        v_semen_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 15,
      },
    },
    4 => {
      name: '有翼デーモン', # アンチ戦士
      unit_name: '体',
      power: 6,
      life_point: 2,
      cost: 9,
      type: :daemon,
      description: %w(
悪魔の名を冠された翼のついた醜いトカゲのような外見をした獣。
群れで行動する習性がある。
相手の剣の届かない場所から一撃離脱で襲いかかる
      ),
    },
    5 => {
      name: 'オーク', # 戦士特攻
      unit_name: '体',
      power: 5,
      life_point: 2,
      cost: 8,
      type: :ork,
      is_beast: true,
      is_dirty: true,
      description: %w(
ゴブリンに見た目は似ているが、全体的に大型化し、力も強い。
硬い外皮は生半可な剣戟を簡単に弾くだろう。
丸太のような腕を振り回す攻撃は強力で、防御していてもダメージは大きいだろう。
しっかりとした盾や鎧によって受け止めつつ確実にダメージを与えられなければ厄介な相手になる。
      ),
      bad_sex_status: {
        semen_holic: 16,
        oral_semen_holic: 7,
        v_semen_holic: 8,
        dirty_sex_holic: 5,
        gang_rape_holic: 5,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 5,
      },
    },
    6 => {
      name: 'ブラックオーク', # 戦士特攻
      unit_name: '体',
      power: 5,
      life_point: 4,
      cost: 13,
      type: :ork,
      is_beast: true,
      is_dirty: true,
      description: %w(
ゴブリンを大型化したオークたちよりさらに北に住まうという亜種の種族。
黒ずんだ外皮は硬く、体格も大柄である。
もしゴブリンと同じつもりで挑めば、簡単に返り討ちにあうだろう。
しっかりとした盾や鎧によって受け止めつつしっかりとダメージを与えられなければ厄介な相手になる。
      ),
      bad_sex_status: {
        semen_holic: 16,
        oral_semen_holic: 7,
        v_semen_holic: 8,
        dirty_sex_holic: 5,
        gang_rape_holic: 5,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 5,
      },
    },
    7 => {
      name: 'トロル', # 戦士特攻
      unit_name: '体',
      power: 111,
      life_point: 5,
      cost: 20,
      type: :ork,
      is_beast: true,
      is_dirty: true,
      description: %w(
オークがさらに大型化、凶暴化したもの。
知性は低く、棍棒や石斧という原始的な武器で武装している。
しかし頑健な肉体から繰り出される攻撃は圧倒的で、多くの冒険者たちの人生を断ち切ってきた。
ダメージを与えることも容易ではなく、決して油断できる相手ではないだろう。
      ),
      bad_sex_status: {
        semen_holic: 16,
        oral_semen_holic: 7,
        v_semen_holic: 8,
        dirty_sex_holic: 5,
        gang_rape_holic: 5,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 5,
      },
    },
    10 => {
      name: '赤竜', # 戦士特攻
      unit_name: '体',
      power: 8,
      life_point: 6,
      cost: 18,
      type: :dragon,
      is_beast: true,
      description: %w(
炎を操る炎竜の小型版とも言えるタイプ。
先住のならずものたちを圧倒的な力で殺戮し、洞窟の奥に棲みついてしまった。
頑丈な鱗による防御は生半可な魔法や剣による攻撃をものともしない。
小型な分、炎のブレスの効果は弱く強度の高い盾や鎧があれば防ぐことができる。
      ),
      bad_sex_status: {
        semen_holic: 3,
        oral_semen_holic: 1,
        v_semen_holic: 1,
        masochism_ecstasy_holic: 3,
        beast_sex_holic: 5,
      },
    },
    11 => {
      name: 'フェアリー', # 催眠効果付与
      unit_name: '体',
      power: 2,
      life_point: 2,
      cost: 3.2,
      type: :hypno,
      description: %w(
人の体の半分ほどの大きさの妖精。
妖精は善なる者であれば無害だが、悪に染まれば有害で悪辣な者となる。
このダンジョンに溜まった瘴気によって完全に悪に染まりきった妖精は特に女にとって有害だ。
このダンジョン全体に漂う男たちの肉の飢えに影響されたかのように妖精たちは下半身に不釣り合いな男根を備えており見た目も醜悪なものになっている
幻覚をもたらす鱗粉とすばしっこい動きで冒険者を翻弄する。
      ),
      bad_sex_status: {
        semen_holic: 3,
        oral_semen_holic: 1,
        v_semen_holic: 1,
        masochism_ecstasy_holic: 3,
        hypno_sex_holic: 8,
      },
    },
    12 => {
      name: 'セイレーン', # 催眠効果付与
      unit_name: '体',
      power: 3,
      life_point: 3,
      cost: 6.6,
      type: :hypno,
      description: %w(
フロアに流れ込んだ地下水が溜まりできた地底湖やその水脈上に生息する水の妖怪。
大好物は男の肉で、催眠術によって惑わし水の中に引きずり込んでは食料にしてしまう。
ただし女には興味がないらしく戦闘になるだけである。
直接的な戦闘力は弱いが、その歌声には不思議な催眠の効果がある。
      ),
      skills: %w(indifferent),
    },
    13 => {
      name: 'ハイ・セイレーン', # 催眠効果付与
      unit_name: '体',
      power: 4,
      life_point: 4,
      cost: 10,
      type: :hypno,
      description: %w(
フロアに流れ込んだ地下水が溜まりできた地底湖やその水脈上に生息する水の妖怪セイレーンの上級種。
大好物は男の肉で、催眠術によって惑わし水の中に引きずり込んでは食料にしてしまう。
ただし女には興味がないらしく戦闘になるだけである。
直接的な戦闘力は弱いが、その歌声には不思議な催眠の効果がある。
      ),
      skills: %w(indifferent),
    },
    14 => {
      name: '緑竜', # 戦士特攻
      unit_name: '体',
      power: 8,
      life_point: 8,
      cost: 20,
      type: :dragon,
      is_beast: true,
      description: %w(
炎を操る炎竜の小型版とも言えるタイプ。
先住のならずものたちを圧倒的な力で殺戮し、洞窟の奥に棲みついてしまった。
頑丈な鱗による防御は生半可な魔法や剣による攻撃をものともしない。
赤竜に似ているが、青緑色の鱗は銅で出来ており、下手な剣戟を放てば逆に剣の方が折れてしまう。
小型な分、炎のブレスの効果は弱く強度の高い盾や鎧があれば防ぐことができる。
      ),
      bad_sex_status: {
        semen_holic: 3,
        oral_semen_holic: 1,
        v_semen_holic: 1,
        masochism_ecstasy_holic: 3,
        beast_sex_holic: 15,
      },
    },
    21 => {
      name: '牙の団のならず者',
      unit_name: '人',
      power: 4,
      life_point: 2,
      cost: 5.5,
      type: :human,
      is_dirty: true,
      description: %w(
洞窟に住み着いた盗賊団たち
組織化され、ある程度の人数をまとめ部隊として運用している。
原始的とはいえ戦術めいたものを使うため、単なるならず者とは侮れない。
少数ではあるが魔術師や熟練の戦士を抱えているため厄介な相手と言えるかもしれない。
      ),
      bad_sex_status: {
        semen_holic: 7,
        oral_semen_holic: 4,
        v_semen_holic: 5,
        drug_sex_holic: 7,
        dirty_sex_holic: 7,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 8,
      },
    },
    22 => {
      name: '傭兵団のならず者',
      unit_name: '人',
      power: 5,
      life_point: 4,
      cost: 12,
      type: :human,
      is_dirty: true,
      description: %w(
かつて西の国であったという戦争で数多く雇い入れられた傭兵たちがこのダンジョンに流れ着いたもの。
まともな人間であれば顔も背けるような非道な行いと悪辣な謀略、容赦のない略奪で悪名を馳せてきた。
団長を筆頭に、指揮官や隊長を中心に兵たちは恐怖とまとめられている。
数の力を頼みに圧し潰す厄介な戦術と、弓による支援や魔術師や熟練戦士を中核とした老練な戦い方で多くの冒険者たちを食い物にしてきた人の皮を被った悪魔のような男たちだ。
ただの人間が、これほど深い階層にいるという時点でその実力は知ることができるだろう。
      ),
      bad_sex_status: {
        semen_holic: 7,
        oral_semen_holic: 4,
        v_semen_holic: 5,
        drug_sex_holic: 7,
        dirty_sex_holic: 7,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 8,
      },
    },
    23 => {
      name: '黒犬兵団のならず者',
      unit_name: '人',
      power: 8,
      life_point: 6,
      cost: 18,
      type: :human,
      is_dirty: true,
      description: %w(
長く続いた陰惨な戦争は、美しかった中央にある草原の国を荒廃した国へと変えてしまった。
しかしそれでも終わることのない戦争は多くの血と若者を求め続けた。
国王は国内の治安対策と兵士不足を解決するため、国内の犯罪者や職のない男たちを戦場に送り込むことを思いついた。
戦争にも終わりが見え始める頃には、黒犬兵団と名付けられた荒くれ者どもは略奪と虐殺、死と破壊と陵辱を撒き散らす悪魔のような存在と成り果てていた。
国内に残った正規軍によって居場所を追われた彼らがたどり着いた場所がこのダンジョンだった。
彼らは戦場経験と、捕虜にしたものを奴隷兵として使い捨てにするその戦術によってこのダンジョンに君臨する。
荒くれ者とはいえ戦闘技術が低いわけではない。なにしろ地獄のような戦場で生き残ってきたのだから。
強制的に徴募したならず者や返り討ちにした王国騎士たちを奴隷兵として使い、戦力を増やした彼らは、いまだにダンジョンの深層に君臨している。
      ),
      bad_sex_status: {
        semen_holic: 10,
        oral_semen_holic: 6,
        v_semen_holic: 8,
        drug_sex_holic: 9,
        dirty_sex_holic: 9,
        gang_rape_holic: 10,
        masochism_ecstasy_holic: 8,
      },
    },
    31 => {
      name: 'アンデッド', # 開幕魔法が使えないと死ぬ系
      unit_name: '人',
      power: 2,
      life_point: 1,
      cost: 1.5,
      type: :undead,
      description: %w(
ダンジョンの入り口部にある地下墓地に埋められた者の中でも朽ち切ってはいなかった者が、再び立ち上がり歩く死者としてダンジョンを彷徨う例はあった。
そしてダンジョンの中を彷徨う死体の数は増え続けている。
このダンジョンに巣食う様々な者たちによって、冒険者や流れ込んだ犯罪者、ごろつきといった輩の死体は増え続けているからだ。
大した力はないが、致命傷を与えねば力尽きない上に圧倒的な数を持つため、とても厄介な相手となるかもしれない。
      ),
      skills: %w(undead indifferent),
    },
    32 => {
      name: '白竜の騎士',
      unit_name: '人',
      power: 5,
      life_point: 5,
      cost: 13,
      type: :undead,
      description: %w(
北の山脈を越えた大国においてある有名な騎士団長がいた。
若く有能で、精錬高潔な人柄と才気や度量をもって多くの人から慕われていた。
それゆえに大臣に妬まれ、冤罪と汚名を着せられ追放された。
あてのない旅の末にこのダンジョンにたどり着いた騎士団長と彼を慕う部下の騎士たちは、この地で王国の王よりダンジョンの鎮定を依頼された。汚名返上の絶好の機会、そして苦しむ民のために彼らはダンジョンに挑む。
それから騎士団長と騎士たちが、このダンジョンの罠にかかり全ての命を吸い尽くされるまで数日とかからなかった。
今でもダンジョンには無念と怨念に取り憑かれた騎士たちの鎧が、生前の剣技を持ったまま死霊騎士としてさまよっている。
      ),
      skills: %w(undead indifferent),
    },
    33 => {
      name: '銀翼騎士団',
      unit_name: '人',
      power: 7,
      life_point: 8,
      cost: 20,
      type: :undead,
      description: %w(
東の果てにある都市国家、オルモッツには幾度となく信仰を繰り返すタタリア人と激戦を繰り返し、数倍の敵を常に撃破してきた騎士団がいた。
その騎士団、銀翼騎士団がこのダンジョンに臨んだのは２年前のこと。
騎士団長がいまだ得体の知れぬこのダンジョンに挑んだ動機は、さらなる爵位を望んだからとも王女との婚姻を認めさせるためとも言われている。
当初はあっさりカタが着くと思われていた。
だが一月経てども二月経てども音沙汰はない。
街の者たちが彼らの全滅を知ったのは、彼らの鎧をまとい不死者と化した彼らの成れの果てを見たためだった。
背中に鉄製の翼をつけた鎧をまとう彼らは、ダンジョンの中でも鉄壁となり、このダンジョン困難の象徴となっている。
皮肉にもそれは、生前の彼らを見た蛮族たちが抱いた思いと同じであった。
      ),
      skills: %w(undead indifferent),
    },
    34 => {
      name: 'ハイ・アンデッド', # 開幕魔法が使えないと死ぬ系
      unit_name: '人',
      power: 2,
      life_point: 2,
      cost: 1.8,
      type: :undead,
      description: %w(
ダンジョンの入り口部にある地下墓地に埋められた者の中でも朽ち切ってはいなかった者が、再び立ち上がり歩く死者としてダンジョンを彷徨う例はあった。
そしてダンジョンの中を彷徨う死体の数は増え続けている。
このダンジョンに巣食う様々な者たちによって、冒険者や流れ込んだ犯罪者、ごろつきといった輩の死体は増え続けているからだ。
大した力はないが、致命傷を与えねば力尽きない上に圧倒的な数を持つため、とても厄介な相手となるかもしれない。
このモンスターはアンデッドの中でも上位種で、爪や牙に毒を持っている。
      ),
      skills: %w(undead indifferent),
      bad_status: {
        paralysis: 3,
        fever: 3,
      },
    },
    41 => {
      name: 'ホブ・ゴブリン',
      unit_name: '体',
      type: :ork,
      power: 4,
      life_point: 2,
      cost: 5.5,
      is_beast: true,
      is_dirty: true,
      description: %w(
ゴブリンより大型の上位種。
奴隷階級としてのゴブリンたちを従え、より多くの栄養を得たことで大型化したその姿はゴブリンといえど侮れない。
性格は獰猛で好戦的。知性こそ低いが、集団戦やトラップを使いこなす。
強い者とは戦わないが、勝ち目があると見ると集団で襲いかかってくる。
その繁殖力は強く数で押す傾向がある。
また、捕らえた女を使って数を増やすこともあるという。
      ),
      bad_status: {
        aphrodisiac_fever: 5,
      },
      bad_sex_status: {
        semen_holic: 10,
        oral_semen_holic: 3,
        v_semen_holic: 5,
        drug_sex_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 3,
      },
    },
    42 => {
      name: 'ハイ・コボルト',
      unit_name: '体',
      type: :demi_human,
      power: 4,
      life_point: 4,
      cost: 6.8,
      is_beast: true,
      is_dirty: true,
      description: %w(
犬のような顔をした獣人の一種。コボルトの上位種。
硬い毛皮と針金のような毛、筋肉で全身を鎧ったその姿は小型の熊のようだ。
簡単な武器と粗末な装備、低い知性しか持たないが、その嗅覚と敏捷さ、何より肉体能力は冒険者にとっては厄介に感じるだろう。
      ),
      bad_status: {
        aphrodisiac_fever: 7,
      },
      bad_sex_status: {
        semen_holic: 10,
        oral_semen_holic: 3,
        v_semen_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 15,
      },
    },
    51 => {
      name: 'ローパー',
      unit_name: '体',
      type: :roper,
      power: 2,
      life_point: 4,
      cost: 5.0,
      is_tentacle: true,
      description: %w(
ロープのような触手を備えた、直立するイソギンチャクのようなモンスター
実力は大したことはないが、その触手には毒が含まれるため注意が必要だ
      ),
      bad_status: {
        aphrodisiac_fever: 7,
      },
      bad_sex_status: {
        tentacle_sex_holic: 15,
      },
    },
    52 => {
      name: 'ブルー・ローパー',
      unit_name: '体',
      type: :roper,
      power: 3,
      life_point: 4,
      cost: 5.9,
      is_tentacle: true,
      description: %w(
ロープのような触手を備えた、直立するイソギンチャクのようなモンスター
毒々しい青色をしており、その見た目同様に毒を備えている。
実力は大したことはないが、その触手には毒が含まれるため注意が必要だ
      ),
      bad_status: {
        aphrodisiac_fever: 7,
        paralysis: 3,
      },
      bad_sex_status: {
        tentacle_sex_holic: 15,
      },
    },
    53 => {
      name: 'レッド・ローパー',
      unit_name: '体',
      type: :roper,
      power: 5,
      life_point: 4,
      cost: 14,
      is_tentacle: true,
      description: %w(
ロープのような触手を備えた、直立するイソギンチャクのようなモンスター
毒々しい赤色をしており、その見た目が示す通り危険な毒を備えている。
実力は大したことはないが、その触手には毒が含まれるため注意が必要だ
      ),
      bad_status: {
        aphrodisiac_fever: 9,
        paralysis: 5,
        fever: 3,
      },
      bad_sex_status: {
        tentacle_sex_holic: 15,
      },
    },
    54 => {
      name: 'ピンク・ローパー',
      unit_name: '体',
      type: :roper,
      power: 5,
      life_point: 4,
      cost: 14,
      is_tentacle: true,
      description: %w(
ロープのような触手を備えた、直立するイソギンチャクのようなモンスター
半透明の体の中には多種多様な毒を持つ。見た目が示す通り非常に危険な毒を備えている。
実力は大したことはないが、その触手には毒が含まれるため注意が必要だ
      ),
      bad_status: {
        aphrodisiac_fever: 11,
        paralysis: 8,
        fever: 6,
      },
      bad_sex_status: {
        tentacle_sex_holic: 15,
      },
    },
  }

  FLOOR_ENEMIES_LIST = {
    1 => {
      enemy_id: 1,
    },
    2 => {
      enemy_id: 1,
    },
    3 => {
      enemy_id: 1,
    },
    4 => {
      enemy_id: 1,
    },
    5 => {
      enemy_id: 2,
    },
    6 => {
      enemy_id: 2,
    },
    7 => {
      enemy_id: 2,
    },
    8 => {
      enemy_id: 2,
    },
    9 => {
      enemy_id: 3,
    },
    10 => {
      enemy_id: 3,
    },
    11 => {
      enemy_id: 3,
    },
    12 => {
      enemy_id: 42,
    },
    13 => {
      enemy_id: 51,
    },
    14 => {
      enemy_id: 4,
    },
    15 => {
      enemy_id: 21,
    },
    16 => {
      enemy_id: 51,
    },
    17 => {
      enemy_id: 2,
    },
    18 => {
      enemy_id: 41,
    },
    19 => {
      enemy_id: 21,
    },
    20 => {
      enemy_id: 4,
    },
    21 => {
      enemy_id: 42,
    },
    22 => {
      enemy_id: 51,
    },
    23 => {
      enemy_id: 21,
    },
    24 => {
      enemy_id: 5,
    },
    25 => {
      enemy_id: 21,
    },
    26 => {
      enemy_id: 41,
    },
    27 => {
      enemy_id: 31,
    },
    28 => {
      enemy_id: 34,
    },
    29 => {
      enemy_id: 6,
    },
    30 => {
      enemy_id: 41,
    },
    31 => {
      enemy_id: 22,
    },
    32 => {
      enemy_id: 5,
    },
    33 => {
      enemy_id: 11,
    },
    34 => {
      enemy_id: 22,
    },
    35 => {
      enemy_id: 52,
    },
    36 => {
      enemy_id: 7,
    },
    37 => {
      enemy_id: 34,
    },
    38 => {
      enemy_id: 52,
    },
    39 => {
      enemy_id: 12,
    },
    40 => {
      enemy_id: 32,
    },
    41 => {
      enemy_id: 53,
    },
    41 => {
      enemy_id: 10,
    },
    42 => {
      enemy_id: 31,
    },
    43 => {
      enemy_id: 53,
    },
    44 => {
      enemy_id: 34,
    },
    45 => {
      enemy_id: 10,
    },
    46 => {
      enemy_id: 13,
    },
    47 => {
      enemy_id: 14,
    },
    48 => {
      enemy_id: 53,
    },
    49 => {
      enemy_id: 13,
    },
    50 => {
      enemy_id: 22,
    },
    51 => {
      enemy_id: 54,
    },
    52 => {
      enemy_id: 34,
    },
    53 => {
      enemy_id: 14,
    },
    54 => {
      enemy_id: 23,
    },
    55 => {
      enemy_id: 54,
    },
    56 => {
      enemy_id: 7,
    },
    57 => {
      enemy_id: 32,
    },
    58 => {
      enemy_id: 14,
    },
    59 => {
      enemy_id: 23,
    },
    60 => {
      enemy_id: 32,
    },
    61 => {
      enemy_id: 23,
    },
    62 => {
      enemy_id: 32,
    },
    63 => {
      enemy_id: 23,
    },
    64 => {
      enemy_id: 33,
    },
    65 => {
      enemy_id: 23,
    },
    66 => {
      enemy_id: 23,
    },
    67 => {
      enemy_id: 33,
    },
    68 => {
      enemy_id: 23,
    },
    69 => {
      enemy_id: 33,
    },
  }

  DUNGEON_MASTER_SUMMONS_LIST = {
    # ブラックオーク
    6 => {
      name: 'ブラックオーク',
      floor: '（中層に配置）',
      price: 40_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
    },
    # トロル
    7 => {
      name: 'トロル',
      floor: '（深層に配置）',
      price: 50_000,
      lock: [6], # こいつを買ってないと購入できない
    },
    # 赤竜
    10 => {
      name: '赤竜',
      floor: '（中層に配置）',
      price: 52_000,
      lock: [], # こいつを買ってないと購入できない
    },
    # 緑竜
    14 => {
      name: '緑竜',
      floor: '（深層に配置）',
      price: 106_000,
      lock: [10], # こいつを買ってないと購入できない
    },
    # セイレーン
    12 => {
      name: 'セイレーン',
      floor: '（中層に配置）',
      price: 8_000,
      lock: [], # こいつを買ってないと購入できない
    },
    # レッドローパー
    53 => {
      name: 'レッド・ローパー',
      floor: '（中層に配置）',
      price: 20_000,
      lock: [], # こいつを買ってないと購入できない
    },
    # セイレーン
    54 => {
      name: 'ピンク・ローパー',
      floor: '（深層に配置）',
      price: 30_000,
      lock: [53], # こいつを買ってないと購入できない
    },
  }
end
