# coding: utf-8

module MonsterListV3
  MASTER_MONSTERS = {
    human: [1, 2, 3, 4],
    ork: [11, 12, 13, 14, 15, 16, 17, 18],
    demi_human: [21, 22, 23, 24],
    hypno: [31, 32, 33],
    dragon: [41, 42, 43, 44, 45],
    undead: [51, 52, 53, 54],
    roper: [61, 62, 63, 64],
    daemon: [71, 72, 73, 74],
  }

  DEFAULT_MONSTERS = {
    human: [1, 2, 3, 4],
    ork: [11],
    demi_human: [21],
    hypno: [31],
    dragon: [41],
    undead: [51, 52, 53],
    roper: [61, 62],
    daemon: [71, 72],
  }

  MONSTER_DEFINE_LIST = {
    1 => {
      name: 'ならず者',
      unit_name: '人',
      power: 1,
      cost: 1,
      type: :human,
      life_point: 1,
      is_dirty: true,
      description: %w(
洞窟に住み着いた雑魚たち
戦闘力は話にならないが、数で押されたりすることもまれにある。
とはいえ普通の冒険者であれば、何の問題にもならないだろう。
しかし、弱っている時に戦うのであれば嫌な相手だ。
      ),
      bad_sex_status: {
        oral_semen_holic: 3,
        v_semen_holic: 5,
        drug_sex_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 5,
      },
    },
    2 => {
      name: '牙の団のならず者',
      unit_name: '人',
      power: 4,
      life_point: 2,
      cost: 5.5,
      type: :human,
      is_dirty: true,
      description: %w(
洞窟に住み着いた盗賊団たち
組織化され、ある程度の人数をまとめ部隊として運用している。
原始的とはいえ戦術めいたものを使うため、単なるならず者とは侮れない。
少数ではあるが魔術師や熟練の戦士を抱えているため厄介な相手と言えるかもしれない。
      ),
      bad_sex_status: {
        semen_holic: 7,
        oral_semen_holic: 4,
        v_semen_holic: 5,
        drug_sex_holic: 7,
        dirty_sex_holic: 7,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 8,
      },
    },
    3 => {
      name: '傭兵団のならず者',
      unit_name: '人',
      power: 5,
      life_point: 4,
      cost: 12,
      type: :human,
      is_dirty: true,
      description: %w(
かつて西の国であったという戦争で数多く雇い入れられた傭兵たちがこのダンジョンに流れ着いたもの。
まともな人間であれば顔も背けるような非道な行いと悪辣な謀略、容赦のない略奪で悪名を馳せてきた。
団長を筆頭に、指揮官や隊長を中心に兵たちは恐怖とまとめられている。
数の力を頼みに圧し潰す厄介な戦術と、弓による支援や魔術師や熟練戦士を中核とした老練な戦い方で多くの冒険者たちを食い物にしてきた人の皮を被った悪魔のような男たちだ。
ただの人間が、これほど深い階層にいるという時点でその実力は知ることができるだろう。
      ),
      bad_status: {
        aphrodisiac_fever: 5,
      },
      bad_sex_status: {
        semen_holic: 7,
        oral_semen_holic: 4,
        v_semen_holic: 5,
        drug_sex_holic: 7,
        dirty_sex_holic: 7,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 8,
      },
    },
    4 => {
      name: '黒犬兵団のならず者',
      unit_name: '人',
      power: 8,
      life_point: 6,
      cost: 18,
      type: :human,
      is_dirty: true,
      description: %w(
長く続いた陰惨な戦争は、美しかった中央にある草原の国を荒廃した国へと変えてしまった。
しかしそれでも終わることのない戦争は多くの血と若者を求め続けた。
国王は国内の治安対策と兵士不足を解決するため、国内の犯罪者や職のない男たちを戦場に送り込むことを思いついた。
戦争にも終わりが見え始める頃には、黒犬兵団と名付けられた荒くれ者どもは略奪と虐殺、死と破壊と陵辱を撒き散らす悪魔のような存在と成り果てていた。
国内に残った正規軍によって居場所を追われた彼らがたどり着いた場所がこのダンジョンだった。
彼らは戦場経験と、捕虜にしたものを奴隷兵として使い捨てにするその戦術によってこのダンジョンに君臨する。
荒くれ者とはいえ戦闘技術が低いわけではない。なにしろ地獄のような戦場で生き残ってきたのだから。
強制的に徴募したならず者や返り討ちにした王国騎士たちを奴隷兵として使い、戦力を増やした彼らは、いまだにダンジョンの深層に君臨している。
      ),
      bad_status: {
        aphrodisiac_fever: 5,
      },
      bad_sex_status: {
        semen_holic: 10,
        oral_semen_holic: 6,
        v_semen_holic: 8,
        drug_sex_holic: 9,
        dirty_sex_holic: 9,
        gang_rape_holic: 10,
        masochism_ecstasy_holic: 8,
      },
    },
    11 => {
      name: 'ゴブリン',
      unit_name: '体',
      type: :ork,
      power: 2,
      life_point: 1,
      is_beast: true,
      is_dirty: true,
      description: %w(
他の強い種族によって地上から追い払われたゴブリンたちが洞窟に住み着いたもの。
性格は獰猛で好戦的。知性こそ低いが、集団戦やトラップを使いこなす。
強い者とは戦わないが、勝ち目があると見ると集団で襲いかかってくる。
その繁殖力は強く数で押す傾向がある。
また、捕らえた女を使って数を増やすこともあるという。
      ),
      bad_sex_status: {
        semen_holic: 10,
        oral_semen_holic: 3,
        v_semen_holic: 5,
        drug_sex_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 3,
      },
    },
    12 => {
      name: 'ホブ・ゴブリン',
      unit_name: '体',
      type: :ork,
      power: 3,
      life_point: 2,
      is_beast: true,
      is_dirty: true,
      description: %w(
ゴブリンより大型の上位種。
奴隷階級としてのゴブリンたちを従え、より多くの栄養を得たことで大型化したその姿はゴブリンといえど侮れない。
性格は獰猛で好戦的。知性こそ低いが、集団戦やトラップを使いこなす。
武器には痺れ毒が塗られている時もあるので油断はできない。
強い者とは戦わないが、勝ち目があると見ると集団で襲いかかってくる。
その繁殖力は強く数で押す傾向がある。
また、捕らえた女を使って数を増やすこともあるという。
      ),
      bad_status_in_battle: {
        paralysis: 1,
        fever: 1,
      },
      bad_status: {
        aphrodisiac_fever: 5,
      },
      bad_sex_status: {
        semen_holic: 10,
        oral_semen_holic: 3,
        v_semen_holic: 5,
        drug_sex_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 3,
      },
    },
    13 => {
      name: 'ブラック・ゴブリン',
      unit_name: '体',
      type: :ork,
      power: 5,
      life_point: 3,
      is_beast: true,
      is_dirty: true,
      description: %w(
浅黒い肌を持つ、ゴブリンより大型の上位種。
奴隷階級としてのゴブリンたちを従え、より多くの栄養を得たことで大型化したその姿はゴブリンといえど侮れない。
階級化された社会と、魔術を操る少数のゴブリンメイジや戦術を操るその姿はもはや愚劣なゴブリンと同種とは言えない。
強い者とは戦わないが、勝ち目があると見ると集団で襲いかかってくる。
武器には痺れ毒が塗られている時もあるので油断はできない。
その繁殖力は強く数で押す傾向がある。
また、捕らえた女を使って数を増やすこともあるという。
      ),
      bad_status_in_battle: {
        paralysis: 2,
        fever: 2,
      },
      bad_status: {
        aphrodisiac_fever: 5,
      },
      bad_sex_status: {
        semen_holic: 10,
        oral_semen_holic: 3,
        v_semen_holic: 5,
        drug_sex_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 3,
      },
    },
    14 => {
      name: 'オーク', # 戦士特攻
      unit_name: '体',
      power: 6,
      life_point: 5,
      type: :ork,
      is_beast: true,
      is_dirty: true,
      description: %w(
ゴブリンに見た目は似ているが、全体的に大型化し、力も強い。
硬い外皮は生半可な剣戟を簡単に弾くだろう。
丸太のような腕を振り回す攻撃は強力で、防御していてもダメージは大きいだろう。
しっかりとした盾や鎧によって受け止めつつ確実にダメージを与えられなければ厄介な相手になる。
狡猾な性格で、罠を使いこなす。また武器には痺れ毒が塗られていることもある。
      ),
      bad_status_in_battle: {
        paralysis: 3,
        fever: 3,
      },
      bad_sex_status: {
        semen_holic: 16,
        oral_semen_holic: 7,
        v_semen_holic: 8,
        dirty_sex_holic: 5,
        gang_rape_holic: 5,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 5,
      },
    },
    15 => {
      name: 'ブラックオーク', # 戦士特攻
      unit_name: '体',
      power: 8,
      life_point: 6,
      type: :ork,
      is_beast: true,
      is_dirty: true,
      description: %w(
ゴブリンを大型化したオークたちよりさらに北に住まうという亜種の種族。
黒ずんだ外皮は硬く、体格も大柄である。
もしゴブリンと同じつもりで挑めば、簡単に返り討ちにあうだろう。
しっかりとした盾や鎧によって受け止めつつしっかりとダメージを与えられなければ厄介な相手になる。
      ),
      bad_status_in_battle: {
        paralysis: 4,
        fever: 4,
      },
      bad_sex_status: {
        semen_holic: 16,
        oral_semen_holic: 7,
        v_semen_holic: 8,
        dirty_sex_holic: 5,
        gang_rape_holic: 5,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 5,
      },
    },
    16 => {
      name: 'ハイオーク', # 戦士特攻
      unit_name: '体',
      power: 9,
      life_point: 8,
      type: :ork,
      is_beast: true,
      is_dirty: true,
      description: %w(
かつて北の大地にあった牙の門というところに住んでいた黒の魔術師が手勢としてオークを改良した種族。
発達した知能を持つ。兜や盾、剣で武装するほどの加工技術を持つ。
北の大地では奴隷化したドワーフを鉱山で酷使し、さらってきた人間やエルフの女たちを孕ませるための肉袋として使い潰しながら猛威を振るった。
いくたびも討伐団を返り討ちにした彼らの一部が、召喚魔法陣によってこの地に招かれた。
高位の冒険者であっても、彼らは油断できる相手ではない。
      ),
      bad_status_in_battle: {
        paralysis: 4,
        fever: 4,
      },
      bad_sex_status: {
        semen_holic: 16,
        oral_semen_holic: 7,
        v_semen_holic: 8,
        dirty_sex_holic: 5,
        gang_rape_holic: 5,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 5,
      },
    },
    17 => {
      name: 'トロル', # 戦士特攻
      unit_name: '体',
      power: 10,
      life_point: 9,
      type: :ork,
      is_beast: true,
      is_dirty: true,
      description: %w(
オークがさらに大型化、凶暴化したもの。
知性は下位種にくらべて発達している。棍棒や鉄斧、大型の鉄塊じみた剣などの武器で武装している。
武器や防具は略奪された冒険者が装備していた質の高いものだが、手入れはされていない。
しかし頑健な肉体から繰り出される攻撃は圧倒的で、多くの冒険者たちの人生を断ち切ってきた。
ダメージを与えることも容易ではなく、決して油断できる相手ではないだろう。
      ),
      bad_status_in_battle: {
        paralysis: 4,
        fever: 4,
      },
      bad_sex_status: {
        semen_holic: 16,
        oral_semen_holic: 7,
        v_semen_holic: 8,
        dirty_sex_holic: 5,
        gang_rape_holic: 5,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 5,
      },
    },
    18 => {
      name: 'オーガ', # 戦士特攻
      unit_name: '体',
      power: 12,
      life_point: 10,
      type: :ork,
      is_beast: true,
      is_dirty: true,
      description: %w(
オークの上位種たるトロルのさらに上位種にあたる。
歩けば地面を揺らす大型の体はもはや伝承における「鬼」に近い。
多くの場合兜で覆われた発達した頭部は彼らに戦術や体術を考えさせる知性を与えた。
それでなくとも強靭で頑健な肉体から繰り出される膂力は圧倒的で、抵抗する人々を容赦なく叩き潰す。
彼らが現れれば、すぐにいくつもの人間やエルフの集落は滅ぼされた。
奴隷に堕とした女たちを孕ませながら緑色の肌をもつこの悪魔たちは数を増やしてきた。
      ),
      bad_status_in_battle: {
        paralysis: 4,
        fever: 4,
      },
      bad_sex_status: {
        semen_holic: 16,
        oral_semen_holic: 7,
        v_semen_holic: 8,
        dirty_sex_holic: 5,
        gang_rape_holic: 5,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 5,
      },
    },
    21 => {
      name: 'コボルト',
      unit_name: '体',
      type: :demi_human,
      power: 3,
      life_point: 2,
      is_beast: true,
      is_dirty: true,
      description: %w(
犬のような顔をした獣人の一種。
亜人を迫害する人間たちの勢力拡大によって地上を追われた彼らが流れ着いたのがこのダンジョンだった。
簡単な武器と粗末な装備、低い知性しか持たないが、その嗅覚と敏捷さは冒険者にとっては厄介に感じるだろう。
      ),
      bad_sex_status: {
        semen_holic: 10,
        oral_semen_holic: 3,
        v_semen_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 15,
      },
    },
    22 => {
      name: 'ハイコボルト',
      unit_name: '体',
      type: :demi_human,
      power: 6,
      life_point: 4,
      is_beast: true,
      is_dirty: true,
      description: %w(
犬のような顔をした獣人の一種。コボルトの上位種。
硬い毛皮と針金のような毛、筋肉で全身を鎧ったその姿は小型の熊のようだ。
簡単な武器と粗末な装備、低い知性しか持たないが、その嗅覚と敏捷さ、何より肉体能力は冒険者にとっては厄介に感じるだろう。
武器には痺れ毒が塗られている時もあるので油断はできない。
      ),
      bad_status_in_battle: {
        paralysis: 2,
      },
      bad_status: {
        aphrodisiac_fever: 7,
      },
      bad_sex_status: {
        semen_holic: 10,
        oral_semen_holic: 3,
        v_semen_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 15,
      },
    },
    23 => {
      name: 'ブラック・コボルト',
      unit_name: '体',
      type: :demi_human,
      power: 8,
      life_point: 6,
      is_beast: true,
      is_dirty: true,
      description: %w(
浅黒い肌と針金のような毛皮を持つ犬のような顔をした獣人の一種。コボルトの上位種。
硬い毛皮と針金のような毛、筋肉で全身を鎧ったその姿は小型の熊のようだ。
革製の鎧と、冒険者から奪った装備で武装している。
武器には痺れ毒が塗られている時もあるので油断はできない。
統率の取れた動きと嗅覚、敏捷さ。何より肉体能力は多くの冒険者をこの無法の洞窟に沈めてきた。
      ),
      bad_status_in_battle: {
        paralysis: 3,
      },
      bad_status: {
        aphrodisiac_fever: 7,
      },
      bad_sex_status: {
        semen_holic: 10,
        oral_semen_holic: 3,
        v_semen_holic: 5,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 7,
        beast_sex_holic: 15,
      },
    },
    24 => {
      name: 'ワーウルフ',
      unit_name: '体',
      type: :demi_human,
      power: 10,
      life_point: 8,
      is_beast: true,
      is_dirty: true,
      description: %w(
二足歩行で歩く、狼と熊の中間のような存在。
硬い毛皮と針金のような毛、鋼のごとき筋肉で全身を鎧ったその姿は熊のようだ。
人間に姿が近くなった分その動きは俊敏になり、多彩な戦術を操るようになった。
主に金属製の鎧と、冒険者から奪った装備で武装している。
統率の取れた動きと嗅覚、敏捷さ。何より肉体能力は多くの冒険者が命を奪われるか、あるいはそれ以上の絶望を味あわされてきた。
      ),
      bad_status_in_battle: {
        paralysis: 3,
      },
      bad_status: {
        aphrodisiac_fever: 7,
      },
      bad_sex_status: {
        semen_holic: 13,
        oral_semen_holic: 5,
        v_semen_holic: 7,
        dirty_sex_holic: 5,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 10,
        beast_sex_holic: 15,
      },
    },
    31 => {
      name: 'フェアリー', # 催眠効果付与
      unit_name: '体',
      power: 2,
      life_point: 2,
      type: :hypno,
      description: %w(
人の体の半分ほどの大きさの妖精。
妖精は善なる者であれば無害だが、悪に染まれば有害で悪辣な者となる。
このダンジョンに溜まった瘴気によって完全に悪に染まりきった妖精は特に女にとって有害だ。
このダンジョン全体に漂う男たちの肉の飢えに影響されたかのように妖精たちは下半身に不釣り合いな男根を備えており見た目も醜悪なものになっている
幻覚をもたらす鱗粉とすばしっこい動きで冒険者を翻弄する。
      ),
      bad_sex_status: {
        semen_holic: 3,
        oral_semen_holic: 1,
        v_semen_holic: 1,
        masochism_ecstasy_holic: 3,
        hypno_sex_holic: 8,
      },
      bad_status_in_battle: {
        paralysis: 3,
        hypno: 3,
      },
    },
    32 => {
      name: 'セイレーン', # 催眠効果付与
      unit_name: '体',
      power: 4,
      life_point: 4,
      type: :hypno,
      description: %w(
フロアに流れ込んだ地下水が溜まりできた地底湖やその水脈上に生息する水の妖怪。
大好物は男の肉で、催眠術によって惑わし水の中に引きずり込んでは食料にしてしまう。
ただし女には興味がないらしく戦闘になるだけである。
直接的な戦闘力は弱いが、その歌声には不思議な催眠の効果がある。
      ),
      skills: %w(indifferent),
      bad_status_in_battle: {
        hypno: 4,
      },
    },
    33 => {
      name: 'ハイ・セイレーン', # 催眠効果付与
      unit_name: '体',
      power: 6,
      life_point: 6,
      type: :hypno,
      description: %w(
フロアに流れ込んだ地下水が溜まりできた地底湖やその水脈上に生息する水の妖怪セイレーンの上級種。
大好物は男の肉で、催眠術によって惑わし水の中に引きずり込んでは食料にしてしまう。
ただし女には興味がないらしく戦闘になるだけである。
直接的な戦闘力は弱いが、その歌声には不思議な催眠の効果がある。
      ),
      bad_status_in_battle: {
        hypno: 5,
      },
      skills: %w(indifferent),
    },
    41 => {
      name: 'サラマンダー',
      unit_name: '体',
      power: 3,
      life_point: 2,
      type: :dragon,
      is_beast: true,
      description: %w(
炎を操る犬ほどの大きさのトカゲ。
強さはそれほどでもないが、壁に張り付き襲いかかる奇襲攻撃は非常に厄介だ。
十全の状態で挑み、奇襲さえ受けなければ大したことはないはずだが・・・
      ),
      bad_sex_status: {
        semen_holic: 3,
        oral_semen_holic: 1,
        v_semen_holic: 1,
        masochism_ecstasy_holic: 3,
        beast_sex_holic: 5,
      },
      skills: %w(indifferent),
    },
    42 => {
      name: 'リザードマン',
      unit_name: '体',
      power: 6,
      life_point: 4,
      type: :dragon,
      is_beast: true,
      description: %w(
身体中に鱗の生えた爬虫類のごとき亜人。
噂によれば、人の女が竜種によって孕まされたことで生まれた竜の下等種らしい。
社会性を持ち、集団で行動し、簡易な鎧と武器で武装している。
個体によっては炎を操り、簡易な魔術すらも使いこなす。
      ),
      bad_sex_status: {
        semen_holic: 3,
        oral_semen_holic: 1,
        v_semen_holic: 1,
        masochism_ecstasy_holic: 3,
        beast_sex_holic: 5,
      },
    },
    43 => {
      name: '赤竜', # 戦士特攻
      unit_name: '体',
      power: 10,
      life_point: 7,
      cost: 24,
      type: :dragon,
      is_beast: true,
      description: %w(
炎を操る炎竜の小型版とも言えるタイプ。
先住のならずものたちを圧倒的な力で殺戮し、洞窟の奥に棲みついてしまった。
頑丈な鱗による防御は生半可な魔法や剣による攻撃をものともしない。
小型な分、炎のブレスの効果は弱く強度の高い盾や鎧があれば防ぐことができる。
      ),
      bad_sex_status: {
        semen_holic: 3,
        oral_semen_holic: 1,
        v_semen_holic: 1,
        masochism_ecstasy_holic: 3,
        beast_sex_holic: 5,
      },
    },
    44 => {
      name: '緑竜', # 戦士特攻
      unit_name: '体',
      power: 12,
      life_point: 10,
      cost: 28,
      type: :dragon,
      is_beast: true,
      description: %w(
炎を操る炎竜の小型版とも言えるタイプ。
先住のならずものたちを圧倒的な力で殺戮し、洞窟の奥に棲みついてしまった。
頑丈な鱗による防御は生半可な魔法や剣による攻撃をものともしない。
赤竜に似ているが、青緑色の鱗は銅で出来ており、下手な剣戟を放てば逆に剣の方が折れてしまう。
小型な分、炎のブレスの効果は弱く強度の高い盾や鎧があれば防ぐことができる。
      ),
      bad_sex_status: {
        semen_holic: 3,
        oral_semen_holic: 1,
        v_semen_holic: 1,
        masochism_ecstasy_holic: 3,
        beast_sex_holic: 15,
      },
    },
    45 => {
      name: '黒竜', # 戦士特攻
      unit_name: '体',
      power: 14,
      life_point: 12,
      type: :dragon,
      is_beast: true,
      description: %w(
炎を操る炎竜の小型版とも言えるタイプ。
先住のならずものたちを圧倒的な力で殺戮し、洞窟の奥に棲みついてしまった。
硬質化した鱗はもはや鉄のごとく硬く、熟練の技と切れ味の良い名剣でのみ切り裂くことができる。
吐き出す炎は金属製の盾以外では防ぐことはできない厄介な相手だ。
      ),
      bad_sex_status: {
        semen_holic: 3,
        oral_semen_holic: 1,
        v_semen_holic: 1,
        masochism_ecstasy_holic: 3,
        beast_sex_holic: 15,
      },
    },
    51 => {
      name: 'アンデッド', # 開幕魔法が使えないと死ぬ系
      unit_name: '人',
      power: 2,
      life_point: 1,
      cost: 1.5,
      type: :undead,
      description: %w(
ダンジョンの入り口部にある地下墓地に埋められた者の中でも朽ち切ってはいなかった者が、再び立ち上がり歩く死者としてダンジョンを彷徨う例はあった。
そしてダンジョンの中を彷徨う死体の数は増え続けている。
このダンジョンに巣食う様々な者たちによって、冒険者や流れ込んだ犯罪者、ごろつきといった輩の死体は増え続けているからだ。
大した力はないが、致命傷を与えねば力尽きない上に圧倒的な数を持つため、とても厄介な相手となるかもしれない。
      ),
      skills: %w(undead indifferent),
    },
    52 => {
      name: 'ハイ・アンデッド', # 開幕魔法が使えないと死ぬ系
      unit_name: '人',
      power: 2,
      life_point: 2,
      cost: 1.8,
      type: :undead,
      description: %w(
ダンジョンの入り口部にある地下墓地に埋められた者の中でも朽ち切ってはいなかった者が、再び立ち上がり歩く死者としてダンジョンを彷徨う例はあった。
そしてダンジョンの中を彷徨う死体の数は増え続けている。
このダンジョンに巣食う様々な者たちによって、冒険者や流れ込んだ犯罪者、ごろつきといった輩の死体は増え続けているからだ。
大した力はないが、致命傷を与えねば力尽きない上に圧倒的な数を持つため、とても厄介な相手となるかもしれない。
このモンスターはアンデッドの中でも上位種で、爪や牙に毒を持っている。
      ),
      skills: %w(undead indifferent),
      bad_status_in_battle: {
        paralysis: 3,
        fever: 3,
      },
    },
    53 => {
      name: '白竜の騎士',
      unit_name: '人',
      power: 5,
      life_point: 5,
      cost: 15,
      type: :undead,
      description: %w(
北の山脈を越えた大国においてある有名な騎士団長がいた。
若く有能で、精錬高潔な人柄と才気や度量をもって多くの人から慕われていた。
それゆえに大臣に妬まれ、冤罪と汚名を着せられ追放された。
あてのない旅の末にこのダンジョンにたどり着いた騎士団長と彼を慕う部下の騎士たちは、この地で王国の王よりダンジョンの鎮定を依頼された。汚名返上の絶好の機会、そして苦しむ民のために彼らはダンジョンに挑む。
それから騎士団長と騎士たちが、このダンジョンの罠にかかり全ての命を吸い尽くされるまで数日とかからなかった。
今でもダンジョンには無念と怨念に取り憑かれた騎士たちの鎧が、生前の剣技を持ったまま死霊騎士としてさまよっている。
      ),
      skills: %w(undead indifferent),
    },
    54 => {
      name: '銀翼騎士団',
      unit_name: '人',
      power: 7,
      life_point: 8,
      cost: 28,
      type: :undead,
      description: %w(
東の果てにある都市国家、オルモッツには幾度となく信仰を繰り返すタタリア人と激戦を繰り返し、数倍の敵を常に撃破してきた騎士団がいた。
その騎士団、銀翼騎士団がこのダンジョンに臨んだのは２年前のこと。
騎士団長がいまだ得体の知れぬこのダンジョンに挑んだ動機は、さらなる爵位を望んだからとも王女との婚姻を認めさせるためとも言われている。
当初はあっさりカタが着くと思われていた。
だが一月経てども二月経てども音沙汰はない。
街の者たちが彼らの全滅を知ったのは、彼らの鎧をまとい不死者と化した彼らの成れの果てを見たためだった。
背中に鉄製の翼をつけた鎧をまとう彼らは、ダンジョンの中でも鉄壁となり、このダンジョン困難の象徴となっている。
皮肉にもそれは、生前の彼らを見た蛮族たちが抱いた思いと同じであった。
      ),
      skills: %w(undead indifferent),
    },
    61 => {
      name: 'ローパー',
      unit_name: '体',
      type: :roper,
      power: 2,
      life_point: 4,
      cost: 5.0,
      is_tentacle: true,
      description: %w(
ロープのような触手を備えた、直立するイソギンチャクのようなモンスター
実力は大したことはないが、その触手には毒が含まれるため注意が必要だ
      ),
      bad_status: {
        fever: 5,
        paralysis: 3,
        aphrodisiac_fever: 7,
      },
      bad_sex_status: {
        semen_holic: 5,
        oral_semen_holic: 3,
        aphrodisiac_semen_holic: 5,
        tentacle_sex_holic: 15,
      },
    },
    62 => {
      name: 'ブルー・ローパー',
      unit_name: '体',
      type: :roper,
      power: 3,
      life_point: 5,
      is_tentacle: true,
      description: %w(
ロープのような触手を備えた、直立するイソギンチャクのようなモンスター
毒々しい青色をしており、その見た目同様に毒を備えている。
実力は大したことはないが、その触手には毒が含まれるため注意が必要だ
      ),
      bad_status: {
        fever: 6,
        paralysis: 5,
        aphrodisiac_fever: 5,
      },
      bad_sex_status: {
        semen_holic: 5,
        oral_semen_holic: 3,
        v_semen_holic: 3,
        a_semen_holic: 2,
        aphrodisiac_semen_holic: 6,
        tentacle_sex_holic: 15,
      },
    },
    63 => {
      name: 'レッド・ローパー',
      unit_name: '体',
      type: :roper,
      power: 5,
      life_point: 8,
      is_tentacle: true,
      description: %w(
ロープのような触手を備えた、直立するイソギンチャクのようなモンスター
毒々しい赤色をしており、その見た目が示す通り危険な毒を備えている。
実力は大したことはないが、その触手には毒が含まれるため注意が必要だ
      ),
      bad_status: {
        fever: 7,
        paralysis: 7,
        aphrodisiac_fever: 7,
      },
      bad_sex_status: {
        semen_holic: 8,
        oral_semen_holic: 6,
        v_semen_holic: 4,
        a_semen_holic: 3,
        aphrodisiac_semen_holic: 8,
        tentacle_sex_holic: 15,
      },
    },
    64 => {
      name: 'ピンク・ローパー',
      unit_name: '体',
      type: :roper,
      power: 7,
      life_point: 10,
      cost: 14,
      is_tentacle: true,
      description: %w(
ロープのような触手を備えた、直立するイソギンチャクのようなモンスター
半透明の体の中には多種多様な毒を持つ。見た目が示す通り非常に危険な毒を備えている。
実力は大したことはないが、その触手には毒が含まれるため注意が必要だ
      ),
      bad_status: {
        fever: 8,
        paralysis: 8,
        aphrodisiac_fever: 11,
      },
      bad_sex_status: {
        semen_holic: 10,
        oral_semen_holic: 8,
        v_semen_holic: 6,
        a_semen_holic: 5,
        aphrodisiac_semen_holic: 10,
        tentacle_sex_holic: 15,
      },
    },
    71 => {
      name: '有翼デーモン', # アンチ戦士
      unit_name: '体',
      power: 6,
      life_point: 2,
      cost: 9,
      type: :daemon,
      description: %w(
悪魔の名を冠された翼のついた醜いトカゲのような外見をした獣。
長く凶悪な形状の男性器をぶら下げ、女と見ると執拗に襲いかかる。
群れで行動する習性がある。
相手の剣の届かない場所から一撃離脱で襲いかかる
      ),
      bad_sex_status: {
        semen_holic: 7,
        gang_rape_holic: 5,
        masochism_ecstasy_holic: 5,
      },
    },
    72 => {
      name: 'ハイ・デーモン', # アンチ戦士
      unit_name: '体',
      power: 8,
      life_point: 5,
      cost: 9,
      type: :daemon,
      description: %w(
翼のついた醜いトカゲのような外見をしたデーモンの上位種。
棘やコブのついた男性器をぶら下げ、女と見ると執拗に襲いかかる。
下位種に比べ、人間らしい面影のある顔立ちをしていることから、人間や亜人の女を使って繁殖していることは明らかだ。
戦術を用いる傾向にあり、群れで行動する習性がある。
相手の剣の届かない場所から一撃離脱で襲いかかる
      ),
      bad_status_in_battle: {
        paralysis: 3,
        fever: 2,
      },
      bad_sex_status: {
        semen_holic: 10,
        oral_semen_holic: 2,
        v_semen_holic: 3,
        drug_sex_holic: 6,
        gang_rape_holic: 5,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 8,
      },
    },
    73 => {
      name: 'ダークデーモン', # アンチ戦士
      unit_name: '体',
      power: 10,
      life_point: 7,
      type: :daemon,
      description: %w(
翼を持ち、トカゲと人間の中間のような外見をしたデーモンの上位亜種。
流暢に人の言葉を操り、交渉や取引、あるいは会話を試みようとする。
ただしそれは女を罠にはめ、犯し、いたぶるための悪辣な罠であり、会話をするべきではない。
棘やコブのついた男性器をぶら下げ、女と見ると執拗に襲いかかる。
精液には麻薬じみた中毒性を持つ媚薬効果があり、この虜となった女の未来には破滅しかなくなってしまう。
人間らしい面影のある顔立ちと体つきをしていることから、人間や亜人の女を使って繁殖していることは明らかだ。
待ち伏せや包囲など戦術を用いる傾向にあり、群れで行動する習性がある。
相手の剣の届かない場所から一撃離脱で襲いかかる
      ),
      bad_status_in_battle: {
        paralysis: 3,
        fever: 3,
      },
      bad_status: {
        hypno: 5,
      },
      bad_sex_status: {
        semen_holic: 15,
        oral_semen_holic: 6,
        v_semen_holic: 6,
        drug_sex_holic: 8,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 8,
      },
    },
    74 => {
      name: 'カオスデーモン', # アンチ戦士
      unit_name: '体',
      power: 13,
      life_point: 8,
      type: :daemon,
      description: %w(
翼を持ち、トカゲじみた人間の姿をしているデーモンの上位亜種。
紳士然とした態度、裕福な人間に似た服装をしているが、瞳の奥に映る冷酷で悪辣な知性の輝きはこの魔物の危険な本質を表している。
流暢に人の言葉を操り、交渉や取引、あるいは会話を試みようとする。
ただしそれは女を罠にはめ、犯し、いたぶるための悪辣な罠であり、会話をするべきではない。
棘やコブのついた男性器をぶら下げ、女と見ると執拗に襲いかかる。
精液には麻薬じみた中毒性を持つ媚薬効果があり、この虜となった女の未来には破滅しかなくなってしまう。
人間らしい面影のある顔立ちと体つきをしていることから、人間や亜人の女を使って繁殖していることは明らかだ。
待ち伏せや包囲など戦術を用いる傾向にあり、群れで行動する習性がある。
相手の剣の届かない場所から一撃離脱で襲いかかる
      ),
      bad_status_in_battle: {
        paralysis: 3,
        fever: 3,
      },
      bad_status: {
        hypno: 5,
      },
      bad_sex_status: {
        semen_holic: 20,
        oral_semen_holic: 6,
        v_semen_holic: 7,
        drug_sex_holic: 10,
        gang_rape_holic: 8,
        masochism_ecstasy_holic: 5,
        aphrodisiac_semen_holic: 10,
      },
    },
  }

  # 0x系、ならずものは25Fまで 1-4
  # 2x系、獣人は30Fまで 21-24
  # 3x系、セイレーンは25Fまで 31-33
  # 5x系、アンデッドは25Fまで 51-54
  # 6x系、ローパーは30Fまで 61-64

  # 最深部の守りは
  # 1x系、亜人 11-18
  # 4x系、竜 41-45
  # 7x系、デーモン 71-74
  FLOOR_ENEMIES_LIST = {
    1 => {
      enemy_id: 1,
    },
    2 => {
      enemy_id: 11,
    },
    3 => {
      enemy_id: 21,
    },
    4 => {
      enemy_id: 2,
    },
    5 => {
      enemy_id: 42,
    },
    6 => {
      enemy_id: 22,
    },
    7 => {
      enemy_id: 13,
    },
    8 => {
      enemy_id: 61,
    },
    9 => {
      enemy_id: 72,
    },
    10 => {
      enemy_id: 52,
    },
    11 => {
      enemy_id: 42,
    },
    12 => {
      enemy_id: 32,
    },
    13 => {
      enemy_id: 3,
    },
    14 => {
      enemy_id: 14,
    },
    15 => {
      enemy_id: 23,
    },
    16 => {
      enemy_id: 33,
    },
    17 => {
      enemy_id: 43,
    },
    18 => {
      enemy_id: 4,
    },
    19 => {
      enemy_id: 64,
    },
    20 => {
      enemy_id: 54,
    },
    21 => {
      enemy_id: 24,
    },
    22 => {
      enemy_id: 64,
    },
    23 => {
      enemy_id: 71,
    },
    24 => {
      enemy_id: 33,
    },
    25 => {
      enemy_id: 54,
    },
    26 => {
      enemy_id: 16,
    },
    27 => {
      enemy_id: 44,
    },
    28 => {
      enemy_id: 74,
    },
    29 => {
      enemy_id: 24,
    },
    30 => {
      enemy_id: 64,
    },
    31 => {
      enemy_id: 44,
    },
    32 => {
      enemy_id: 72,
    },
    33 => {
      enemy_id: 17,
    },
    34 => {
      enemy_id: 18,
    },
    35 => {
      enemy_id: 74,
    },
    36 => {
      enemy_id: 18,
    },
    37 => {
      enemy_id: 45,
    },
    38 => {
      enemy_id: 18,
    },
    39 => {
      enemy_id: 45,
    },
    40 => {
      enemy_id: 74,
    },
  }

  DUNGEON_MASTER_SUMMONS_LIST = {
    12 => {
      name: 'ホブゴブリン',
      floor: '（10層以上に出没）',
      price: 500, # 購入価格
      lock: [], # こいつを買ってないと購入できない
    },
    13 => {
      name: 'ブラックゴブリン',
      floor: '（10層以上に出没）',
      price: 6_000, # 購入価格
      lock: [12, 22, 42], # こいつを買ってないと購入できない
    },
    14 => {
      name: 'オーク',
      floor: '（15層以上に出没）',
      price: 11_000, # 購入価格
      lock: [12, 13], # こいつを買ってないと購入できない
    },
    15 => {
      name: 'ブラックオーク',
      floor: '（25層以上に出没）',
      price: 20_000, # 購入価格
      lock: [12, 13, 14], # こいつを買ってないと購入できない
    },
    16 => {
      name: 'ハイオーク',
      floor: '（25層以上に出没）',
      price: 40_000, # 購入価格
      lock: [12, 13, 14, 15], # こいつを買ってないと購入できない
    },
    17 => {
      name: 'トロル',
      floor: '（30層以上に出没）',
      price: 100_000, # 購入価格
      lock: [12, 13, 14, 15, 16], # こいつを買ってないと購入できない
    },
    18 => {
      name: 'オーガ',
      floor: '（30層以上に出没）',
      price: 200_000, # 購入価格
      lock: [12, 13, 14, 15, 16, 17], # こいつを買ってないと購入できない
    },
    22 => {
      name: 'ハイコボルト',
      floor: '（5層以上に出没）',
      price: 1_000, # 購入価格
      lock: [], # こいつを買ってないと購入できない
    },
    23 => {
      name: 'ブラックコボルト',
      floor: '（15層以上に出没）',
      price: 7_000, # 購入価格
      lock: [12, 22, 42], # こいつを買ってないと購入できない
    },
    24 => {
      name: 'ワーウルフ',
      floor: '（20層以上に出没）',
      price: 15_000, # 購入価格
      lock: [22, 23], # こいつを買ってないと購入できない
    },
    # セイレーン
    32 => {
      name: 'セイレーン',
      floor: '（10層以上に出没）',
      price: 15_000,
      lock: [], # こいつを買ってないと購入できない
    },
    # ハイ・セイレーン
    33 => {
      name: 'ハイ・セイレーン',
      floor: '（15層以上に出没）',
      price: 25_000,
      lock: [32], # こいつを買ってないと購入できない
    },
    42 => {
      name: 'リザードマン',
      floor: '（5層以上に出没）',
      price: 1_200,
      lock: [], # こいつを買ってないと購入できない
    },
    43 => {
      name: '赤竜',
      floor: '（15層以上に出没）',
      price: 25_000,
      lock: [12, 22, 42], # こいつを買ってないと購入できない
    },
    44 => {
      name: '緑竜',
      floor: '（25層以上に出没）',
      price: 170_000,
      lock: [42, 43], # こいつを買ってないと購入できない
    },
    45 => {
      name: '黒竜',
      floor: '（35層以上に出没）',
      price: 250_000,
      lock: [42, 43, 44], # こいつを買ってないと購入できない
    },
    # レッドローパー
    63 => {
      name: 'レッド・ローパー',
      floor: '（20層以上に出没）',
      price: 50_000,
      lock: [], # こいつを買ってないと購入できない
    },
    # ピンクローパー
    64 => {
      name: 'ピンク・ローパー',
      floor: '（20層以上に出没）',
      price: 180_000,
      lock: [63], # こいつを買ってないと購入できない
    },
    # ダークデーモン
    73 => {
      name: 'ダークデーモン',
      floor: '（35層以上に出没）',
      price: 120_000,
      lock: [], # こいつを買ってないと購入できない
    },
    # カオスデーモン
    74 => {
      name: 'カオスデーモン',
      floor: '（35層以上に出没）',
      price: 260_000,
      lock: [73], # こいつを買ってないと購入できない
    },
  }
end
