# coding: utf-8
require_rrk 'src/defines/script/dungeon/script_utils'
require_rrk 'src/defines/dungeon/skill_list'
require_rrk 'src/defines/dungeon/tattoos_list'
require_rrk 'src/app/util/debug_util'
require_rrk 'src/app/helper/game_define_helper'
require_rrk 'src/app/service/dungeon/module/dungeon_common'

class AdventurerScript
  include ScriptUtils
  include DebugUtil
  include GameDefineHelper
  include DungeonCommon

  def set_jail_mode_script(adventurer, jail_mode)
    script = [
      'あなたは' + adventurer.short_name + 'を捕獲した時の扱いについて、使い魔たちに命じて迷宮中に魔物たちに命令を届けるよう指示を出した',
    ]
    script +=
      if jail_mode == 'release'
        [
          adventurer.short_name + 'は今後、戦闘に敗北し地下牢に監禁されたとしても、脱走できるようわざと粗い監禁をされるようになるでしょう。',
          'もちろんそれは善意からではありません。監禁されない以上何度も挑み続ける冒険者は、この迷宮の中でじっくりと少しずつ、精神と肉体を淫らに作り変えられていくことになるのです。',
          '陵辱によってすぐに奴隷に堕とされることもなく、じわじわと淫らな肉奴隷に相応しい存在へとあなたの掌の上で自覚なく作り変えられていく' +
            adventurer.short_name + 'の姿は、あなたを大いに楽しませるでしょう。',
        ]
      elsif jail_mode == 'left'
        [
          adventurer.short_name + 'は今後、戦闘に敗北し地下牢に監禁されたとしても、魔物たちから手出しをされることはありません。。',
          'もちろんそれは善意からではありません。' + adventurer.short_name + 'が監禁されている事実を聞きつけた仲間たちは彼女を救出しようと試みるでしょう。',
          'そして深い階層までノコノコと女たちがやってきたところを、弱らせたいらげればよいのです。',
          '女冒険者を捕らえるための、ネズミ捕り罠の一番奥に仕掛けられた囮の餌、それが彼女の役割なのです。',
          '罠とも知らず、仲間を助けるという使命に燃えて自分から罠にかかりに来る' +  adventurer.short_name + 'の仲間の姿は、あなたを大いに楽しませるでしょう。',
        ]
      else
        [
          adventurer.short_name + 'は今後、戦闘に敗北すれば、他の冒険者同様に地下牢に監禁され魔物たちによって容赦なく嬲られることになるでしょう。',
          '期待していた役割が終わった以上、もはやあなたが' + adventurer.short_name + 'に手加減をしてやる意味などないのですから。',
        ]
      end
    script
  end

  def show_bounty_script(adventurer, now_money)
    script = [
      '酒場で集めた情報をもとに手配書を作り、' + _adventurer_type + 'に賞金をかけることができます。',
      '賞金をかけられた' + _adventurer_type + 'は、より執拗にモンスターたちに狙われることになるでしょう。',
    ]
    script +=
      if adventurer.is_down?
        [
          "#{adventurer.short_name} の賞金は、その名声や実力をもとに算出されます。",
          "#{adventurer.short_name}が迷宮の中で体力が尽き這いずるように逃げ惑っていることを耳聡く聞きつけた魔物たちは彼女にかける賞金を #{half_number_to_full(adventurer.bounty_price)} としました。。",
          '弱っている獲物をいたぶることほど簡単なことはありません。狡猾な魔物たちは好機を見逃したりはしないのです。',
        ]
      else
        [
          "#{adventurer.short_name} の賞金は、その名声や実力をもとに #{half_number_to_full(adventurer.bounty_price)} が妥当だと思われます。",
        ]
      end
    script += [
      '（賞金は掛け捨てで、賞金をかけた段階での支払いになります）',
      money_status(now_money),
    ]
    script
  end

  def pay_bounty_script(adventurer, now_money)
    [
      "#{half_number_to_full(adventurer.bounty_price)} を支払い、#{adventurer.short_name} に賞金をかけました。",
      adventurer.short_name + 'はダンジョンに潜っている間中ずっと' + 'より執拗にモンスターたちに狙われることになるでしょう。',
      "（資金が#{_add_comma(adventurer.bounty_price)} 減って#{_add_comma(now_money)}になりました）",
    ]
  end

  def short_of_bounty_script(adventurer, now_money)
    [
      "（資金が足りません。賞金は#{half_number_to_full(adventurer.bounty_price)}必要ですが、所持金は#{_add_comma(now_money)}です。）",
      ' ',
      ' ',
    ]
  end

  # event化：置き換え予定
  def level_up(adventurer, level_up_diff)
    [
      "#{adventurer.short_name} はレベルが #{half_number_to_full(level_up_diff)} あがって #{half_number_to_full(adventurer.level)} になった",
    ]
  end

  # event置き換え済
  def honor_up(adventurer, now_honor, honor_diff)
    return [] if honor_diff.zero?

    [
      "#{adventurer.short_name} は今回の冒険の活躍により名声が #{half_number_to_full(honor_diff)} あがって #{half_number_to_full(now_honor)} になった",
    ]
  end

  # event置き換え済
  def honor_plus_by_leader(adventurer, honor_plus_sum)
    return [] if honor_plus_sum.nil? || honor_plus_sum.zero?

    [
      "#{adventurer.short_name} はリーダーとしてパーティーを率いたことにより名声ボーナスとして #{half_number_to_full(honor_plus_sum)} を得た",
    ]
  end

  # event置き換え済
  def equip_up(adventurer, equip_diff)
    return [] if equip_diff.zero?
    [
      "#{adventurer.short_name} は冒険によって得た名声と賞金によって装備を整えた。装備レベルが #{half_number_to_full(equip_diff)} あがって #{half_number_to_full(adventurer.equip_point)} になった",
    ]
  end

  def status(adventurer)
    "#{adventurer.short_name}（Ｌｖ#{half_number_to_full(adventurer.level)} ）"
  end

  # 地下牢における冒険者ステータス表示
  # shortなシチュエーション台詞と
  #   ステータス表示
  def profile_of_prisoner_by_adventurer(adventurer)
    # 地下牢の状況を示すshortなテキスト
    daily_status_in_jail(adventurer) +
      # =======ステータス=======
      # （実ステータス）
      status_detail_with_header(adventurer)
  end

  # [地下牢における冒険者ステータス表示]
  # longなシチュエーション台詞と
  #   ステータス表示
  def profile_of_prisoner_by_monster(adventurer)
    # 地下牢の状況を示すロングなテキスト
    adventurer.jail_detail_script +
      # =======ステータス=======
      # （実ステータス）
      status_detail_with_header(adventurer)
  end

  # 監禁された冒険者を見る、から来る
  # 地下牢の様子を見る、から来る
  def jail_situation_script(adventurer, by_adventurer)
    script =
      if adventurer.in_jail_room?
        [
          '（迷宮に無数にある地下牢の一つ。そこには女冒険者と無数の魔物たちがひしめいている……）',
          ' ',
        ] +
          if by_adventurer
            profile_of_prisoner_by_adventurer(adventurer)
          else
            profile_of_prisoner_by_monster(adventurer)
          end
      else
        [
          '（ここは迷宮に無数にある地下牢の一つ。魔物たちが女の媚肉を嬲り尽くし、精神を辱めるための部屋……）',
          ' ',
        ] +
          profile_of_prisoner_by_monster(adventurer)
      end
    script
  end

  def daily_status_in_jail(adventurer)
    script =
    if adventurer.in_resist?
      adventurer.daily_resist_status_script_in_jail
    else
      adventurer.daily_status_script_in_jail
    end
    [script].flatten
  end

  def status_detail_with_header(adventurer)
    [
      ' ',
      '=======ステータス=================',
      ' ',
    ] +
      status_detail(adventurer)
  end

  def passenger_status_detail_with_header(adventurer)
    [
      ' ',
      '=======同行者のステータス=================',
      ' ',
    ] +
      status_detail(adventurer)
  end

  include TattoosList
  def status_detail(adventurer)
    script = [
      '名前： ' + adventurer.name,
      "クラス：#{adventurer.class_name}",
    ]
    if ORIGINAL_MODE && adventurer.noble_or_more?
      script += [
      '出身：' + adventurer.hierarchy_name + '階級'
      ]
    end
    if ORIGINAL_MODE
      script += [
        '［動機］',
        adventurer.motivation + 'この迷宮へと訪れた。',
        ' ',
        '［出身］',
        "#{adventurer.origin_from}",
        ' ',
        '[参戦時期]',
        adventurer.coming_day_text,
        ' ',
      ]
    end

    if FGO_MODE
      script += [
        adventurer.coming_day_text,
        ' ',
      ]
    end

    # in地下牢？
    if adventurer.in_jail_room?
      script +=
        [
          "[抵抗値： #{adventurer.resist_point} / #{adventurer.resist_point_max} ]",
          "[正気値： #{adventurer.san_level} / #{adventurer.san_level_max} ]",
          "#{adventurer.jail_summary_text}",
        ]
      if adventurer.captured_betrayed_servant
        script +=[
          "洗脳され下僕となった#{adventurer.captured_betrayed_servant.short_name}は#{adventurer.captured_betrayed_servant.betrayed_status_text}",
        ]
      end
      script +=[
        ' ',
      ]
    end

    script += [
      "ＨＰ：#{adventurer.life_point} ／ #{adventurer.life_point_limit}",
      "レベル：#{adventurer.level}",
      "装備：#{adventurer.equip_point}",
      "名声：#{adventurer.honor}",
      "総撃破数：#{adventurer.kill_score}",
      "トラップ経験：#{adventurer.trap_count}",
      "戦闘力：#{adventurer.battle_level.to_i}",
    ]

    script <<
      if adventurer.has_growth_hooter?
        "胸囲：#{adventurer.hooter_level_name}（もとは#{adventurer.base_hooter_level_name}だった）"
      else
        "胸囲：#{adventurer.hooter_level_name}"
      end

    script << "器用さ：#{adventurer.dexterity}" if adventurer.dexterity > 0
    script << "狡猾さ：#{adventurer.cunning}" if adventurer.cunning > 0
    script << "賢さ：#{adventurer.wisdom}" if adventurer.wisdom > 0
    script << "魔術知識：#{adventurer.magic}" if adventurer.magic > 0
    script << "敏捷さ：#{adventurer.lightness} " if adventurer.lightness > 0

    script += [
      ' ',
      '［性経験］',
      '（Ｃ：クリ、Ｖ：膣穴、Ａ：アナル、Ｂ：胸、乳首）',
      "Ｃ経験：#{adventurer.c_exp}",
      "Ｖ経験：#{adventurer.v_exp}",
      "Ａ経験：#{adventurer.a_exp}",
      "Ｂ経験：#{adventurer.b_exp}",
    ]

    if adventurer.orgasm_count > 0
      script += [
        "絶頂経験：#{adventurer.orgasm_count}",
        "（膣内：#{adventurer.v_orgasm_count}、腸内：#{adventurer.a_orgasm_count}、クリ：#{adventurer.c_orgasm_count}、胸：#{adventurer.b_orgasm_count}）",
      ]
    end

    if adventurer.sperm_shot > 0
      script += [
        "精液経験：#{adventurer.sperm_shot}",
        "（膣内：#{adventurer.v_sperm_shot}、腸内：#{adventurer.a_sperm_shot}、ごっくん：#{adventurer.oral_sperm_shot}、ぶっかけ：#{adventurer.skin_sperm_shot}）",
      ]
    end

    script << "セックス経験回数：#{adventurer.v_sex_exp}" if adventurer.v_sex_exp > 0
    script << "アナルセックス経験回数：#{adventurer.a_sex_exp}" if adventurer.a_sex_exp > 0
    script << "男性経験数：#{adventurer.men_exp}" if adventurer.men_exp > 0
    script << "レズ経験数：#{adventurer.lesbian_exp}" if adventurer.lesbian_exp > 0
    script << "陵辱経験数：#{adventurer.force_sex_exp}" if adventurer.force_sex_exp > 0
    script << "触手経験数：#{adventurer.tentacle_exp}" if adventurer.tentacle_exp > 0
    script << "売春経験数：#{adventurer.spring_count}" if adventurer.spring_count > 0

    script += [
      ' ',
      '［性感帯開発度］',
      '（Ｃ：クリ、Ｖ：膣穴、Ａ：アナル、Ｂ：胸、乳首）',
      "Ｃ感度：#{half_decimal_to_full(adventurer.c_ero_develop_rate)}倍",
      "Ｖ感度：#{half_decimal_to_full(adventurer.v_ero_develop_rate)}倍",
      "Ａ感度：#{half_decimal_to_full(adventurer.a_ero_develop_rate)}倍",
      "Ｂ感度：#{half_decimal_to_full(adventurer.b_ero_develop_rate)}倍",
    ]

    script += [
      ' ',
      '［貞操］',
    ]
    script +=
      if adventurer.virgin?
        if FGO_MODE
          [
            '処女：召喚されたままの清らかな姿を保っています。',
            '  サーヴァントとして愛を交わし、それを捧げるに見合う相手を見つけるには至っていないようです。',
          ]
        elsif ORIGINAL_MODE
          [
            '処女：',
          ] + adventurer.virgin_text
        else
          [
            '処女：貞操を守り、いまだ男を知りません。いつかは素敵な男性が現れると夢見ているようです。'
          ]
        end
      else
        [
          '非処女：',
          adventurer.lost_virgin_script
        ]
      end

    if adventurer.is_bounty_target?
      script += [
        ' ',
        '［賞金首］',
        adventurer.short_name + 'には賞金がかけられています。',
        '貪欲なモンスターたちは、その顔を見れば執拗に襲いかかってくるでしょう。',
        '（襲いかかるモンスターの数が増えます）',
        'また、もし戦闘に敗れ監禁されれば、賞金のおこぼれと美味なる女の柔肌を求めてより多くのモンスターたちが集まってきます。',
        '（監禁時のモンスターの数が増えます）',
        '敗北し監禁されたり、一定日数が経過すると賞金による手配は解除されます。',
      ]
    end

    script += [
      ' ',
      '［ステータス］',
    ]

    status_script = []

    adventurer.bad_status.each do |skill_key|
      status = DungeonSkillList::BadStatusList[skill_key]
      unless status
        next
      end

      status_script += (
      [
        status[:name] + '：',
      ] + status[:description] + [ ' ',]
      )
    end

    if status_script.empty?
      script += [
        'なし',
      ]
    else
      script += status_script
    end

    script += [
      ' ',
      '［能力、才能］',
    ]
    skill_script = []

    # 地上に戻ったら戻る系
    adventurer.bad_status_in_dive.each do |status_key|
      skill_script += _print_bad_status(status_key, DungeonSkillList::BadStatusInDiveList)
    end

    # 性格系
    adventurer.talents.each do |talent_key|
      skill_script += _print_bad_status(talent_key, DungeonSkillList::TalentList)
    end

    # エロ衣装系
    adventurer.ero_equips.each do |ero_equip_key|
      skill_script += _print_bad_status(ero_equip_key, DungeonSkillList::ERO_EQUIPS_LIST)
    end

    # エロ装備系
    adventurer.equip_belt_in_dive.each do |equip_belt_key|
      skill_script += _print_bad_status(equip_belt_key.to_s, DungeonSkillList::ERO_BELT_LIST)
    end

    # 精神改造系
    adventurer.skill_personality.each do |status_key|
      skill_script += _print_bad_status(status_key, DungeonSkillList::BadStatusList)
    end

    # 肉体改造系
    adventurer.bad_status_in_body.each do |status_key|
      skill_script += _print_bad_status(status_key, DungeonSkillList::BadStatusList)
    end

    # 中毒系
    adventurer.skill_holic.each do |status_key|
      skill_script += _print_bad_status(status_key, DungeonSkillList::BadStatusList)
    end

    # バステ
    adventurer.bad_status.each do |skill_key|
      skill_script += _print_bad_status(skill_key, DungeonSkillList::BadStatusList)
    end
    # エロバステ
    adventurer.bad_sex_status.each do |skill_key|
      skill_script += _print_bad_status(skill_key, DungeonSkillList::BadStatusList)
    end

    # 刻印系
    adventurer.tattoos.each do |status_key|
      skill_script += _print_tattoo(status_key, TATTOOS_LIST)
    end

    if skill_script.empty?
      script += [
        'なし',
      ]
    else
      script += skill_script
    end

    script
  end

  def _print_bad_status(skill_key, list)
    skill = list[skill_key]
    unless skill # 該当なし
      puts "skill:#{skill}(#{skill_key}) が設定されていません" if DEVELOP_PRINT_MODE
      return []
    end

    skill_script = (
      [
        skill[:name] + '：',
      ] + skill[:description] + [ ' ',]
    )
    return skill_script
  end

  def _print_tattoo(tattoo_key, list)
    tattoo = list.values.find {|tattoo| tattoo[:key] == tattoo_key }
    unless tattoo # 該当なし
      puts "tattoo:#{skill}(#{tattoo_key}) が設定されていません" if DEVELOP_PRINT_MODE
      return []
    end

    skill_script = (
    [
      tattoo[:name] + '：',
    ] + tattoo[:description] + [ ' ',]
    )
    return skill_script
  end
end
