# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# うどんげ
class Adventurer15Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「一人だからといって…… 絶対に負けたりしない！」',
          '自らを励ますように' + adventurer.short_name + 'は吠える',
        ],
        [
          '「数の力を頼る卑怯者たちめ！ 絶対に負けたりしないわ！」',
          'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するように吠えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会ね）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだいい機会ではないようね） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（また次のチャンスに備えればいいわ…… そのときは、ふふっ、どんな無様な声で啼いてくれるかしら……）',
          ],
          [
            '（うーん、しょうがない、今回は真面目にやることにしようかしら） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
          ],
        ].sample
      end
    else
      [
        [
          '「ふんっ、知性の足りない魔物たちね」',
          adventurer.short_name + 'は敵を眺め武器を構える。',
          '「あなたたちなんかに、' + adventurer.self_call + 'が負けるわけないじゃないっ！」',
        ],
        [
          '「みんな、油断しないでね！」',
          adventurer.short_name + 'は仲間たちに呼びかける',
        ],
      ].sample
    end
  end

  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          slave.short_name + 'は襲いかかる魔物たちをあしらい続けている。',
          '素手とはいえ、' + _adventurer_type + 'である' + slave.short_name + 'にとっては造作もないことなのだろう。',
          'その媚肉が目当ての魔物たちも、殺さぬよう手加減していることも大きいようだ。',
        ],
        [
          '部屋の中には、多数の魔物たちが美女を目当てにぐるりと囲んでいる',
          '「相手にもならないんだから！」',
          slave.short_name + 'は犯そうと襲い掛かる魔物たちをあしらい続けている',
          '「諦めろってのっ！　このぉ！」',
          'だが数が多く、全てを倒してこの地下牢から逃れることは難しいだろう。いまできることは、ここで抵抗し破滅を先延ばしにしながら、チャンスを待ち続けることだけだ。',
        ],
        [
          '素手とはいえ、鍛え上げられた冒険者である' + slave.short_name + 'は魔物たちをさばき続けている。',
          slave.short_name + 'は魔物たちを次々に投げとばし、叩きのめして入るが、息が上がり始めているようだ……',
          '休みを与えぬ魔物たちの波状攻撃は、ゆっくりと' + slave.short_name + 'の体力を削り取っていった……',
        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          '「いい加減にっ、しろったらっ！）',
          '連日休みなく繰り返される怪物たちの攻めを' + slave.short_name + 'はあしらい続けている。',
          'だが休みもなく抗いつづける' + slave.short_name + 'の疲労はたまり続けるばかりだが、魔物たちには交代し、休む余裕もある。',
          slave.short_name + 'の行き着く先が見え始めているのは明らかだった。',
        ],
        [
          '女をぐるりと取り巻く魔物たちは、ゆっくりといたぶるように' + slave.short_name + 'へと襲いかかる。',
          '数匹で同時に襲いかかる戦術を取れないように、' + slave.short_name + 'が障害物を利用しながら慎重に位置を選んでいる、ということも確かにある。',
          'だが魔物たちは知っているのだ。不覚をとらないように常に頭をフル回転させ、位置を選ぶ戦い方をすれば、ジリジリと女は消耗していく。',
          '並の女ならすでに限界が見えている頃だ。' + slave.short_name + 'がいまだしのぎ続けているのは、彼女自身の優れた能力による者だろう。' +
          'だが、このままではいずれ破滅が訪れるであろうことは、' + slave.short_name + 'も薄々気づき始めていた……',
        ],
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。今なら、まだ負けはしない。',
          'だが先行きを考えれば、楽観はできなかった。',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '冷たく、硬い石の床に横たわっても疲れはほとんど取れはしない。',
          'だがそれでも' + slave.short_name + 'は休めなければいけない。助けがくる、あるいは逃げ出す' + 
          'チャンスが巡ってくるまでは体力を一欠片でも温存しておかねばならなかった。',
          '夜、体を休めるのは魔物たちも同じだ。',
          'だが彼らはボロ布やわらでできた思い思いのねぐらで休んでいる。外から襲われる可能性もないねぐらで休む魔物たちは、翌朝には十分に英気を養い、体力を回復させることができる。' + 
          slave.short_name + 'とは大違いだった。',
          '……時間の経過が、' + slave.short_name + 'の不利になることは明らかだった。',
        ],
        [
          '魔物たちをあしらい続ける' + slave.short_name + 'の動きにも、かつてのキレは見えない。',
          'ここ数日で溜まりに溜まった疲労が、' + slave.short_name + 'の肉体を蝕んでいた……。',
          'キレが落ちたとはいえ、' + slave.short_name + 'は未だ魔物たちに屈することはない。' + 
          'だが限界が迫りつつあるのは、' + slave.short_name + '自身も理解していた……',
        ],
        [
          'リーダー格の魔物が一声大きく鳴くと、他の魔物たちも返事をするように声を上げる。',
          'じろじろと、名残惜しげに' + slave.short_name + 'に視線を投げかけながら魔物たちは大きな地下牢からぞろぞろと去り始める。' +
            'ガチャリと錠を下ろした扉の向こうに見張りを残すと、魔物たちはねぐらへと引き上げて行った。',
          'すでに手足は鉛のように重く、息も荒れている。この地下牢の中には柔らかい寝床などどこにもない。硬い床に横たわっても疲労はほとんど抜けず、' +
            '弱っていくばかりだ。それでも' + slave.short_name + 'は一分でも長く眠りを得るために、安全な場所を探して眠りについた。',
          '破滅の足音が、すぐそこまで迫っていることは明らかだった……。',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '（姫様……　師匠……　助けは、本当に来ないの……）',
          '弱音が、心の奥から湧き上がってくる。',
          slave.short_name + 'の心身は、限界に近付きつつあった。',
        ],
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          'すでに手足には鉛のような重さを覚えている。自分が切れ味を失いつつあるのは明らかだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。',
          '今なら、まだ負けはしないだろう。だが限界は、すぐ目の前にまで迫りつつあった。',
        ],
        [
          '重い疲労を全身に感じながら、' + slave.short_name + 'は魔物たちを睨みつける。',
          'まだ、こんなところで負けるわけにはいかなかった。',
          slave.short_name + 'は己を叱咤する。自分で自分を励まさねば、折れてしまいそうだった。',
        ],
      ].sample
    else
      [
        [
          'ぜぇぜぇと' + slave.short_name + 'は荒い息を吐く。',
          '限界を超えた肺腑からはときおりカヒューカヒューと、甲高い笛のような音が漏れる。',
          'すでに' + slave.short_name + 'の肉体が限界を超えていることは明らかだった。',
          '好機と見て迂闊に近づいていきた魔物が、' + slave.short_name + 'の渾身の一撃を喰らって顎を割られて昏倒する。' +
            'もはや精神力だけで戦う' + slave.short_name + 'は、最後の体力を振り絞るように戦う。',
          '手下たちを前に出しながら、リーダー格の魔物は側近たちと' + slave.short_name + 'に狡猾な視線を投げかけている。いずれ' +
            slave.short_name + 'は折れるだろう。いまはただ' + slave.short_name + 'が潰れるのを待てばいいのだ……',
        ],
        [
          '魔物の一匹がついに' + slave.short_name + 'を押し倒した。',
          'ブチブチと服が乱暴に破られる。押しのけようとした右腕が、別の魔物に押さえつけられる。',
          '「くぅぅっ、このぉぉっ！」',
          '押し倒された' + slave.short_name + 'は、必死の力で、魔物の腹を蹴り上げる。うまくみぞおちに入ったことで、魔物は苦しそうに呻きとびのいた。',
          '腕を押さえていた魔物も顔に手刀を入れ、その隙に' + slave.short_name + 
          'は離れることができた。',
          'かろうじて危地を脱することはできたが、崖っぷちにまで自分が追い込まれたのだ。',
          '押し倒され、おしのけることもできず犯されるのは遠い未来ではない。今日か、それとも明日か。',
          slave.short_name + 'の背筋に恐ろしい予感が走り抜けた。',
        ],
        [
          'ぜぇぜぇと' + slave.short_name + 'は荒い息を吐く。',
          '魔力を封じられてさえいなければ、武器さえあれば、仲間さえいれば、体力さえあれば。',
          'こんな雑魚たちなど束になっても相手になるはずがなかった。それが、こんなやつらに追い詰められている。',
          slave.short_name + 'は忌々しく思う。',
          '次の魔物が襲いかかろうとするのをみて、' + slave.short_name + 'は構えをとる。こんなところで、こんなところでこんな奴らに犯されるわけにはいかなかった。',
        ],
        [
          '魔物たちが去ったあとの地下牢で、' + slave.short_name + 'は力なくぐったりと倒れ伏している。',
          'もう指一本も動かす体力も残ってはいない。今日犯されずに済んだことが奇跡のようだ。' +
            'だが悪運もこれまでだろう。今日、ここを抜け出せねば明日には魔物たちに犯されることは間違いない。',
          '今日中に逃げ出さねばならない。そう決意を固めようとするが、まぶたが重くなり、疲労によって意識が暗い泥の中に飲み込まれていく……',
          '……' + slave.short_name + 'はツキからも見放されたようだ……',
        ],
      ].sample
    end
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「ヒヒッ、いままで散々痛めつけられてくれた礼をしないといけねぇよなぁぁぁ！」',
            slave.short_name + 'を後ろから貫く魔物が嗜虐的な声で嗤う',
            '勢いよく叩きつけられる暴力的なストロークの前に、四肢をしっかり押さえつけられた' + slave.short_name + 'は逃げることもできず、' +
              '情けない悲鳴を漏らすまいと必死に唇を閉じている。',
            'だがその仕草が、さらに魔物の嗜虐心に火をつけたようだ。',
            '魔物たちは、' + slave.short_name + 'の尻を勢いよく張る小気味良い音を響かせながら、ドスドスと' + slave.short_name +
              'の秘められたるべき肉穴を抉りたてる。' +
              '快楽を伴う子作りの行為というにはあまりにもえげつない、女を躾け暴力で屈服させるための肉のリンチとでもいうべき行為だった。',
            '「おひぃぃぃっ、おげっ、あぎゃぁっ！ ぎひぃぃ、がぁっ、ひぎぃぃぃぃっ！」',
            '耐えきれずに無様な悲鳴を漏らす' + slave.short_name + 'の姿は、魔物たちの嗜虐欲をさらに煽り立てる。凄惨な陵辱劇はまだ始まったばかりだ。',
          ],
          [
            '「うあぁぁぁっ、ぐぅぅぅ…… あぎぃぃぃっ、ひぃぃっ、ああぁぁぁぁ……」',
            '魔物たちは' + slave.short_name + 'の媚肉に群がる。秘穴はもちろん直腸にも剛直が押入り、二方向からオスの力強さとマゾ快楽を女の肉体に叩き込んでいる。' +
              'もちろん使われているのは両穴だけではない。胸も手も魔物たちの肉棒をもてなすオナホとして使われている。' +
              'あぶれたものは' + slave.short_name + 'の肌や髪に肉棒を擦り付け好き勝手に快楽を味わう。',
            slave.short_name + 'の全身はぶちまけられた精液や先走り液でドロドロに汚されていった。',
            '「こっ、このぉぉぉ…… 調子に、あがぁッ…… 調子にのるなぁぁぁ！」',
            slave.short_name + 'はせめて精神は屈しまいと魔物たちに憎しみの言葉を吐き出す。',
            '「ゲヒャヒャッ、なぁにが調子にのるなだよ。押さえつけられたままたっぷりブチ犯されるだけの肉便器がよぉ」',
            'もちろん魔物たちがそれに動じるはずもない。いまや' + slave.short_name + 'は四肢を押さえつけられ、無様に犯されるだけの肉穴なのだ。',
            '「調子に乗っているのはお前のほうだろぉ？ 今まで痛めつけてくれた分の利子もつけて、肉奴隷の立場ってものをたぁっぷり教えてやるぜェ」',
            '今までの借りを返すかのように、男たちは' + slave.short_name + 'を執拗にいたぶっている……',
          ],
          [
            '「おごっ、んぐぶぅぅぅぅぅ！？」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は苦しげに身をよじらせるが、男はもちろん気にするはずもない。',
            '肉穴も尻穴も口も、それぞれ男たちが己の欲望を吐き出すために塞がれている。',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],
          [
            '夜が更け、媚肉を嬲る背徳の宴は本日の分を終えた。魔物たちも一旦引き上げたようだ。',
            slave.short_name + 'にはたらい一杯分の水が与えられる。白濁液と魔物のドロドロとした得体の知れない体液まみれの肉体を、これでどうにかしろということらしい。',
            '「どうして' + adventurer.self_call + '、こんなに汚されて……」',
            '全身を拭うタオル代わりのボロ切れを絞ると、タライには白くドロドロとした汚らしい液体が広がっていく。もちろん水はそれしかない。' +
              slave.short_name + 'は全身をその汚らしい水で清めるしかないのだ。',
            '「いったい' + adventurer.self_call + 'がどんな悪い事をしたというの……」',
            '静かに言葉を漏らす' + slave.short_name + 'の頬を涙が伝う。その問いに答える者などいない。',
            '女に飢えた魔物たちに敗北した、強いて言えばそれこそが罪なのだ……',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            '夜も更け、魔物たちは' + slave.short_name + 'を嬲ることに疲れたのか、あるいは飽きたのか、すでに地下牢を後にしていた。',
            '静寂が訪れた地下牢の中で、' + slave.short_name + 'はただ一人横たわっている。魔物たちが気遣うはずもなく、その全身は精液まみれの惨めな有様だ。',
            slave.short_name + 'はノロノロと身を起こす。',
            '「うぅぅ…… ようやく終わったの……」',
            '精液と男たちの体液、アザや歯型、手形にまみれ、雪のように白かったはずの' + slave.short_name + 'の素肌は、惨めな有様になっていた。',
            'それはまるで、穢された彼女に刻み込まれた消えぬ汚辱の烙印のようでもあった……',
          ],
          [
            '「おっ、おおおおぉぉぉっ……　いひぃぃ、ナカっ、ナカがあぁぁぁ……」',
            '「おおおおぉぉ、いいぜぇ。ゆっくり動くと膣襞がちんぽの先っぽに愛おしそうに絡みついて、ゆっくり撫であげていくのがたまらねえぇ。」',
            '「ケツ穴もちんぽをギチギチに締め上げてうねってやがる。へへっ、' + slave.short_name + 'チャンが感じているのが丸わかりだぜぇ。」',
            '「うああぁぁぁ、いまっ、いまそんなに動かれたらあぁぁぁ！」',
            '魔物たちに前後に挟まれながら' + slave.short_name + 'は思う存分媚肉を貪られていった……',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            '「おらっ、ただしゃぶるだけじゃなく、舌を出しておちんぽ様の先を舐め上げるんだよっ！」',
            slave.short_name + 'は言われるがままに舌を出し、男の肉棒を舐め、甘い刺激を与えていく。もはやいちいち逆らう気概は残ってはいなかった。',
            '「へへっ、やればできるじゃねえか。これからも男を喜ばせるテクニックをたっぷり教えてやるからなあ」',
            '魔物は嗜虐的な顔で笑う。望んでもいない性技を' + slave.short_name + 'に仕込む理由は己が楽しむために他ならない',
            '「ほら、つぎは肉棒の横を笛を吹くみたいに舐めあげるんだよ、そうだ顔を横に動かして、唇の感触で楽しませるんだ」',
            '逆らえぬまま、' + slave.short_name + 'は肉奴隷としてふさわしい技巧の数々を叩き込まれていった……',
          ],
          [
            '「……こんなひどい行為…… 明日も続くの……」',
            '連日の陵辱は、確実に' + slave.short_name + 'の理性と抵抗を削り落としているようだ。',
            '「穢らわしい……　魔物なんかに、どうして' + slave.self_call + '……」',
            '「師匠、姫様、助けてよ……」',
            '涙声でつぶやく' + slave.short_name + 'の精神は、もはやかつての強靭さを失いつつある……',
          ],
        ].sample
      else
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            slave.short_name + 'はその射精の勢いと、精液の味を楽しむように目を細め、味わいながらこくこくと飲み干していく。魔物の射精の勢いは凄まじく' +
              slave.short_name + 'が飲み込むよりも激しく白濁の欲望を吐き出していくが、女は恍惚の表情のまま必死にガッつくように飲みくだしていく。',
            '魔物が満足げに息を吐いた。一通り精液を吐き出したのだ。すると'  + slave.short_name  + 'は何をすべきかわかっているというように' +
              'オスの肉槍の先端、鈴口に吸い付き、尿道に残った精液をちゅうちゅうと吸い出していく。',
            slave.short_name + 'の表情には、命令への隷従の幸福と精液を熱心に味わう依存症患者の病的な恍惚の表情が浮かんでいた……',
          ],
          [
            '「はっ、んんっ、あっ、はぁぁ……」',
            slave.short_name + 'は鼻にかかった息を漏らしながら魔物の上で腰を振る。',
            '「おおっ、くそっ、いいぞ……　胸がぶるんぶるんって揺れて、絶景だぜぇ……」',
            slave.short_name + 'は魔物を楽しませながら、己も快楽を得るように自分の膣穴の浅いザラザラとしたところに先端を擦らせ、己の弱点を嬲らせる',
            'あっ、と短い声を漏らし、' + slave.short_name + 'は顎を跳ね上げ、喉元を無防備に晒した。' + 
            'どうやら軽く絶頂を迎えたようだ。',
            '快楽をおぼえ絶頂を迎えるたびに、そのどろりとした破滅的な依存性のある肉悦に' + slave.short_name + 'は溺れていく。',
            'もはや' + slave.short_name + 'は何故自分が性行為に溺れているのか、それが命令されたからなのか、それとも己が欲しているからなのか、わからなくなっていた……',
          ],
          [
            '「へへっ、いいぞぉぉ…… そのまま綺麗にするんだぜぇ……」',
            '魔物に命じられるままに' + slave.short_name + 'は、自身の秘穴に精液をたっぷりと膣内射精し、汚れきった肉棒に口腔奉仕する。',
            'もはや抵抗する気力など萎えてしまっていた。',
            '「おぉぉぉ、いいぞぉ。教えた通り吸い上げてやがるぞ、この淫乱めっ」',
            '尿道に残った精液の最後の一滴まで吸いだそうと、' + slave.short_name + 'はちゅうちゅうと男の肉槍の先端に吸い付く。',
            '熱心に奉仕する' + slave.short_name + 'の顔の眼にはもはや理性の輝きは残っておらず、昏く曇ったガラス玉のような瞳があった。',
          ],
        ].sample
      end
    script
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '休みのない手加減なしの陵辱によって冒険者としてのプライドをすべて砕かれ、' + slave.short_name + 'の理性はドロドロに溶かされてしまった。',
        '激しい陵辱の末に、ついに' + slave.short_name + 'は冒険者としての気概をすべて失ってしまった……',
        '女とは男に犯されるための肉穴であり、精液を排泄されるための都合の良い性処理便器なのだ。そう悟った' + slave.short_name +
          'は、虚ろな目で性奴隷になることを宣言した。',
        monster.name + 'たちはそれを聞くとニヤニヤと笑いながら奴隷商人に引き渡した……',
        '「もう、いやっ、いやなのぉぉ……」',
        '「すこしでいいから、すこしでいいから休ませてよぉ……」',
        '「休ませてくれたら、なんでも言うこと聞くからぁ……」',
        '休みのない陵辱と限界を超えた疲労とストレスは、' + slave.short_name + 'から正常な判断能力を奪ってしまった……',
        slave.short_name + 'は' + monster.name + 'たちが求めるままに、奴隷宣言を行った…… それが何を意味するかを理解する知性は、もはや' +
        slave.short_name + 'には残ってはいないだろう……',
        '（' + slave.short_name + 'は奴隷宣言しました。）',
      ],
    ].sample
    script
  end
end
