# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'
# 霊夢
class Adventurer1Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「こちらが一人だからといって、勝てるとは思わないことね！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
        [
          '「退治してあげるわ、さあ来なさい！」',
          '自らを励ますように' + adventurer.short_name + 'は吠える',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、隙だらけじゃない…… 絶好の機会だわ）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今は、そういう時ではないし、待つことにしましょうか……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
          ],
          [
            '（今日のところは、まだ動くべき時ではないわね……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（今日はまだ、様子見ね……）',
          ],
        ].sample
      end
    else
      [
        [
          '「博麗の巫女の実力を、教えてあげるわ！」',
          adventurer.short_name + 'は油断なく構えた',
        ],
        [
          '「すぐに片付けてあげるわ！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
        [
          '「雑魚にかまけている時間はないのよ！」',
          adventurer.short_name + 'は威勢良く叫んだ',
        ],
      ].sample
    end
  end

  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          slave.short_name + 'は襲いかかる魔物たちをあしらい続けている。',
          '素手とはいえ、' + _adventurer_type + 'である' + slave.short_name + 'にとっては造作もないことなのだろう。',
          'その媚肉が目当ての魔物たちも、殺さぬよう手加減していることも大きいようだ。',
          '「ああもううっとおしい！ ' + slave.self_call + 'を怒らせたっていいことないわよ！」',
          '博麗の巫女の奇跡とは恐ろしいものだ。 ただの手刀によって、魔物の骨が折れ、肉が裂ける。魔物が血の混じったよだれを垂らしながら退いていく。' +
            'だが媚肉に群がる魔物たちが次々と現れていく。休みのない責めが' + slave.short_name + 'の体力を少しずつ削り取っていく。',
        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          '「さあ来なさい！ 博麗の巫女の力を見せてあげるわっ！」',
          slave.short_name + 'が祈ると全身に力が満ちていく。博麗の巫女の力がある限りこんな奴らには負けはしない',
          slave.short_name + 'は己の精神が自信を取り戻していくことを感じた',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。' +
            '今日も凌ぎきることができた、それが正直な感想だった。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。' +
            '一方で魔物たちは仲間を呼び、数を増やしつつある。' +
            '「……ああ、もう……」',
          '「貧乏生活のツケがこんなところでくるなんてね……」',
          'こんなところで負けるものか。' + slave.short_name + 'は手に力を込める。博麗の巫女の力は、こんなところで負けはしないのだ。',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '「大丈夫、大丈夫よ…… いつか、いつか逃げ出せる日は来るんだから……」',
          slave.short_name + 'の言葉は、半ば以上は己に言い聞かせるものだった……',
        ],
      ].sample
    else
      [
        [
          '魔物の一匹がついに' + slave.short_name + 'を押し倒した。',
          'ブチブチと服が乱暴に破られる。押しのけようとした右腕が、別の魔物に押さえつけられる。',
          '「くぅぅっ、このっ、離れなさいっ！」',
          '押し倒された' + slave.short_name + 'は、必死の力で、魔物の腹を蹴り上げる。うまくみぞおちに入ったことで、魔物は苦しそうに呻きとびのいた。',
          '腕を押さえていた魔物も顔に手刀を入れ、その隙に' + slave.short_name +
            'は離れることができた。',
          'かろうじて危地を脱することはできたが、崖っぷちにまで自分が追い込まれたのだ。',
          '押し倒され、おしのけることもできず犯されるのは遠い未来ではない。今日か、それとも明日か。',
          slave.short_name + 'の背筋に恐ろしい予感が走り抜けた。',
        ],
      ].sample
    end
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「ヒヒッ、いままで散々痛めつけられてくれた礼をしないといけねぇよなぁぁぁ！」',
            slave.short_name + 'を後ろから貫く魔物が嗜虐的な声で嗤う',
            '勢いよく叩きつけられる暴力的なストロークの前に、四肢をしっかり押さえつけられた' + slave.short_name + 'は逃げることもできず、' +
              '情けない悲鳴を漏らすまいと必死に唇を閉じている。',
            'だがその仕草が、さらに魔物の嗜虐心に火をつけたようだ。',
            '魔物たちは、' + slave.short_name + 'の尻を勢いよく張る小気味良い音を響かせながら、ドスドスと' + slave.short_name +
              'の秘められたるべき肉穴を抉りたてる。' +
              '快楽を伴う子作りの行為というにはあまりにもえげつない、女を躾け暴力で屈服させるための肉のリンチとでもいうべき行為だった。',
            '「おひぃぃぃっ、おげっ、あぎゃぁっ！ ぎひぃぃ、がぁっ、ひぎぃぃぃぃっ！」',
            '耐えきれずに無様な悲鳴を漏らす' + slave.short_name + 'の姿は、魔物たちの嗜虐欲をさらに煽り立てる。凄惨な陵辱劇はまだ始まったばかりだ。',
          ],
          [
            '「うあぁぁぁっ、ぐぅぅぅ…… あぎぃぃぃっ、ひぃぃっ、ああぁぁぁぁ……」',
            '魔物たちは' + slave.short_name + 'の媚肉に群がる。秘穴はもちろん直腸にも剛直が押入り、二方向からオスの力強さとマゾ快楽を女の肉体に叩き込んでいる。' +
              'もちろん使われているのは両穴だけではない。胸も手も魔物たちの肉棒をもてなすオナホとして使われている。' +
              'あぶれたものは' + slave.short_name + 'の肌や髪に肉棒を擦り付け好き勝手に快楽を味わう。',
            slave.short_name + 'の全身はぶちまけられた精液や先走り液でドロドロに汚されていった。',
            '「こっ、このぉぉぉ…… 調子に、あがぁッ…… 調子にのるなぁぁぁ！」',
            slave.short_name + 'はせめて精神は屈しまいと魔物たちに憎しみの言葉を吐き出す。',
            '「ゲヒャヒャッ、なぁにが調子にのるなだよ。押さえつけられたままたっぷりブチ犯されるだけの肉便器がよぉ」',
            'もちろん魔物たちがそれに動じるはずもない。いまや' + slave.short_name + 'は四肢を押さえつけられ、無様に犯されるだけの肉穴なのだ。',
            '「調子に乗っているのはお前のほうだろぉ？ 今まで痛めつけてくれた分の利子もつけて、肉奴隷の立場ってものをたぁっぷり教えてやるぜェ」',
            '今までの借りを返すかのように、男たちは' + slave.short_name + 'を執拗にいたぶっている……',
          ],
          [
            '「へへっ、今までの生意気な態度が嘘のようだなあ、' + slave.short_name + 'チャンよぉ」',
            '魔物の一体が嘲るように笑う。',
            '「女ってやつは、男にブチ犯されて孕むための肉袋なんだからよぉ、身の程ってやつをたっぷり叩き込んでやるから覚悟しておけよぉ」',
            slave.short_name + 'は返事をしない。いやすることができないのだ。秘穴はもちろん尻穴も口すらも肉棒で塞がれている、という事実は確かにある。',
            'だがぐるりと上を向いた' + slave.short_name + 'の瞳には意志の光がほとんど残っていない。その理由は首筋にある注射痕にあった。',
            slave.short_name + 'は危険なほど激しくガクガクと痙攣する。それはまるでたちの悪い疫病の高熱に浮かされる者のようだ。',
            '超強力な媚薬を、致死量ギリギリまで使われた' + slave.short_name + 'にはもはやまともな判断能力や思考能力は残っていない。ただ流し込まれる快楽に反応するだけの肉穴と化していた。',
            '「へへっ、淫乱な' + slave.short_name + 'ちゃんはまたイッたのかよ。本当にこらえ性のないマゾ豚だな」',
            '「こんな桁違いの快楽を知ったらもう二度ともとには戻れないからなぁ。イクたびに人生が台無しにされていく気分はどうだぁ、' + slave.short_name + 'チャンよぉ」',
            '女の心身に深刻な後遺症をもたらす行為を容赦なく続けながら、魔物たちは' + slave.short_name + 'を躾け、奴隷としての幸福を叩き込んでいく……',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            '「んぐぅぅっ、おごっ、うぐぶぅぅっ」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は苦しげに呻くが、必死に鼻で呼吸を行い、なんとか酸素を確保している。',
            '男がブルブルと震える。限界が近いようだ。',
            'どぴゅっ、ぐびゅるっ、ぶぴゅるるるるっ',
            '欲望の塊である大量の精液が' + slave.short_name + 'の口腔内にたっぷりと吐き出されていく。',
            slave.short_name + 'は魔物が頭を放さないことを見て取ると、おとなしく濃厚な精液をゴクリゴキュリと喉を鳴らして飲み干していく。',
            '大量の精液を、呼吸を奪われずにいなすための最善の方策はできるだけ味合わずに飲み干すことだと' + slave.short_name + 'は考えたようだ。',
            '「ふいー、出した、出したぁ……　なかなかいい口まんこ穴だったぜぇ」',
            '魔物は満足げに呟くと、野太い肉槍を' + slave.short_name + 'の口から引き抜き、おまけとばかりに肉槍に残ったどろりとした精液を' + slave.short_name + 'の顔になすりつけた。',
            slave.short_name + 'の美しかったはずの顔は、精液や先走り液、よだれでドロドロに汚されてひどい有様だ。',
            'だが' + slave.short_name + 'は半ば放心したようなぼんやりとした顔でされるがままになっていた……',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],
          [
            '夜も更け、魔物たちは' + slave.short_name + 'を嬲ることに疲れたのか、あるいは飽きたのか、すでに地下牢を後にしていた。',
            '静寂が訪れた地下牢の中で、' + slave.short_name + 'はただ一人横たわっている。魔物たちが気遣うはずもなく、その全身は精液まみれの惨めな有様だ。',
            slave.short_name + 'はノロノロと身を起こす。',
            '「うぅぅ…… ようやく終わったの……」',
            '答えるものはいない。秘所からどぷり、ごぷりと逆流する精液が地下牢の床に汚らしい精液の水たまりを作る。' +
              '精液の量が彼女に加えられた桁外れの陵辱の凄まじさを物語っていた。',
            slave.short_name + 'はノロノロと牢の隅を目指す。そこには地下水が溜まった水たまりがあった。汚くはないが清潔とも言えない。' +
              'だが彼女には他に選択肢がなかった。そこに、かつて己の衣服だったボロ布をひたし、肌をぬぐうことで身を清めていく。',
            '何度ふこうとも、ドロリとした精液の気色悪い感触は消えはしない…… 消えないそれはまるで、' +
              slave.short_name + '自身の心に刻まれた白い汚濁の刻印そのもののようだった。',
          ],
          [
            'ようやく魔物たちが去った地下牢の中央で、' + slave.short_name + 'は力なく座り込んでいる',
            '「うぅぅ……　こんなひどい行為が、明日も続くの……」',
            '連日の陵辱は、確実に' + slave.short_name + 'の理性と抵抗を削り落としているようだ。',
            '「巫女にとって純潔は大事なものなのに……」',
            'ドロリとした精液が、' + slave.short_name + 'の秘裂から逆流し始めた。その大量の精液は、彼女の子宮に今日射精された精液の量の規格外さを物語っている。',
            '「……こんな、こんな魔物たちの子供をもし妊娠したら……」',
            slave.short_name + 'は青ざめた顔でブルリと震えた……',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            'このあと魔物が何を要求してくるかなど、言われずとも分かっている。飲み込め、とそう言うのだ。命令を待たずに' +
              slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
            slave.short_name + 'の精神は、すでに魔物たちに屈服しつつある。それを本人が理解していないのは、果たして幸福なことなのだろうか……',
          ],
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            'すでに触れられれば痛みしか感じないその胸に、男の毛むくじゃらの手が伸びる。もちろん男がたっぷりと揉みしだき感触を楽しむためだ。そこに、' + slave.short_name + 'への思いやりなどひとかけらもありはしない……',
          ],
          [
            '「おおぉぉぉぉっ、おおっ、射精すぞ、射精すぞぉっ！」',
            'ブルブルと震えながら魔物は肉棒の先から白い欲望の滾りを' + slave.short_name + 'の口内に吐き出していく。',
            slave.short_name + 'はそれに従順に、喉を鳴らしながら濃厚の精液を飲み干していく。',
            'それどころか手で玉袋をやわやわと刺激し、口で先端に吸い付きながら射精を促している……',
            '「へへっ、朝からたっぷりとイキ狂わせてやったからなぁ。すっかりトリップしてやがる。」',
            '「もう' + slave.short_name + 'チャンは、すっかりちんぽの虜って顔してるぜ」',
            '博麗の巫女を快楽に溺れさせてやった征服感に、魔物たちはゲラゲラと笑う。',
            'その声を聞こえていないのか、あるいは言葉を理解する思考能力が麻痺しているのか、' + slave.short_name + 'は何の反応も示さずえげつない輪姦がもたらす気が狂うほどの快楽に溺れていた……',
          ],
        ].sample
      else
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            slave.short_name + 'はその射精の勢いと、精液の味を楽しむように目を細め、味わいながらこくこくと飲み干していく。魔物の射精の勢いは凄まじく' +
              slave.short_name + 'が飲み込むよりも激しく白濁の欲望を吐き出していくが、女は恍惚の表情のまま必死にガッつくように飲みくだしていく。',
            '魔物が満足げに息を吐いた。一通り精液を吐き出したのだ。すると'  + slave.short_name  + 'は何をすべきかわかっているというように' +
              'オスの肉槍の先端、鈴口に吸い付き、尿道に残った精液をちゅうちゅうと吸い出していく。',
            slave.short_name + 'の表情には、命令への隷従の幸福と精液を熱心に味わう依存症患者の病的な恍惚の表情が浮かんでいた……',
          ],
          [
            '「おおぉぉぉぉっ、おおっ、射精すぞ、射精すぞぉっ！」',
            'ブルブルと震えながら魔物は肉棒の先から白い欲望の滾りを' + slave.short_name + 'の口内に吐き出していく。',
            slave.short_name + 'はそれに従順に、喉を鳴らしながら濃厚の精液を飲み干していく。',
            'それどころか手で玉袋をやわやわと刺激し、口で先端に吸い付きながら射精を促している……',
            '「へへっ、いいぜぇ。もうすっかり肉奴隷としての仕草が板についてきたじゃねえか。」',
            '「もう' + slave.short_name + 'チャンは、すっかりちんぽの虜って顔してるぜ。俺たちが躾けてやったおかげだな」',
            '博麗の巫女を快楽に溺れさせてやった征服感に、魔物たちはゲラゲラと笑う。',
            slave.short_name + 'は魔物たちの嘲る声に、媚びた笑顔でにへらと笑った。',
            '精液まみれで知性が壊れかけているその顔には、後戻りできぬ程の快楽を数え切れぬほど味あわされた女の顔があった。かつて博麗の巫女と呼ばれた凛々しい面影はもはや、かけらも残ってはいない。',
          ],
          [
            '「へへっ、いいぞぉぉ…… そのまま綺麗にするんだぜぇ……」',
            '魔物に命じられるままに' + slave.short_name + 'は、自身の秘穴に精液をたっぷりと膣内射精し、汚れきった肉棒に口腔奉仕する。',
            'もはや抵抗する気力など萎えてしまっていた。',
            '「おぉぉぉ、いいぞぉ。教えた通り吸い上げてやがるぞ、この淫乱めっ」',
            '尿道に残った精液の最後の一滴まで吸いだそうと、' + slave.short_name + 'はちゅうちゅうと男の肉槍の先端に吸い付く。',
            '熱心に奉仕する' + slave.short_name + 'の顔の眼にはもはや理性の輝きは残っておらず、昏く曇ったガラス玉のような瞳があった。',
          ],
        ].sample
      end
    script
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '「うぅ……　言う……　言うから……　んっ、ああぁっ、ひっ、ああぁぁぁ♪」',
        monster.name + 'に促されるままに' + slave.short_name + 'は己を貶める屈服の言葉を述べていく……',
        '「' + slave.self_call + 'はおちんぽをハメていただくための肉奴隷です、性処理便器です……」',
        'かつて博麗の巫女と呼ばれ、多くの妖怪たちを実力でねじ伏せてきた' + slave.short_name + 'には、もはやかつての威厳などかけらも残ってはいない。',
        '「いまっナカに、あっ♪　びゅくびゅくせーえき出されて、情けなくイッてる淫乱マゾ女です♪」',
        'やさしいストロークで膣内をかき回されながら、膣内射精の甘い幸福に' + slave.short_name + 'は浸っている。',
        'もはや' + monster.name + 'たちの腰使いに激しさはなく、ゆっくりとお互いに快楽を楽しむような動きになっている。',
        'かつては' + monster.name + 'も' + slave.short_name + 'の両腕や全身を押さえつけていたが、いまは乱暴な真似はしない。',
        '完全にセックスに溺れ、快楽に従順になった' + slave.short_name + 'には抵抗はおろか、逃げ出す気概すらもありはしない。',
        'そもそもなぜこれほど気持ちの良い行為から逃げ出さねばらないのだろうか。' + slave.short_name + 'は本気でそう考えていた。',
        '手は己を貫く' + monster.name + 'の手をしっかりと握り、指を絡めあっている。脚も' + monster.name + 'のたくましい胴に甘えるように巻き付いていた。',
        'まるで愛する恋人との睦みあうような姿。' + slave.short_name + 'は' + monster.name + 'が求めれば舌を絡め口付けに応じ、射精されるたびに甘い声で啼いた。',
        'もはやその姿は、男たちにとって都合の良い性処理のための肉奴隷そのものだ',
        '精神を容赦なく砕いていく凄まじいストレスを前に、' + slave.short_name + 'は自分の精神を「騙す方便」を考えることで己の心を壊れる前に守ったのだ。',
        '女とは生来淫らな生き物なので、快楽に溺れてしまうことは悪いことではない。',
        monster.name + 'たちの命令に従うことは「ひどいこと」をされないための行為なので悪いことではない。',
        'セックスとは、淫乱な自分が望んでいることであるから嫌なことではない。',
        'その詭弁がおかしいと感じる知性は、もはや' + slave.short_name + 'の中には残っていなかった。',
        '「はぁぁ……　' + slave.self_call + '、こんなにいっぱい抱いてもらえて、とっても幸せれしゅぅ♪」',
        'そう言う' + slave.short_name + 'の瞳はガラス玉のようだった……',
        '……' + slave.short_name + 'は' + monster.name + 'たちに命じられるままに奴隷宣言を行った。',
        slave.short_name + '本人には、自分が宣言した言葉の意味を理解するための知性はもはや残ってはいないだろう……',
      ],
    ].sample
    script
  end
end
