# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 早苗
class Adventurer31Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「こちらが一人なら勝てると思ったんですか？ いいでしょう。いま風祝の奇跡をお見せしましょう！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
        [
          '「数の力で押すことしかできないんですか？ いいでしょう。一人でも風祝の巫女は負けないということを示してあげましょう！」',
          'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するように吠えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会ですね）',
          '（殿方に跪く屈服の悦びを知れば、きっと皆さんも分かってくれると' + adventurer.self_call + 'は信じていますから……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだ分が悪いようですね） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（チャンスはいくらでもあります。今はうかがうことにしましょう……）',
          ],
          [
            '（今はよい風が来ておりませんね……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（待つのも仕事。いまはせいぜい信頼を稼いでおきましょう……）',
          ],
        ].sample
      end
    else
      [
        [
          '「こんな雑魚相手にでも、倒せば信仰を集めることにもつながるでしょう！」',
          '「さあ、どこからでもかかってきなさい！」',
          adventurer.short_name + 'は威勢よく叫んだ',
        ],
        [
          '「風祝の祝福を受けた' + adventurer.self_call + 'が負けるわけがありません！」',
          '「さあ、どこからでもきなさい！」',
          adventurer.short_name + 'は油断なく構えた',
        ],
      ].sample
    end
  end

  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          slave.short_name + 'は襲いかかる魔物たちをあしらい続けている。',
          '素手とはいえ、' + _adventurer_type + 'である' + slave.short_name + 'にとっては造作もないことなのだろう。',
          'その媚肉が目当ての魔物たちも、殺さぬよう手加減していることも大きいようだ。',
        ],
        [
          '部屋の中には、多数の魔物たちが' + slave.short_name  + 'を目当てにぐるりと囲んでいる',
          '「さあ、その程度では風祝の巫女は倒せませんよ！」',
          slave.short_name + 'は犯そうと襲い掛かる魔物たちをあしらい続けている',
          '（それにしても、数が多い！）',
          'だが数が多く、全てを倒してこの地下牢から逃れることは難しいだろう。いまできることは、ここで抵抗し破滅を先延ばしにしながら、チャンスを待ち続けることだけだ。',
        ],
        [
          '素手とはいえ、鍛え上げられた冒険者である' + slave.short_name + 'は魔物たちをさばき続けている。',
          slave.short_name + 'は魔物たちを次々に投げとばし、叩きのめして入るが、息が上がり始めているようだ……',
          '休みを与えぬ魔物たちの波状攻撃は、ゆっくりと' + slave.short_name + 'の体力を削り取っていった……',
        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          '「いい加減っ、しつこいですよっ！」',
          '連日休みなく繰り返される怪物たちの攻めを' + slave.short_name + 'はあしらい続けている。',
          'だが休みもなく抗いつづける' + slave.short_name + 'の疲労はたまり続けるばかりだが、魔物たちには交代し、休む余裕もある。',
          slave.short_name + 'の行き着く先が見え始めているのは明らかだった。',
        ],
        [
          '女をぐるりと取り巻く魔物たちは、ゆっくりといたぶるように' + slave.short_name + 'へと襲いかかる。',
          '数匹で同時に襲いかかる戦術を取れないように、' + slave.short_name + 'が障害物を利用しながら慎重に位置を選んでいる、ということも確かにある。',
          'だが魔物たちは知っているのだ。不覚をとらないように常に頭をフル回転させ、位置を選ぶ戦い方をすれば、ジリジリと女は消耗していく。',
          '並の女ならすでに限界が見えている頃だ。' + slave.short_name + 'がいまだしのぎ続けているのは、彼女自身の優れた能力による者だろう。' +
            'だが、このままではいずれ破滅が訪れるであろうことは、' + slave.short_name + 'も薄々気づき始めていた……',
        ],
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。今なら、まだ負けはしない。',
          'だが先行きを考えれば、楽観はできなかった。',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '冷たく、硬い石の床に横たわっても疲れはほとんど取れはしない。',
          'だがそれでも' + slave.short_name + 'は休めなければいけない。助けがくる、あるいは逃げ出す' +
            'チャンスが巡ってくるまでは体力を一欠片でも温存しておかねばならなかった。',
          '夜、体を休めるのは魔物たちも同じだ。',
          'だが彼らはボロ布やわらでできた思い思いのねぐらで休んでいる。外から襲われる可能性もないねぐらで休む魔物たちは、翌朝には十分に英気を養い、体力を回復させることができる。' +
            slave.short_name + 'とは大違いだった。',
          '……時間の経過が、' + slave.short_name + 'の不利になることは明らかだった。',
        ],
        [
          '魔物たちをあしらい続ける' + slave.short_name + 'の動きにも、かつてのキレは見えない。',
          'ここ数日で溜まりに溜まった疲労が、' + slave.short_name + 'の肉体を蝕んでいた……。',
          'キレが落ちたとはいえ、' + slave.short_name + 'は未だ魔物たちに屈することはない。' +
            'だが限界が迫りつつあるのは、' + slave.short_name + '自身も理解していた……',
        ],
        [
          'リーダー格の魔物が一声大きく鳴くと、他の魔物たちも返事をするように声を上げる。',
          'じろじろと、名残惜しげに' + slave.short_name + 'に視線を投げかけながら魔物たちは大きな地下牢からぞろぞろと去り始める。' +
            'ガチャリと錠を下ろした扉の向こうに見張りを残すと、魔物たちはねぐらへと引き上げて行った。',
          'すでに手足は鉛のように重く、息も荒れている。この地下牢の中には柔らかい寝床などどこにもない。硬い床に横たわっても疲労はほとんど抜けず、' +
            '弱っていくばかりだ。それでも' + slave.short_name + 'は一分でも長く眠りを得るために、安全な場所を探して眠りについた。',
          '破滅の足音が、すぐそこまで迫っていることは明らかだった……。',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '（助けは、本当に来ないのかな…… 諏訪子様、神奈子様……）',
          '弱音が、心の奥から湧き上がってくる。',
          slave.short_name + 'の心身は、限界に近付きつつあった。',
        ],
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          'すでに手足には鉛のような重さを覚えている。自分が切れ味を失いつつあるのは明らかだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。',
          '今なら、まだ負けはしないだろう。だが限界は、すぐ目の前にまで迫りつつあった。',
        ],
        [
          '重い疲労を全身に感じながら、' + slave.short_name + 'は魔物たちを睨みつける。',
          'まだ、こんなところで負けるわけにはいかなかった。',
          slave.short_name + 'は己を叱咤する。自分で自分を励まさねば、折れてしまいそうだった。',
        ],
      ].sample
    else
      [
        [
          'ぜぇぜぇと' + slave.short_name + 'は荒い息を吐く。',
          '限界を超えた肺腑からはときおりカヒューカヒューと、甲高い笛のような音が漏れる。',
          'すでに' + slave.short_name + 'の肉体が限界を超えていることは明らかだった。',
          '好機と見て迂闊に近づいていきた魔物が、' + slave.short_name + 'の渾身の一撃を喰らって顎を割られて昏倒する。' +
            'もはや精神力だけで戦う' + slave.short_name + 'は、最後の体力を振り絞るように戦う。',
          '手下たちを前に出しながら、リーダー格の魔物は側近たちと' + slave.short_name + 'に狡猾な視線を投げかけている。いずれ' +
            slave.short_name + 'は折れるだろう。いまはただ' + slave.short_name + 'が潰れるのを待てばいいのだ……',
        ],
        [
          '魔物の一匹がついに' + slave.short_name + 'を押し倒した。',
          'ブチブチと服が乱暴に破られる。押しのけようとした右腕が、別の魔物に押さえつけられる。',
          '「くぅぅっ、このぉぉっ！」',
          '押し倒された' + slave.short_name + 'は、必死の力で、魔物の腹を蹴り上げる。うまくみぞおちに入ったことで、魔物は苦しそうに呻きとびのいた。',
          '腕を押さえていた魔物も顔に手刀を入れ、その隙に' + slave.short_name +
            'は離れることができた。',
          'かろうじて危地を脱することはできたが、崖っぷちにまで自分が追い込まれたのだ。',
          '押し倒され、おしのけることもできず犯されるのは遠い未来ではない。今日か、それとも明日か。',
          slave.short_name + 'の背筋に恐ろしい予感が走り抜けた。',
        ],
        [
          'ぜぇぜぇと' + slave.short_name + 'は荒い息を吐く。',
          '魔力を封じられてさえいなければ、武器さえあれば、仲間さえいれば、体力さえあれば。',
          'こんな雑魚たちなど束になっても相手になるはずがなかった。それが、こんなやつらに追い詰められている。',
          slave.short_name + 'は忌々しく思う。',
          '次の魔物が襲いかかろうとするのをみて、' + slave.short_name + 'は構えをとる。こんなところで、こんなところでこんな奴らに犯されるわけにはいかなかった。',
        ],
        [
          '魔物たちが去ったあとの地下牢で、' + slave.short_name + 'は力なくぐったりと倒れ伏している。',
          'もう指一本も動かす体力も残ってはいない。今日犯されずに済んだことが奇跡のようだ。' +
            'だが悪運もこれまでだろう。今日、ここを抜け出せねば明日には魔物たちに犯されることは間違いない。',
          '今日中に逃げ出さねばならない。そう決意を固めようとするが、まぶたが重くなり、疲労によって意識が暗い泥の中に飲み込まれていく……',
          '……' + slave.short_name + 'はツキからも見放されたようだ……',
        ],
      ].sample
    end
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '休みのない手加減なしの陵辱によって冒険者としてのプライドをすべて砕かれ、' + slave.short_name + 'の理性はドロドロに溶かされてしまった。',
        '激しい陵辱の末に、ついに' + slave.short_name + 'は冒険者としての気概をすべて失ってしまった……',
        '女とは男に犯されるための肉穴であり、精液を排泄されるための都合の良い性処理便器なのだ。そう悟った' + slave.short_name +
          'は、虚ろな目で性奴隷になることを宣言した。',
        monster.name + 'たちはそれを聞くとニヤニヤと笑いながら奴隷商人に引き渡した……',
        '「あはっ、もっと、もっとおちんぽをください♡」',
        '「どうか、どうか' + slave.self_call + 'を犯してください、気絶するくらい徹底的に♪」',
        slave.short_name + 'は男たちに囲まれながら、自分から熱心に奉仕し、腰を振りたくる。',
        '媚びた笑顔が浮かぶ' + slave.short_name + 'の顔はどこか虚ろで、その瞳には理性の光はない。',
        '「信仰のために、' + slave.self_call + '、頑張りますから！」」',
        '限界を超えた' + monster.name + 'たちとの陵辱の中で、' + slave.short_name + 'の心は完全に擦り切れてしまっていた。',
        '愛してもいない男たちとの休みのない性行為を、信仰のための行為とすり替えることは、' + slave.short_name + '自身が心が完全に壊れることを防ぐための自己防衛行為だった。',
        'もっともそれは、完全に壊れることを防いだだけで、全ては取り返しがつかなくなっていた。',
        '……もう' + slave.short_name + 'の心は二度と元には戻らないだろう。',
        '（' + slave.short_name + 'は奴隷宣言しました。）',
      ],
    ].sample
    script
  end
end
