# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# アリス
class Adventurer3Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「こちらが一人だからといって、勝てるとは思わないことね！」',
          adventurer.short_name + 'は吠えると人形たちに武器を構えさせた。',
        ],
        [
          '「' + adventurer.self_call + 'にはこの子たちがいるわ、さあ来なさい！」',
          '自らを励ますように、' + adventurer.short_name + 'は魔物たちに向かって叫んだ',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、隙だらけだわ…… 悪いけれど、これもご主人様の為なの……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今は、そういう時ではないし、待つことにするとしましょう……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
          ],
          [
            '（今日のところは、まだ動くべき時では、ないということかしらね……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（今はまだ、様子見ね……）',
          ],
        ].sample
      end
    else
      [
        [
          '「さあ来なさい！ ' + adventurer.self_call + 'の実力を、教えてあげるわ！」',
          '糸に操られた人形たちが' + adventurer.short_name + 'の周りを舞う。',
          '人形たちの中心で、' + adventurer.short_name + 'は油断なく構えた',
        ],
        [
          '「どこからでも来なさい！ この子達がすぐに片付けてあげるわ！」',
          adventurer.short_name + 'は吠えると人形たちを操り、戦闘態勢を整えた。',
        ],
      ].sample
    end
  end

  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          slave.short_name + 'は襲いかかる魔物たちをあしらい続けている。',
          '素手とはいえ、' + _adventurer_type + 'である' + slave.short_name + 'にとっては造作もないことなのだろう。',
          'その媚肉が目当ての魔物たちも、殺さぬよう手加減していることも大きいようだ。',
          '「ああもう、しつこいったら！ ' + slave.self_call + 'はかんたんに諦めたりしないわよ！」',
          '大量の人形たちを操る' + slave.short_name + 'の手指の力はそれだけでも恐ろしいものがある。。 ただの手刀によって、魔物の骨が折れ、肉が裂ける。魔物が血の混じったよだれを垂らしながら退いていく。' +
            'だが媚肉に群がる魔物たちが次々と現れていく。休みのない責めが' + slave.short_name + 'の体力を少しずつ削り取っていく。',
        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          '「さあ来なさい！ ' + slave.self_call + 'はこんなところでは負けはしないわっ！」',
          slave.short_name + 'は魔物たちを睨みつける。そうとも、こんなところで負けるわけにはいかないのだ',
          slave.short_name + 'は己の精神が自信を取り戻していくことを感じた',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も与えられず、弱っていくばかりだ。',
          'すでに手足には鉛のような重さを覚えている。自分が切れ味を失いつつあるのは明らかだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。',
          '（まだ、戦える…… まだ折れはしない……　まだ、今は……）',
          '今なら、まだ負けはしないだろう。だが限界は、すぐ目の前にまで迫りつつあった。',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '「大丈夫、大丈夫よ…… いつか、いつか逃げ出せる日は来るんだから……」',
          slave.short_name + 'の言葉は、半ば以上は己に言い聞かせるものだった……',
        ],
      ].sample
    else
      [
        [
          'ぜぇぜぇと' + slave.short_name + 'は荒い息を吐く。',
          '魔力を封じられてさえいなければ、武器さえあれば、仲間さえいれば、体力さえあれば。',
          'こんな雑魚たちなど束になっても相手になるはずがなかった。それが、こんなやつらに追い詰められている。',
          '「まだよ…… こんなところで' + slave.self_call + 'が、こんなやつらに汚されるわけには……」',
          slave.short_name + 'は忌々しく思う。',
          '次の魔物が襲いかかろうとするのをみて、' + slave.short_name + 'は構えをとる。こんなところでこんな奴らに犯されるわけにはいかなかった。',
        ],
      ].sample
    end
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「ヒヒッ、いままで散々痛めつけられてくれた礼をしないといけねぇよなぁぁぁ！」',
            slave.short_name + 'を後ろから貫く魔物が嗜虐的な声で嗤う',
            '勢いよく叩きつけられる暴力的なストロークの前に、四肢をしっかり押さえつけられた' + slave.short_name + 'は逃げることもできず、' +
              '情けない悲鳴を漏らすまいと必死に唇を閉じている。',
            'だがその仕草が、さらに魔物の嗜虐心に火をつけたようだ。',
            '魔物たちは、' + slave.short_name + 'の尻を勢いよく張る小気味良い音を響かせながら、ドスドスと' + slave.short_name +
              'の秘められたるべき肉穴を抉りたてる。' +
              '快楽を伴う子作りの行為というにはあまりにもえげつない、女を躾け暴力で屈服させるための肉のリンチとでもいうべき行為だった。',
            '「おひぃぃぃっ、おげっ、あぎゃぁっ！ ぎひぃぃ、がぁっ、ひぎぃぃぃぃっ！」',
            '耐えきれずに無様な悲鳴を漏らす' + slave.short_name + 'の姿は、魔物たちの嗜虐欲をさらに煽り立てる。凄惨な陵辱劇はまだ始まったばかりだ。',
          ],
          [
            '「へへっ、どうだぁ？　おいらの魔羅の味はよぉ？」',
            '「あら、入っていたの？　小さすぎて分からなかったわ」',
            '勝ちほこる魔物に対して、' + slave.short_name + 'は減らず口を叩く。' + 
            '魔物に犯されながらも悪態をつけるのは彼女の精神の強さゆえと言えるだろう。',
            '「へへへっ、いいぜぇ。生意気な雌ブタは嫌いじゃねぇっ」',
            '「オラッ、粗チンかどうか、自分の穴ボコでわからせてやるぜぇ！！」',
            slave.short_name + 'の腰をがっちりとホールドした魔物はそう言うと、猛烈なストロークを開始した。',
            'ゴツッ！　ドゴッ！　およそセックスと呼ぶにはふさわしくない音が聞こえるほどの激しい抽迭が' + slave.short_name + 'の膣奥めがけてくりだされる。',
            '上から下へ、重力に加えて体重を乗せた一撃が、持ち上げられた' + slave.short_name + 'の尻から子宮に向けて振り下ろされる。',
            '「あがっ！　がぁぁっ！　おげぇっ、ぁがあぁぁぁ！」',
            'それはレイプというより肉のリンチとでもいうべき代物だった。それも女の最も無防備で神聖な場所、子宮を容赦なくいたぶる肉のリンチ。',
            '肉体の内側から、' + slave.short_name + 'は容赦なく痛めつけられ、男に逆らったことの代償の大きさを精神に刻み込まれていった……',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            'ようやく今日の肉の宴は終わりを迎えたようだ。魔物たちはぞろぞろと引き上げていくが、地下牢の冷たい地面にボロ雑巾同然の状態で' +
              '横たわっている' + slave.short_name + 'を気遣うものなど誰もいない。',
            slave.short_name + 'の秘所からはドロリとした子種汁が尽きることなく溢れてくる。もちろん尻穴も同様だ。',
            'だが消耗しきった心身はもはやそのようなことなど「どうでもいい」と思い始めていた。消耗による己の惨めさの受容。それこそが' +
              '陵辱屈服調教の狙いなのだ。そんなことは' + slave.short_name + 'にも分かっている。だが今は休息が欲しかった。',
            '生暖かい白濁液が逆流してくる気色悪い感覚を味わいながら、' + slave.short_name + 'はぐったりと地下牢の床に倒れ伏している。' +
              '得体の知れぬ体液が混じり合い、テラテラと輝く' + slave.short_name + 'の白い肌を地下牢の薄明かりが照らしていた……',
          ],
          [
            'ようやく魔物たちが去った地下牢の中央で、' + slave.short_name + 'は力なく座り込んでいる',
            '「うぅぅ……　こんなひどい行為を、明日も続けるっていうの……」',
            '連日の陵辱は、確実に' + slave.short_name + 'の理性と抵抗を削り落としているようだ。',
            '「許さない、絶対に許さないんだから……」',
            'ドロリとした精液が、' + slave.short_name + 'の秘裂から逆流し始めた。その大量の精液は、彼女の子宮に今日射精された精液の量の規格外さを物語っている。',
            '「……こんな、こんな魔物たちの子供をもし妊娠したら……」',
            'その先に待ち受けているであろう悪夢のような未来を想像した' + slave.short_name + 'は、青ざめた顔でブルリと震えた……',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            '「オラッ、どうすればいいかわかるだろぉ？」',
            '「それとも、また『おしおき』してほしいかぁ？」',
            slave.short_name + 'はノロノロと、しかし抵抗するそぶりは見せずに魔物の肉棒の先端に口づけすると、口に含んだ。',
            '全てはここに来てから叩き込まれた肉棒への口腔奉仕の手順だった。',
            '口に含んだ肉棒が放つ生ぐさくすえた臭いを意識の外に追い出しながら、頬をすぼめ口腔粘膜全体で味わうようにしながら' + 
            slave.short_name + 'は肉棒に熱心に奉仕する。',
            'もはや抵抗する気力など萎えてしまっていた。',
            '前の穴も尻穴も、すべての穴を嬲られ、また自分からも腰を振りながら' + slave.short_name + 'は魔物たちのオナホ穴として貶められていった……',
          ],
        ].sample
      else
        [
          [
            '「あっ、はぁぁぁ……　んっ、ひぃぃ……」',
            '魔物の上に跨り腰を振りながら、' + slave.short_name + 'は甘い吐息を吐く。',
            'もちろん己の意思で魔物との性行為を望んだわけではない。',
            '「オラッ、もっと気合い入れて尻を振らねぇかっ！」',
            'バチィィッ！',
            '威勢のいい音が響く。魔物が' + slave.short_name + 'の尻を思い切り平手で張ったのだ。',
            '「やります……　やりますから、だから痛くしないで……」',
            'どうせ魔物たちの陵辱から逃れることはできない。それならばせめて苦痛を受けない方法を選びたい。三穴を容赦なくえぐられるより、一人を相手に己から腰を振った方がマシなのだ。',
            'たとえそれが衆人環視の、精神を容赦なく削り落とす見世物としての陵辱であったとしても……',
          ],
          [
            '「へへっ、いいぞぉぉ…… そのまま綺麗にするんだぜぇ……」',
            '魔物に命じられるままに' + slave.short_name + 'は、自身の秘穴に精液をたっぷりと膣内射精し、汚れきった肉棒に口腔奉仕する。',
            'もはや抵抗する気力など萎えてしまっていた。',
            '「おぉぉぉ、いいぞぉ。教えた通り吸い上げてやがるぞ、この淫乱めっ」',
            '尿道に残った精液の最後の一滴まで吸いだそうと、' + slave.short_name + 'はちゅうちゅうと男の肉槍の先端に吸い付く。',
            '熱心に奉仕する' + slave.short_name + 'の顔の眼にはもはや理性の輝きは残っておらず、昏く曇ったガラス玉のような瞳があった。',
          ],
        ].sample
      end
    script
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '「あはっ、おちんぽっ、おちんぽぉ……♡」',
        slave.short_name + 'はにへらと笑うと、新たな' + monster.name + 'の肉棒に自分から吸いついた。',
        '浅ましく男たちのかつて' + slave.short_name + 'の整った顔に浮かんでいた怜悧な知性はもはや欠片も残ってはいない。',
        'ただそこにあるのは肉の飢えと、貪欲な快楽への渇望だけだ。',
        '『言うことを聞けば、一生ちんぽ漬けの暮らしができるぜぇ？　どうだぁ、興味ねえかあ？』',
        monster.name + 'の囁きは甘く危険なものだ。悪魔の誘いに等しい、決して耳を傾けてはいけないものだ。',
        'だがその恐ろしさを理解する知性は、快楽に溺れた' + slave.short_name + 'には残ってはいなかった。',
        '砂漠の真ん中を彷徨い続けた者は、目の前に差し出された水を拒むことはできない。その水にたとえどれほど危険な毒が含まれていたとしても、だ。',
        '肉の飢えに抗えず' + slave.short_name + 'は、目の前にある悪魔の果実を手に取ってしまったのだ。',
        '（' + slave.short_name + 'は奴隷宣言しました……）',
      ],
    ].sample
    script
  end
end
