# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 美鈴
class Adventurer8Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「紅魔館の門番、' + adventurer.name + '！ こんなところでは負けません！」',
          '「さあ、どこからでもかかってきなさい！」',
          adventurer.short_name + 'は吠えると構えをとった。',
        ],
        [
          '「この拳。たとえ徒手空拳といえども、気を練り力を込めれば、鉄すらも砕くものです！」',
          '「それでもよければかかって来なさい！」',
          adventurer.short_name + 'の言葉は真実そのものであり、容易に魔物の体を砕くだろう。' +
            'だが魔物たちには気後れする様子もない。仕方がない。',
          adventurer.short_name + 'は己を叱咤するように念入りに気を練り、手足に力を込めた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会です…… 大丈夫、屈服する悦びとは、素敵なものですよ……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだ分が悪いようですね） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（チャンスはいくらでもあります。今はうかがうことにしましょう……）',
          ],
          [
            '（今日のところは、まだよい時運ではないのでしょう…） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（せいぜい、高みの見物といきましょう……）',
          ],
        ].sample
      end
    else
      [
        [
          '「紅魔館の門番、' + adventurer.name + '！ こんなところでは負けません！」',
          '「さあ、どこからでもかかってきなさい！」',
          adventurer.short_name + 'は吠えると構えをとる。ビリビリと響く声に敵は怯え、仲間たちは励まされたようだ。',
        ],
        [
          '「こんな雑魚相手に、' + adventurer.self_call + 'は負けたりしません！！」',
          adventurer.short_name + 'は威勢よく叫んだ',
        ],
      ].sample
    end
  end

  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          slave.short_name + 'は襲いかかる魔物たちをあしらい続けている。',
          '素手とはいえ、' + _adventurer_type + 'である' + slave.short_name + 'にとっては造作もないことなのだろう。',
          'その媚肉が目当ての魔物たちも、殺さぬよう手加減していることも大きいようだ。',
          '「はっはっはっ！ 功夫が足りませんよ！」',
          '余裕があるように笑うが、それでも体力はじりじりと削られていく。' +
          'だが休みのない責めが' + slave.short_name + 'をゆっくりと弱らせていった。',
        ],
        [
          '無数にひしめく魔物たちを' + slave.short_name + 'は徒手空拳であしらう。',
          '武器を失ったとはいえ、実力の差は明らかだった。',
          '（助けが来るまで持ちこたえねば……）',
          '魔物たちは有効打を与えられていないようだ……',
        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。今なら、まだ負けはしない。' +
            'だが先行きを考えれば、楽観はできなかった。',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '冷たく、硬い石の床に横たわっても疲れはほとんど取れはしない。',
          'だがそれでも' + slave.short_name + 'は休めなければいけない。助けがくる、あるいは逃げ出す' +
            'チャンスが巡ってくるまでは体力を一欠片でも温存しておかねばならなかった。',
          '「必ず、必ず助けは来ます、そのはず…… だから、それまで……」',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '（助けは、助けは本当にこない……　このままでは、' + slave.self_call + 'は…… お嬢様、咲夜さん……）',
          'あれほど固かったはずのお屋敷への信頼が揺らいでいる、弱音が心の奥から湧き上がってくる。',
          slave.short_name + 'の心身は、限界に近付きつつあった。',
        ],
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          'すでに手足には鉛のような重さを覚えている。自分が切れ味を失いつつあるのは明らかだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。',
          '「このっ、いい加減にしなさいっ！」',
          slave.short_name + 'はさらに一体の魔物を組み伏せ、蹴り飛ばす。' +
            '今なら、まだ負けはしないだろう。だが限界は、すぐ目の前にまで迫りつつあった。',
        ],
      ].sample
    else
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          '「うう…… お嬢様、咲夜さん…… どうして、どうして助けに来てくれないの……」',
          '部屋の隅で、宙の一点を見つめながら' + slave.short_name + 'はブツブツとなにごとかつぶやいている',
          '心身の限界がすぐそこまで迫っていることは明らかだった。',
        ],
        [
          'ぜぇぜぇと' + slave.short_name + 'は荒い息を吐く。',
          '魔力を封じられてさえいなければ、武器さえあれば、仲間さえいれば、体力さえあれば。',
          'こんな雑魚たちなど束になっても相手になるはずがなかった。それが、こんなやつらに追い詰められている。',
          '破滅の足音がすぐそこまで迫っているのを、' + slave.short_name + 'は聞いていた……',
        ],
      ].sample
    end
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '休みのない手加減なしの陵辱によって冒険者としてのプライドをすべて砕かれ、' + slave.short_name + 'の理性はドロドロに溶かされてしまった。',
        '激しい陵辱の末に、ついに' + slave.short_name + 'は冒険者としての気概をすべて失ってしまった……',
        '女とは男に犯されるための肉穴であり、精液を排泄されるための都合の良い性処理便器なのだ。そう悟った' + slave.short_name +
          'は、虚ろな目で性奴隷になることを宣言した。',
        monster.name + 'たちはそれを聞くとニヤニヤと笑いながら奴隷商人に引き渡した……',
        '「どこまで堕ちていくんだろう、' + slave.self_call + '……」',
        '「咲夜さん、どうして助けてくれなかったんですか……」',
        '彼女の頭をよぎった最期の２つの問いへの答えを、' + slave.short_name + 'は得ることはないだろう……',
        '（' + slave.short_name + 'は奴隷宣言しました。）',
      ],
    ].sample
    script
  end
end
