# coding: utf-8
require 'src/defines/script/dungeon/script_utils.rb'

class BattleScript
  include ScriptUtils

  # event化済
  def event_in_ground_with_message(party, is_lonely)
    leader = party.leader
    ero_equip_adventurers = party.adventurers.values.select {|adv| adv.has_ero_equip? } + party.passengers.select {|adv| adv.has_ero_equip? }
    no_equip_adventurers = party.adventurers.values.select {|adv| adv.is_no_equip_point? } + party.passengers.select {|adv| adv.is_no_equip_point? }

    script =
      if is_lonely
        [
          '地上の明かりが見えた！ ' +
            'ついに' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'は地上に到着することができた。',
          _party_leader_short_names_by(leader.short_name, is_lonely) + 'は、薄暗い洞窟とは全く違う明るさに、ホッとしたような表情を浮かべている。',
          '仲間とはぐれ、一人きりになりながらどうにか地上にたどり着くことができた。生きている。その喜びが胸から湧き上がってくる。',
        ]
      else
        [
          '地上の明かりが見えた！ ' +
            'ついに' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'は地上に到着することができた。',
          _party_leader_short_names_by(leader.short_name, is_lonely) + 'は、薄暗い洞窟とは全く違う明るさに眩しそうに目を細めている。',
        ]
      end

    unless ero_equip_adventurers.empty?
      script += [
        '（エロ装備の効果）',
        '痴女を疑われるような服装をしている' + ero_equip_adventurers.map(&:short_name).join('と') + 'に対して街の男たちから奇異の視線が向けられている。',
        'ここが敗北すれば魔物たちに陵辱される呪われた迷宮である事は広く知られている。そんな場所に扇情的な格好で潜るなど正気の沙汰ではない。' +
          'あるいはむしろ犯されることを望んでいるよほどの変態なのかもしれない。そう男たちが考えることも無理からぬことだった……',
        'だがエロ装備の催眠の効果によって女であれば違和感を持つことがないがゆえに、その視線の意味を理解できない' +
          party.leader.short_name + 'は不躾な視線を不快に思う以上の感想は抱かなかった……',
        ' ',
      ]
    end

    unless no_equip_adventurers.empty?
      script += [
        '（無遠慮な視線）',
        '迷宮の中で装備を失い、下着すらもまともにつけてはいない' + no_equip_adventurers.map(&:short_name).join('と') + 'に対して街の男たちから好奇の視線が向けられている。',
        'この迷宮では、トラップや陵辱の効果により防具はおろか衣服全てを失ってしまう女冒険者は珍しくはない。そして美しく時には高い身分すらも持つ' +
          '女たちの肢体を楽しむために、冒険者たちが帰還するたびに迷宮から街の宿屋に続く大通りに男たちが、見世物を見る野次馬のように集まるのだ。',
        no_equip_adventurers.first.short_name + ((no_equip_adventurers.size > 1) ? 'たち' : '') +
          'は手でせめて秘所と胸を隠し、俯きながら大通りを歩く。宿屋までの時間が無限に感じられる。',
        '彼女は男たちの無遠慮な視線が肌に突き刺さる感覚に、奇妙な興奮を覚えていた……',
        ' ',
      ]
    end

    script +=
      if is_lonely
        [
          'まずは' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'は宿屋兼酒場を目指すことにした。酒場の扉を前に不安がよぎる。',
          '仲間は危地を脱しているだろうか。この扉を開けると自分を迎えてはくれないだろうか。あるいはなにか仲間たちの消息に関する新しい情報が酒場に届いてはいないだろうか。',
          'そう願いながら' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'は震える手で酒場の扉を開けた。',
        ]
      else
        [
          'まずは' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'は宿屋兼酒場を目指すことにした。酒場の扉を開けると、まずは食事と酒を楽しんだ。',
          '今回の冒険の疲れを労うと、次の冒険の無事を祈って' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'は解散した。',
        ]
      end
    script += [
      ' ',
    ]
    script
  end

  # event化済
  def return_to_ground_message(leader, is_lonely, floor_in_start)
    [
      _party_leader_short_names_by(leader.short_name, is_lonely) + 'は' + "#{floor_view(floor_in_start)}から地上にたどり着くことができた。",
    ]
  end

  def ero_tunnel_script(leader, floor, ero_type, hooter_level_name, bad_status_name, ero_equip_name, life_point)
    script = [
      "孤立し、疲れ果てた#{leader.short_name}はダンジョンの#{floor_view(floor)}で行き詰まっていた。一刻も早く脱出する必要があるが" +
        '気持ちが焦るばかりで地上までの道のりは遠いように思われた……',
      'ふと気づくと、己を手招きする女の手が見えた。',
      leader.short_name + 'を誘う者の正体は女淫魔だった。女淫魔は、' + leader.short_name + 'に取引を持ちかけてきた。' +
        '秘密の抜け道を教える代わりに少しの間楽しませてほしい、と。',
      '（女淫魔による魅了判定：成功）',
      '本来であれば慎重に考えるべきようにも思えたが、なぜか' + leader.short_name + 'は素直に取引を受け入れてしまった……',
      '女淫魔の後を追って狭苦しい抜け穴を四つん這いで抜けると、そこは確かに別の階層の小部屋のようだった。',
      '目的地にたどり着いたところで、女淫魔の顔がニタリと嗜虐的な笑いの形に歪んだ。愕然とする' + leader.short_name +
        'に女淫魔は襲いかかった！',
    ]

    if ero_type == 'sex'
      script += [
        'なんと女淫魔はふたなりだった！その股間には、ゴツすぎる肉槍が生えている！',
        '部屋にたちこめる媚薬毒の力と魅了によってまともに抵抗できない' + leader.short_name + 'の女穴を女淫魔は堂々たる剛直で何度も貫き倒した！',
        '絶頂するたびに' + leader.short_name + 'の力が女淫魔に吸収され、ふたなりペニスはさらに固くそそり立っていく！ 何度も執拗に、無限の精力で' +
          '女淫魔は' + leader.short_name+ 'をいたぶった！',
      ]
    elsif ero_type == 'lesbian_sex'
      script += [
        '部屋にたちこめる媚薬毒の力と魅了によってまともに抵抗できない' + leader.short_name + 'の美肉を女淫魔は押さえつけ、' +
          '女同士ゆえに知り尽くしている女肉の弱点を容赦なく責め潰していく！',
        '絶頂するたびに' + leader.short_name + 'の力が女淫魔に吸収され、獲物を貪る淫らな捕食者の体が歓喜に震える！',
        '何度も執拗に、無限の精力で女淫魔は' + leader.short_name + 'をいたぶった！',
      ]
    end

    if ero_equip_name
      script += [
        '迷宮の中に' + leader.short_name + 'の甘すぎる嬌声が響き渡る……',
        '長い時間のあと狂宴はようやく終わったようだ……',
        'たっぷりと女冒険者の媚肉を貪り尽くしたあと、' + leader.short_name + 'を嬲ることに飽きた女淫魔は、絶頂を重ねすぎたために意識が朦朧とする' +
          leader.short_name + 'の耳元で甘く囁いた。',
        '曰く、貴女が迷宮で追い詰められてしまったのは防具が悪いせいだと。',
        '『より良い防具があれば、魔物ごときに危地に追い込まれることはない。これはすべて貴女のために言っていることなのよ、フフッ』',
        'そう言う女淫魔の顔には、嗜虐的な悪魔の笑いが浮かんでいる。',
        leader.short_name + 'は淫魔に薦められるままに、脱がされてしまった今までの服の代わりに、女淫魔が差し出した衣装を着込むことにした。',
        'ぼやけた理性はその衣装のデザインに刺激的すぎる、という曖昧な印象を抱いたが、女淫魔が重ねる言葉の前にその印象は霧散して' +
          'なんだか分からなくなってしまった……。',
        '（' + leader.short_name + 'は' + ero_equip_name + 'を取得しました）',
        '女淫魔は' + leader.short_name + 'が衣装を着終えたのを確認すると、睡眠の魔術をかけると、嘲るように笑いながら' +
          leader.short_name + 'を残して悠然と歩み去った。',
        'その後には、意識を失い、迷宮の地面にぐったりと倒れ伏す' + leader.short_name + 'が残された。',
      ]
      if bad_status_name
        script += [
          'たっぷりと女冒険者の媚肉を貪り尽くしたあと、' + leader.short_name + 'を嬲ることに飽きた女淫魔は、仕上げとばかりに' +
            leader.short_name + 'の肉体に淫らな呪いを刻み込んだ。',
          '（' + leader.short_name + 'はステータス：' + bad_status_name + 'を取得しました）',
        ]
      end
    else
      script += [
        'たっぷりと女冒険者の媚肉を貪り尽くしたあと、' + leader.short_name + 'を嬲ることに飽きた女淫魔は、仕上げとばかりに' +
          leader.short_name + 'の肉体に淫らな呪いを刻み込んだ。',
        '（' + leader.short_name + 'はステータス：' + bad_status_name + 'を取得しました）',
        '女淫魔が悠然と歩み去った後には、意識を失い、迷宮の地面にぐったりと倒れ伏す裸の' + leader.short_name + 'が残された。',
      ]
    end

    if hooter_level_name
      script += [
        leader.short_name + 'の胸が疼く。どうやら女淫魔が情け容赦なく塗り込んだ強力媚薬の副作用で胸が大きくなったようだ……',
        '淫魔の媚薬は恐ろしいほどの副作用を持つ。こんなものを使われて、女の肉体に何の後遺症も残らないわけがなかった。',
        '（' + leader.short_name + 'の胸のサイズは「' + hooter_level_name + '」になりました）',
      ]
    end
    script += [
      '享楽の肉宴と淫らな呪いの代価として、' + leader.short_name + 'は１フロア分、上層階へ進むことができた……',
      '女淫魔の淫辱の副作用として、' + leader.short_name + 'は力を取り戻すことができた。体力が' + half_number_to_full(life_point) + 'ポイント回復した（ＨＰ：' + half_number_to_full(life_point) + '）',
    ]
    script
  end

  # event化済
  def church_purification_message(bad_status_members, ero_equip_members)
    sample_member = (bad_status_members + ero_equip_members).sample
    is_lonely = (bad_status_members + ero_equip_members).uniq.size <= 1
    bad_status_member_names = bad_status_members.map(&:name).join('、')
    ero_equip_member_names  = ero_equip_members.map(&:name).join('、')
    script = [
      _party_leader_short_names_by(sample_member.short_name, is_lonely) + 'は、仲間達と別れ教会を目指した。',
      '（教会ではダンジョンで受けてしまった呪いの装備の解除や、毒や発情などのステータスの回復をすることができます）',
      '教会では、従司祭に案内にされるままに奥へと歩みを進める。',
      '従司祭と名乗る好色そうな中年男を、' + _party_leader_short_names_by(sample_member.short_name, is_lonely) +
        'は今ひとつ信用できなかった。だが聖堂に祈りの間に姿を現した神にその身を捧げた聖職者という言葉を体現したような、妙齢の女司祭の姿を見て' +
        _party_leader_short_names_by(sample_member.short_name, is_lonely) + 'はようやく信用する気になったようだ。',
      '祈りの間の簡易な寝台に横たわるよう言われた' + _party_leader_short_names_by(sample_member.short_name, is_lonely) +
        'のそばで女司祭が聖なる言葉を唱える。',
      '神に祈りを捧げる女司祭の鈴の鳴るような声が響くたび、悪しき魔術による呪わしきものが、たちまち' +
        _party_leader_short_names_by(sample_member.short_name, is_lonely) + 'から剥がれ落ちていくのが感じられる。',
      '司祭が聖なる言葉を唱える間、従司祭であるぶくぶくと太ったカエルのような顔の中年男の、脂ぎった視線が自分の肢体を舐め回すように突き刺さることを、' +
        _party_leader_short_names_by(sample_member.short_name, is_lonely) + 'は不快に感じていが、回復と解呪そのものは成功したようだ。',
    ]
    unless bad_status_members.empty?
      script += [
        bad_status_member_names + 'は発情などのバッドステータスを解除することができた。体が軽い。冒険者達は迷宮で刻まれたバッドステータスの' +
          '影響の大きさを感じ、運良く迷宮から生還できたことに安堵した。',
      ]
    end
    unless ero_equip_members.empty?
      script += [
        ero_equip_member_names + 'は魔術的に強化され外すことのできなかった貞操帯を外すことができた。' +
          '冒険者達はホッとした表情を見せている。',
      ]
    end
    script += [
      _party_leader_short_names_by(sample_member.short_name, is_lonely) + 'は、喜捨を従司祭に手渡しその場を後にした。',
      ' ',
    ]
    script
  end

  # event化済
  def return_decide_message(leader, is_lonely)
    [
      '今回はこの辺りでいいだろう。そう判断した' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'は引き返すことにした。',
      ' ',
    ]
  end

  def progress_message_in_turn_start(leader, is_lonely, turn_count, floor, in_dive, in_ground, positiveness)

    [
      ' ',
      '[' + leader.short_name + '隊（結成' + half_number_to_full(turn_count) + 'ターン目）]',
    ] +
      if in_ground
        [
          _party_leader_short_names_by(leader.short_name, is_lonely) + 'は地上の入り口からダンジョンの奥底を目指して歩き始めた',
          '入り口付近の、かつては地下墓地として使われていた遺構付近から急速にジメジメした空気へと変わっていく。その不快さが女たちに不穏な予感を肌にひしひしと感じさせている',
        ]
      else
        [
          '薄暗く湿ったダンジョンの中で足音だけが響いていく…………',
          _party_leader_short_names_by(leader.short_name, is_lonely) + "はダンジョンの#{floor_view(floor)}を#{_leader_progress_attitude(leader.positiveness)}に" + (in_dive ? 'ダンジョンの奥底へと進んでいる' : '地上を目指して進んでいる'),
        ]
      end
  end

  # event化済
  def progress_message_in_turn_end(leader, is_lonely, start_floor, end_floor, floor_max, is_return_in_this_turn, is_in_dive)
    script =
      if is_return_in_this_turn
        [
          _party_leader_short_names_by(leader.short_name, is_lonely) + "は地上入り口からダンジョンの#{floor_view(end_floor)}まで進むことができた",
        ]
        # 引き返しがあったならそれも書く必要がある
        if start_floor < 1
          [
            _party_leader_short_names_by(leader.short_name, is_lonely) + "は地上入り口からダンジョンの#{floor_view(floor_max)}まで進み、#{floor_view(end_floor)}まで引き返すことができた",
          ]
        elsif end_floor < 1
          [
            _party_leader_short_names_by(leader.short_name, is_lonely) + "はダンジョンの#{floor_view(start_floor)}からダンジョンの#{floor_view(floor_max)}まで進み、地上出口まで引き返すことができた",
          ]
        else
          [
            _party_leader_short_names_by(leader.short_name, is_lonely) + "はダンジョンの#{floor_view(start_floor)}からダンジョンの#{floor_view(floor_max)}まで進み、#{floor_view(end_floor)}まで引き返すことができた",
          ]
        end
      elsif start_floor == end_floor
        [
          _party_leader_short_names_by(leader.short_name, is_lonely) + "はダンジョンの#{floor_view(start_floor)}を探索した。先に進むことはできなかった",
        ]
      else
        # 引き返しがあったならそれも書く必要がある
        if start_floor < 1
          [
            _party_leader_short_names_by(leader.short_name, is_lonely) + "は地上入り口からダンジョンの#{floor_view(end_floor)}まで進むことができた",
          ]
        elsif end_floor < 1
          [
            _party_leader_short_names_by(leader.short_name, is_lonely) + "はダンジョンの#{floor_view(start_floor)}から地上出口まで進むことができた",
          ]
        else
          [
            _party_leader_short_names_by(leader.short_name, is_lonely) + "はダンジョンの#{floor_view(start_floor)}から#{floor_view(end_floor)}まで" + (is_in_dive ? 'ダンジョンの奥底へと' : '地上を目指して') + '進むことができた。',
          ]
        end
      end
    script
  end

  def event_with_message(party)
    [
      '…………',
      _party_leader_short_names(party) + "はダンジョンの#{floor_view(party.floor)}を#{_leader_progress_attitude(party)}に" + (party.in_dive? ? 'ダンジョンの奥底へと進んでいる' : '地上を目指して進んでいる'),
    ]
  end

  def _leader_progress_attitude(positiveness)
    case positiveness
      when -2
        '慎重'
      when -1
        '慎重'
      when 0
        '普通'
      when 1
        '大胆'
      when 2
        '大胆'
      else
        '（不明）'
    end
  end

  def rescue_battle_script(leader, is_lonely, jail_room)
    monster_party = jail_room[:monster_party]
    [
      _party_leader_short_names_by(leader.short_name, is_lonely) + "は#{floor_view(jail_room[:floor])}で、監禁されていた#{jail_room[:adventurer].short_name}を救うため、地下牢のある部屋へと突入した",
      "部屋には#{monster_party.monster_name}が、#{jail_room[:adventurer].short_name}に群がるようにひしめいているが、" +
        '突然の乱入者に驚愕と狼狽の表情を浮かべている。',
      _party_leader_short_names_by(leader.short_name, is_lonely) + 'はうまく敵の不意をつくことができたようだ！',
    ]
  end

  def progress_script(progress_result, party)
    if progress_result[:fired]
      [
        _party_leader_short_names(party) + "は#{floor_view(party.floor)}で敵と出会った！",
        _party_leader_short_names(party) + 'はすぐに戦いの準備を整えた……',
      ]
    elsif progress_result[:rout]
      [
        _party_leader_short_names(party) + "は#{floor_view(party.floor)}で敵と出会った！",
        'しかし傷つき疲れ果てた' + _party_leader_short_names(party) + 'にもはや戦う力はない。' +
          '苦渋の決断として' + _party_leader_short_names(party) + 'は敵に背を向け全力で逃げ出した！',
        'どうやら無事に逃げ出すことができたようだ……',
        ' ',
      ]
    elsif progress_result[:engaged]
      [
        _party_leader_short_names(party) + 'は' + floor_view(party.floor) + 'で敵を見つけたが、' +
          '相手に見つかる前にすばやく物陰に隠れた。' +
          'すぐそばをモンスターたちが歩く足音が聞こえている……',
        _party_leader_short_names(party) + 'は無事に敵をやり過ごした……',
        ' ',
      ]
    else
      # 敵と未遭遇時は何も表示しない方針
      [
#        _party_leader_short_names(party) + 'は敵と出会わなかった……',
      ]
    end
  end

  def progress_and_fired_script(leader, is_lonely, floor)
    [
      _party_leader_short_names_by(leader.short_name, is_lonely) + "は#{floor_view(floor)}で敵と出会った！",
      _party_leader_short_names_by(leader.short_name, is_lonely) + 'はすぐに戦いの準備を整えた……',
    ]
  end

  def progress_and_rout_script(leader, is_lonely, floor)
    [
      _party_leader_short_names_by(leader.short_name, is_lonely) + "は#{floor_view(floor)}で敵と出会った！",
      'しかし傷つき疲れ果てた' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'にもはや戦う力はない。' +
        '苦渋の決断として' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'は敵に背を向け全力で逃げ出した！',
      'どうやら無事に逃げ出すことができたようだ……',
      ' ',
    ]
  end

  def progress_and_engaged_script(leader, is_lonely, floor)
    [
      _party_leader_short_names_by(leader.short_name, is_lonely) + "は#{floor_view(floor)}で敵を見つけたが、" +
        '相手に見つかる前にすばやく物陰に隠れた。' +
        'すぐそばをモンスターたちが歩く足音が聞こえている……',
      _party_leader_short_names_by(leader.short_name, is_lonely) + 'は無事に敵をやり過ごした……',
      ' ',
    ]
  end

  def progress_and_no_engaged_script(leader, is_lonely, floor)
    # 15の倍数階は暗闇フロア
    if (floor % 15 == 0)
      [
        _party_leader_short_names_by(leader.short_name, is_lonely) + "は暗闇に包まれた#{floor_view(floor)}を何事もなく探索した。",
      ]
    elsif (floor > 10) && (floor % 10 == 2) # 12, 22, 32階
      [
        _party_leader_short_names_by(leader.short_name, is_lonely) + "は静寂に包まれた#{floor_view(floor)}を何事もなく探索した。",
      ]
    else
      [
        _party_leader_short_names_by(leader.short_name, is_lonely) + "は#{floor_view(floor)}を何事もなく探索した。",
      ]
    end
  end

  def generate_enemies_scripts(party, leader, is_lonely, floor, monster_party_info, situation_params)
    if situation_params[:in_silence_floor]
      floor_text = '暗闇に包まれた' + floor_view(floor)
      extra_floor_script =
        if situation_params[:wizard_is_active]
          [
            '暗闇に包まれたこの階層では魔術による明かりが必要になる。' + party.adventurers['wizard'].short_name + 'は呪文によって' +
              '魔術による光源を宙空に打ち上げた。まばゆい光が辺りを照らしていく。',
          ]
        else
          [
            '暗闇に包まれたこの階層では魔術による光源がなければあたりを照らすことはできない。今は魔法の使えない' +
              _party_leader_short_names_by(leader.short_name, is_lonely) + 'は暗闇の中で戦うことを強いられた。',
          ]
        end
    elsif situation_params[:in_darkness_floor]
      floor_text = '静寂に包まれた' + floor_view(floor)
      extra_floor_script =
        if party.wizard_is_active?
          [
            '魔術的な静寂に包まれたこの階層では呪文を使うことはできない。魔法が使えない' +
              party.adventurers['wizard'].short_name + 'は武器を持って接近戦で戦わざるをえない！',
          ]
        else
          adv = party.adventurers.values.sample
          if adv
            [
              '魔術的な静寂に包まれたこの階層では呪文を使うことはできない。魔術の支援を期待できない状況ではあるが、それでも奇妙な沈黙は' +
                adv.short_name + 'に耐え難い不安を覚えさせた',
            ]
          else
            []
          end
        end
    else
      floor_text = floor_view(floor)
      extra_floor_script = []
    end
    situation_text = [
      '不穏な雰囲気とともに',
      '獣じみた吠え声を響かせながら',
      '獲物を見つけた禽獣のごとく',
      '野蛮な雄叫びと共に',
    ].sample
    script = [
      _party_leader_short_names_by(leader.short_name, is_lonely) + 'が' + floor_text + 'を進んでいると目の前に、' + situation_text +
        "#{half_number_to_full(monster_party_info[:count])}#{monster_party_info[:unit_name]}の「#{monster_party_info[:monster_name]}」があらわれた！"
    ]
    if monster_party_info[:betrayed_servant]
      slave = monster_party_info[:betrayed_servant]
      script += [
        'なんと' + monster_party_info[:monster_name] + 'の姿に混じって、見知った顔である' + slave.short_name + 'が' +
          _party_leader_short_names_by(leader.short_name, is_lonely) + 'の前に現れた！',
      ]
      script += slave.betrayed_servant_battle_opening_script(slave)
    end
    script += extra_floor_script
    script
  end

  def generate_guard_enemies_scripts(leader, is_lonely, floor, monster_party_info)
    script = [
      _party_leader_short_names_by(leader.short_name, is_lonely) + 'が' + floor_view(floor) + 'を進んでいると目の前に、不穏な雰囲気とともに' +
        "#{half_number_to_full(monster_party_info[:count])}#{monster_party_info[:unit_name]}の「#{monster_party_info[:monster_name]}」があらわれた！",
      "優れた武器と防具を持ち、他の魔物よりもさらに大型な「#{monster_party_info[:monster_name]}」たちは、他の魔物たちとは明らかに格の違う雰囲気を漂わせている。",
      '彼らこそが、この迷宮の主人を守るために迷宮の深くにしかけられた「生ける防衛装置」なのだ',
      "残忍な知性を湛えた「#{monster_party_info[:monster_name]}」たちの瞳が、獲物を見つけたことへの喜びの形に、醜く歪んだ。",
    ]
    if monster_party_info[:betrayed_servant]
      slave = monster_party_info[:betrayed_servant]
      script += [
        'なんと' + monster_party_info[:monster_name] + 'の姿に混じって、見知った顔である' + slave.short_name + 'が' +
          _party_leader_short_names_by(leader.short_name, is_lonely) + 'の前に現れた！',
      ]
      script += slave.betrayed_servant_battle_opening_script(slave)
    end
    script
  end

  def liberate_room!(adventurer, party)
    script = [
      _party_leader_short_names(party) + 'たちは敵を一掃した！',
      'ダンジョンにとらわれていた' + adventurer.short_name + 'を無事救出することに成功した。',
    ]
    unless adventurer.in_resist?
      if FGO_MODE
        [
          'サーヴァントとしての魔力や能力は、「座」より送られたサーヴァント自身の本質である精神のかたちやあり方に影響される。',
          '陵辱によって嬲られ、蹂躙され、歪められた' + adventurer.short_name + 'は、もはやサーヴァントとして、前ほどの能力は期待できないだろう',
        ]
      else
        [
          '冒険者として、前ほどのキレは期待できないだろう',
        ]
      end
      script +=[
        '礼を述べる' + adventurer.short_name + 'の顔は青白い。激しい陵辱によって精神的なショックを受けているようだ。',
      ] +
        status_script +
        [
          "（削られた正気度の分だけレベルが下がります。レベル：#{adventurer.level}）",
        ]
    end

    script += [
      _party_leader_short_names(party) + 'の勧めで、' + adventurer.short_name + 'も地上まで同行することにした……',
    ]
    script
  end

  def decide_to_return(party)
    [
      '人質を救出できた' + _party_leader_short_names(party) + 'たちは引き返すことにした',
    ]
  end

  def no_battle_members_scripts(leader, is_lonely)
    script =
      [
        '傷つき、疲れ果てた' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'には敵と戦う力は残っていなかった。',
        '戦えないならばせめてこの場を逃れようとするが、無抵抗な女の肉を貪ろうという敵にたちまち群がられてしまう。',
      ]
    script
  end

  def rush_to_jail_room(party, jail_room)
    [
      jail_room.adventurer.short_name + 'は天の助けを待っている。',
      '……どうやら天に祈りは通じたようだ！',
      _party_leader_short_names(party) + 'は' + jail_room.adventurer.short_name + 'の悲鳴と物音を聞きつけ、秘密の部屋の入り口を見つけ出した！',
    ]
  end

  def escape_from_jail_room(party, jail_room)
    script = [
      _party_leader_short_names(party) + 'は物音を聞きつけ、秘密の部屋の入り口を見つけ出した。',
    ]
    script +=
      if jail_room.in_resist?
        [
          'ダンジョンの一角の広間に設えられた地下牢。そこには必死に抵抗する' + jail_room.adventurer.short_name + 'の声と、その体を貪ろうと群がる' +
            jail_room.monster.name + 'たちの下卑た声が響いている。',
        ]
      else
        [
          'ダンジョンの一角の広間に設えられた地下牢。そこには押さえつけられ嬲られる' + jail_room.adventurer.short_name + 'の悲痛な叫び声と、その体を犯し、好き勝手に貪る' +
            jail_room.monster.name + 'たちの下卑た声が響いている。',
        ]
      end

    script += [
      'あまりにもおぞましすぎる光景。',
      'しかし' + _party_leader_short_names(party) + 'は彼我の戦力差を冷静に見極め、多勢に無勢と判断した。今は' + jail_room.adventurer.short_name + 'を助けることはできない。',
      _party_leader_short_names(party) + 'は敵に気づかれぬよう、そっとその場を離れた……',
    ]
    script
  end

  def escape_from_jail_room_by_down(party, jail_room)
    script =
      if jail_room.in_resist?
        [
          'ダンジョンの一角の広間に設えられた地下牢。そこには必死に抵抗する' + jail_room.adventurer.short_name + 'の声と、その体を貪ろうと群がる' +
            jail_room.monster.name + 'たちの下卑た声が響いている。',
        ]
      else
        [
          'ダンジョンの一角の広間に設えられた地下牢。そこには押さえつけられ嬲られる' + jail_room.adventurer.short_name + 'の悲痛な叫び声と、その体を犯し、好き勝手に貪る' +
            jail_room.monster.name + 'たちの下卑た声が響いている。',
        ]
      end

    script += [
      'あまりにもおぞましすぎる光景。',
      'しかしすでに傷つき、疲れ果てた' + _party_leader_short_names(party) + 'には敵と戦うための力は残っていなかった。',
      jail_room.adventurer.short_name + 'を助けにいくには、' + _party_leader_short_names(party) + 'はあまりにも無力だった。',
      'なにより、この戦力差で挑めば、たちまち返り討ちにあい' + _party_leader_short_names(party) + 'が' +
        jail_room.adventurer.short_name + 'と同じように嬲られることは明らかだった。',
      _party_leader_short_names(party) + 'は' + jail_room.monster.name + 'たちに気づかれぬよう、そこを後にした。背中を向けた' +
        _party_leader_short_names(party) + 'の耳に残る' + jail_room.adventurer.short_name +  'の声は、負け犬たちに向けられた怨嗟と軽蔑を含んでいるようでもあった。',
    ]
    script
  end

  def wizard_opening_fire_script(wizard, monster_unit_name, opening_fire_down_count, is_full_clear, opening_fire_opts)
    script = [
      "#{wizard.short_name}は呪文を唱えている……",
    ]
    script +=
      if is_full_clear
        [
          wizard.short_name + 'の呪文攻撃！',
        ]
      elsif opening_fire_opts[:is_paralysis_failed]
        [
          wizard.short_name + 'の呪文攻撃！',
          'おおっと！',
          wizard.short_name + 'は体が痺れて呪文を唱えることができなかった。' + _adventurer_type + 'たちが動揺した隙をついてモンスターたちは距離を詰めてくる！',
          'かろうじて立て直した' + wizard.short_name + 'は近距離で敵を迎え撃った！',
        ]
      elsif opening_fire_opts[:is_fever_failed]
        [
          wizard.short_name + 'の呪文攻撃！',
          'おおっと！',
          '高熱に冒された' + wizard.short_name + 'は呪文詠唱に失敗した。' + _adventurer_type + 'たちが動揺した隙をついてモンスターたちは距離を詰めてくる！',
          'かろうじて立て直した' + wizard.short_name + 'は近距離で敵を迎え撃った！',
        ]
      elsif opening_fire_opts[:is_hypno_failed]
        [
          wizard.short_name + 'の呪文攻撃！',
          'おおっと！',
          wizard.short_name + 'は催眠により、モンスターたちを攻撃することに強烈な拒否感を感じ、詠唱を止めてしまった。相手が動揺した隙をついてモンスターたちは距離を詰めてくる！',
          'かろうじて正気に戻った' + wizard.short_name + 'は近距離で敵を迎え撃った！',
        ]
      else
        magic_script = "#{wizard.short_name}の呪文攻撃！ "
        magic_effect_script =
          if opening_fire_down_count > 0
            "#{half_number_to_full(opening_fire_down_count)}#{monster_unit_name}の敵を倒した！"
          else
            'しかし敵にかわされてしまった！！'
          end
        [
          magic_script + magic_effect_script
        ]
      end

    script
  end

  def kill_score_by_adv_script(adventurer, score, monster_party_info)
    "#{adventurer.short_name}は#{_kill_socre_with_unit_name(score, monster_party_info[:unit_name])}"
  end

  def get_friendly_fire_script(friendly_fire_result)
    spy_agents = []
    down_spy_agents = []
    friendly_fire_targets = []
    friendly_fire_result.each do |adv, result|
      if adv.in_brain_washing?
        if result[:is_down?]
          # ダウンか能力不足でダメージが与えられていない
          down_spy_agents << adv
        else
          spy_agents << adv
        end
      elsif result[:damage_point] && result[:damage_point] > 0 # 味方撃ちを食らった冒険者
        friendly_fire_targets << adv
      else # スパイではないが味方撃ちを食らっていない冒険者
        ; # 何もしない
      end
    end

    if spy_agents.empty? || friendly_fire_targets.empty?
      return []
    end

    script = [
      '【洗脳刻印による裏切り！】',
    ]
    friendly_fire_attacker = spy_agents.sample
    spy_agents.each do |spy_adv|
      script += _active_spy_script(spy_adv)
    end
    down_spy_agents.each do |spy_adv|
      script += _down_spy_script(spy_adv)
    end
    friendly_fire_targets.each do |target_adv|
      res = friendly_fire_result[target_adv]
      script += _friendly_fire_script(target_adv, friendly_fire_attacker, res[:damage_point])
    end
    script
  end

  def _active_spy_script(spy_adv)
    [
      '好機が来たことを察した' + spy_adv.short_name + 'はほくそ笑む。洗脳の刻印の命ずるままに、彼女は仲間を陥れる。',
    ]
  end

  def _passive_spy_script(spy_adv)
    [
      '好機が来たことを察した' + spy_adv.short_name + 'はほくそ笑む。体力こそ尽きてはいたが洗脳の刻印が疼く。',
    ]
  end

  def _friendly_fire_script(target_adv, friendly_fire_attacker, damage_point)
    [
      '洗脳の刻印の命ずるままに' + friendly_fire_attacker.short_name + 'は' + target_adv.short_name + 'を乱戦の巻き添えに見せかけて背中から攻撃し、' +
        half_number_to_full(damage_point) + 'のダメージを与えた！',
    ]
  end

  def defeat_enemy_script(script, leader, is_lonely, monster_name)
    scripts = [
      '（戦闘中）',
      "#{_party_leader_short_names_by(leader.short_name, is_lonely)}は#{monster_name}を撃破した。",
      script + '敵を倒した。',
    ]
    scripts
  end

  def kill_score_script(party, kill_score, monster_name, unit_name)
    fighter_script =
      if party.fighter_is_active?
        "#{party.fighter.short_name}は#{_kill_socre_with_unit_name(kill_score[party.fighter.id], unit_name)}、"
      else
        ''
      end
    wizard_script =
      if party.wizard_is_active?
        "#{party.wizard.short_name}は#{_kill_socre_with_unit_name(kill_score[party.wizard.id], unit_name)}、"
      else
        ''
      end
    scout_script =
      if party.scout_is_active?
        "#{party.scout.short_name}は#{_kill_socre_with_unit_name(kill_score[party.scout.id], unit_name)}、"
      else
        ''
      end

    script = "#{party.leader.short_name}は#{_kill_socre_with_unit_name(kill_score[party.leader.id], unit_name)}、"
    script +=
      case party.leader.class_type
        when 'fighter'
          (wizard_script + scout_script)
        when 'wizard'
          (fighter_script + scout_script)
        when 'scout'
          (fighter_script + wizard_script)
      end


    scripts = [
      '（戦闘中）',
      "#{_party_leader_short_names(party)}は#{monster_name}を撃破した。",
      script + '敵を倒した。',
      ' ',
    ]
    scripts
  end

  def down_script(adventurer, monster_name)
    if adventurer.life_point_in_turn_start > 0
      [
        adventurer.short_name + 'に' + half_number_to_full(adventurer.life_point_in_turn_start) + 'のダメージ',
        adventurer.short_name + 'は倒されてしまった',
      ]
    else # 既に倒されている
      [
        monster_name + 'は戦う力を持たない' + adventurer.short_name + 'に目をつけたようだ！',
        adventurer.short_name + 'はまともな抵抗もできず、' + monster_name + 'に倒されてしまった！',
      ]
    end
  end

  def down_by_brain_wash_script(adventurer, monster_name, brain_washed_member)
    if adventurer.life_point_in_turn_start > 0
      [
        '仲間に背中を預ける安心感から、まったく注意を向けていなかった背後から' + adventurer.short_name + 'は' +
          brain_washed_member.short_name + 'の攻撃を受けた！',
        adventurer.short_name + 'に' + half_number_to_full(adventurer.life_point_in_turn_start) + 'のダメージ！',
        adventurer.short_name + 'は倒されてしまった',
        '突然、予想外の攻撃を受け驚愕の表情を向ける' + adventurer.short_name + 'に対し、' +
          brain_washed_member.short_name + 'は不気味な笑いを向けている',
      ]
    else # 既に倒されている
      [
        monster_name + 'は戦う力を持たない' + adventurer.short_name + 'に目をつけたようだ！',
        '必死に逃れようとする' + adventurer.short_name + 'を、' + brain_washed_member.short_name + 'が押さえつけ逃さない。',
        '突然の裏切りに驚く' + adventurer.short_name + 'はまともな抵抗もできず、' + monster_name + 'に倒されてしまった！',
      ]
    end
  end

  def already_down_script(adventurer, monster_name)
    [
      monster_name + 'は戦う力を持たない' + adventurer.short_name + 'に目をつけたようだ！',
      adventurer.short_name + 'はまともな抵抗もできず、' + monster_name + 'に捕まってしまった！',
    ]
  end

  def blank_kill_score_script(party_info, monster_party_info)
    leader = party_info[:leader]
    is_lonely = party_info[:is_lonely]
    monster_name = monster_party_info[:monster_name]

    [
      "攻性呪文が#{monster_name}たちに炸裂する。",
      "鎧袖一触、強力な攻性呪文の衝撃で#{_party_leader_short_names_by(leader.short_name, is_lonely)}は#{monster_name}を撃破した。",
      ' ',
    ]
  end

  def monster_description(monster_party)
    "#{half_number_to_full(monster_party.rest_enemies_count)}#{monster_party.unit_name}の#{monster_party.monster.name}"
  end

  def _kill_socre_with_unit_name(kill_score, unit_name)
    "#{half_number_to_full(kill_score)}#{unit_name}"
  end

  def defeated_script(leader, is_lonely)
    [
      '（' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'は戦闘に敗北しました）',
    ]
  end

  def all_member_down_script(leader, is_lonely, active_adv_names)
    [
      '全ての戦う力を失った' + _get_active_adv_names(active_adv_names) + 'は' +
        'もはや仲間を守る余裕もなくそれぞれが己が生き残るために無様に逃げ回らざるをえなくなった。',
      '目の前の女の媚肉を求める男たちの獣じみた声と女の悲鳴がダンジョンに響き渡っていた……',
    ] + defeated_script(leader, is_lonely)
  end

  def _get_active_adv_names(active_adv_names)
    return '' if active_adv_names.size == 0
    return active_adv_names.first if active_adv_names.size == 1
    active_adv_names.join('、')
  end

  def remain_member_retreat_script(leader, is_lonely)
    [
      '仲間が倒れ、戦線が崩れたことで' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'は' +
        '敵の群れによってバラバラに分断された。もはや仲間を守ることもできず、自分の身を守るために撤退という苦渋の決断を迫られる。',
      '遠くから、目の前の女の媚肉を求める男たちの獣じみた声と女の悲鳴がダンジョンに反響していた……',
    ] + defeated_script(leader, is_lonely)
  end

  def get_bad_status(adventurer, monster_name, bad_status_name)
    [
      "#{monster_name}の攻撃に特殊な効果があったようだ。" +
        adventurer.short_name + "は、ステータス：#{bad_status_name}を取得した。",
    ]
  end
end
