# coding: utf-8
require_rrk 'src/defines/script/dungeon/script_utils'
require_rrk 'src/app/helper/game_define_helper'
require_rrk 'src/app/util/debug_util'

class BetrayedServantScript
  include ScriptUtils
  include GameDefineHelper
  include DebugUtil

  #========status_text用 はじめ=========
  def rest_status_text
    '休養し、体力の回復に努めた'
  end

  def rest_status_by_idle_text
    '標的が見つからなかったため' + rest_status_text
  end

  def search_failed_status_text(leader_short_name)
    "#{leader_short_name}隊を追跡したが、発見できなかった"
  end

  def add_betrayed_capture_status!(adventurer_short_name)
    "#{adventurer_short_name}を捕獲した"
  end

  def initial_status_text
    '牝贄を狩る猟犬として、新たな獲物を探すべく命令を受けるのを待ち焦がれている……'
  end

  def battle_status_text(leader_short_name, damage_point)
    if damage_point.zero?
      "#{leader_short_name}隊と交戦したがダメージを与えられなかった。"
    else
      "#{leader_short_name}隊と交戦し、#{half_number_to_full(damage_point)}の与ダメージ。"
    end
  end

  def jail_status_text(slave, monster)
    if slave.is_now_slave_call?
      '魔物たちと' + slave.short_name + 'を徹底的に陵辱し奴隷宣言させた'
    elsif slave.in_resist?
      '魔物たちに混じり、' + slave.short_name + 'を徹底的にいたぶっている。'
    else
      '魔物たちに混じり、' + slave.short_name + 'を容赦なく陵辱調教している'
    end
  end

  def betrayed_fire_status_text(leader_short_name)
    "#{leader_short_name}隊に襲いかかった。"
  end

  def set_battle_with_all_down_status!(leader_short_name)
    "疲れ果て無抵抗の#{leader_short_name}隊に襲いかかった。"
  end

  def down_script
    '被撃破'
  end
  #========status_text用 おわり=========
  #========戦闘結果用 はじめ=========
  def result_down_text(slave, damage_point)
    if damage_point.zero?
      [
        "#{_name_prefix}#{slave.short_name}はダメージを与えられず、自分も撃破された。"
      ]
    else
      [
        "#{_name_prefix}#{slave.short_name}は#{half_number_to_full(damage_point)}のダメージを与えたが、自分も撃破された。"
      ]
    end
  end

  def result_escape_text(slave, damage_point, monster_name)
    if damage_point.zero?
      [
        "#{_name_prefix}#{slave.short_name}はダメージを与えられず、他の#{monster_name}が撃破されたため撤退した。"
      ]
    else
      [
        "#{_name_prefix}#{slave.short_name}は#{half_number_to_full(damage_point)}のダメージを与えたが、他の#{monster_name}が撃破されたため撤退した。"
      ]
    end
  end

  def result_victory_text(slave, damage_point, monster_name)
    script =
      if damage_point > 0
        [
          "#{_name_prefix}#{slave.short_name}は#{half_number_to_full(damage_point)}のダメージを与え、かつての仲間たちの一人を撃破した。",
        ]
      else
        [
          "#{_name_prefix}#{slave.short_name}は他の#{monster_name}たちとともにダメージを与え、かつての仲間たちの一人を撃破した。",
        ]
      end
    script += [
      "倒された冒険者に、他の#{monster_name}たちが群がるのを見てほくそ笑むと、その場から姿を消した。",
    ]
    script
  end

  def _name_prefix
    if FGO_MODE
      '洗脳サーヴァントの'
    else
      '洗脳済み従属奴隷の'
    end
  end
  #========戦闘結果用 おわり=========

  def toggle_betray_servant_penis_scirpt(adventurer)
    script =
      if adventurer.has_betrayed_penis?
        [
          '手術台を思わせる寝台の上に横たわる' + adventurer.short_name + 'の腹の上を、あなたの指が滑り、複雑に編まれた魔術的刻印をゆっくりと刻み込んでいく。',
          adventurer.short_name + 'は目を閉じ、信頼しきった表情でその身をあなたに委ねている……',
          '術式は終わったようだ。',
          '男の象徴を模した剛直を魔術的な結合によって女の体につなげることで、' + adventurer.short_name + 'にふたなりペニスを生やしました。',
          '洗脳され忠実なあなたの下僕となった' + adventurer.short_name + 'は、その肉槍をかつての仲間を' +
            '屈辱で苛み、快楽で堕とすために使うでしょう。',
          '女であるがゆえに、女の弱点を知り尽くした' + adventurer.short_name + 'の責めは桁違いの快楽を相手にもたらします。',
          '容赦なく徹底的な彼女の陵辱調教は、必死に理性を保ち踏みとどまろうとする女にとって悪夢そのものです。',
          'えげつない陵辱によって女を穢し堕とすことを最上の喜びと考えるいまの' + adventurer.short_name + 'は女の天敵そのものです……',
        ]
      else
        [
          '手術台を思わせる寝台の上に横たわる' + adventurer.short_name + 'の腹の上を、あなたの指が滑り、複雑に編まれた魔術的刻印をゆっくりとほどいていく。',
          adventurer.short_name + 'は目を閉じ、信頼しきった表情でその身をあなたに委ねている……',
          '術式は終わったようだ。',
          '男の象徴を模した剛直を魔術的な結合をほどき女の体から再び外すことで、' + adventurer.short_name + 'にふたなりペニスを取り除きました。',
          '純粋な女性としての姿を取り戻した' + adventurer.short_name + 'は、再びかつての仲間を襲い狩る捕食者として何人もの女を敗北させ、媚肉を狙う飢えた獣たちに差し出すべく行動するでしょう。',
        ]
      end
    script + [
      ' ',
      ' ',
      '====================================',
      ' ',
      ' ',
    ]
  end

  def skill_for_betrayed_script(adventurer)
    return [] if adventurer.empty_skill_for_betrayed?
    skill_text = adventurer.skill_for_betrayed.map {|skill| _each_skill_for_betrayed_text(skill) }

    [
      'スキル： [' + skill_text.compact.join('、') + ']',
    ]
  end

  def _each_skill_for_betrayed_text(skill)
    case skill
      when :penis
        'ふたなり'
      when :good_smell
        '嗅覚鋭敏'
      when :high_speed
        '俊敏'
      else
        puts "洗脳従属奴隷のスキル(#{skill})が未定義です"
        nil
    end
  end

  def show_betray_servant_detail_script(adventurer, magic_power)
    script = [
      ' ',
      "[洗脳済み：#{adventurer.short_name}のステータス]",
      '名前： ' + adventurer.name,
      "クラス：#{adventurer.class_name}",
    ]
    script += skill_for_betrayed_script(adventurer)
    script += [
      "ＨＰ：#{adventurer.life_point} ／ #{adventurer.life_point_limit}",
      "レベル：#{adventurer.level}",
      "装備：#{adventurer.equip_point}",
      "名声：#{adventurer.honor}",
      "総撃破数：#{adventurer.kill_score}",
      "トラップ経験：#{adventurer.trap_count}",
      "戦闘力：#{adventurer.battle_level.to_i}",
    ]

    script << "器用さ：#{adventurer.dexterity}" if adventurer.dexterity > 0
    script << "狡猾さ：#{adventurer.cunning}" if adventurer.cunning > 0
    script << "賢さ：#{adventurer.wisdom}" if adventurer.wisdom > 0
    script << "魔術知識：#{adventurer.magic}" if adventurer.magic > 0
    script << "敏捷さ：#{adventurer.lightness} " if adventurer.lightness > 0

    script += [
      ' ',
      '［性経験］',
      '（Ｃ：クリ、Ｖ：膣穴、Ａ：アナル、Ｂ：胸、乳首）',
      "Ｃ経験：#{adventurer.c_exp}",
      "Ｖ経験：#{adventurer.v_exp}",
      "Ａ経験：#{adventurer.a_exp}",
      "Ｂ経験：#{adventurer.b_exp}",
    ]

    if adventurer.orgasm_count > 0
      script += [
        "絶頂経験：#{adventurer.orgasm_count}",
        "（膣内：#{adventurer.v_orgasm_count}、腸内：#{adventurer.a_orgasm_count}、クリ：#{adventurer.c_orgasm_count}、胸：#{adventurer.b_orgasm_count}）",
      ]
    end

    if adventurer.sperm_shot > 0
      script += [
        "精液経験：#{adventurer.sperm_shot}",
        "（膣内：#{adventurer.v_sperm_shot}、腸内：#{adventurer.a_sperm_shot}、ごっくん：#{adventurer.oral_sperm_shot}、ぶっかけ：#{adventurer.skin_sperm_shot}）",
      ]
    end

    script << "セックス経験回数：#{adventurer.v_sex_exp}" if adventurer.v_sex_exp > 0
    script << "アナルセックス経験回数：#{adventurer.a_sex_exp}" if adventurer.a_sex_exp > 0
    script << "男性経験数：#{adventurer.men_exp}" if adventurer.men_exp > 0
    script << "レズ経験数：#{adventurer.lesbian_exp}" if adventurer.lesbian_exp > 0
    script << "陵辱経験数：#{adventurer.force_sex_exp}" if adventurer.force_sex_exp > 0
    script << "触手経験数：#{adventurer.tentacle_exp}" if adventurer.tentacle_exp > 0
    script << "売春経験数：#{adventurer.spring_count}" if adventurer.spring_count > 0

    script += [
      ' ',
      '［性感帯開発度］',
      '（Ｃ：クリ、Ｖ：膣穴、Ａ：アナル、Ｂ：胸、乳首）',
      "Ｃ感度：#{half_decimal_to_full(adventurer.c_ero_develop_rate)}倍",
      "Ｖ感度：#{half_decimal_to_full(adventurer.v_ero_develop_rate)}倍",
      "Ａ感度：#{half_decimal_to_full(adventurer.a_ero_develop_rate)}倍",
      "Ｂ感度：#{half_decimal_to_full(adventurer.b_ero_develop_rate)}倍",
    ]

    script += [
      ' ',
      '［能力、才能］',
    ]
    skill_script = []

    # 地上に戻ったら戻る系
    adventurer.bad_status_in_dive.each do |status_key|
      skill_script += _print_bad_status(status_key, DungeonSkillList::BadStatusInDiveList)
    end

    # 性格系
    adventurer.talents.each do |talent_key|
      skill_script += _print_bad_status(talent_key, DungeonSkillList::TalentList)
    end

    # 精神改造系
    adventurer.skill_personality.each do |status_key|
      skill_script += _print_bad_status(status_key, DungeonSkillList::BadStatusList)
    end

    # 肉体改造系
    adventurer.bad_status_in_body.each do |status_key|
      skill_script += _print_bad_status(status_key, DungeonSkillList::BadStatusList)
    end

    # バステ
    adventurer.bad_status.each do |skill_key|
      skill_script += _print_bad_status(skill_key, DungeonSkillList::BadStatusList)
    end
    # エロバステ
    adventurer.bad_sex_status.each do |skill_key|
      skill_script += _print_bad_status(skill_key, DungeonSkillList::BadStatusList)
    end

    if skill_script.empty?
      script += [
        'なし',
      ]
    else
      script += skill_script
    end

    script << magic_power_status(magic_power)
    script
  end

  def _print_bad_status(skill_key, list)
    skill = list[skill_key]
    unless skill # 該当なし
      puts "skill:#{skill}/#{skill_key} が設定されていません" if DEVELOP_PRINT_MODE
      return []
    end

    skill_script = (
    [
      skill[:name] + '：',
    ] + skill[:description] + [ ' ',]
    )
    return skill_script
  end

  def level_up_betray_servant_script(slave, magic_power, now_magic_power)
    [
      '強化に成功しました。',
      "#{slave.short_name}のレベルが１あがって#{half_number_to_full(slave.level)}になりました。",
      "魔力を#{half_number_to_full(magic_power)}使いました、現在の魔力は#{half_number_to_full(now_magic_power)}です。"
    ]
  end

  def level_up_betray_servant_in_lack_script(slave, magic_power, now_magic_power)
    [
      slave.short_name + 'を強化するには魔力が不足しています。',
      "必要な魔力は#{half_number_to_full(magic_power)}で、現在の魔力は#{half_number_to_full(now_magic_power)}です。",
      ' ',
      ' ',
    ]
  end

  def level_up_betray_servant_in_over_limit_script(slave)
    [
      slave.short_name + 'はすでに限界まで強化されているため、強化できません。',
      ' ',
      ' ',
    ]
  end
end
