# coding: utf-8
require_rrk 'src/defines/script/dungeon/script_utils'
require_rrk  'src/app/helper/game_define_helper'

class FactoryMenuScript
  include ScriptUtils
  include GameDefineHelper

  def show_magic_factory_prelude(hour_glass)
    script = [' ', ' ',]
    script += date_script(hour_glass)

    script += [
      'ダンジョンのひときわ奥まった場所にある怪しげな部屋。',
      'あたりからは人間ではない獣じみた鳴き声や唸り声が響いてくる。',
      'ここは、このダンジョンの主人であるあなたの工房だった。女を子を産む苗床として扱う' +
        '魔物強制出産室や、触手がひしめく強制改造室などがある。どう使うも、あなたの自由だ。',
      ' ',
    ]
    script
  end

  def show_magic_factory(magic_factory_slaves)
    status_script =
      if magic_factory_slaves.empty?
        [
          'まだ魔術工房には誰もいない。',
          '遠くから触手や魔導生物たちが、生贄を求めるように唸っている……',
        ]
      else
        [
          '（収容済みの奴隷一覧）',
        ] +
          magic_factory_slaves.map do |_, slave|
            _slave_text(slave)
          end
      end
    status_script
  end

  def _slave_text(slave)
    text = "[#{slave.hooter_level_short_name_plus}]"
    text += (slave.short_name +
      if slave.status.nil?
        '  配置可能'
      else
        ":（#{slave.status_text(slave) || '未配置'}）"
      end
    )
    if ORIGINAL_MODE && slave.noble_or_more?
      text = "[#{slave.hierarchy_name}]" + text
    end
    text
  end

  def show_slave_positions
    [
      '奴隷の配置を変えることができます。奴隷を配置することでそれぞれの効果や利益が得られます。',
      '奴隷の行き先はただ男たちの欲望のままに貪られる奴隷娼館、' +
        '新たな犠牲者を作り出す強力な魔物を生むために奴隷自身の魔力と子袋を利用する魔術人口子宮、' +
      '奴隷自身の体を容赦なく不可逆的に作り変えてしまう触手改造部屋。',
      'いずれも奴隷にとっては絶望と悪夢そのものですが、彼女たちにはもはや選ぶ権利などありません。',
    ]
  end

  def show_slave_positions_detail(slave)
    [
      slave.short_name + 'の配置について：',
      '奴隷の配置を変えることができます。奴隷を配置することでそれぞれの効果や利益が得られます。',
      ' ',
    ] + slave.status_detail(slave)
  end

  def show_slave_in_brothel_detail(slave)
    [
      '（奴隷娼館）',
      slave.short_name + 'の売春について：',
      slave.short_name + 'にさせる売春を選ぶことができます。',
      'それぞれ稼げる金額や１日に春を売る最大人数、経験が異なります。',
      'また心身の状態やスキルによって売春できる内容が奴隷によって異なります。',
      ' ',
    ] + slave.status_detail(slave)
  end

  def show_slave_in_brothel_detail_in_no_vacancy(slave)
    [
      '部屋が満員で売春させることができません。 ',
      '施設の拡張は、昼間に「ダンジョンの強化」メニューから行うことができます。',
      ' ',
    ] + show_slave_in_brothel_detail(slave)
  end

  def show_slave_in_brothel_detail_in_resist(slave)
    [
      slave.short_name + 'はまだその売春行為に強い抵抗を感じているようです。',
      '魔術工房で他の行為によって、反抗的な奴隷を暴力的快楽で躾けなおす必要があります。',
      ' ',
    ] + show_slave_in_brothel_detail(slave)
  end

  def show_slave_in_tentacle_lab_detail(slave)
    [
      '（触手改造苗床部屋）',
      '改造触手による' + slave.short_name + 'の拘束について：',
      slave.short_name + 'を拘束する触手改造苗床を選ぶことができます。',
      'それぞれ' + slave.short_name + 'が触手から与えられる影響が異なります。',
      '一番基本的な苗床は単に性経験を重ねさせ、低確率で様々なエロステータスを付与することができます。',
      'また、肉体の一部のみを徹底的に不可逆的に作り変えてしまうことも可能です。',
      '苗床によっては肉体だけでなく、精神や価値観、常識を作り変えてしまうものも存在します。',
      'ただし、触手による陵辱改造は' + slave.short_name + 'の精神への負荷が大きく' +
        'やりすぎると壊れてしまうこともあります……。',
      ' ',
    ] + slave.status_detail(slave)
  end

  def show_slave_brothel
    [
      '奴隷娼館。それは金さえ払えばいくらでも男たちの欲望を満たすたことのできる場所です。',
      '客たちは肉欲をたっぷりと吐き出すことができ、あなたは富を増やすことができます。皆が幸せになることができます。',
      '救いが訪れるはずなどない哀れな元' + _adventurer_type + 'の女たちを除けば。',
      ' ',
    ]
  end

  def show_maternity_room
    [
      '魔物強制妊娠部屋。それは女たちの子袋を使って魔物を増やすことができる部屋です。',
      '並の女であれば魔物を産めば必ず死が訪れるでしょう。',
      'しかし元' + _adventurer_type + 'の強靭な肉体であれば、出産の苦しみにも何度でも耐えられるはずです。' +
        'その優れた素質は生まれてきた魔物たちに受け継がれ、優秀な魔物たちは新たな' + _adventurer_type + 'を狩り出すための重要な戦力になるでしょう',
      ' ',
    ]
  end

  def show_tentacle_lab
    [
      '触手強制改造部屋。それは女を囲む無数の触手によって女の肉体に不可逆で深刻な変化をもたらす部屋です。',
      'たっぷりと分泌される高濃度の魔液が無数の触手によって体の隅々にまで塗りこまれ、ひとときも女を休ませることもなく' +
      'その肉体を容赦なく作り変えていきます',
      '並の女であれば１時間と保たずに狂ってしまうほどの強烈な液体であっても、元' + _adventurer_type + 'の強靭な肉体と精神ならばそう簡単に壊れはしないでしょう。' +
        'もちろんそれは苦しみを長引かせるだけでもあるのですが……',
      '肉体に様々な淫らな才能を、触手たちは強制的に刻み込んでいきます。',
      ' ',
    ]
  end

  def date_script(hour_glass)
    night = (hour_glass.night? ? '夜' : '昼')
    [
      half_number_to_full(hour_glass.day) + '日目' + "（#{night}）の様子",
    ]
  end

  def release_slave(slave)
    [
      slave.short_name + 'を配置から外しました。',
      '地獄から逃れられた安堵感に' + slave.short_name + 'は顔を緩ませています。' +
        'しかしここから解放されていないということは所詮これは一時の休息に過ぎず、次の地獄が待ち構えていることを理解している' +
        slave.short_name + 'の表情には昏い陰がさしています。',
      ' ',
    ]
  end

  def set_to_slave_brothel(slave, spring_type)
    [
      slave.short_name + 'を奴隷娼館に配置しました',
      '彼女の肉体は、客の男たちの欲望を満たすために使われるでしょう。',
      ' ',
    ] + _get_spring_type_name(slave, spring_type) + [' ']
  end

  def _get_spring_type_name(slave, spring_type)
    case spring_type
      when 'sex_toilet'
        sex_toilet_position_script(slave)
      when 'wall_hole_spring'
        wall_hole_spring_position_script(slave)
      when 'v_force_spring'
        v_force_spring_position_script(slave)
      when 'v_whore_spring'
        v_whore_spring_position_script(slave)
      when 'a_whore_spring'
        a_whore_spring_position_script(slave)
      when 'all_whore_spring'
        all_whore_spring_position_script(slave)
      when 'pole_dance_spring'
        pole_dance_spring_position_script(slave)
      when 'show_tent_spring'
        show_tent_spring_position_script(slave)
      else
        puts "INVALID SPRING TYPE!!(#{spring_type})"
        []
    end
  end

  def set_to_tentacle_lab(slave, type)
    case type
      when 'basic'
        _set_to_tentacle_lab_basic(slave)
      when 'custom_body_c'
        _tentacle_lab_custom_body_c(slave)
      when 'custom_body_v'
        _tentacle_lab_custom_body_v(slave)
      when 'custom_body_v_lv2'
        _tentacle_lab_custom_body_v_lv2(slave)
      when 'custom_brainwash' # 洗脳触手
        _tentacle_lab_custom_brainwash(slave)
      when 'custom_brainwash_lv2' # 洗脳触手
        _tentacle_lab_custom_brainwash_lv2(slave)
      when 'custom_hard' # ハード苗床
        _tentacle_lab_custom_hard(slave)
      when 'custom_body_a'
        _tentacle_lab_custom_body_a(slave)
      when 'custom_body_b'
        _tentacle_lab_custom_body_b(slave)
      when 'custom_body_taste' # 味覚改造
        _set_to_tentacle_lab_common(slave)
      when 'custom_mind_hard' # 完全に頭ぶっ壊し
        _set_to_tentacle_lab_common(slave)
      when 'custom_mind_criteria' # 価値観改変
        _set_to_tentacle_lab_common(slave)
      when 'custom_mind_common_sense' # 常識改変
        _set_to_tentacle_lab_common(slave)
      when 'custom_mind_force_submit' # 強制服従
        _set_to_tentacle_lab_common(slave)
      else
        puts "INVALID TENTACLE TYPE(#{type})"
        []
    end
  end

  def _tentacle_lab_custom_body_c(slave)
    [
      slave.short_name + 'を触手陰核改造部屋に配置しました。',
      '...',
      '生臭い粘液を吐き出す糸のように細い触手たちが、' + slave.short_name + 'の秘所のやや上、'  +
        '陰核へと巻きついていく。',
      'ビリビリとくる刺激に' + slave.short_name + 'は怯えたような声をあげるが、' +
        '触手たちはなんの反応も返さず、さらに巻きつく触手の本数が増えていく。',
      '陰核から伝わる刺激は、すでに甘いものというよりは痛みをもたらす危険な水準へと達している。' +
        '触手たちが加える不可逆な改造の恐ろしさの片鱗をその身で感じ取った' + slave.short_name + 'は必死に' +
        '身をよじるが、四肢を拘束する触手たちはビクともしなかった……',
      '...',
      '彼女の陰核は、触手よる強制肉体改造に苛まれ、不可逆な変化を受け入れることになります。たとえそれがどれほど望まぬものであっても',
      ' ',
    ]
  end

  def _tentacle_lab_custom_body_v(slave)
    [
      slave.short_name + 'を触手肉穴改造の部屋に配置しました。',
      '...',
      '生臭い粘液を吐き出す赤黒い色をした太い触手たちが、' + slave.short_name + 'の秘所へと群がる……。'  +
        '手足を押さえつけられた' + slave.short_name + 'は太ももを閉じて秘所を守ろうとするが' +
        '触手たちは力強くそれをこじ開け、あっさりと秘所のとば口へとたどり着いた。',
      'ぬぷぅっ。軟体生物のように柔らかい触手が' + slave.short_name + 'の内側へと侵入すると、潤滑液代わりの分泌液を膣内に塗り込んでいく。',
      'もちろんその分泌液には、危険なまでの媚薬効果と中毒効果があるが、それを' + slave.short_name + 'は知る由もない。',
      'ビリビリとくる刺激に' + slave.short_name + 'は怯えたような声をあげるが、' +
        '触手たちはなんの反応も返さない。むしろ、さらに秘められた場所へ乱入する触手の本数が増えていく。',
      '肉穴から伝わる刺激は、すでに甘いものというよりはギチギチと痛みをもたらす危険な水準へと達っしていく。' + 
      'それでいて、触手たちは' + slave.short_name + 'が痛みを感じていることを目ざとく捉えると、分泌液を塗りこみ痛みを甘美な充足感で一気に塗りつぶしていく。',
      '触手たちが加える不可逆な改造の恐ろしさの片鱗をその身で感じ取った' + slave.short_name + 'は必死に' +
        '身をよじるが、四肢を拘束する触手たちはビクともしなかった……',
      '...',
      slave.short_name + 'の肉穴は、触手よる強制肉体改造に苛まれ、不可逆な変化を受け入れることになります。たとえそれがどれほど望まぬものであっても',
      ' ',
    ]
  end

  def _tentacle_lab_custom_body_v_lv2(slave)
    [
      slave.short_name + 'を触手肉穴改造苗床の部屋に配置しました。',
      '...',
      '生臭い粘液を吐き出す赤黒い色をした太い触手たちが、' + slave.short_name + 'の秘所へと群がる……。'  +
        '手足を押さえつけられた' + slave.short_name + 'は太ももを閉じて秘所を守ろうとするが' +
        '触手たちは力強くそれをこじ開け、あっさりと秘所のとば口へとたどり着いた。',
      'ぬぷぅっ。軟体生物のように柔らかい触手が' + slave.short_name + 'の内側へと侵入すると、潤滑液代わりの分泌液を膣内に塗り込んでいく。',
      'もちろんその分泌液には、危険なまでの媚薬効果と中毒効果があるが、それを' + slave.short_name + 'は知る由もない。',
      'ビリビリとくる刺激に' + slave.short_name + 'は怯えたような声をあげるが、' +
        '触手たちはなんの反応も返さない。むしろ、さらに秘められた場所へ乱入する触手の本数が増えていく。',
      '肉穴から伝わる刺激は、すでに甘いものというよりはギチギチと痛みをもたらす危険な水準へと達っしていく。' +
        'それでいて、触手たちは' + slave.short_name + 'が痛みを感じていることを目ざとく捉えると、分泌液を塗りこみ痛みを甘美な充足感で一気に塗りつぶしていく。',
      '触手たちが加える不可逆な改造の恐ろしさの片鱗をその身で感じ取った' + slave.short_name + 'は必死に' +
        '身をよじるが、四肢を拘束する触手たちはビクともしなかった……',
      '...',
      slave.short_name + 'の肉穴は、触手よる強制肉体改造に苛まれ、不可逆な変化を受け入れることになります。たとえそれがどれほど望まぬものであっても',
      ' ',
    ]
  end

  def _tentacle_lab_custom_brainwash(slave)
    [
      slave.short_name + 'を触手洗脳改造拘束椅子の部屋に配置しました。',
      '...',
      '気色の悪い肉色の触手椅子に座らされた' + slave.short_name + 'は恐怖に目を見開いている。',
      'すでに手首と足首は触手によってガッチリと拘束されていて逃げ出すことはできない。そして目の前に見せつけるようにゆっくりと、' +
      '肉厚の蕾のような触手が現れると、ぐぱぁと口を開くように二枚の「花びら」を広げた。',
      '「花びら」の内側には触手がびっしりと生え揃い、気色の悪い粘液を滴らせている。',
      'その花びらが' + slave.short_name + 'の頭を飲み込もうとしているのだ。あんなものが頭に覆い被さられてはまずいことになることは' +
        'どんなバカにでもわかるだろう。必死に' + slave.short_name + 'は逃れようとするが拘束され身動きも取れないために逃げられるはずもない。',
      'いたぶるようにゆっくりと近づいてきた肉色の「つぼみ」が' + slave.short_name + 'の頭を呑み込んだ……',
      '外からはうかがい知ることはできないが、中で' + slave.short_name + 'にどれほどに恐ろしくおぞましい行為がなされているかは' +
        '唯一自由になるはずの手足の指がデタラメに痙攣されていることからも明らかだ。',
      '頭蓋のなかを直接かき回される恐ろしい感覚に、' + slave.short_name + 'は脂汗を吹き出しながら身悶えている……',
      'だがこれですら、この触手の恐ろしさの片鱗に過ぎないことを' + slave.short_name + 'は身をもって知ることになるだろう。',
      '...',
      slave.short_name + 'の思考と価値観を司る頭脳は、触手よる強制肉体改造に苛まれ、内側から不可逆な変化を受け入れることになります。たとえそれがどれほど望まぬものであっても',
      ' ',
    ]
  end

  def _tentacle_lab_custom_brainwash_lv2(slave)
    [
      slave.short_name + 'を触手洗脳改造丸呑み大釜の部屋に配置しました。',
      '...',
      '気色の悪い肉色の触手が蠢めく大釜の中を' + slave.short_name + 'は恐怖に目を見開き、小刻みに震えている。',
      'すでに手首と足首は逃げられぬようガッチリと拘束されていて逃げ出すことはできない。そして目の前に見せつけるようにゆっくりと、' +
        '大量の触手たちが音を立てて、ドロリとした粘膜まみれの「口」を' + slave.short_name + 'の前に広げた。',
      '大釜の中には触手がびっしりと生え揃い、気色の悪い粘液を滴らせている。',
      'あの大釜の中へ' + slave.short_name + 'の全身を投げ込もうとしているのだ。あんなものが蠢めく中に飛び込めばまずいことになることは' +
        'どんなバカにでもわかるだろう。必死に' + slave.short_name + 'は逃れようとするが拘束され身動きも取れないために逃げられるはずもない。',
      '考え直して欲しい、そう交渉しようと振り向いた矢先、' + slave.short_name + 'の背中をあなたは無情に突き飛ばした……',
      '触手たちの海の中に突き出された手がゆっくりと沈み込んでいく。',
      '外からはうかがい知ることはできないが、中で' + slave.short_name + 'にどれほどに恐ろしくおぞましい行為がなされているかは' +
        '触手の中から響くどの外れた声や、唯一突き出された手がガクガクと痙攣する様子からも明らかだ。',
      '粘膜という粘膜に気色の悪い有害な触手分泌液を塗りたくられ、頭の中を直接塗り替えられていくおぞましい感覚に、' + slave.short_name + 'は脂汗を吹き出しながら身悶えている……',
      '粘膜を通して血管の中に遠慮なしに流し込まれた神経に作用する化学物質が脳の中へと流れ込み、' +
      '理性やプライド、肉欲に対して都合の悪い理性を操る脳の大脳新皮質を触手たちは容赦なく破壊し、' +
        '代わりに快楽本能や色欲などを司る視床下部を異常に肥大化させられていく。',
      '一秒ごとに、' + slave.short_name + 'の脳は肉欲に隷属する、セックスにとって都合の良い存在へと情け容赦なく作り変えられていった……',
      '...',
      slave.short_name + 'の思考と価値観を司る頭脳は、触手よる強制肉体改造に苛まれ、内側から不可逆な変化を受け入れることになります。たとえそれがどれほど望まぬものであっても',
      ' ',
    ]
  end

  def _tentacle_lab_custom_hard(slave)
    [
      slave.short_name + 'を肉体徹底改造触手苗床の部屋に配置しました。',
      '...',
      slave.short_name + 'を頭から呑み込んだ筒状の触手苗床の中で、' + slave.short_name + 'がもがいているのがはっきりとわかる。',
      '触手の肉筒の厚みは大したことはなく、半透明上なので、その分、どれほどえげつない触手たちが中で' + slave.short_name + 'を責め苛んでいるのかが' +
        '見て取れた。' + slave.short_name + 'の四肢がビクンビクンと激しく痙攣する。',
      'だが触手たちは休みを与える気はないようだ。膝を掴み脚を開かせると、ゴツい肉バイブ触手が' + slave.short_name + 'の秘所にねじこまれていく。',
      'さらにイボがたっぷりとついた細長い触手も' + slave.short_name + 'の下半身に狙いを定めたようだ。',
      'ぐちっぐちっと音が聞こえるかのようにゆっくりとイボ触手が' + slave.short_name + 'の尻穴にゆっくりと潜り込んでいく。' +
        'もちろんその間にも胸や陰核、腋など敏感な場所を攻めるブラシ触手の動きは休まることはない。',
      '肉筒の中で' + slave.short_name + 'の体が大きく反り返り、ビクビクと痙攣する。始まってから十分と経っていないというのに何度目かの' +
        '絶頂を迎えたのだ。だがそれでも触手苗床は容赦はしない。',
      '口からは媚薬原液を流し込み、膣穴と直腸からも粘膜に直接たっぷりと発情分泌液を塗りたくる。それでいて獲物が力尽きぬように' +
        '滋養強壮の効果がある栄養液も合わせて流し込むのだ。',
      '女は絶頂させられ、それでも快楽を流し込まれ、気絶しそうになったところで再び媚薬粘液を流し込まれながらズボズボと貫かれ再び絶頂を迎える。',
      'まさに生かさず殺さずのギリギリのところを責め苛む悪魔のような快楽装置だった。',
      slave.short_name + 'はすでに二桁を超える絶頂を迎えたようだが、まだ時間は二十分も経ってはいない。それでいて触手たちはエンジンがかかってきた' +
        'とでも言いたげにますます動きを激しくしていく。',
      '丸一日経つ頃には、' + slave.short_name + 'はどうなっているだろうか。あなたは少しだけその点に興味を抱いた。',
      '...',
      slave.short_name + 'の肉体はこれから休みなく触手によって快楽を与え続けられるでしょう。',
      'げっぷがでるほどの快楽を果てなく与え続けられた場合、女の肉体と精神は元の形を保つことは困難です。',
      '肉体は快楽に従順に男とのセックスを望む都合の良い肉便器として作り変えられるでしょう。',
      'また限界を超えた快楽が精神を、後戻りできぬほどに激しく作り変えていきます。抵抗と嫌悪感は薄れ快楽に従順な肉穴として躾けられるのです。' +
        'あまりの激しさに壊れてしまうことも珍しくはありません。',
      ' ',
    ]
  end

  def _tentacle_lab_custom_body_a(slave)
    [
      slave.short_name + 'を触手アナル改造部屋に配置しました。',
      '...',
      '生臭い粘液を吐き出す赤黒い色をした太い触手たちが、' + slave.short_name + 'の後ろの、背徳のすぼまりへと群がる……。' +
        '手足を押さえつけられた' + slave.short_name + 'は太ももを閉じて必死に尻穴を守ろうとするが' +
        '触手たちは膝を掴むと大きく脚を広げさせ、あっさりと直腸の入り口へとたどり着いた。',
      'ずにゅぅぅっ。軟体生物のように柔らかい触手が' + slave.short_name + 'の、本来一方通行である排泄器官の内側へと侵入する。異常な行為のはずにも関わらず、それは恐ろしくあっさりとしたものだった。',
      'それでも' + slave.short_name + 'を襲う大きすぎる違和感に秀麗な眉がハの字を描く。' + 
      'もちろん悪辣な触手がそのままにしておくはずがなかった。一本目の触手は表面から潤滑液代わりの分泌液を直腸の襞のひとつひとつに、丁寧に塗り込んでいく。',
      'その分泌液には、危険なまでの媚薬効果と中毒効果があるが、それを' + slave.short_name + 'は知る由もない。',
      '違和感、異物感、嫌悪感。そういった負の感情が強酸をかけられたかのようにドロドロと溶け落ちていく。代わりに充足感、幸福感、満足感。そういった感情が' + slave.short_name + 'の内心を満たしていく。',
      '尻穴を犯されて感じるはずがない不自然な陽の感情と、' + 
      'ビリビリとくる刺激に' + slave.short_name + 'は怯えたような声をあげるが、' +
        '触手たちはなんの反応も返さない。むしろ、さらに後ろ暗い快楽を与える洞窟へ乱入する触手の本数が増えていく。',
      'ぐちっ、ねちぃっ、ぐぢゅぅっ！　粘っこい音が響くたびに尻穴がほぐれ、より多くの快楽を感じ、アナルセックスを受け入れるように躾られていく……。',  
      '触手たちが加える不可逆な改造の恐ろしさの片鱗をその身で感じ取った' + slave.short_name + 'は必死に' +
        '身をよじるが、四肢を拘束する触手たちはビクともしなかった……',
      '...',
      slave.short_name + 'のアナルは、触手よる強制肉体改造に苛まれ、不可逆な変化を受け入れることになります。たとえそれがどれほど望まぬものであっても',
      ' ',
    ]
  end

  def _tentacle_lab_custom_body_b(slave)
    [
      slave.short_name + 'を触手乳房改造部屋に配置しました。',
      '...',
      '生臭い粘液を吐き出す扁平な触手たちが、' + slave.short_name + 'の胸、女のシンボルへと巻きついていく。',
      'あるものは優しく捏ね回すように、あるものは表面にびっしりと生えたブラシ状の触手で怪しげな分泌液をしみこませるように擦りつけていく……。',
      'ビリビリとくる刺激に' + slave.short_name + 'は怯えたような声をあげるが、' +
        '触手たちはなんの反応も返さず、さらに巻きつく触手の本数が増えていくだけだった。',
      slave.short_name + 'のあげる声が一層切羽詰まったものになった。',
      '先ほどのものとは明らかに異なる、糸のように細い触手が双丘の先端、桃色の蕾へと巻きついたのだ。',  
      'コリコリと転がし、締め上げ、押しつぶし、弄ぶようにして触手は胸全体を楽しむ。胸でこれほどの快楽を感じられるのかという甘い歓びに' + 
      slave.short_name + 'の腰は無意識に卑猥なダンスを踊る。',
      'やがて触手たちは、乳首の先端に少し太い触手を近づけた。一体何を、と思う間もなく、ズブリ、と内側に触手が侵入する。' +
        '異物感、あるいは嫌悪感に' + slave.short_name + 'は悲鳴をあげるが、「黙れ」とでも言うように猿轡のように触手を口に咥えさせられてしまう。',
      '抵抗もできぬまま加えられる、触手たちが加える不可逆な改造の恐ろしさに' + slave.short_name + 'は涙をこぼすことしかできなかった……',
      '...',
      '彼女の胸は、触手よる強制肉体改造に苛まれ、不可逆な変化を受け入れることになります。たとえそれがどれほど望まぬものであっても',
      ' ',
    ]
  end

  def _set_to_tentacle_lab_basic(slave)
    [
      slave.short_name + 'を触手苗床の部屋に配置しました。',
      '彼女の肉体は、触手よる強制肉体改造に苛まれ、不可逆な変化を受け入れることになります。たとえそれがどれほど望まぬものであっても',
      ' ',
    ]
  end

  def _set_to_tentacle_lab_common(slave)
    [
      slave.short_name + 'を触手苗床の部屋に配置しました。',
      '彼女の肉体は、触手よる強制肉体改造に苛まれ、不可逆な変化を受け入れることになります。たとえそれがどれほど望まぬものであっても',
      ' ',
    ]
  end

  def set_to_maternity_room(slave)
    [
      slave.short_name + 'を魔物強制妊娠の部屋に配置しました。',
      'がっちりと拘束された'+ slave.short_name +  'の肉体を、魔物たちが貪っています。',
      'いずれ魔物の子を孕むのも時間の問題でしょう。強力な' + _adventurer_type + 'の素質がある彼女からは、より強力な魔物を産み出せるはずです……',
      ' ',
    ]
  end

  def blank_slave_brothel
    [
      '現在奴隷娼館には誰も配置されていません……',
    ]
  end

  def blank_tentacle_lab
    [
      '現在触手苗床の部屋には誰も配置されていません……',
      '触手たちは不可逆に作り変えるための生贄を求めるように不気味な粘質の水音を立てています。',
    ]
  end

  def blank_maternity_room
    [
      '現在魔物強制妊娠部屋には誰も配置されていません……',
      '女の四肢を拘束し、魔物を産ませるための分娩台が部屋の中央に不気味に鎮座しています……',
    ]
  end

  def list_header_text
    [
      '[ここに配置された奴隷一覧]'
    ]
  end

  # 売春用
  def sex_toilet_position_script(slave)
    [
      '石造りの地下室は、ジメジメと湿っていて、まるで地下牢のようだ。',
      'ここは公衆便所。もちろん奴隷娼館の地下に通常の便所とは別にしつらえられたそこは' +
        '男にだけ存在する獣じみた生理的欲求を処理するための場所だった。',
      '壁にすえつけられた頑丈な金具に、首輪と手枷についた鎖が嵌められるが' +
        slave.short_name + 'は意味を成さぬ呻き声をあげるばかりで抵抗しようともしない。',
      '口元からはよだれが垂れ落ちている' + slave.short_name + 'の顔にはもはやかつての知性や威厳はかけらも残ってはいなかった。',
      '望まぬハードな売春を強いられたことで精神が壊れてしまったのだ。',
      '公衆便女。娼婦の中でも最低ランクの性欲を排泄するための肉欲処理器、それが' + slave.short_name + 'の人生の終着点だった。',
    ]
  end

  def wall_hole_spring_position_script(slave)
    first_spring = slave.first_wall_hole_spring?
    slave.set_spring_flag!(:wall_hole) if first_spring

    script = [
      'ちょうど' + slave.short_name + 'のヘソのあたりで、固定用の頑丈な拘束具がガチリと音を立てた。',
    ]
    if first_spring
      script += [
        '部屋の中央に固定された凶悪な拘束具の外見を見て、自分がこれから何をされるか悟った' + slave.short_name +
          'は先ほどまで必死に暴れ抵抗していたが、数人がかりで押さえつけられてはどうすることもできなかった。',
        'ゴツい壁そのものから、男を誘うように女のみずみずしい体が生えている。白桃のような尻をみればどんな男であっても欲情することは間違いなかった。',
        'そして' + slave.short_name + 'は、いまや抵抗することも逃げることもできない。',
      ]
    end
    situation_script =
      if first_spring
        '蒼白になった表情を引きつらせ、歯をガチガチと鳴らしている。'
      else
        '深い絶望と諦観の色が混じり合った表情を浮かべている。'
      end
    script += [
      slave.short_name + 'はヘソのあたりで部屋の中央に柱のように屹立する壁に埋め込まれ上半身と下半身をそれぞれの側に晒している。',
      '金属で補強された拘束具は恐ろしく頑丈でどれほど足掻いてもビクともしないことは明白だった。',
      '下半身はちょうど客の男の目の前に来るように白い尻が高く突き出されている。',
      'さらに上半身にすらも自由を許さぬとばかりに太い杭に固定された巨大な木枷によって、' + slave.short_name + 'は首を手首とともに拘束されている。顔の位置はちょうど' +
      '男の腰のあたり。これからどのような目に遭わされようとしているのか理解した' + slave.short_name + 'は' + situation_script,
      '（' + slave.short_name + 'が壁尻売春に配置されました。）',
    ]
    script
  end

  def v_force_spring_position_script(slave)
    first_spring = slave.first_v_force_spring?
    slave.set_spring_flag!(:v_force) if first_spring

    script = [
      'ジメジメとした不快な部屋の空気に耐えきれず' + slave.short_name + 'が身じろぎすると、手足の頑丈な拘束具とつながった床の金具がガチャリと音を立てた。',
    ]
    if first_spring
      script += [
        '部屋の中央には逃げられぬよう拘束具で縛られた' + slave.short_name + 'が拘束されている。',
        '抵抗してはみたが数人がかりで押さえつけられて' + slave.short_name + 'はここに連れてこられたのだ。もちろん目的は明らかだ。' +
        slave.short_name + 'を、いくばくかの金で客の男に好きにさせるためだ。',
        '腕は後ろ手に回されたことで胸はあらわになっている。せめて秘所だけは晒すまいと必死に' + slave.short_name +
        'は脚を閉じてはいるが無駄な抵抗であることは明らかだった。',
        ' ',
      ]
    end
    situation_script =
      if first_spring
        '蒼白になった表情を引きつらせ、歯をガチガチと鳴らしている。'
      else
        '深い絶望と諦観の色が混じり合った表情を浮かべている。'
      end
    script += [
      '薄暗く湿っぽい部屋の中央で、' + slave.short_name + 'は床に仰向けになり、隠すものもなく白い裸身を晒している。',
      '首にはめられた革製のゴツい首輪、それもじゃらりとした鎖のついた代物が、この部屋における彼女の立場を端的に示していた。',
      '仰向けのまま手足を頑丈な金属製の拘束具によって鎖で戒められている。今の姿ではただの人間相手にすらも' +
        'たやすく組み伏せられてしまうのは明白だ。',
      'いくばくかの金を払った客に対して「ご自由に召し上がり下さい」と差し出されているのだ。',
      'これから自分がどのような目に遭わされようとしているのか理解した' + slave.short_name + 'は' + situation_script,
      '（' + slave.short_name + 'が肉便器売春に配置されました。）',
    ]
    script
  end

  def v_whore_spring_position_script(slave)
    first_spring = slave.first_v_whore_spring?
    slave.set_spring_flag!(:v_whore) if first_spring

    script = [
      '薄暗い部屋の隅には、油で燃えるランプが備えられ、あたりに妖しげな光を振りまいている。',
      '淫らな印象を与える衣服から大きく零れた' + slave.short_name + 'の白い肌を扇情的に照らしている。',
      '娼館の１階の大広間の上にある客室。もちろん客室とは名ばかりだ。肉に飢えた男たちから金を店は受け取る。' +
        '客室は脂ぎった獣欲のままに客の男が娼婦を抱くための部屋だ。',
    ]
    if first_spring
      script += [
        '今でこそ部屋はシンと静まり返ってはいるが、最初の客が来れば自分は肉玩具のように犯される。' +
          '自分にできることといえば、せいぜい媚を売り丁寧に奉仕を行い、相手が気に入ってくれるよう振る舞うだけだ。',
        '……今まで何度も娼婦として好きでもない男に抱かれ、気絶するまで犯された。',
        'だが今までは無理やり抱かれただけだ。どれほど感じたとしても何度絶頂したとしても、それは陵辱された、' +
          '己が望んだわけではなかった、と自分に言い訳ができた。',
        'これからはそうではない。',
        '己から客の男に媚を売り、男の肉棒を口や手や胸で奉仕「させていただく」。',
        '当然行為の中には女として神聖な場所に肉槍を迎え入れ、行為の果てのクライマックスとして' +
          '子種汁を注ぎ込んでいただくことも含まれる。',
        '心のうちに嫌悪や抵抗がないといえば嘘になる。',
        '好きでもない男に媚を売り、セックスを自分からねだり、そして妊娠のリスクがある膣内射精を受け入れるなど。',
        'だが。',
        'それでもマシなのだ。',
        '拘束され、男たちの思うがままに肉体を使われる。肉便器としての売春に比べれば、畳や布団、あるいはきちんと' +
          'シーツの敷かれたベッドがあるこの部屋での行為の方がよほどマシだ。' +
          'それに心身の消耗も少ない、自分が「女」として壊れてしまう限界までハメられ犯し潰される毎日に比べればずっとマシだ。',
        'ブルリと全身が震える。',
        '誇り高い' + _adventurer_type + 'として皆から一目置かれた過去が遠い昔のようだ。',
        '今の' + slave.short_name + 'は、眼前に死や破滅の瀬戸際に押しやられ、毎日必死に生にしがみつく存在に堕ちてしまった。',
        '生きるために男に媚を売り、己の肉体を差し出す惨めで浅ましい存在。',
        slave.short_name + 'は涙がこぼれそうになるのを、天井を向いて必死にこらえた。',
        '……足音が聞こえる。どすどすという乱暴そうな音。',
        'どうやら、今回は「外れ」の客のようだ。',
        ' ',
      ]
    end
    situation_script =
      if first_spring
        '引きつった顔に、こわばった愛想笑いを貼り付けている。'
      else
        '深い絶望と諦観を現さぬよう、妖艶な表情を浮かべている。'
      end
    script += [
      '意図的に薄暗く抑えた照明の部屋の中央で、' + slave.short_name + 'は少し崩した姿勢で男を待っている。' +
        'このまま誰も来なければいいと心の底では思っている。だがそれは叶わぬ願いだろう。',
      'また今日も、自分は男たちに抱かれるのだ。浅ましく色狂いの娼婦として振る舞うこと。それが' +
        slave.short_name + 'にとっての処世術だった。男たちは色狂いの女を好む。',
      '気に入られれば、乱暴にされる可能性も低くなる。',
      'だが、表面に貼り付けた擬態はいつか、深層に癒着し、本体と不可分なものになる。彼女が擬態だと思っている' +
        '淫乱さは、果たしてどこまでが演技だろうか',
      'ガタガタと震えた扉がギィィとたてつけの悪い、耳障りな音をあげて開く。客の男が現れた。',
      slave.short_name + 'は' + situation_script,
      '（' + slave.short_name + 'が娼婦売春に配置されました。）',
    ]
    script
  end

  def a_whore_spring_position_script(slave)
    first_spring = slave.first_a_whore_spring?
    slave.set_spring_flag!(:a_whore) if first_spring

    script = [
      '薄暗い部屋の隅には、油で燃えるランプが備えられ、あたりに妖しげな光を振りまいている。',
      '淫らな印象を与える衣服から大きく零れた' + slave.short_name + 'の白い肌を扇情的に照らしている。',
      '極彩色の色使いが下品な点を除けば、金のかかった部屋は裕福な家の、清楚な娘の寝室にも見える。',
      'だがもう暫くもすればそんな印象を抱くものはいなくなるだろう。これからこの部屋では、名前も知らぬ男と尻穴と直腸でまぐわうという、最低の淫売であっても' +
        '顔を背けるような背徳の極みの行為が行われるのだから。',
    ]
    if first_spring
      script += [
        '尻穴でセックスを行う。それも好きあったこともない、自分を金で買った見知らぬ男と。',
        'その事実は' + slave.short_name + 'の心に絶望の暗い影をなげかける。',
        'だが。前の穴でするわけではない。つまり膣内射精だけは避けることができる。' +
          'それに、肉便器としてではなく、娼婦として交わるのだ。乱暴に扱う客が少ない分、まだマシだ。',
        slave.short_name + 'は己に必死にそう言い聞かせる。',
        'ふと脳裏にまだ' + _adventurer_type + 'だった頃。初めて尻穴を犯されたときの記憶が蘇る。',
        '犯され、純潔を踏みにじられた。それどころか尻穴を抉られ激痛にのたうちまわる記憶。' +
          '何度も犯されるうちに快楽を覚え、ついにはアナルセックスで絶頂した自分を周囲の男たちは嘲笑った。',
        'レイプされ、尻穴でイクとは最低の変態な淫乱女だと。',
        slave.short_name + 'は嫌な記憶を振り払うように頭を振る。自分は堕ちるところまで自分は堕ちたのだ。' +
          'いまさら何を取り繕うというのだろう。自嘲的に' + slave.short_name + 'は笑った',
        ' ',
      ]
    end
    situation_script =
      if first_spring
        '整った顔に、引きつった愛想笑いを貼り付けている。'
      else
        '背徳快楽に満ちた行為を期待するように、蠱惑的な表情を浮かべている。'
      end
    script += [
      '意図的に薄暗く抑えた照明の部屋の中央で、' + slave.short_name + 'は少し崩した姿勢で男を待っている。' +
        'このまま誰も来なければいいと心の底では思っている。だがそれは叶わぬ願いだろう。',
      'アナルセックス。普通の女であれば一生知るはずのない、強い中毒性を持った倒錯的な背徳快楽。',
      'その後ろ暗い快楽の味を覚えるたび、女の肉体は普通の生活には戻れなくなってゆく。尻穴快楽の虜となった' +
        '変態女を、一体誰が生涯の伴侶としたがるだろうか。',
      'アナルセックスのその悪魔的性質はまさに麻薬に等しかった。',
      'ガタガタと震えた扉がギィィとたてつけの悪い、耳障りな音をあげて開く。客の男が現れた。',
      'アナルセックスという普通ではない行為を好みそうな、ヒキガエルじみた中年男だ。男は' +
        slave.short_name + 'の肢体を値踏みするようにジロジロと眺めると、ニタリと笑った。',
      slave.short_name + 'は' + situation_script,
      '（' + slave.short_name + 'が娼婦アナル売春に配置されました。）',
    ]
    script
  end

  def all_whore_spring_position_script(slave)
    first_spring = slave.first_all_whore_spring?
    slave.set_spring_flag!(:all_whore) if first_spring

    script = [
      '薄暗い部屋の隅には、油で燃えるランプが備えられ、あたりに妖しげな光を振りまいている。',
      '淫らな印象を与える衣服から大きく零れた' + slave.short_name + 'の白い肌を扇情的に照らしている。',
      '部屋は広く無人の冷たい空気は荘厳な印象すら与える。極彩色の色使いが下品な点を除けば、金のかかった部屋は裕福な家の大広間にも見えるだろう。',
      'だが一度行為が始まれば、そんな印象は吹き飛ぶだろう。一人の女を貪るべく、多数の中年男たちがひしめき続けるの。' +
        '汗や淫らな体液の臭いが充満し、不快どころではなくなってしまうのだから。',
    ]
    if first_spring
      script += [
        'セックスを行う。それも好きあったこともない、自分を金で買った見知らぬ男たちと。',
        '秘所はもちろん尻穴や口、手や胸、全身を使って男たちに奉仕する。それはもはやセックスですらない。',
        '男たちの欲望を満たすための肉穴、肉オナホだ。女の最低限の矜持すらも踏みにじられる最低の行為。',
        ' ',
        'ずくりと腰の奥が疼いた。それは恐怖ではない。歓喜への期待。',
        '肉体の全てを男たちに使っていただき、肉の限界まで歓喜と法悦を極めさせていただけることへの期待。' +
          'もはや戻れぬほど徹底的に作り変えられてしまった' + slave.short_name + 'の肉体は、これから起こり得る' +
          '休みなしの輪姦による背徳快楽の宴に、下の口から浅ましくヨダレをたらしていた。',
        'そして同様に変質していた精神は、もはやその誘惑を拒むことはできない。',
        slave.short_name + 'は我知らずのうちに体が淫らな熱で高ぶっている事実から目を背けられなくなっていた。',
        ' ',
      ]
    end
    situation_script =
      if first_spring
        '整った顔には、これから隠しきれない欲望への期待が浮かんでいる。'
      else
        '何度も叩き込まれた暴力的な快楽を、またげっぷが出るほどたっぷり味わえることを期待して、顔は甘く緩んでいる。'
      end
    script += [
      '意図的に薄暗く抑えた照明の部屋の中央で、' + slave.short_name + 'は男たちを待ちわびていた。' +
        '早く抱かれたい。犯してほしい。最高級のご馳走が運ばれてくるのを待つ肉の飢え。',
      '快楽の味を覚え、淫らな変態的欲望の虜となった' + slave.short_name + 'はもじもじと内股をこすり合わせながら' +
        '肉の宴を待ちわびている。',
      'ガタガタと震えた扉がギィィとたてつけの悪い、耳障りな音をあげて開く。客の男が現れた。',
      '一人、そのあとに三人、少し間を空けてドカドカと無遠慮に男たちが部屋へと踏み入っていく。',
      '男たちの顔はどれも脂ぎった獣欲で暗く光っており、そこには' + slave.short_name +
        'への敬意や遠慮といったものは欠片もない。',
      slave.short_name + 'は' + situation_script,
      'ゴクリと、喉が鳴った。鼻をくすぐる興奮したオスの臭いは、' + slave.short_name +
        'にとって最高の媚薬に他ならなかった。',
      '男たちの視線が、痛いほど' + slave.short_name + 'に突き刺さっていく。' +
        '肉の宴が始まろうとしていた。',
      '（' + slave.short_name + 'が娼婦輪姦全穴売春に配置されました。）',
    ]
    script
  end

  def pole_dance_spring_position_script(slave)
    first_spring = slave.first_pole_dance_spring?
    slave.set_spring_flag!(:pole_dance) if first_spring

    script = [
      slave.short_name + 'が連れてこられたのは広々とした空間だった。',
      '奥の方に一段高くなった舞台がありそこには何本かの細い棒のようなものが立っている。',
      '舞台を囲む用に観客席も用意されていた。',
      'まさにここは見世物小屋だった。そして当然その供物は' + slave.short_name + '自身である。',
    ]

    text =
      '自分は今日からここで男たちの眼前で見世物にされる。その恐ろしい背徳の予感に' +
        if first_spring
          slave.short_name + 'は恐ろしい恐怖を感じてブルリと震えた。だがもちろん奴隷娼婦に拒否権などあるわけがない。'
        else
          slave.short_name + 'はゾクゾクと背筋を震わせた。あの欲情した男たちの視線が痛いほど突き刺さる、あの感覚。' +
            '言い表せぬ淫欲の悦びを思い出し、' + slave.short_name + 'は妖艶に笑った。'
        end
    script << text
    script
  end

  def show_tent_spring_position_script(slave)
    first_spring = slave.first_show_tent_spring?
    slave.set_spring_flag!(:show_tent) if first_spring

    script = [
      slave.short_name + 'が連れてこられたのは広々とした空間だった。',

      '中心に舞台があり、そこから逃げ出せぬよう周囲には柵が巡らされている。',
      'そしてそれを囲うように観客席が設けられていた。',
      'まさにここは見世物小屋だった。女が好き放題嬲られる様を聴衆たちが楽しむ背徳と欲望の極み。',
      'そして当然その供物は' + slave.short_name + '自身である。',
    ]

    text =
      if first_spring
        [
          '自分は今日からここで徹底的に嬲り尽くされ、男たちの眼前で見世物にされる。',
          'その恐ろしい背徳の予感に' + slave.short_name + 'は恐ろしい恐怖を感じてブルリと震えた。',
          'だがもちろん奴隷娼婦に拒否権などあるわけがない。哀れで美味な肉贄はただ貪られることしかできないのだ。',
        ]
      else
        [
          '自分は今日からここで徹底的に嬲り尽くされ、男たちの眼前で見世物にされる。',
          'その恐ろしい背徳の予感に' + slave.short_name + 'はゾクゾクと背筋を震わせた。',
          'あの欲情した男たちの視線が痛みすら覚えるほど肌に突き刺さる感覚。' +
            '惨めなまでの痴態を晒す自分に向けられる軽蔑の感情。抗うこともできない恐ろしいほどの快楽。',
          'それらが混じり合った極彩色あの感覚。' +
            'また、あの煮え滾る欲望のマグマを全身で味わえる悦びを思い出し、' + slave.short_name + 'は妖艶に笑った。',
        ]
      end
    script += text
    script
  end
end
