# coding: utf-8
require_rrk 'src/defines/script/dungeon/script_utils'
require_rrk 'src/app/helper/game_define_helper'
require_rrk 'src/defines/dungeon/tattoos_list'

class JailRoomScript
  include ScriptUtils
  include GameDefineHelper
  include TattoosList

  def set_bookmark_to(adventurer)
    [
      adventurer.short_name + 'を監視リストにいれました。',
      '彼女の些細な動向もすべて監視の耳目にとらえられ次第、あなたのもとへともたらされるでしょう。',
      '（メニューの「酒場で噂を聞く」から監視リストに記載された冒険者の動向を知ることができます。）',
      ' ',
    ]
  end

  def reset_bookmark_to(adventurer)
    [
      adventurer.short_name + 'を監視リストから外しました。',
      'もはや彼女はあなたにとって興味の対象ではありません。。',
      'それが' + adventurer.short_name + 'にとって、幸福なことであるかはまた別の問題ではありますが……',
      '（何度でも監視リストに入れたり外したりすることは可能です）',
      ' ',
    ]
  end

  def release_from_jail_script(adventurer)
    [
      '眠りの妖精の晶術をかけるとすでに体力を使い果たしていた' + adventurer.short_name + 'はあっさりと眠りに落ちた。',
      'あなたは使い魔に、無防備に眠る' + adventurer.short_name + 'を地上へと送り届けるよう命じた。',
      '使い魔と、金で雇った地上の者たちの手で' + adventurer.short_name + 'は酒場に無事送り届けられるだろう。',
      'もちろん善意などではない。新しい、より壮絶な地獄を味あわせるために、媚肉の収穫を先送りにしたにすぎないのだ……',
      ' ',
      ' ',
    ]
  end

  def jail_details_for_custom(jail_room, magic_power)
    adventurer = jail_room.adventurer
    script = [
      '戦闘に敗北し、捕縛された哀れな冒険者に、二度と消えぬ魔術刻印を刻むことができます。',
      '地下牢に閉じ込められ、全ての力を封じられた' + adventurer.short_name +
        'には抗うことはできません。',
    ]
    if FGO_MODE
      script += [
        'サーヴァントとしての根幹である霊基。手を加えればクラスはもちろん服装や肉体、精神のあり方すらも変更することが可能になるそれを、' +
        'あなたの魔力を流し込むことで外部から作り変え、都合の良いように改造することができます。',
        'サーヴァントという召喚契約に縛られた' + adventurer.short_name + 'にとって、書き換えられた霊基に刻まれた刻印に逆らうことはできません。',
      ]
    end

    script << magic_power_status(magic_power)
    script += [' ']
    script
  end

  def brand_tattoo_to_prisoner(adventurer, tattoo_name, magic_power, cost)
    [
      '抵抗できぬようガッチリと拘束された' + adventurer.short_name + 'の腹の辺りをあなたの指が這い回る。',
      '白い肌を指がなぞるたび、肉体の奥底、精神の中心を弄られるかのような言いようのないおぞましい感覚が' + adventurer.short_name + 'を責め苛む。',
      '指が、刻印の最後の一画をなぞった。',
      'もはや消えることのない刻印が' + adventurer.short_name + 'に刻まれた。口枷をはめられたことで言葉も出せぬまま、' +
        adventurer.short_name + 'は目に涙をため、ふぅふぅと荒い息を吐きている。腹には己を作り変える魔術刻印がはっきりと刻まれている。',
      adventurer.short_name + 'はそれを目を見開いた絶望の表情で眺めている……',
      "（#{adventurer.short_name}に#{tattoo_name}が刻まれました）",

    ] + spent_magic_power(magic_power, cost)
  end

  def brand_detail_tattoo_to_prisoner(adventurer, tattoo_name, cost, magic_power)
    [
      ' ',
      adventurer.short_name + 'に消えぬ刻印である' + tattoo_name + 'を刻みますか？',
    ] +
    magic_power_to_development(cost) +
    [magic_power_status(magic_power)]
  end

  def brand_detail_tattoo_in_shortage(adventurer, tattoo_name, cost, magic_power)
    [
      ' ',
      adventurer.short_name + 'に消えぬ刻印である' + tattoo_name + 'を刻むには魔力が足りません',
    ] + short_of_magic_power(magic_power, cost)
  end

  def jail_room_status(room)
    return jail_room_status_in_resist(room) if room.in_resist?

    [
      [
        "#{room.adventurer.short_name}は#{room.monster_party.rest_enemies_count}#{room.monster_party.monster.unit_name}の#{room.monster_party.monster.name}によって陵辱されている。",
        room.monster_party.monster.name + 'たちは' + room.adventurer.short_name + 'の美しい体をいたぶり、媚肉を貪る。嫌悪と抵抗に歪める' + room.adventurer.short_name + 'の顔も、' +
          '彼らの嗜虐心を燃え立たせるスパイスでしかない。',
        '部屋には悲痛な悲鳴がこだましていた……',
        ' ',
      ],
    ].sample
  end

  def jail_room_status_in_resist(room)
    [
      "#{room.adventurer.short_name}は#{room.monster_party.rest_enemies_count}#{room.monster_party.unit_name}の#{room.monster_party.monster.name}によって監禁されている。",
      room.monster_party.monster.name + 'たちは' + room.adventurer.short_name + 'の身ぐるみを剥がそうとしているがあまりにも重装備なことと抵抗されたことによって剥がしきれていない',
      'だが助けが来なければ、陵辱も時間の問題だろう',
      ' ',
    ]
  end
end
