# coding: utf-8
require_rrk 'src/defines/script/dungeon/script_utils'
require_rrk 'src/defines/dungeon/utils/version_helper'
require_rrk 'src/app/helper/game_define_helper'

class MenuScript
  include ScriptUtils
  include VersionHelper
  include GameDefineHelper

  def opening_menu
    return opening_menu_for_original if ORIGINAL_MODE
    return opening_menu_for_fgo if FGO_MODE
    script =
      case DUNGEON_VERSION
        when 9.0
          opening_menu_ver9
        when 8.0
          opening_menu_ver7
        when 7.0
          opening_menu_ver7
        when 5.0
          opening_menu_ver5
        when 2.0
          opening_menu_ver2
        when 1.0
          opening_menu_ver1
        else
          # ベースはVer5
          opening_menu_ver5
      end
    script
  end

  def opening_menu_for_original
    [
      '大陸北方に覇を唱える帝国があった。いくつもの王国を併呑し、その最も貴き者は代々皇帝として即位していた。',
      'その帝国において、大事件が起きた。 ',
      '皇帝即位に必要な三種の神具が奪われたのだ。叡智の帝冠と賢者の書、そして混沌の杖。',
      'これらを守っていたはずの女宮廷魔導師とその一門もことごとく同時に姿を消した。',
      '皇妃を代々輩出していた名家であること、その屋敷に争った跡があることから裏切ったのではなく、連れ去られたのだと帝国は考えた。',
      ' ',
      '三種の神具がなければ次代の皇帝の即位もできない。メンツを潰された上に、帝統の存続も危ぶまれる事態に、健康とはいえ老齢である皇帝は、ただちに討伐令を出した。',
      'あっさりと神具を持ち去った者の名は分かった。黄昏の魔術師を名乗る、魔術師たちの世界から追放された男だ。',
      'その男の居場所も判然としていた。北の大山脈の東にある不気味な山一つを迷宮に作り変え、住処としているらしい。',
      '問題はその「迷宮」だった。',
      '内部には多数の罠が仕掛けられ、魔物が徘徊しているという噂だった。',
      '入り口には結界が張られ、人間の男が入れば死ぬ呪いがかけられている。',
      '屈強な軍の兵士や騎士を送り込むこともできない。唯一女だけの「有力な質と量を兼ね備えた戦力」だった女宮廷魔導師の一門はみな行方不明。',
      '皇帝はためらわなかった。ただちに国じゅうに広く触れを出し、女冒険者を募った。',
      'あの賊を討伐し、三種の神具を回収できた者には望みの褒美を出すと。',
      '国中から腕に覚えのある女たちが、身分の貴賎を問わず集まり始めた。',
      ' ',
      'あなたは魔術師だった。それも若くして多くの期待と羨望を集めた、若き俊英だった。',
      '一つの学問分野を極めることさえ困難な魔術協会の界隈において、召喚術と魔力生成術、結界術という３つの学問を究めたことでその名は広く轟いた。',
      'しかしすぐに問題が起きた。その名が地に落ち、やがて魔術学の頂点たる「真理の学舎」から放逐された。',
      '非難を浴びたのはその研究内容だった。',
      '強力な魔物を召喚するには大量の魔力が必要になる。その魔力を集めるためには、魔力を持つ生物から集めればいい。そう考えるまではよかった。',
      'だがその先の方法が人々の非難を浴びた。強力な魔力を持つ女を陵辱し、知性や理性を踏み砕き、精神をどす黒く曇らせ、高尚な精神が壊れ崩壊していく際に発生する魔力を搾り出し、収集する。それがあなたの究めた「最も効率の良い魔力収集方法」だった。',
      '追放されてなお、禁断の魔術の研究を諦めるつもりは毛頭ないあなたは自分が魔術を究めるための工房を作ることにした。',
      'あなたは女宮廷魔導師を筆頭とした、強力な女魔術師の一門をことごとく捕らえ、廃人に堕ちるまで陵辱することで集めた膨大な魔力をもって、山一つ分の巨大な地下洞窟をトラップとモンスターに満たされたダンジョンに作り変え、その最下層に自分の工房を作った。',
      'さらにあなたは陵辱されるための供物となる女しか入ることができなくなる、男だけを拒絶する強力な魔術結界を入り口に張った。' +
        'これでこのダンジョンは半永久的に稼働し続ける巨大な魔力生成装置となった。当然その燃料とは美しい女たちと、彼女たちがもつ気高い精神だ。',
      '女を陵辱し、辱めて穢し、砕いて踏みにじることで魔力が生まれるのだ。',
      ' ',
      '「迷宮」の麓にできた街。膨大な財宝に加えて三種の神具が眠るというこの迷宮をめあてに女冒険者たち、そして彼女たちに何かを売りつけようと商人や鍛冶屋、' +
      '宿屋や教会があっという間にできた。',
      'すでに十分な冒険者たちが揃い準備も整った。ついに帝国は「討伐」を開始せよと触れを出した。' +
      '女冒険者たちはこれからダンジョンに挑むこととなった。',
      'それが、どういう意味を持つかを、彼女たちはまだ知らない。',
      '迷宮と、神具回収、そして討伐令。その筋書きは誰によって書かれたものだろうか？',
      'この迷宮そのものが誘蛾灯、あるいは疑似餌のような、獲物をしとめるための危険で巨大な罠なのではないだろうか。',
      'そう疑う者は、まだ誰もいなかった。',
      ' ',
      'ゲームを始めます',
      ' ',
      ' ',
      ' ',
    ]
  end

  def opening_menu_for_fgo
    [
      'あなたは魔術師だった。それも若くして多くの期待と羨望を集めた、若き俊英だった。',
      '一つの学問分野を極めることさえ困難な魔術協会の界隈において、召喚術と魔力生成術、結界術という３つの学問を究めたことでその名は広く轟いた。',
      'しかしすぐに問題が起きた。その名が地に落ち、やがて魔術学の世界、すなわち魔術協会から放逐された。',
      '非難を浴びたのはその研究内容だった。',
      '強力な魔物を召喚するには大量の魔力が必要になる。その魔力を集めるためには、魔力を持つ生物から集めればいい。そう考えるまではよかった。',
      'だがその先の方法が人々の非難を浴びた。強力な魔力を持つ女を陵辱し、知性や理性を踏み砕き、精神をどす黒く曇らせ、高尚な精神が壊れ崩壊していく際に発生する魔力を搾り出し、収集する。それがあなたの究めた「最も効率の良い魔力収集方法」だった。',
      '追放されてなお、禁断の魔術の研究を諦めるつもりは毛頭ないあなたは自分が魔術を究めるための工房を作ることにした。',
      'あなたは強力な女魔術師の一門をことごとく捕らえ、廃人に堕ちるまで陵辱することで集めた膨大な魔力をもって、山一つ分の巨大な地下洞窟をトラップとモンスターに満たされたダンジョンに作り変え、その最下層に自分の工房を作った。',
      'さらにあなたは陵辱されるための供物となる女しか入ることができなくなる、男だけを拒絶する強力な魔術結界を入り口に張った。' + 
      'これでこのダンジョンは半永久的に稼働し続ける巨大な魔力生成装置となった。当然その燃料とは美しい女たちと、彼女たちがもつ気高い精神だ。',
      '女を陵辱し、辱めて穢し、砕いて踏みにじることで魔力が生まれるのだ。',
      ' ',
      'あなたはダンジョンについて広く周囲に噂を広めた。曰く、あの洞窟には膨大な財宝が隠されていると。',
      '旅の商人曰く、追放されし神が己を追放した子の男神ではなく、溺愛した娘の女神に譲るため隠した財宝が洞窟の奥の隠し宮殿に眠ると。',
      '酒場の事情通を名乗る男曰く、太古の狂えし王妃が放浪の末あの大洞窟の最深部で自害したと。王妃の夫への憎悪により、男が入れぬ洞窟の奥には王妃の大量の財産が今も残る、と。',
      '噂を聞きつけた冒険者たちが洞窟へと殺到した。もちろんその全ては女たちだ。強く、誇り高く、若くて美しい女冒険者たち。' + 
      'その目的はさまざまだ。ある者は財宝を求めて、ある者は名声を求めて、ある者は好奇心や正義感によって。',
      '女冒険者たちはあなたの目論見通り、罠にかかり、弱り分断され、敗北し陵辱された。どす黒く濁った精神が、音を立てて砕け、そのたびに洞窟の深奥、あなたの工房にある魔力を蓄積された大宝珠に大量の魔力（マナ）が蓄積されていく。',
      '噂は噂を呼び、冒険者たちがさらに数を増やしていく。ついには隣国や遠方の国からも女冒険者たちが来るようになった。',
      'あとは簡単だった。入り口に男は出入りすることのできぬ結界を張っているため女だけで構成された探索隊や討伐隊が送り込まれることになる。',
      '洞窟の魔物と罠は蟻地獄のように、強力な魔力を持つ討伐隊の女たちを餌食にしていく。',
      '強力な女冒険者たち、すなわち良質な獲物を自ら捧げに来る。こちらはただ、待てばいい',
      'あなたは昏く笑った。',
      ' ',
      'カルデア、人理を司り歴史を観測する機関。',
      'シバが聖杯、あるいはそれに類するものの反応を中世地中海に観測したという。放置すれば人理と歴史を歪める亜種特異点になりえる、とも。',
      '状況判断から命令がくだされ、マスターとサーヴァントが送り込まれた。',
      'レイシフト先の現地の兵士から聞き出したところでは、荒野の果てにある魔物が住み着いた大洞窟には莫大な財宝があるという。結界により、女しか入れぬ洞窟にここ数ヶ月の間、その洞窟に多くの女冒険者が挑み、帰らぬものも多いという。',
      '城の女騎士や兵士たち、あるいは地元の魔術協会の魔術師たちが何度も挑んだが結果ははかばかしくなく、' +  
      'ついには先日王都から宮廷魔導師たちを含む数百名から成る大討伐団が送り込まれた。これで全てが解決すると思っていた、と男の兵士は暗い面持ちで語った。',
      ' ',
      '事実として、熟練の戦士や魔術師の女たちをこの規模で集めるなど歴史において前代未聞だった。不逞の輩を集めるあの洞窟を非常に苦々しく思っていた周辺国の外交努力の成果として周囲の国家から掻き集められた精鋭だった。',
      'ここまでやればさすがに事態は解決すると誰もが思った。',
      'だがこれも失敗したという。熟練の兵士であれば圧倒できたはずの魔物たちがある段階で、急激に強くなったというのだ。時を同じくして急に洞窟の規模も大きく、感じられる魔力も強くなったと宮廷魔術師が警告したという。',
      'この異常な洞窟に偵察として送り込んだサーヴァントたちも、この洞窟に潜ったが、マスター不在の隙を突かれたか、あるいは前衛を張るべき男性サーヴァントをただ一騎を除いて還らなかった',
      ' ',
      '事態を重く見たカルデアの職員とその関係者は、この人理を外れた行いの裏側に何があるかを知っていた。聖杯による特異点、あるいはそれに極めて近しいものだ。',
      'であるからには解決されねばならない。',
      '即座にサーヴァントの動員体制が構築された。',
      '犠牲を払った偵察ともいうべき探索の末に幾つかのことがわかった。',
      '一つ、洞窟の周辺は人理あるいはこの世の理、ひいては歴史が歪んでいること。',
      '女しか入れぬ魔物に満ちたダンジョンが中世地中海にあるという歴史はない。すなわち誤った歴史である。',
      'すなわちそれは可及的速やかに解決されねばならないことを意味する。',
      '二つ、洞窟の中には危険な怪物たちが住み着いてしまっていること。',
      'ダンジョンの最下層にある異なる世界から怪物を呼び出す召喚陣そのものが、怪物たちの湧き出す原因であるらしい。',
      'このまま召喚されるままに増え続ければ地上に湧き出すのも時間の問題である。',
      '招かれざる魔物たちは聖杯の回収によって退治されねばならない。だが問題があった。',
      '三つ、洞窟の出入り口には、結界があること。',
      '結界は、男の出入りを妨げるものだった。つまりはマスターと男性サーヴァントは役に立たず、女性サーヴァントしか内部には入れない。',
      'この結界はあるいは怪物たちの漏出を防ぐ目的とも取れたが、だとするとそれはオスだらけの飢えた怪物の群れの中に女だけで挑まねばならないことを意味した。',
      'この条件は、サーヴァントたちと怪物たちとの実力差は明らかであったため大して問題視はされなかった。',
      '四つ、洞窟の中では魔力はおろか、宝具すらも制限されること。',
      '最後のこれが最も重大な問題であった。',
      '人理の異変を解決するべき最大戦力であるサーヴァントの力が制限されるのだ。',
      'だが解決の見込みもあった。力こそ制限されるものの、中にいる者たちはただの人間と同等か、せいぜいそれより強力な程度の怪物であり、力を制限されたとはいえサーヴァントたちの敵ではなかった。',
      '数人でパーティーを組み、油断なく潜れば、何か大きな問題がなければ彼らを退け、最奥にあると思われる問題の原因を解決することは不可能ではないように思われた。',
      ' ',
      'それが分かれば簡単だった。',
      '人理を守護すべき抑止力。調停者。歴史を守るべきサーヴァント。それらを筆頭に数十騎にもおよぶサーヴァントたちが集まった。さらにはそれにつられたお調子者どもも。',
      'さらにはお祭り騒ぎに混ざりたいだけの者が冒険者に加わったことで騒ぎは収集がつかなくなってしまった。',
      '「冒険者志願」のサーヴァントたちはダンジョンの周囲に冒険者の落とす金を当て込んで新しくできた集落、そこにある宿屋や鍛冶屋、雑貨屋、そして酒場を根拠地として活動することとなった。',
      '彼女たちはこれからダンジョンに挑むこととなった。',
      'それが、どういう意味を持つかを、彼女たちはまだ知らない。',
      '聖杯が生み出す問題と、聖杯回収という解決の糸口。果たしてそれは本当に希望なのだろうか？',
      '誘蛾灯、あるいは疑似餌のような、獲物をしとめるための危険な罠なのではないだろうか。',
      'そう疑う者は、まだ誰もいなかった。',
      ' ',
      'ゲームを始めます',
      ' ',
      ' ',
      ' ',
    ]
  end

  def opening_menu_ver9
    [
      'ある日幻想郷の外れに、巨大な洞窟が出現した。',
      'そんな噂が流れた。',
      'まさかそんなはずはない。と皆が噂したが、しばらくすると実態が明らかになっていった。',
      '確かに大きな洞窟があったのだ。それも新たにできたものらしい。',
      '広大な岩肌だらけの禿山があったはずのその場所には、大きな火山湖、そしてその中央にそびえる山があった。',
      '岩山には大きな開口部が一つ空いており、その周囲を水濠じみた湖が取り巻いている。',
      '岩山を取り巻く幅の広い「水堀」の両側には、橋のように陸地と岩山をつなげておりそれはまるで魔物の顎が口を開けたような岩山の入り口へと誘い込むようにも見えた……',
      '問題は岩山だけではなかった。',
      '山の反対側、もう一対の「橋」がつながる先には「門」とでも言うべき空間のねじれが存在し、異なる世界へと通じている。',
      '異世界への「門」の周辺には数十人の兵士や術師たちがおり、周囲を偵察させているようだ、と使い魔は偵察を命じた八雲紫に知らせてきた。',
      '岩山自体が、異世界へとつながる「門」の向こうからやってきた「侵入者」の尖兵にも思われたが、八雲紫とその従者による接触の結果、むしろ友好的な反応が得られた。',
      'この迷宮は、もともと「彼ら」の世界に、幻想郷に現れた時のようにある日突然現れたのだという。',
      '何度か探索隊を送り込んだが、まったく成果は芳しくなく多くの犠牲を出しながら時間を空費した末に、大きな地面の揺れが起きた。',
      '「恐ろしいほどの地面の震え」が収まった後に、こうなっていたのだという。',
      '幻想郷の者と敵対する意図のない彼らは、いまだいぶかしむ八雲紫に幾つかの情報をもたらしてくれた。',
      ' ',
      '迷宮の入り口から奥へと探索に行って、かろうじて逃げ帰った者、つまりは異世界のものたちの探索隊の生き残りの証言では、内部は粘つく軟体生物や魔物が徘徊する巨大な大迷宮になっているという。',
      '洞窟の内部は、開口部より入った部分は巨大な石柱のそびえる宮殿のような荘厳さを備えている。だが深奥部に進めば進むほど、' +
        'そのおぞましい正体を示すかのように異常な姿を露わにしていく。',
      '浅い階層であれば、煉瓦作りの人工的な部分もあれば、木で補強された坑道じみた場所もある。',
      'だが数階層も進めば、天然の洞窟のような場所があらわれていく。壁の材質は奇妙なほど様々な種類のものが現れ、まるでいくつもの大洞窟をつなぎ合わせたかのような有様だ。',
      '人工的な加工が施されているスペースも存在する。居住や通路、あるいは誰かを監禁するためのような地下牢らしき場所まで。',
      'さらにはある場所は有機物の脈打つ肉塊のようなもので壁が覆われていた。そしてその奇妙な肉塊は、深い階層に進むほど多く見られるようになるという。',
      ' ',
      '壁に魔術的な刻印や魔術陣が描かれている場所もあった。この迷宮に、なにか悪魔のような魔術的存在がいることは明らかだ。',
      '魔術的存在、あるいは端的に魔物と呼ばれる存在は人間を傷つけ、害する。' +
        '肉体や精神を二度と元に戻らぬほど徹底的に作り変え、誘惑し屈服させ、堕落に道へと引きずり込もうとする。',
      'まさに人に害悪を与え変質させるために作り出された存在、それが魔物だった。',
      'そんな魔物たちのところに、魔物たちを駆逐できる実力を持たぬ者を送り込むことは、餌を与えるに等しい自殺行為だ。',
      ' ',
      ' ',
      ' ',
      '突然現れた地下迷宮は幻想郷中を大いに驚かせた。',
      '突然現れた巨大な地下迷宮。',
      '幻想郷を脅かしかねない異常な事態。',
      ' ',
      '幻想郷の住人たちは、このような現象をどう呼ぶか知っていた。「異変」である。',
      '異変であるからには解決されねばならない。',
      '即座に博麗の巫女を含む幾人かが集まった。',
      '「門の外の民」によって八雲紫は情報を掴んではいたが、ウラをとるべきだと考え、探索目的で人を送り込んだ。',
      '何度かの、偵察や探索の末に幾つかのことがわかった。',
      '一つ、地下迷宮のあるいや和山の周辺は博麗の大結界が歪んでいること。',
      'すなわちそれは可及的速やかに解決されねばならないことを意味する。',
      '二つ、洞窟の中には危険な怪物たちが住み着いてしまっていること。',
      'ダンジョンの最下層にある異なる世界から怪物を呼び出す召喚陣そのものが、怪物たちの湧き出す原因であるらしい。',
      'このまま召喚されるままに増え続ければ地上に湧き出すのも時間の問題である。',
      '招かれざる魔物たちは一人残らず退治されねばならない。だが問題があった。',
      '三つ、洞窟の出入り口には、結界があること。',
      '結界は、男の出入りを妨げるものだった。つまりは女性しか内部には入れない。',
      'あるいは怪物たちを防ぐ目的とも取れたが、だとするとそれはオスだらけの飢えた怪物の群れの中に女だけで挑まねばならないことを意味した。',
      'この条件は、巫女たちと怪物たちとの実力差は明らかであったため大して問題視はされなかった。',
      '四つ、洞窟の中では魔力はおろか、弾幕すらも制限されること。',
      '最後のこれが最も重大な問題であった。',
      '異変を解決するべき最大戦力の巫女を含む者たちの力が制限されるのだ。',
      'だが解決の見込みもあった。力こそ制限されるものの、中にいる者たちはただの人間と同等か、せいぜいそれより強力な程度の怪物であり、博麗の巫女、あるいはそれと戦える者たちの敵ではなかった。',
      '数人でパーティーを組み、油断なく潜れば、何か大きな問題がなければ彼らを退け、最奥にあると思われる問題の原因を解決することは不可能ではないように思われた。',
      ' ',
      'それが分かれば簡単だった。だれが異変を解決するか。それを己の使命だと考える巫女。単なる未知のものへの好奇心から参加した魔法使い。己の力の誇示を目的とする女吸血鬼。解決すれば信仰を集められると考える者。',
      'さらにはお祭り騒ぎに混ざりたいだけの者が冒険者に加わったことで騒ぎは収集がつかなくなってしまった。',
      '霊夢をはじめとした「冒険者志願」の人間たちはダンジョンとともに転移してきた宿屋や鍛冶屋、雑貨屋などの小集落の酒場に集まる。',
      '彼女たちはこれからダンジョンに挑むこととなった。',
      'それが、どういう意味を持つかを、彼女たちはまだ知らない。',
      '問題と解決の糸口。果たしてそれは本当に希望なのだろうか？',
      '誘蛾灯、あるいは疑似餌のような、獲物をしとめるための危険な罠なのではないだろうか。',
      'そう疑う者は、まだ誰もいなかった。',
      ' ',
      ' ',
      ' ',
      '迷宮のそこでとぐろを巻く闇の中で、ぼんやりとした魔術の灯がともり、その影に隠れるように男が一人、静寂の中で研究に没頭していた。',
      'あなたは魔術師だった。それも若くして多くの期待と羨望を集めた、若き俊英だった。',
      '一つの学問分野を極めることさえ困難な魔術師の界隈において、召喚術と魔力生成術、結界術という３つの学問を究めたことでその名は広く轟いた。',
      'しかしすぐに問題が起きた。その名が地に落ち、やがて魔術学の世界から放逐された。',
      '非難を浴びたのはその研究内容だった。',
      '強力な魔物を召喚するには大量の魔力が必要になる。その魔力を集めるためには、魔力を持つ生物から集めればいい。そう考えるまではよかった。',
      'だがその先の方法が人々の非難を浴びた。強力な魔力を持つ女を陵辱し、知性や理性を踏み砕き、精神をどす黒く曇らせ、高尚な精神が壊れ崩壊していく際に発生する魔力を搾り出し、収集する。それがあなたの究めた「最も効率の良い魔力収集方法」だった。',
      '文明世界において厚く信仰される宗教の多くと敵対するはずの淫魔と契約し使役することで、快楽によって女を堕落させ、' +
        'その精神と生命をかたちづくるはずの本質的な核を崩壊させ、魔力というエネルギーとして取り出すというアプローチ。それが大陸を治めるいくつもの王宮と深く結びついた魔術師協会に受け入れられなくなることは必然だったかもしれない。',
      '追放されてなお、禁断の魔術の研究を諦めるつもりは毛頭ないあなたは自分が魔術を究めるための工房を作ることにした。',
      'あなたは強力な女魔術師の一門をことごとく捕らえ、廃人に堕ちるまで陵辱することで集めた膨大な魔力をもって、新たな根拠地を作り上げた。',
      'さらに潤沢な魔力を、背徳と堕落を司る大悪魔を呼び出し契約した。',
      '契約は単純な商取引に似たものだった。大悪魔は手勢たる淫魔たちをあなたの配下として与え、また女の肉体や精神を作り変える魔術刻印の秘儀をあなたに与えること。最後に迷宮を作り出すための膨大な魔力を「貸し付ける」こと',
      'かわりにあなたは、強く気高い女たちを手加減なしに辱め貶め、徹底的に陵辱して心を折り、その美しい肉体と誇り高い精神を大悪魔に捧げること。',
      '大悪魔との契約によりあなたは素晴らしい迷宮を作り出すことができた。',
      '迷宮の目的は一つだ。女を徹底的に犯し、桁外れの快楽を与えることで屈服させる。そして強い女の肉体と精神を作り変え貪るための媚肉の蟻地獄。' +
      'その肉地獄を作り出すことが背徳と堕落を司る大悪魔とあなたの共通の目的だからだ',
      'もちろん自分の命を狙って魔術師協会の刺客や、あるいは財宝目当ての冒険者が来ることを予期していたあなたは、己と己の魔術研究の結晶たる工房を守る鉄壁の防御を作り上げた。',
      '迷宮に侵入した男を殺し、女を捕らえ陵辱するための下僕である魔物たち。',
      '腕に覚えのある冒険者たちを弱らせるためのトラップ',
      '絶対の自信を持つはずの強い冒険者の実力を鈍らせ、心身を淫らに作り変えるエロトラップ',
      '力のある女の吸精を捕食手法とする、同盟者たる淫魔たち',
      '侵入者たちの媚肉を狙う、獣欲をたぎらせた魔物たち',
      '……これの防御は無敵だった。',
      'しばらくして討伐隊や魔術師協会の刺客たちを返り討ちにし、近場の女冒険者を狩り尽くしたあなたは新たなる「餌場」を求めて迷宮ごと、溜め込んだ魔力を用いて異なる世界へと転移することを決めた。',
      '女を捕食する迷宮への「免疫」たる対抗策を持たず、強い女が豊富にいる別の場所。そこには「跳べば」この迷宮の飢えを満たす美しい獲物たちがいるに違いなかった。',
      ' ',
      '空間跳躍こそ何度か経験しているが、あなたは今回の「新たな世界」に驚かされていた。',
      '信じがたいほどの魔力濃度。そして何度か挑んできた女冒険者たちの一部を捕らえたことで、彼女たちがその身のうちに素晴らしい' +
        '潜在的な魔力を有していることを知った。',
      'この世界には魔力的によく肥えた、美味なる肉餌がいるのだ。',
      '使い魔の偵察によれば、迷宮の外にはさらなる数の女たちが集結していることが確認できた。',
      '楽しい狩りができそうだ。そうあなたはほくそ笑んだ。',
      ' ',
      ' ',
      'ゲームを始めます',
      ' ',
      ' ',
      ' ',
    ]
  end

  def opening_menu_ver7
    [
      'ある日幻想郷の外れに、巨大な洞窟が出現した。',
      'そんな噂が流れた。',
      'まさかそんなはずはない。と皆が噂したが、しばらくすると実態が明らかになっていった。',
      '確かに大きな洞窟があったのだ。それも新たにできたものらしい。',
      '入り口から奥へと探索しに行って、かろうじて逃げ帰ったものの証言では、内部は巨大な廃墟になっているという。',
      '石造りの洞窟は、一つの大きな街を強引に地下空洞に押し込めたような作りであり、ところどころ坑道じみたつくりの部分もあったという。',
      '井戸を覗き込めばその下には、暗闇の代わりに地下深くの深層にそびれる巨大な城が見えたという。',
      ' ',
      '突然現れた地下迷宮は幻想郷中を大いに驚かせた。',
      ' ',
      ' ',
      ' ',
      'あなたは魔術師だった。それも若くして多くの期待と羨望を集めた、若き俊英だった。',
      '一つの学問分野を極めることさえ困難な魔術師の界隈において、召喚術と魔力生成術、結界術という３つの学問を究めたことでその名は広く轟いた。',
      'しかしすぐに問題が起きた。その名が地に落ち、やがて魔術学の世界から放逐された。',
      '非難を浴びたのはその研究内容だった。',
      '強力な魔物を召喚するには大量の魔力が必要になる。その魔力を集めるためには、魔力を持つ生物から集めればいい。そう考えるまではよかった。',
      'だがその先の方法が人々の非難を浴びた。強力な魔力を持つ女を陵辱し、知性や理性を踏み砕き、精神をどす黒く曇らせ、高尚な精神が壊れ崩壊していく際に発生する魔力を搾り出し、収集する。それがあなたの究めた「最も効率の良い魔力収集方法」だった。',
      '文明世界において厚く信仰される宗教の多くと敵対するはずの淫魔と手を組み、快楽によって女を堕落させ、' + 
      'その精神と生命をかたちづくるはずの本質的な核を崩壊させ、魔力というエネルギーとして取り出すというアプローチ。それが大陸を治めるいくつもの王宮と深く結びついた魔術師協会に受け入れられなくなることは必然だったかもしれない。',
      '追放されてなお、禁断の魔術の研究を諦めるつもりは毛頭ないあなたは自分が魔術を究めるための工房を作ることにした。',
      'あなたは強力な女魔術師の一門をことごとく捕らえ、廃人に堕ちるまで陵辱することで集めた膨大な魔力をもって、新たな根拠地を作り上げた。',
      '山一つ分の巨大な地下洞窟を持つ迷宮をつくり、その最下層に自分の工房を作った。もちろん自分の命を狙って魔術師協会の刺客や、あるいは財宝目当ての冒険者が来ることを予期していたあなたは、己と己の魔術研究の結晶たる工房を守る鉄壁の防御を作り上げた。',
      '迷宮に侵入した男を殺し、女を捕らえ陵辱するための下僕である魔物たち。',
      '腕に覚えのある冒険者たちを弱らせるためのトラップ',
      '力のある女の吸精を捕食手法とする、同盟者たる淫魔たち',
      '……これの防御は無敵だった。',
      'しばらくして討伐隊や魔術師協会の刺客たちを返り討ちにし、近場の女冒険者を狩り尽くしたあなたは新たなる「餌場」を求めて迷宮ごと、溜め込んだ魔力を用いて異なる世界へと転移することを決めた。',
      '女を捕食する迷宮への「免疫」たる対抗策を持たず、強い女が豊富にいる別の場所。そこには「跳べば」この迷宮の飢えを満たす美しい獲物たちがいるに違いなかった。',
      ' ',
      ' ',
      '突然現れた巨大な地下迷宮。',
      '幻想郷を脅かしかねない異常な事態。',
      ' ',
      '幻想郷の住人たちは、このような現象をどう呼ぶか知っていた。「異変」である。',
      '異変であるからには解決されねばならない。',
      '即座に博麗の巫女を含む幾人かが集まった。',
      '何度かの、偵察ともいうべき探索の末に幾つかのことがわかった。',
      '一つ、洞窟の周辺は博麗の大結界が歪んでいること。',
      'すなわちそれは可及的速やかに解決されねばならないことを意味する。',
      '二つ、洞窟の中には危険な怪物たちが住み着いてしまっていること。',
      'ダンジョンの最下層にある異なる世界から怪物を呼び出す召喚陣そのものが、怪物たちの湧き出す原因であるらしい。',
      'このまま召喚されるままに増え続ければ地上に湧き出すのも時間の問題である。',
      '招かれざる魔物たちは一人残らず退治されねばならない。だが問題があった。',
      '三つ、洞窟の出入り口には、結界があること。',
      '結界は、男の出入りを妨げるものだった。つまりは女性しか内部には入れない。',
      'あるいは怪物たちを防ぐ目的とも取れたが、だとするとそれはオスだらけの飢えた怪物の群れの中に女だけで挑まねばならないことを意味した。',
      'この条件は、巫女たちと怪物たちとの実力差は明らかであったため大して問題視はされなかった。',
      '四つ、洞窟の中では魔力はおろか、弾幕すらも制限されること。',
      '最後のこれが最も重大な問題であった。',
      '異変を解決するべき最大戦力の巫女を含む者たちの力が制限されるのだ。',
      'だが解決の見込みもあった。力こそ制限されるものの、中にいる者たちはただの人間と同等か、せいぜいそれより強力な程度の怪物であり、博麗の巫女、あるいはそれと戦える者たちの敵ではなかった。',
      '数人でパーティーを組み、油断なく潜れば、何か大きな問題がなければ彼らを退け、最奥にあると思われる問題の原因を解決することは不可能ではないように思われた。',
      ' ',
      'それが分かれば簡単だった。だれが異変を解決するか。それを己の使命だと考える巫女。単なる未知のものへの好奇心から参加した魔法使い。己の力の誇示を目的とする女吸血鬼。解決すれば信仰を集められると考える者。',
      'さらにはお祭り騒ぎに混ざりたいだけの者が冒険者に加わったことで騒ぎは収集がつかなくなってしまった。',
      '霊夢をはじめとした「冒険者志願」の人間たちはダンジョンとともに転移してきた宿屋や鍛冶屋、雑貨屋などの小集落の酒場に集まる。',
      '彼女たちはこれからダンジョンに挑むこととなった。',
      'それが、どういう意味を持つかを、彼女たちはまだ知らない。',
      '問題と解決の糸口。果たしてそれは本当に希望なのだろうか？',
      '誘蛾灯、あるいは疑似餌のような、獲物をしとめるための危険な罠なのではないだろうか。',
      'そう疑う者は、まだ誰もいなかった。',
      ' ',
      'ゲームを始めます',
      ' ',
      ' ',
      ' ',
    ]
  end
  
  def opening_menu_ver5
    [
      'あなたは魔術師だった。それも若くして多くの期待と羨望を集めた、若き俊英だった。',
      '一つの学問分野を極めることさえ困難な魔術師の界隈において、召喚術と魔力生成術、結界術という３つの学問を究めたことでその名は広く轟いた。',
      'しかしすぐに問題が起きた。その名が地に落ち、やがて魔術学の世界から放逐された。',
      '非難を浴びたのはその研究内容だった。',
      '強力な魔物を召喚するには大量の魔力が必要になる。その魔力を集めるためには、魔力を持つ生物から集めればいい。そう考えるまではよかった。',
      'だがその先の方法が人々の非難を浴びた。強力な魔力を持つ女を陵辱し、知性や理性を踏み砕き、精神をどす黒く曇らせ、高尚な精神が壊れ崩壊していく際に発生する魔力を搾り出し、収集する。それがあなたの究めた「最も効率の良い魔力収集方法」だった。',
      '追放されてなお、禁断の魔術の研究を諦めるつもりは毛頭ないあなたは自分が魔術を究めるための工房を作ることにした。',
      'あなたは強力な女魔術師の一門をことごとく捕らえ、廃人に堕ちるまで陵辱することで集めた膨大な魔力をもって、山一つ分の巨大な地下洞窟を持つダンジョンと、その最下層にある自分の工房を作った。',
      'そしてダンジョンで女を捕らえ、陵辱するための魔物を召喚し、ダンジョンに満たした。',
      'あとは簡単だった。あなたはダンジョンを、他の世界へと転移させる。入り口に男は出入りすることのできぬ結界を張っているため女だけで構成された探索隊や討伐隊が送り込まれる。',
      '強力な魔力を持つ討伐隊の女たちを餌食にすればいい。良質な獲物を狩り尽くすたび、あなたはダンジョンごと転移してきた。ダンジョン全体が震える。次の世界にたどり着いたのだ。さて。美しく強い獲物がいる世界であればいいのだが。',
      'あなたは昏く笑った。',
      ' ',
      'ある日幻想郷の外れに、巨大な洞窟が出現した。',
      'そんな噂が流れた。',
      'まさかそんなはずはない。と皆が噂したが、しばらくすると実態が明らかになっていった。',
      '確かに大きな洞窟があったのだ。それも新たにできたものらしい。',
      '入り口から奥へと探索しに行って、かろうじて逃げ帰ったものの証言では、内部は巨大な廃墟になっているという。',
      '石造りの道路と街が地下の巨大な空間に広がり、まるで巨大な街一つを地下空洞に再構成したかのような……',
      '井戸を覗き込めばその下には、暗闇の代わりに地下深くの深層にそびれる巨大な城が見えたという。',
      ' ',
      '幻想郷の住人たちは、このような現象をどう呼ぶか知っていた。「異変」である。',
      '異変であるからには解決されねばならない。',
      '即座に博麗の巫女を含む幾人かが集まった。',
      '何度かの、偵察ともいうべき探索の末に幾つかのことがわかった。',
      '一つ、洞窟の周辺は博麗の大結界が歪んでいること。',
      'すなわちそれは可及的速やかに解決されねばならないことを意味する。',
      '二つ、洞窟の中には危険な怪物たちが住み着いてしまっていること。',
      'ダンジョンの最下層にある異なる世界から怪物を呼び出す召喚陣そのものが、怪物たちの湧き出す原因であるらしい。',
      'このまま召喚されるままに増え続ければ地上に湧き出すのも時間の問題である。',
      '招かれざる魔物たちは一人残らず退治されねばならない。だが問題があった。',
      '三つ、洞窟の出入り口には、結界があること。',
      '結界は、男の出入りを妨げるものだった。つまりは女性しか内部には入れない。',
      'あるいは怪物たちを防ぐ目的とも取れたが、だとするとそれはオスだらけの飢えた怪物の群れの中に女だけで挑まねばならないことを意味した。',
      'この条件は、巫女たちと怪物たちとの実力差は明らかであったため大して問題視はされなかった。',
      '四つ、洞窟の中では魔力はおろか、弾幕すらも制限されること。',
      '最後のこれが最も重大な問題であった。',
      '異変を解決するべき最大戦力の巫女を含む者たちの力が制限されるのだ。',
      'だが解決の見込みもあった。力こそ制限されるものの、中にいる者たちはただの人間と同等か、せいぜいそれより強力な程度の怪物であり、博麗の巫女、あるいはそれと戦える者たちの敵ではなかった。',
      '数人でパーティーを組み、油断なく潜れば、何か大きな問題がなければ彼らを退け、最奥にあると思われる問題の原因を解決することは不可能ではないように思われた。',
      ' ',
      'それが分かれば簡単だった。だれが異変を解決するか。それを己の使命だと考える巫女。単なる未知のものへの好奇心から参加した魔法使い。己の力の誇示を目的とする女吸血鬼。解決すれば信仰を集められると考える者。',
      'さらにはお祭り騒ぎに混ざりたいだけの者が冒険者に加わったことで騒ぎは収集がつかなくなってしまった。',
      '霊夢をはじめとした「冒険者志願」の人間たちはダンジョンとともに転移してきた宿屋や鍛冶屋、雑貨屋などの小集落の酒場に集まる。',
      '彼女たちはこれからダンジョンに挑むこととなった。',
      'それが、どういう意味を持つかを、彼女たちはまだ知らない。',
      '問題と解決の糸口。果たしてそれは本当に希望なのだろうか？',
      '誘蛾灯、あるいは疑似餌のような、獲物をしとめるための危険な罠なのではないだろうか。',
      'そう疑う者は、まだ誰もいなかった。',
      ' ',
      'ゲームを始めます',
      ' ',
      ' ',
      ' ',
    ]
  end

  def opening_menu_ver2
    [
      'ある日幻想郷の外れに、巨大な洞窟が出現した。',
      'そんな噂が流れた。',
      'まさかそんなはずはない。と皆が噂したが、しばらくすると実態が明らかになっていった。',
      '確かに大きな洞窟があったのだ。それも新たにできたものらしい。',
      '入り口から奥へと探索しにいって、かろうじて逃げ帰ったものの証言では、内部は巨大な廃墟になっているという。',
      '石造りの道路と街が地下の巨大な空間に広がり、まるで巨大な街一つを地下空洞に再構成したかのような……',
      '井戸を覗き込めばその下には、暗闇の代わりに地下深くの深層にそびれる巨大な城が見えたという。',
      ' ',
      '幻想郷の住人たちは、このような現象をどう呼ぶか知っていた。「異変」である。',
      '異変であるからには解決されねばならない。',
      '即座に博麗の巫女を含む幾人かが集まった。',
      '何度かの、偵察ともいうべき探索の末に幾つかのことがわかった。',
      '一つ、洞窟の周辺は博麗の大結界が歪み外の世界とつながっていること。',
      'すなわちそれは可及的速やかに解決されねばならないことを意味する。',
      '外の世界、中世じみた世界の者たちもこの洞窟には手を焼いているらしく定期的に兵たちを送ってはいるが事態は解決しないらしい。',
      '代わりに彼らは拠点となる街の使用を認めてくれた。最低でも、邪魔はしないつもりらしい。',
      '二つ、洞窟の中には危険なならず者や怪物たちが住み着いてしまっていること。',
      'ダンジョンの最下層にある異なる世界から怪物を呼び出す召喚陣そのものが、ならず者や怪物たちの湧き出す原因であるらしい。',
      'このまま召喚されるままに増え続ければ地上に湧き出すのも時間の問題である。',
      '彼らは一人残らず退治されねばならない。だが問題があった。',
      '三つ、洞窟の中では魔力はおろか、弾幕すらも制限されること。',
      '最後のこれが最も重大な問題であった。',
      '異変を解決するべき最大戦力の巫女を含む者たちの力が制限されるのだ。',
      'だが解決の見込みもあった。力こそ制限されるものの、中にいる者たちはただの人間か、せいぜいそれより強力な程度の怪物であり、博麗の巫女、あるいはそれと戦える者たちの敵ではなかった。',
      '数人でパーティーを組み、油断なく潜れば、何か大きな問題がなければ彼らを退け、最奥にあると思われる問題の原因を解決することは不可能ではないように思われた。',
      ' ',
      '彼女たちはその世界の冒険者として、ダンジョンに挑むこととなった。',
      'それが、どういう意味を持つかを、彼女たちはまだ知らない。',
      '問題と解決の糸口。果たしてそれは本当に希望なのだろうか？',
      '誘蛾灯、あるいは疑似餌のような、獲物をしとめるための危険な罠なのではないだろうか。',
      'そう疑う者は、まだ誰もいなかった。',
      ' ',
      'ゲームを始めます',
      ' ',
    ]
  end

  def opening_menu_ver1
    [
      'ある日幻想郷の外れに、巨大な山が出現した。',
      'そんな噂が流れた。',
      'まさかそんなはずはない。と皆が噂したが、しばらくすると実態が明らかになっていった。',
      '確かに山があったのだ。それも新たにできたものらしい。',
      'その間には二つの問題があった。一つはそれが博麗大結界との境界線沿いにあり、境界を破りかねない位置にあること。',
      'もう一つは、その山にはすでに二つの先客がいたことだ。',
      ' ',
      '先客の片方は、その山が「もともとあった世界」の住人たち。どうやら山を境にそこは別の世界と接しているようだった。',
      'もう一つの先客は、ダンジョンの中に居座っている怪物たちだ。',
      'ダンジョンの最下層にある異なる世界から怪物を呼び出す召喚陣そのものが、今回の事態の原因であることはわかった。',
      'しかしダンジョンの中には召喚陣から生み出された怪物たちが闊歩している。',
      '「もともと山があった世界」の住人も討伐隊を送り込むことで怪物を掃討し、問題を解決したがっているようだが、自体は芳しくないようだ。',
      'そこで幻想郷の賢者八雲紫は、この事態を異変と認定し、解決のために人員を送り込むことを決定した。',
      ' ',
      'しかしそこは境界線沿いとはいえ博麗大結界の外、本来博麗の巫女たちが使えたはずの力は制約を受ける。',
      '彼女たちはその世界の冒険者として、ダンジョンに挑むこととなった。',
      'それが、どういう意味を持つかを、彼女たちはまだ知らない。',
      ' ',
      'ゲームを始めます',
      ' ',
    ]
  end

  def top_menu
    [
      ' ',
      'さて、なにをしようか……',
    ]
  end

  def show_top_menus_script(hour_glass)
    top_menu + day_status_script(hour_glass)
  end

  def day_status_script(hour_glass)
      [
        "#{half_number_to_full(hour_glass.day)}日目（" + (hour_glass.night? ? '夜' : '昼') + '）'
      ]
  end

  def show_save_slots
    [
      ' ',
      'ゲームをセーブするスロットを選んでください。',
    ]
  end

  def show_load_slots
    [
      ' ',
      'ロードするセーブデータを選んでください。',
    ]
  end

  def save_to_view_elements
    [
      ' ',
      'セーブに成功しました。',
    ]
  end

  def load_from_view_elements
    [
      ' ',
      'ロードに成功しました。',
    ]
  end

  def write_adventure_log
    [
      ' ',
      '冒険を記録しました。',
    ]
  end

  def is_all_empty_script(is_all_empty)
    return [] unless is_all_empty

    [
      ' ',
      ' ',
      'まだ冒険者は到着していないようです。',
      '以前に到着した先遣隊が全滅してから、各勢力は力を蓄えているようです。',
      'いずれ、多数の冒険者たちが到着するでしょう。',
      'もし冒険者たちが到着すれば……',
      'ダンジョンから漏れ出る噂は、すべてこの酒場に集まります。この酒場に集まる情報の鮮度は本物です。',
      ' ',
    ]
  end

  def bookmark_is_all_empty_script(is_all_empty)
    return [] unless is_all_empty

    [
      ' ',
      ' ',
      '監視リストに入れた冒険者はいません。',
      '（酒場で噂を聞くことで、冒険者について詳しく知ることができます。' +
        'そのときに、気になった冒険者を監視リストに入れることができます。）',
      'ダンジョンに張り巡らされたあなたの情報網は、冒険者たちのささいな動きも察知するでしょう。',
      ' ',
    ]
  end

  def hear_adventurers_in_bar(game_master, hour_glass)
    script = date_script(hour_glass)
    script += [
      '表通りから酒場に入ると酒場独特の喧騒と酒の匂い、胃袋を刺激する料理の香りが立ち込めている',
    ]
    script += blank_chairs_if(game_master)
    script += blank_jail_if(game_master)

    script += [
      '「あら、いらっしゃい。」',
      '妖艶な雰囲気を放つ酒場の女主人はこちらを見て声をかけてきた。',
      '気だるげな空気を放ち、胸元から覗く豊かな胸元は男たちを惹きつける色気を放っていた。',
      '「ふふっ、なにか聞きたいことがあるのかしら？ 麦酒でも注文してくれれば、答えるわよ？」',
      '（冒険者について現在の状況を見ることができます）',
    ]
  end

  def show_jails_for_custom(game_master, hour_glass)
    prisoner_count = game_master.jail.prisoner_count
    script = date_script(hour_glass)
    script += [
      '地下牢に捕らえた冒険者に、様々な刻印を刻むことができます。'
    ]
    if prisoner_count.zero?
      script += [
        '今は捕らえられた冒険者がいないようです。',
        '冒険者を戦闘で敗北させれば捕らえることができます。',
        '冒険者を弱らせるために、トラップの強化などダンジョンを強化することができます。',
      ]
      return script
    end
    script += [
      ' ',
      ' ',
      "地下牢には#{half_number_to_full(prisoner_count)}人の冒険者がいるようだ。",
      'どれほど強い精神を持つ聖者や勇者であっても、無防備な体の内側から淫らに作り変え狂わせていく刻印や淫紋の前には抗うことはできはしないのだ。',
      'さて、なにをしようか……',
      ' ',
    ]

    script
  end

  def show_betray_servant_cage(game_master, hour_glass)
    script = date_script(hour_glass)
    script +=
      if FGO_MODE
        [
          '洗脳済みサーヴァントの一覧です。',
          '契約を上書きされたことで、彼女たちはかつての仲間を肉奴隷に陥れるべく手加減なしに魔物とともに女冒険者に襲いかかります。',
        ]
      else
        [
          '洗脳済みの冒険者の一覧です。',
          '洗脳刻印の効果によって、彼女たちはかつての仲間たちを肉奴隷に堕とすため、魔物とともに女冒険者に襲いかかります。',
        ]
      end
    script + [' ']
  end

  def manage_betray_servant_penis
    script =
      if FGO_MODE
        [
          '洗脳済みサーヴァントの一覧です。',
          '洗脳済みサーヴァントに捕らえた女を責めるための肉槍を生やすことができます。',
          '肉槍を持った洗脳済みのサーヴァントは、地下牢に捕らえた「かつての仲間」を自らの手で肉奴隷に堕とそうとするでしょう。',
          'サーヴァントの精液には魔力、あるいは魔術的な力が込められています。',
          'ただし洗脳済みサーヴァントが調教に加わっている間は他のサーヴァントを狩ることができないため、注意が必要です。',
          'また肉槍は魔術的な力によって生えているため、自由になくすこともできます。',
        ]
      else
        [
          '洗脳済みの冒険者の一覧です。',
          '洗脳済み従属奴隷に捕らえた女を責めるための肉槍を生やすことができます。',
          '肉槍を持った洗脳済み従属奴隷は、地下牢に捕らえた「かつての仲間」を自らの手で肉奴隷に堕とそうとするでしょう。',
          'ただし洗脳済みサーヴァントが調教に加わっている間は他のサーヴァントを狩ることができないため、注意が必要です。',
          'また肉槍は魔術的な力によって生えているため、自由になくすこともできます。',
        ]
      end
    script + [' ']
  end

  def manage_betray_servant_penis_text
    if FGO_MODE
      '洗脳済みサーヴァントをふたなりにする。'
    else
      '洗脳済み従属奴隷をふたなりにする。'
    end
  end

  def show_betray_servant_cage_in_empty(game_master, hour_glass)
    script = date_script(hour_glass)
    script +=
      if FGO_MODE
        [
          '洗脳済みサーヴァントはいません。',
        ]
      else
        [
          '洗脳済みの冒険者の冒険者はいません。',
        ]
      end
    script += [
      '世の中には強力な魔術師が著したという、洗脳魔術について書かれた魔術書があります。',
      '洗脳魔術を使い、強力な冒険者を洗脳することで強力な手駒に加えることができます。',
      '洗脳された元・冒険者は、魔物たちとともにかつての仲間たちを襲わせることができます。',
    ]
    script + [' ']
  end

  def show_adventurers(hour_glass)
    script = date_script(hour_glass)
    script += [
      [
        '「あら、冒険者のことが気になるの？　ふふっ、あなたでは声をかけても無駄だと思うけど。」',
        '酒場の女主人は前かがみになってこちらを見る。どうやら胸元を見せてこちらの反応を楽しんでいるようだ。',
        '「そうじゃない？　ふぅん。まあいいわ。芋酒一つ、ね。いいわその分話してあげる。」',
        '気だるい色気を放つ女主人に注文を頼むと、彼女が酒場で見聞きした情報を教えてもらうことにした。',
        '（どこにいる冒険者の様子をみますか？）',
      ],
    ].sample
    script
  end

  def blank_chairs_if(game_master)
    if game_master.bar_chairs.empty?
      [
        '（酒場には冒険者はいないようだ……）',
      ]
    else
      []
    end
  end

  def blank_jail_if(game_master)
    if game_master.jail.is_empty?
      [
        '（客たちの噂によれば、監禁されている冒険者はいないようだ……）',
      ]
    else
      []
    end
  end

  def bar_header_text
    [
      '[酒場 兼 宿屋にいる' + _adventurer_type + ']',
    ]
  end

  def dungeon_header_text
    [
      '[ダンジョンに潜っている' + _adventurer_type + ']',
    ]
  end

  def jail_header_text
    [
      '[地下室に監禁されている' + _adventurer_type + ']',
    ]
  end

  def magic_factory_header_text
    [
      '[迷宮内のどこかにいると噂される元・' + _adventurer_type + ']',
    ]
  end

  def slave_header_text
    [
      '[行方不明になった元・' + _adventurer_type + ']',
    ]
  end

  def show_ending(is_trial_mode)
    return show_ending_for_original(is_trial_mode) if ORIGINAL_MODE
    return show_ending_for_fgo(is_trial_mode) if FGO_MODE
    if is_trial_mode
      script = [
        'にわかにあなたの部屋の外が騒がしくなる。',
        '馬鹿な。あなたは思った。入り口さえ厳重に隠されているダンジョンの最終階層には少数だが強力なモンスターを配置してある。迷い込んだモンスターが騒ぎを起こせるような場所ではないのだ。',
        'やがて轟音とともに、ダンジョンの壁が崩れ落ちていく。もうもうと上がる爆煙の向こうには鬼のような形相の女たち。幻想郷の管理者たる八雲紫とその従者、さらにほかにも幻想郷の有力者たちがいる。',
        '……',
        'あなたは、自分がけして怒らせてはならないものを怒らせたことを悟った。',
        '（BAD END）',
        ' ',
        ' ',
        '体験版はここで終了です。お疲れさまでした。製品版では',
        '・セーブ機能',
        '・キャラの増加',
        '・宿への夜這いなどの各種イベント',
        '・各種機能の充実',
        '・プレイ日数の増加',
        'などの差異があります。',
        ' ',
        ' ',
      ]
      return script
    end

    [
      '時が経った。',
      'このダンジョンを大規模転移によって幻想郷に居を移して以来、ずっとこの厄介な場所から離れる方策をあなたは模索してきた。',
      '「異変」。この世界の住人たちはあなたのダンジョンをそう呼び、多くの女冒険者たちを送り込んできた。',
      '女だけで構成された「討伐隊」を送り込んできた世界はいくつもあったが、この世界の女冒険者は、「霊夢」とかいう巫女をはじめとして段違いの強さでこのダンジョンのモンスターを圧倒した。',
      '経験したことのない強さの女冒険者がダンジョンを踏破する前に、どうにか逃れる術を講じなければならない。当初はあなたはそう考えていた。',
      'だが途中で考えを改めた。あなたが出した結論は簡単だった。女冒険者が強いのであれば、搾り出せる魔力も膨大なはずだ。であれば、女冒険者から搾った魔力で強力なモンスターを配置し、女冒険者を叩きのめし、そして使い潰すまで犯し尽くす。',
      '嬲りものにされた女たちから搾取した魔力の質は感嘆に値するものだった。',
      '仲間を倒され、救出し、あるいは仇を討つためにダンジョンに潜った女たちが、かつての仲間から搾りつくされた魔力で呼び出されたモンスターに返り討ちにあう。',
      'まさに悪循環だった。女たちにとっては最悪の肉の蟻地獄が完成した。',
      'それは同時にあなたにとっては極上のメスの狩場を手に入れたも同然だった。',
      'それからは簡単だった。女たちが陵辱され、精神をどす黒く曇らせ、使い潰すように肉体を酷使されるたび、失われた魔力がダンジョンの地下室に張り巡らされた魔術回路を通り、あなたのもとへと蓄積していく。',
      '今や最下層に青く輝く魔術炉心図を中心とする強化された巨大な魔導炉は、潤沢な魔力をたたえ力強く輝いている。この山ごと転移させるための準備が完了したことを示している。',
      'その輝きは、今まで見たものよりもずっと激しい強さの光だ。それはすなわちあなたがこのダンジョンで女たちから吸い上げた魔力の質と量の素晴らしさを物語っている。幻想郷とは、あなたにとって最上の狩場だった。',
      'そしてあなたは、最後の仕掛けを起動した。',
      '魔術炉心図が青い光を放出させ、それに呼応するようにダンジョンが大きく震える。山そのものが、再び異世界へと「跳ぼう」としているのだ。',
      '地下の魔術工房では女たちが不穏な予感に苛まれ、絶望の悲鳴をあげる。',
      'その本能が発する絶望的な未来への予知は正しい。幻想郷から切り離されてしまえば、もはや彼女たちは本来の力が戻る機会を失う。奇跡が起きて脱走することにより幻想郷に戻ることができなくなる。他の冒険者たちが助けに来てくれるという僅かに残った希望すらも失うのだ。',
      'あとはこの肉の地獄の中で死ぬまで使い潰されていく絶望だけが残ることになる。',
      'この最後の日に運悪くダンジョンの中にいた冒険者たちも同じだ。すでに地上とつながる入り口は永遠に失われてしまった。あとは入り口さえ塞ぎ続けておけば、出口のない迷宮の中で消耗し、いつかはモンスターたちの餌食となる。そして肉奴隷に堕とされる。',
      '肉奴隷たちにはいくらでも使い道はある。',
      '次に転移する世界では、幻想郷に来た時より随分強力なダンジョンを作れそうだ。あなたは昏く笑った。',
      ' ',
    ]
  end

  def show_ending_for_original(is_trial_mode)
    if is_trial_mode
      script = [
        'にわかにあなたの部屋の外が騒がしくなる。',
        '馬鹿な。あなたは思った。入り口さえ厳重に隠されているダンジョンの最終階層には強力な精鋭モンスターを配置してある。',
        '迷い込んだモンスターが騒ぎを起こせるような場所ではないのだ。',
        'ヒュドラ、エビルロード、死霊騎士。',
        'いずれも魔の力によって形どられた桁違いの威力を持つモンスターのはずだ。',
        'やがて落雷のような轟音が響き、分厚いダンジョンの壁が崩れ落ちていく。',
        'もうもうと上がる爆煙の向こうに姿を表した女たち。その先頭に立つ女の顔に、あなたは見覚えがあった。。',
        '代々地母神の強力な加護を受ける帝妃の力を特に強く受け継いだという帝室の第一皇女だ。' + 
          'その手には、戦神でもある雷霆神の試練を若くして乗り越えたときに、雷霆神より直接賜ったという神雷の剣がバチバチと火花を上げていた。',
        'なるほど、あの剣であれば壁を吹き飛ばすのもたやすいはずだ。そして神与の力であれば魔の力など問題にもならない。',
        '調停者達。あるいは世界の理の抑止力と呼ばれる者達もいる。',
        'やりすぎたということか。あなたは背筋を冷や汗が垂れ落ちていくのを感じた。',
        'まだだ、まだこんなところで終わるわけには。',
        'その思考は、稲妻の如き一閃で、すぐさま断ち切られてしまった。',
        '……',
        '……',
        '（BAD END）',
        ' ',
        ' ',
        '体験版はここで終了です。お疲れさまでした。製品版では',
        '・セーブ機能',
        '・奴隷の買い取り、及び洗脳改造',
        '・キャラの増加',
        '・宿への夜這いなどの各種イベント',
        '・各種機能の充実',
        '・プレイ日数の増加',
        'などの差異があります。',
        ' ',
        ' ',
      ]
      return script
    end

    [
      '時が経った。',
      'あなたは目の前にある金色に輝くものを眺める。',
      '三種の神具。帝国でも最も重要であり慎重に扱われていた聖具たちは、あなたがそれらに大した価値を認めていないことを示すように、あなたの魔術工房の片隅に並べられていた。',
      'これらを目当てに多くの冒険者たちがこの迷宮に挑み、そしてその体と精神、人生をあなたによっていびつに歪められ、貶められていった。',
      '甘い蜜の香りに誘われた蝶たちが次々と蜘蛛の巣に絡め取られるように、女冒険者たちはこの迷宮へと侵入しそして敗北し、美しい媚肉を貪られ奴隷へと貶められていった。',
      ' ',
      'この三種の神具、あるいはダンジョンに眠るとされる財宝に冒険者たちが誘き寄せられ、あなたへの供物となった。',
      '帝国がなりふり構わず女冒険者を送り込んできたことは多少予想外ではあったが、所詮は女だ。',
      '暴力的な肉悦に屈服するしかない、女の歓びを叩き込まれ服従の悦びで躾けられ、心身を作り変えられる快楽の奴隷。' + 
        'どんな強い女であっても、女に生まれた以上、本能に刻まれた肉の歓びと隷属の幸福に抗うことなど出来はしないのだ。',
      '陵辱調教で屈服させることができるならば、どれほど強い女冒険者であろうとも高い魔力を持つ質の高い生贄にすぎない。',
      '魔術工房の奥まった部分にある巨大な鉱宝石の原石たちをちらりと見た。' +
        'そこには魔力がたっぷりと貯めこまれ、妖しく光る魔術宝石は、煌々と絢爛に輝いている。',
      '以前に陥れた高位の女魔術師の一門の魔力を封じたときの、ゆうに数百倍はある魔力量である事は確実だった。',
      ' ',
      'ついに時が来たのだ。',
      '女魔術師の一門を破滅させたときから考えていたことがある。',
      '高名な女魔術師たちといえど、人数を考えれば搾り取れる魔力の量は、この迷宮を満たす数の魔物を召喚する程度にすぎなかった。',
      'だがこの迷宮に誘い込まれた女冒険者たちを次々と餌食にしてきたことで、今召喚できる魔物の数はかつてとは桁違いのものとなっている。',
      'もはやこの迷宮に引きこもる必要すらもないのだ。',
      ' ',
      '迷宮の出口から、数え切れぬほどの魔物たちが湧き出し、蟻の大群のようにくろぐろとした列をなしてある場所を目指していく。',
      'まずは冒険者たちが拠点としていた街、そして近隣の村たちだ。',
      '街には戦う準備を整えていない女冒険者たちがおり、村には若い女たちがいる。' + 
        '捕えることができれば美味なる魔力が搾れるだろう。',
      '女たちを捕らえ、陵辱し、魔力を搾りきった上でさらに魔物たちを孕ませる肉袋にする。新たに生んだ魔物たちの軍勢でさらに多くの地域を襲い、支配していく。',
      '帝国が抱える広い領土は、今やあなたにとってすべてが略奪の対象だった。',
      '目的は支配ではない、もちろん帝国への恨みあるいは復讐といったものでもない。',
      '研究。すべては女たちから魔力を搾り取り、より強力な魔術を究めるための研究のためだ。' + 
      'すべてはこれからだ。あなたは昏く笑った。',
      ' ',
      'すでに迷宮のある山の麓にある街では火の手と悲鳴が上がり始めていた。',
      '教会が襲われている。',
      '街路に急ぎづくりのバリケードを作っていた冒険者たちが、背後からも襲われていく。圧倒的な数の魔物たちの奇襲攻撃に街が飲み込まれていく。',
      '後に魔王と呼ばれる男の、最初の侵攻はこうして始まったのだ。',
      ' ',
      ' ',
      ' ',
      ' ',
    ]
  end

  def show_ending_for_fgo(is_trial_mode)
    if is_trial_mode
      script = [
        'にわかにあなたの部屋の外が騒がしくなる。',
        '馬鹿な。あなたは思った。入り口さえ厳重に隠されているダンジョンの最終階層には少数だが強力なモンスターを配置してある。迷い込んだモンスターが騒ぎを起こせるような場所ではないのだ。',
        'やがて轟音とともに、ダンジョンの壁が崩れ落ちていく。もうもうと上がる爆煙の向こうには鬼のような形相の女たち。',
        '調停者達。あるいは世界の理の抑止力と呼ばれる者達もいる。',
        '世界を歪めすぎたということか。あなたは背筋を冷や汗が垂れ落ちていくのを感じた。',
        'まだだ、まだこんなところで終わるわけには。',
        '……',
        '……',
        '（BAD END）',
        ' ',
        ' ',
        '体験版はここで終了です。お疲れさまでした。製品版では',
        '・セーブ機能',
        '・キャラの増加',
        '・宿への夜這いなどの各種イベント',
        '・各種機能の充実',
        '・プレイ日数の増加',
        'などの差異があります。',
        ' ',
        ' ',
      ]
      return script
    end

    [
      '時が経った。',
      'あなたは目の前にある金色に輝くものを眺める。',
      '聖杯と呼ばれるもの。',
      'そこからあふれ出す魔力は無尽蔵にも思えるもので、それでいて歪な禍々しいものを感じる。',
      'これを手に入れたときのことを思い出す。',
      'そこからあふれ出す魔力によってあなたは、単なる魔物が徘徊するだけの深い洞窟にすぎないこのダンジョンを凶悪でえげつない代物へと仕上げることができた。',
      'この自分の「聖域」を守るための男を入れぬ魔術結界を張ったことは、後から見れば恐ろしく冴えた行為だった。',
      ' ',
      'このダンジョン、あるいは聖杯に引き寄せられるように冒険者たちが誘き寄せられ、あなたへの供物となった。',
      '後になって現れたサーヴァントとかいう連中は強力ではあったが、所詮は女だ。',
      '暴力的な肉悦に屈服するしかない、女の歓びに躾けられる快楽の奴隷。' +
        '魔術結界があれば、高い魔力を持つ生贄には違いがなかった。',
      '魔術工房の奥まった部分にある巨大な鉱宝石の原石たちをちらりと見た。' +
        '魔力をたっぷりと込められ、妖しく光るそれらは煌々と絢爛に輝いている。',
      '以前に陥れた高位の女魔術師の一門の魔力を封じたときの、ゆうに数百倍はある魔力量である事は確実だった。',
      ' ',
      'あなたの狙いは蓄えたこの魔力、その一部をつかって並行世界に跳ぶことだった。',
      'サーヴァントとかいう連中によってかなり危ないギリギリの所まで追い詰められたこともあったが' +
        'もはや手品のタネは割れている。対策は十分に施されており遅れをとることはないだろう。',
      'より強い誘蛾灯のごとき誘い方を持つ、より強力で悪辣なダンジョンで、この肉の蟻地獄への免疫を持たない' +
        '並行世界を食い荒らす。それがあなたの狙いだった。',
      ' ' ,
      '今や最下層に青く輝く魔術炉心図を中心とする強化された巨大な魔導炉は、女達から搾り取られた潤沢な魔力をたたえ力強く輝いている。この山ごと転移させるための準備が完了したことを示している。',
      'その輝きは、今まで見たものよりもずっと激しい強さの光だ。それはすなわちあなたがこのダンジョンで女たちから吸い上げた魔力の質と量の素晴らしさを物語っている。幻想郷とは、あなたにとって最上の狩場だった。',
      'そしてあなたは、最後の仕掛けを起動した。',
      '魔術炉心図が青い光を放出させ、それに呼応するようにダンジョンが大きく震える。山そのものが、再び異世界へと「跳ぼう」としているのだ。',
      '地下の魔術工房では女たちが不穏な予感に苛まれ、絶望の悲鳴をあげる。',
      'その本能が発する絶望的な未来への予知は正しい。このダンジョンが基底世界から切り離されてしまえば、もはや彼女たちは本来の力が戻る機会を失う。奇跡が起きて脱走することによりもとの場所に戻ることができなくなる。他の冒険者たちが助けに来てくれるという僅かに残った希望すらも失うのだ。',
      'あとはこの肉の地獄の中で死ぬまで使い潰されていく絶望だけが残ることになる。',
      'この最後の日に運悪くダンジョンの中にいた冒険者たちも同じだ。すでに地上とつながる入り口は永遠に失われてしまった。あとは入り口さえ塞ぎ続けておけば、出口のない迷宮の中で消耗し、いつかはモンスターたちの餌食となる。そして肉奴隷に堕とされる。',
      '肉奴隷たちにはいくらでも使い道はある。',
      '次に転移する世界でもこのダンジョンは、たっぷりと女達を食い物にするだろう。',
      'その魔力で随分強力なダンジョンを作れそうだ。あなたは昏く笑った。',
      ' ',
    ]
  end

  def show_adventurers_in_dungeon(game_master, hour_glass)
    script = [' ', ' ',]
    script += date_script(hour_glass)

    script += [
      'トラップがたっぷりと設置されたダンジョンの奥深くを' + _adventurer_type + 'たちと、' +
        '無数のモンスターたちが闊歩する',
      'どのパーティーの様子を見ますか？',
      ' ',
      ' ',
    ]

    script
  end

  def show_adventurers_list_in_dungeon(list)
    elements_by_floor = {}

    list.each do |floor, list_by_floor|
      floor_script = {parties: []}
      floor_script[:header_text] = half_number_to_full(floor) + '階には' + half_number_to_full(list_by_floor.size) +
      '隊のパーティーがいます'
      list_by_floor.each do |_, party|
        text = party.leader.short_name
        if party.in_distress?
          text += '（孤立、戦闘不能）'
        elsif party.lonely?
          text += '（孤立中）'
        else
          text += '隊' + party.print_members_status
        end
        # 同行者はいる？
        unless party.passengers.empty?
          text += "＋#{half_number_to_full(party.passengers.size)}人"
        end

        floor_script[:parties] << {
          'type' => 'button',
          'text' => text,
          'action' => "show_party_#{party.leader.id}"
        }
      end

      elements_by_floor[floor] = floor_script
    end
    elements_by_floor
  end

  def show_jails_for_custom_of_list(list)
    elements_by_floor = {}

    list.each do |floor, list_by_floor|
      floor_script = {parties: []}
      floor_script[:header_text] = half_number_to_full(floor) + '階には' + half_number_to_full(list_by_floor.size) +
        '人が監禁されています。'
      list_by_floor.each do |prisoner_id, jail_room|
        text = jail_room.adventurer.short_name
        if jail_room.in_resist?
          text += '（抵抗中）'
        else
          text += '（陵辱中）'
        end
        floor_script[:parties] << {
          'type' => 'button',
          'text' => text,
          'action' => "show_jail_details_for_custom_#{prisoner_id}"
        }
      end

      elements_by_floor[floor] = floor_script
    end
    elements_by_floor
  end

  def show_adventurers_list_in_jails(list)
    elements_by_floor = {}

    list.each do |floor, list_by_floor|
      floor_script = {parties: []}
      floor_script[:header_text] = half_number_to_full(floor) + '階には' + half_number_to_full(list_by_floor.size) +
        '人が監禁されています。'
      list_by_floor.each do |prisoner_id, jail_room|
        text = jail_room.adventurer.short_name
        if jail_room.in_resist?
          text += '（抵抗中）'
        else
          text += '（陵辱中）'
        end
        floor_script[:parties] << {
          'type' => 'button',
          'text' => text,
          'action' => "show_jails_#{prisoner_id}"
        }
      end

      elements_by_floor[floor] = floor_script
    end
    elements_by_floor
  end

  def show_adventurers_in_jails(game_master, hour_glass)
    script = [' ', ' ',]
    script += date_script(hour_glass)

    if game_master.jail.is_empty?
      script += [
        '現在、監禁されている' + _adventurer_type + 'はいません',
      ]
    else
      script += [
        'ダンジョンの奥深くからは女の悲鳴が遠く聞こえてくる',
        'どの監禁されている' + _adventurer_type + 'を見ますか？',
      ]
    end

    script
  end

  def hear_rumor_of_adventurers_in_jails(game_master, hour_glass)
    script = [' ', ' ',]
    script += date_script(hour_glass)

    if game_master.jail.is_empty?
      script += [
        '（客たちの噂によれば、監禁されている' + _adventurer_type + 'はいないようだ……）',
      ]
    else
      script += [
        '（失踪した女冒険者たちについて、酒場の客たちは無責任な噂話で盛り上がっているようだ……）',
        '迷宮で一時行方不明になった後、無事に帰還した女冒険者も多い。もちろん彼女たちは多くを語りたがりはしない。',
        'だが、多くの目撃談や噂話から、何が起きているかを知らぬ者などいない。',
        '女としての苦難をまだ経験していない者たちは、陵辱という行為から自分だけは逃れられると思っている。',
        '経験した者たちは、その噂話に決して加わろうとはしない。 ',
        '今盛り上がっている話題は、先日捕まったばかりの、いまだこの酒場に姿を現さぬ女冒険者についてのようだ……',
        '無責任な噂話だけが野次馬のように騒ぐ男たちの間で盛り上がる。彼女がどれほど淫惨な目にあっているだろうかと想像力が膨らむままに噂話がなされている。',
        '彼女の生還を祈る人間は、残念なことそう多くはないようだ……',
        ' ',
        ' ',
      ]
    end

    script
  end

  def _slave_status(status)
    case status
      when nil
        '監禁中（未配属）'
      when 'maternity_room'
        '強制出産中'
      when 'tentacle_lab'
        '触手改造中'
      when 'slave_brothel'
        '奴隷娼館'
      else
        "...未定義:#{status}"
    end
  end

  def date_script(hour_glass)
    night = (hour_glass.night? ? '夜' : '昼')
    [
      half_number_to_full(hour_glass.day) + '日目' + "（#{night}）の様子",
    ]
  end
end
