# coding: utf-8
require_rrk 'src/defines/script/dungeon/original/base_adventurer_script'

# 信心深い
class Adventurer2Script < BaseAdventurerScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script =
      if adventurer.fighter?
        [
          [
            '「来い、悪魔の手先どもめ！　この剣の錆にしてくれよう！」',
            '吹き上がる熱風のような剣気を撒き散らし、剣を構える' + adventurer.short_name + 
              'の姿はまるで神話にいう悪魔を打ち払う天使のようだ。',
          ],
          [
            "「#{adventurer.self_call}が一人だからといって、数に頼れば勝てると思ったか！」",
            '自らを励ますように' + adventurer.short_name + 'は吠える',
          ],
          [
            "「#{adventurer.self_call}には神の加護がある！　たとえ一人でも悪魔の手先どもに負けはしない！」",
            '神の加護を全身に感じながら' + adventurer.short_name + 'は武器を構えた。',
          ],
        ].sample
      else
        [
          [
            "「#{adventurer.self_call}には神の加護があります、たとえ一人でも負けはしません！」",
            '神の加護を全身に感じながら' + adventurer.short_name + 'は武器を構えた。',
          ],
          [
            '「一人だからといって負けはしません！」',
            '自らを励ますように' + adventurer.short_name + 'は吠える',
          ],
          [
            '「数の力で押すことしかできない呪われし者たちよ！」',
            'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するように吠えた。',
          ],
        ].sample
      end
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          [
            '（ふふっ、絶好の機会ですわ）',
            '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          ],
          [
            '（感謝してほしいものです。素晴らしい教えを知る機会を与えてあげるのですから）',
            '仲間の背中を狙う' + adventurer.short_name + 'の表情には妖しい喜びが浮かんでいた。',
            '洗脳済みの彼女にとって、仲間を陥れる行為には喜びこそあれどためらう気持ちは微塵もない。',
          ],
        ].sample
      else
        return super
      end
    else
      scripts = [
        [
          '「神のご加護を！」',
          adventurer.short_name + 'は短く祈りを捧げると、武器を構えた',
        ],
      ]
      if adventurer.fighter?
        scripts += [
          [
            '「来い、悪魔の手先どもめ！　この剣の錆にしてくれよう！」',
            '吹き上がる熱風のような剣気を撒き散らし、剣を構える' + adventurer.short_name + 
              'の姿はまるで神話にいう悪魔を打ち払う天使のようだ。',
          ],
          [
            '「神の敵め。神の代理人として誅伐を与えてやる！」',
            '銀に輝く長剣を構え、' + adventurer.short_name + 'は体に力を漲らせる。',
          ],
        ]
      else
        scripts += [
          [
            '「神の敵め。神の代理人として誅伐を与えましょう！」',
            adventurer.short_name + 'は体に力を漲らせる。',
          ],
          [
            '「油断しないで！ 皆に地母神のご加護を！」',
            adventurer.short_name + 'は仲間たちに呼びかける',
          ],
          [
            "「おぞましい神の敵よ！#{adventurer.self_call}が罰を与えましょう！」",
            adventurer.short_name + 'は威勢良く叫んだ',
          ],
        ]
      end  

      scripts.sample
    end
  end

  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          slave.short_name + 'は襲いかかる魔物たちをあしらい続けている。',
          '素手とはいえ、' + _adventurer_type + 'である' + slave.short_name + 'にとっては造作もないことなのだろう。',
          'その媚肉が目当ての魔物たちも、殺さぬよう手加減していることも大きいようだ。',
          '「神よ、あなたのご加護を感じます……　どうか' + slave.self_call + 'にさらなる力をっ！」',
          '神の加護による膂力の強化された手刀によって、魔物の骨が折れたようだ。魔物が血の混じったよだれを垂らしながら退いていく。' + 
            'だが媚肉に群がる魔物たちが次々と現れていく。休みのない責めが' + slave.short_name + 'の体力を少しずつ削り取っていく。',
        ],
        [
          '無数にひしめく魔物たちを' + slave.short_name + 'はあしらう。',
          '（神を信じれば、きっと助けは来ます……）',
          '魔物たちは有効打を与えられていないようだ……',
        ],
        [
          '部屋の中には、多数の魔物たちが美女を目当てにぐるりと囲んでいる',
          '（神の恩寵を、感じます……）',
          slave.short_name + 'は犯そうと襲い掛かる魔物たちを、神の加護の助けを借りつつあしらい続けている',
          '「まだ、' + slave.self_call + 'は屈したりはしませんっ！」',
          'だが数が多く、全てを倒してこの地下牢から逃れることは難しいだろう。いまできることは、ここで抵抗し破滅を先延ばしにしながら、チャンスを待ち続けることだけだ。',

        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          '「神の加護よっ！」',
          slave.short_name + 'が祈ると全身に力が満ちていく。信仰の力がある限りこんな奴らには負けはしない',
          slave.short_name + 'は己の精神が自信を取り戻していくことを感じた',
        ],
        [
          '「邪悪な魔物たちが、神の僕たる' + slave.self_call + 'に手を出すなどっ！」',
          '連日休みなく繰り返される怪物たちの攻めを' + slave.short_name + 'はあしらい続けている。',
          'だが休みもなく抗いつづける' + slave.short_name + 'の疲労はたまり続けるばかりだが、魔物たちには交代し、休む余裕もある。',
          slave.short_name + 'の行き着く先が見え始めているのは明らかだった。',
        ],
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。今なら、まだ負けはしない。' + 
          'だが先行きを考えれば、楽観はできなかった。',
          '「神よ、どうかあなたの助けを……」',
          '夜が更け、魔物たちが去った地下牢で' + slave.short_name + 'は静かに祈っている。',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。' + 
            '今日も凌ぎきることができた、それが正直な感想だった。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。' + 
          '一方で魔物たちは仲間を呼び、数を増やしつつある。' + 
          '「神よ、どうかあなたの助けを……」',
          '夜が更け、魔物たちが去った地下牢で' + slave.short_name + 'は静かに祈っている。',
          '「なぜ、なぜ助けてくれないのですか……' + slave.short_name + 'をお見捨てになったのですか……」',
          'いや、神の愛を疑ってはいけない。' + slave.short_name + 'は頭を振り、己の信仰の揺らぎを恥じた。',
        ],
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '冷たく、硬い石の床に横たわっても疲れはほとんど取れはしない。',
          'だがそれでも' + slave.short_name + 'は休めなければいけない。助けがくる、あるいは逃げ出す' +
            'チャンスが巡ってくるまでは体力を一欠片でも温存しておかねばならなかった。',
          '「必ず、必ず神は救いの手を差し伸べてくれます……」',
        ],
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '冷たく、硬い石の床に横たわっても疲れはほとんど取れはしない。',
          'だがそれでも' + slave.short_name + 'は休めなければいけない。助けがくる、あるいは逃げ出す' +
            'チャンスが巡ってくるまでは体力を一欠片でも温存しておかねばならなかった。',
          '夜、体を休めるのは魔物たちも同じだ。',
          'だが彼らはボロ布やわらでできた思い思いのねぐらで休んでいる。外から襲われる可能性もないねぐらで休む魔物たちは、翌朝には十分に英気を養い、体力を回復させることができる。' +
            slave.short_name + 'とは大違いだった。',
          '……時間の経過が、' + slave.short_name + 'の不利になることは明らかだった。',
        ],
        [
          '魔物たちをあしらい続ける' + slave.short_name + 'の動きにも、かつてのキレは見えない。',
          'ここ数日で溜まりに溜まった疲労が、' + slave.short_name + 'の肉体を蝕んでいた……。',
          'キレが落ちたとはいえ、' + slave.short_name + 'は未だ魔物たちに屈することはない。' +
            'だが限界が迫りつつあるのは、' + slave.short_name + '自身も理解していた……',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '（神よ、なぜ救いの手を差し伸べてくれないのですか……　' + 
          slave.self_call + 'をお見捨てになったのですか……）',
          'あれほど固かったはずの信仰が揺らいでいる、弱音が心の奥から湧き上がってくる。',
          slave.short_name + 'の心身は、限界に近付きつつあった。',
        ],
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          'すでに手足には鉛のような重さを覚えている。自分が切れ味を失いつつあるのは明らかだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。',
          '（まだ、まだ神の加護は途切れてはいない……　まだ、今は……）',
          '今なら、まだ負けはしないだろう。だが限界は、すぐ目の前にまで迫りつつあった。',
        ],
        [
          '重い疲労を全身に感じながら、' + slave.short_name + 'は魔物たちを睨みつける。',
          '「不埒な呪わしき者たちめ！　いますぐ' + slave.self_call + 'を解放しなさい！」',
          'まだ、こんなところで負けるわけにはいかなかった。',
          slave.short_name + 'は己を叱咤する。自分で自分を励まさねば、折れてしまいそうだった。',
        ],
      ].sample
    else
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          '「救いは、救いはきっと来ます……」',
          '「神は信仰を捧げる者を見捨てるはずがないのです……　' + slave.self_call + 'を見捨てるはずがないのです……」',
          '部屋の隅で、宙の一点を見つめながら' + slave.short_name + 'はブツブツとつぶやいている',
          '心身の限界がすぐそこまで迫っていることは明らかだった。',
        ],
        [
          '魔物の一匹がついに' + slave.short_name + 'を押し倒した。',
          'ブチブチと服が乱暴に破られる。押しのけようとした右腕が、別の魔物に押さえつけられる。',
          '「くぅぅっ、このっ、離れなさいっ！」',
          '押し倒された' + slave.short_name + 'は、必死の力で、魔物の腹を蹴り上げる。うまくみぞおちに入ったことで、魔物は苦しそうに呻きとびのいた。',
          '腕を押さえていた魔物も顔に手刀を入れ、その隙に' + slave.short_name +
            'は離れることができた。',
          'かろうじて危地を脱することはできたが、崖っぷちにまで自分が追い込まれたのだ。',
          '押し倒され、おしのけることもできず犯されるのは遠い未来ではない。今日か、それとも明日か。',
          slave.short_name + 'の背筋に恐ろしい予感が走り抜けた。',
        ],
        [
          'ぜぇぜぇと' + slave.short_name + 'は荒い息を吐く。',
          '魔力を封じられてさえいなければ、武器さえあれば、仲間さえいれば、体力さえあれば。',
          'こんな雑魚たちなど束になっても相手になるはずがなかった。それが、こんなやつらに追い詰められている。',
          '「まだです、神の僕たる' + slave.self_call + 'が、こんなやつらに汚されるわけには……」',
          slave.short_name + 'は忌々しく思う。',
          '次の魔物が襲いかかろうとするのをみて、' + slave.short_name + 'は構えをとる。こんなところで、こんなところでこんな奴らに犯されるわけにはいかなかった。',
        ],
      ].sample
    end
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「折れはしない……　たとえ何度穢されようとも、' + slave.self_call + 'は折れたりはしない……」',
            slave.short_name + 'は、魔物たちをにらみつける気力はまだあるようだ。',
          ],
          [
            '「穢らわしい……　穢らわしい魔物共の、あの白いアレが、' + slave.self_call + 'のナカに……」',
            slave.short_name + 'は必死に神に許しを求めている……',
            '「神よ、神よ、どうかお許しください……　不浄な者どもに穢された' + slave.self_call + 'を、どうかその御心でお許しください……」',
          ],
          [
            '一日中、' + slave.short_name + 'はわずかな休みもなくたっぷりと嬲られたようだ……。',
            '絹のように滑らかで雪よりも白かった肌は、痣と歯型だらけで痛々しい姿になっている。',
            '突然、' + slave.short_name + 'は口元を手で押さえ、部屋の隅に走るとうずくまった。',
            'げぇげぇと、何かを嘔吐する。床に汚らしく広がるそれは、胃液混じりの黄ばんだゲル状の大量の精液だった。胃の中に詰まった精液すべてを吐き出すまでを吐き出すまで、聞き苦しい嘔吐の音は続いていた……',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            '「こんな、こんなことを神が許すはずがありません……」',
            '「あなたたちには、必ずや神の罰が下ると……　あなた達、聞いているのですか！」',
            slave.short_name + 'は陵辱者たちを睨みつけてはいるが、その顔には怯えの色が見える……',
            '繰り返し刻み込まれた陵辱が' + slave.short_name + 'を蝕み続けている……',
          ],
          [
            '「神は、神は必ず……　己を信ずるものを救います……」',
            slave.short_name + 'は、陵辱など何事もなかったかのように、神に祈っている。',
            'それは果たして精神の強靭さのあらわれだろうか。それとも強がりだろうか……',
            '「あなたたちも、そう信ずるなら、' + slave.self_call + 'は力になります……」',
            '「……こらっ、せめて話を……　くぅ……　神よ、お許しください……　このケダモノ同然の者たちには、あなたの慈悲深き心は届かないようです…　・」',
          ],
          [
            '「早くここから出しなさい、穢らわしい魔物たちよ……」',
            slave.short_name + 'は男たちの顔も見たくないというように顔を背けた',
            'しかしそれは、睨みつける気力が萎えてしまったことを悟らせないようにするための無駄な抵抗でもあった。',
          ],
          [
            '「神は、' + slave.self_call + 'を見捨てたのでしょうか……」',
            '「そうでしょうね……　' + slave.self_call + 'の存在など、神にとっては、汚点でしかない……」',
            slave.short_name + 'の言葉には、自虐的と呼べる何かを通り越した、危険な何かが含まれていた……',
            '「魔物に組み敷かれ、犯されて歓びを覚える女など……」',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            '「神は、神は必ず……　己を信ずるものを救います……」',
            slave.short_name + 'は、陵辱など何事もなかったかのように、神に祈っている。',
            '「ですから、どうか寛大な心でお許しを……」',
            '「あのような穢らわしい者たちとの交わりで、肉の悦びを刻むなど、決して' + slave.self_call + 'の本心では……」',
            slave.short_name + 'の言葉には、ところどころ後ろ暗さへの言い訳じみたものが交じる……',
            'かつては鉄のように硬かった' + slave.short_name + 'の信仰にも、ゆらぎが生じているようだ……', 
          ],
          [
            '「神よ……　神よ、どうかお許しください……」',
            slave.short_name + 'は部屋の隅で、跪くようにして必死に祈りを捧げる。',
            '「不浄の存在に穢された' + slave.self_call + 'を……　どうか、お許しください……」',
          ],
          [
            '「飽きもせずに何度も' + slave.self_call + 'を穢して……」',
            '「そんなことでは、' + slave.self_call + 'の信仰はゆるぎませんわ……」',
            slave.short_name + 'は、魔物たちをにらみつけても、魔物と視線が合うとそれを伏せた。',
            '確実に' + slave.short_name + 'の気力は削られているようだ……',
          ],
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            '全身も痛々しい痣だらけであり、かつての雪のように白く絹のように滑らかな、清らかな肌は少しも残ってはいない……',
          ],
        ].sample
      else
        [
          [
            '「どうして、どうして' + slave.self_call + 'なのよ……」',
            slave.short_name + 'は部屋の隅でブツブツとつぶやいている。どうやら限界が近いようだ……',
          ],
          [
            '「魔物ごときに、' + slave.self_call + 'が……」',
            '魔物たちの去った地下牢で、' + slave.short_name + 'は膝を抱えつぶやく。',
            '「いやだ、そんなのいやだ……」',
            '不吉な想像をしてしまった' + slave.short_name + 'はぶるりと震える。' + 
            'だが、このままでは破滅も近いことは明らかだった……',
          ],
          [
            '「……もう、やめて……　限界なの……」',
            '奇妙に平板な声で' + slave.short_name + 'はつぶやく。疲労の限界を超え、もうまともな感情の起伏を起こす余力もないのだ',
            '「本当に、死んでしまうの……　壊れてしまうの　だから……」',
            '魔物は、その言葉にかまうことなく' + slave.short_name + 'を押し倒し、組み敷く。後ろの穴と口、手や胸を使うべく、他の魔物たちが集まってくる。',
            '陵辱の宴に終わりはない。奴隷宣言するそのときまでは',
          ],
        ].sample
      end
    script
  end
end
