# coding: utf-8
require_rrk 'src/defines/script/dungeon/original/base_adventurer_script'

# 身分が高い
class Adventurer3Script < BaseAdventurerScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script =
        if adventurer.fighter?
          [
            [
              '「ふんっ、たった１騎が相手であれば勝てると思ったか！」',
              '吹き上がる熱風のような剣気を撒き散らし、剣を構える' + adventurer.short_name +
                'の姿は剣鬼のようだ。',
            ],
            [
              "「父上……　#{adventurer.self_call}は、この程度の危機など、簡単に乗り越えてご覧にいれますわ……」",
              '自らを励ますように' + adventurer.short_name + 'は呟いた',
            ],
            [
              '「我が家門は王国開闢以来続く名門。その名声をこんなところで汚すわけにはいかん！」',
              "「さあこい！　#{adventurer.self_call}が不覚をとるとおもうなよ！」",
              '己を叱咤しながら' + adventurer.short_name + 'は武器を構えた。',
            ],
          ].sample
        else
          [
            [
              '「孤立した' + adventurer.self_call + 'を狙うとは、下衆らしい卑怯なやり方だな！」',
              '危機にもかかわらず' + adventurer.short_name + 'は強気を崩さない。',
              '「恥を知るがいい！　もっとも恥じるほどの知性もないだろうがな」',
            ],
            [
              "「#{adventurer.self_call}はこんなところで負けはしません！」",
              '神の加護を全身に感じながら' + adventurer.short_name + 'は武器を構えた。',
            ],
            [
              '「孤立したところを狙うとは！　この卑怯者たちめっ！」',
              '自らを励ますように' + adventurer.short_name + 'は武器を強く握りしめた',
            ],
            [
              '「数の力で押すことしかできない卑怯者たちよ！　恥を知れ、下賤な者たちよ！」',
              'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するように吠えた。',
            ],
          ].sample
        end
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、後ろがガラ空きですわ）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          '（感謝して欲しいですわ。その身を殿方に捧げるための手伝いをしてあげるのですもの）',
        ]
      else
        return super
      end
    else
      scripts = [
        [
          '「神代の昔より続く我が家門の名にかけて、お前たちを倒す！」',
          '家門名とともに名乗りをあげると' + adventurer.short_name + 'は、武器を構えた！',
        ],
      ]
      if adventurer.fighter?
        scripts += [
          [
            '「来い、悪魔の手先どもめ！　我が剣でナマスに刻んでくれようぞ」',
            '剣を構える' + adventurer.short_name + 'の姿には一分の隙もない。',
            '生れてより剣を握り鍛え上げてきたその実力は侮れるものではなかった',
          ],
          [
            '「下賤な呪わしき者め。　塵芥に返してくれようぞ！」',
            '銀に輝く長剣を構え、' + adventurer.short_name + 'は体に力を漲らせる。',
          ],
          [
            '「皆、油断するな！ このような奴らはものの数ではないとはいえ、油断は禁物だ！」',
            adventurer.short_name + 'は仲間たちに呼びかける',
          ],
        ]
      else
        scripts += [
          [
            '「下賤な呪わしき者達よ。塵に返してあげましょう！」',
            adventurer.short_name + 'は体に力を漲らせる。',
          ],
          [
            '「油断しないで！ お互いをカバーしながら倒すのです！」',
            adventurer.short_name + 'は仲間たちに呼びかける',
          ],
          [
            "「おぞましい者どもめ！　#{adventurer.self_call}たちが誅罰を与えてやりましょう！」",
            adventurer.short_name + 'は威勢良く叫んだ',
          ],
        ]
      end

      scripts.sample
    end
  end

  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          slave.short_name + 'は襲いかかる魔物たちをあしらい続けている。',
          '素手とはいえ、' + _adventurer_type + 'である' + slave.short_name + 'にとっては造作もないことなのだろう。',
          'その媚肉が目当ての魔物たちも、殺さぬよう手加減していることも大きいようだ。',
          '「下賤なお前達ごときがっ、触れていいものではないっ！」',
          'だが休みのない責めが' + slave.short_name + 'の体力を少しずつ削り取っていく。',
        ],
        [
          '無数にひしめく魔物たちを' + slave.short_name + 'は徒手空拳であしらう。',
          '武器を失ったとはいえ、実力の差は明らかだった。',
          '（助けが来るまで持ちこたえねば……）',
          '魔物たちは有効打を与えられていないようだ……',
        ],
        [
          '部屋の中には、多数の魔物たちが美女を目当てにぐるりと囲んでいる',
          slave.short_name + 'は犯そうと襲い掛かる魔物たちを素手であしらい続けている',
          '「その程度か！　' + slave.self_call + 'は屈したりはしないぞっ！」',
          'だが数が多く、全てを倒してこの地下牢から逃れることは難しいだろう。いまできることは、ここで抵抗し破滅を先延ばしにしながら、チャンスを待ち続けることだけだ。',
        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          '「邪悪な魔物たちが、高貴なる身分の者に手を出すなどっ！　思い上がりも甚だしい！」',
          '連日休みなく繰り返される怪物たちの攻めを' + slave.short_name + 'はあしらい続けている。',
          'だが休みもなく抗いつづける' + slave.short_name + 'の疲労はたまり続けるばかりだが、魔物たちには交代し、休む余裕もある。',
          slave.short_name + 'の行き着く先が見え始めているのは明らかだった。',
        ],
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。今なら、まだ負けはしない。' +
            'だが先行きを考えれば、楽観はできなかった。',
        ],
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          '「くっ、どこかにここを抜け出す手がかりは……」',
          '睡眠時間を削ってまで行われた' + slave.short_name + 'の努力は徒労に終わったようだ……',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          '「慈悲深き神よ、我に加護を与えたまえっ！」',
          slave.short_name + 'が祈ると全身に力が満ちていく。もっとも、熱心な信仰ではない分大した力が出てくるわけではない',
          'だが祈らずにはいられない、すがらずにはいられないのだ。',
          'まだだ、まだ戦える。' + slave.short_name + 'は己を奮い立たせた',
        ],
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。' +
            '今日も凌ぎきることができた、それが正直な感想だった。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。' +
            '一方で魔物たちは仲間を呼び、数を増やしつつある。',
          '自分はもうダメなのか……',
          'いや、弱気になってはいけない。' + slave.short_name + 'は頭を振り、不吉な考えを振り払った。',
        ],
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '冷たく、硬い石の床に横たわっても疲れはほとんど取れはしない。',
          'だがそれでも' + slave.short_name + 'は休めなければいけない。助けがくる、あるいは逃げ出す' +
            'チャンスが巡ってくるまでは体力を一欠片でも温存しておかねばならなかった。',
          '「必ず、必ず助けは来る、そのはず……」',
        ],
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '冷たく、硬い石の床に横たわっても疲れはほとんど取れはしない。',
          'だがそれでも' + slave.short_name + 'は休めなければいけない。助けがくる、あるいは逃げ出す' +
            'チャンスが巡ってくるまでは体力を一欠片でも温存しておかねばならなかった。',
          '夜、体を休めるのは魔物たちも同じだ。',
          'だが彼らはボロ布やわらでできた思い思いのねぐらで休んでいる。外から襲われる可能性もないねぐらで休む魔物たちは、翌朝には十分に英気を養い、体力を回復させることができる。' +
            slave.short_name + 'とは大違いだった。',
          '……時間の経過が、' + slave.short_name + 'の不利になることは明らかだった。',
        ],
        [
          '魔物たちをあしらい続ける' + slave.short_name + 'の動きにも、かつてのキレは見えない。',
          'ここ数日で溜まりに溜まった疲労が、' + slave.short_name + 'の肉体を蝕んでいた……。',
          'キレが落ちたとはいえ、' + slave.short_name + 'は未だ魔物たちに屈することはない。' +
            'だが限界が迫りつつあるのは、' + slave.short_name + '自身も理解していた……',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '（助けは、助けは本当にこないのか……　このままでは、' + slave.self_call + 'は……）',
          'あれほど固かったはずの信仰が揺らいでいる、弱音が心の奥から湧き上がってくる。',
          slave.short_name + 'の心身は、限界に近付きつつあった。',
        ],
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          'すでに手足には鉛のような重さを覚えている。自分が切れ味を失いつつあるのは明らかだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。',
          '「ふんっ、身の程をわきまえろゲスどもがっ！」',
          slave.short_name + 'はさらに一体の魔物を組み伏せ、蹴り飛ばす。' + 
          '今なら、まだ負けはしないだろう。だが限界は、すぐ目の前にまで迫りつつあった。',
        ],
        [
          '重い疲労を全身に感じながら、' + slave.short_name + 'は魔物たちを睨みつける。',
          '「呪わしき下賤の者たちめ！　いますぐ' + slave.self_call + 'を解放しろ！　そうすれば扱いは考えてやってもいいぞ」',
          '虚勢を張り、己を奮い立たせる。' + 
          'まだ、こんなところで負けるわけにはいかなかった。',
          '敗北すれば犯される。もし犯されれば……',
          '魔物に汚された女が、いったいどのツラを下げて故郷で生きていくというのか。よくて修道院で軟禁生活、悪ければ「病死」させられる……',
          'こんなところで終わるわけにはいかない。' + slave.short_name + 'は己を叱咤する。自分で自分を励まさねば、折れてしまいそうだった。',
        ],
      ].sample
    else
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          '部屋の隅で、宙の一点を見つめながら' + slave.short_name + 'はブツブツとなにごとかつぶやいている',
          '心身の限界がすぐそこまで迫っていることは明らかだった。',
        ],
        [
          '魔物の一匹がついに' + slave.short_name + 'を押し倒した。',
          'ブチブチと服が乱暴に破られる。押しのけようとした右腕が、別の魔物に押さえつけられる。',
          '「離れろっ！　このゲスがっ！」',
          '押し倒された' + slave.short_name + 'は、必死の力で、魔物の腹を蹴り上げる。うまくみぞおちに入ったことで、魔物は苦しそうに呻きとびのいた。',
          '腕を押さえていた魔物も顔に手刀を入れ、その隙に' + slave.short_name +
            'は離れることができた。',
          'かろうじて危地を脱することはできたが、崖っぷちにまで自分が追い込まれたのだ。',
          '押し倒され、おしのけることもできず犯されるのは遠い未来ではない。今日か、それとも明日か。',
          slave.short_name + 'の背筋に恐ろしい予感が走り抜けた。',
        ],
        [
          'ぜぇぜぇと' + slave.short_name + 'は荒い息を吐く。',
          '魔力を封じられてさえいなければ、武器さえあれば、仲間さえいれば、体力さえあれば。',
          'こんな雑魚たちなど束になっても相手になるはずがなかった。それが、こんなやつらに追い詰められている。',
          '破滅の足音がすぐそこまで迫っているのを、' + slave.short_name + 'は聞いていた……',
        ],
      ].sample
    end
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「折れはしない……　たとえ何度穢されようとも、' + slave.self_call + 'は折れたりはしない……」',
            slave.short_name + 'は、魔物たちをにらみつける気力はまだあるようだ。',
          ],
          [
            '「くぅっ……　魔物どもの穢らわしいアレが、' + slave.self_call + 'のナカに、こんなに……」',
            slave.short_name + 'は白魚のような指で、己の膣内に注ぎ込まれた精子を必死に掻き出している……',
          ],
          [
            '一日中、' + slave.short_name + 'はわずかな休みもなくたっぷりと嬲られたようだ……。',
            '絹のように滑らかで雪よりも白かった肌は、痣と歯型だらけで痛々しい姿になっている。',
            '突然、' + slave.short_name + 'は口元を手で押さえ、部屋の隅に走るとうずくまった。',
            'げぇげぇと、何かを嘔吐する。床に汚らしく広がるそれは、胃液混じりの黄ばんだゲル状の大量の精液だった。胃の中に詰まった精液すべてを吐き出すまでを吐き出すまで、聞き苦しい嘔吐の音は続いていた……',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            '「ここから出すがいい！　我が家門は神代の遠祖より続く名門だぞ、こんなことをしてタダですむはずがない！」',
            '「そなたたちには、必ずや誅罰が下ると……　お前達、聞いているのか！」',
            slave.short_name + 'は陵辱者たちを睨みつけてはいるが、その顔には怯えの色が見える……',
            '繰り返し刻み込まれた陵辱と屈辱が' + slave.short_name + 'を蝕み続けている……',
          ],
          [
            '「早くここから出せっ、でないと、でないと' + slave.self_call + 'はぁっ！……」',
            slave.short_name + 'は言葉を途切らせる……',
            'もはや虚勢すらも張り続けることもできなくなっている。' + 
              slave.short_name + 'は己の精神の衰えを感じて、ブルリと震えた。',
          ],
          [
            '「うぅぅ……　嫌だ、嫌だぁ……」',
            '「あんな穢らわしい魔物どもとの行為で快楽を覚えるなど……」',
            slave.short_name + 'は部屋の隅で膝を抱え、自己嫌悪に苦しんでいるようだ……',
            '「仕方ないじゃないか……　あんな大きなモノで、何度も何度も犯されてしまったら……」',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            '「認めない、認めないぞ……」',
            '「あのような背徳の魔物どもとの交わりで快楽を覚えるなど……」',
            slave.short_name + 'は己の指を三本も秘裂にねじ込み、容赦なく掻き回している',
            '「そんなの、まるで' + slave.self_call + 'が変態みたいじゃないか……」',
            'あってはならない快楽を感じてしまったことで、' + slave.short_name + 'の中で、人間として大切な何かが壊れてしまったようだ…',
          ],
          [
            '「飽きもせずに何度も' + slave.self_call + 'を穢して……」',
            '「そんなことで、' + slave.self_call + 'が屈するとでも思っているのか……」',
            slave.short_name + 'は、魔物たちをにらみつけても、魔物と視線が合うとそれを伏せた。',
            '確実に' + slave.short_name + 'の気力は削られているようだ……',
          ],
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            '全身も痛々しい痣だらけであり、かつての雪のように白く絹のように滑らかな、清らかな肌は少しも残ってはいない……',
          ],
        ].sample
      else
        [
          [
            '「どうして、どうして' + slave.self_call + 'なんだ……」',
            slave.short_name + 'は部屋の隅でブツブツとつぶやいている。どうやら限界が近いようだ……',
          ],
          [
            '「許されるはずがない、許されるはずがないんだ……　穢らわしい魔物たちに、' + slave.self_call + 'が犯されるなど……」',
            slave.short_name + 'は部屋の隅でブツブツとつぶやいている。どうやら限界が近いようだ……',
          ],
          [
            '「' + slave.self_call + 'は、魔物ごときに屈するわけには……」',
            '魔物たちの去った地下牢で、' + slave.short_name + 'は膝を抱えつぶやく。',
            '「いやだ、そんなのいやだ……　そんなことをしたら、父上が、家門の者が許すはずなど……」',
            '不吉な想像をしてしまった' + slave.short_name + 'はぶるりと震える。' + 
            'だが、終わりが迫っていることは明らかだった……',
          ],
          [
            '「……もう、やめて……　限界なの……」',
            '奇妙に平板な声で' + slave.short_name + 'はつぶやく。疲労の限界を超え、もうまともな感情の起伏を起こす余力もないのだ',
            '「許して、ねえ、許してよ……」',
            '魔物は、その言葉にかまうことなく' + slave.short_name + 'を組み敷く。後ろの穴と口、手や胸を使うべく、他の魔物たちが集まってくる。',
            '陵辱の宴に終わりはない。奴隷宣言するそのときまでは',
          ],
        ].sample
      end
    script
  end
end
