# coding: utf-8
require_rrk 'src/defines/script/dungeon/original/base_adventurer_script'

# お調子者
class Adventurer4Script < BaseAdventurerScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script =
        if adventurer.fighter?
          [
            [
              '「ふふーんっ！' + adventurer.self_call + 'こんなピンチ、かるーくどうにかしちゃうんだから！」',
              '軽口を叩きながら' + adventurer.short_name +
                'は剣を構えた。',
            ],
            [
              '「だいじょーぶ、だいじょーぶ！　ピンチをチャンスに変えるのが' + adventurer.self_call  + 'なんだから！」',
              '自らを励ますように' + adventurer.short_name + 'は呟いた',
            ],
            [
              '「あっれー？　もしかしてこれはピンチ？」',
              'いまひとつ危機感を認識していない口調で' + adventurer.short_name + 'はつぶやいた。',
            ],
          ].sample
        else
          [
            [
              "「#{adventurer.self_call}はこんなところで負けないよ！」",
              '持ち前の明るさを見せながら、' + adventurer.short_name + 'は武器を構えた。',
            ],
            [
              '「独りでいるところを狙うような卑怯なやつらには負けないんだから！」',
              '魔物たちを見据えながら' + adventurer.short_name + 'は武器を強く握りしめた',
            ],
            [
              '「こっ、こんなの！　' + adventurer.self_call + 'は負けないんだから！」',
              '手の震えを隠すように、' + adventurer.short_name + 'は武器を強く握りしめた。',
            ],
          ].sample
        end
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          [
            '「チャンス到来だねっ！」',
            '隙を見て仲間を攻撃するつもりの' + adventurer.short_name + 'の顔には、愉悦の表情が浮かんでいる。',
          ],
          [
            '「ふふっ、隙だらけだよ」',
            '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          ],
        ].sample
      else
        return super
      end
    else
      scripts = [
        [
          '「ふっふーん。' + adventurer.short_name + '、頑張っちゃうんだから！」',
          '軽やかにステップを踏むと、魔物に向かって' + adventurer.short_name + 'は、武器を構えた！',
        ],
      ]
      if adventurer.fighter?
        scripts += [
          [
            '「さあ、ここでかっこいいトコロを見せちゃうもんね！」',
            '舞うように' + adventurer.short_name + 'は剣を構える。',
            'お調子者に見えるが、今までの鍛錬と経験からくる剣の腕は確かなものだ',
          ],
          [
            '「臭くてダサい魔物なんかに、' + adventurer.self_call + 'が負けるわけないじゃん！」',
            '銀に輝く細身の長剣を構え、' + adventurer.short_name + 'は不敵に笑う。',
          ],
          [
            '「ふっふーん。こういうところで' + adventurer.self_call + 'の武名がまた上がっちゃうんだよねえ」',
            adventurer.short_name + 'はすでに勝った気でいるようだ',
          ],
        ]
      else
        scripts += [
          [
            '「モンスターたちよ！　' + adventurer.self_call + 'の正義の一撃を受けるがいい！」',
            adventurer.short_name + 'は威勢よく叫ぶ。',
            '（イマの' + adventurer.self_call + '、絶対かっこよかったよね！）',
          ],
          [
            '「こんなやつら、' + adventurer.self_call + 'がいればイッパツなんだから！」',
            adventurer.short_name + 'は自信満々だ',
          ],
          [
            '「ああもう面倒臭いなぁ、この迷宮のボスが出て来ればイッパツなのに」',
            adventurer.short_name + 'は面倒臭げに呟いた',
          ],
        ]
      end

      scripts.sample
    end
  end

  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          slave.short_name + 'は襲いかかる魔物たちをあしらい続けている。',
          '素手とはいえ、' + _adventurer_type + 'である' + slave.short_name + 'にとっては造作もないことなのだろう。',
          'その媚肉が目当ての魔物たちも、殺さぬよう手加減していることも大きいようだ。',
          '「臭いんだからっ！　近寄らないでっ！」',
          'だが休みのない責めが' + slave.short_name + 'の体力を少しずつ削り取っていく。',
        ],
        [
          '無数にひしめく魔物たちを' + slave.short_name + 'は徒手空拳であしらう。',
          '武器を失ったとはいえ、実力の差は明らかだった。',
          '「束になってかかってきなさい！　助けが来るまで遊んであげるよっ！」',
          '魔物たちは有効打を与えられていないようだ……',
        ],
        [
          '部屋の中には、多数の魔物たちが美女を目当てにぐるりと囲んでいる',
          slave.short_name + 'は犯そうと襲い掛かる魔物たちを素手であしらい続けている',
          '「だから、むっさいのにグイグイこられても迷惑なんだって！　' + slave.self_call + 'は乱暴な奴はタイプじゃないのっ！」',
          'だが数が多く、全てを倒してこの地下牢から逃れることは難しいだろう。いまできることは、ここで抵抗し破滅を先延ばしにしながら、チャンスを待ち続けることだけだ。',
        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          '「ブサイクな魔物たちなんてお呼びじゃないの！」',
          '連日休みなく繰り返される怪物たちの攻めを' + slave.short_name + 'はあしらい続けている。',
          'だが休みもなく抗いつづける' + slave.short_name + 'の疲労はたまり続けるばかりだが、魔物たちには交代し、休む余裕もある。',
          slave.short_name + 'の行き着く先が見え始めているのは明らかだった。',
        ],
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。今なら、まだ負けはしない。' +
            'だが先行きを考えれば、楽観はできなかった。',
        ],
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          '「うーん、きっとどこかにここを抜け出す手がかりが……」',
          '睡眠時間を削ってまで行われた' + slave.short_name + 'の努力は徒労に終わったようだ……',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          '「うーん、この辺の石とか外れたり、秘密の抜け道があったりとか……」',
          '魔物たちは見張りを残し、引き上げたようだ。',
          '魔物たちが一旦諦めた地下牢の中で、' + slave.short_name + 'は必死に脱出の糸口を探る。',
          'だが成果は得られなかったようだ……',
        ],
        [
          '「慈悲深き神よ、どうか我に加護を与えたまえっ！」',
          slave.short_name + 'が祈ると全身に力が満ちていく。もっとも、熱心な信仰ではない分大した力が出てくるわけではない',
          '「うーん、神よ、もっと、もっとくださいっ！」',
          'もとより熱心な方ではないが、今は滑稽なほど必死に' + slave.short_name + 'は祈っている。',
          '祈らずにはいられないほどに、今の' + slave.short_name + 'は危機感を感じていた。',
        ],
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。' +
            '今日も凌ぎきることができた、それが正直な感想だった。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。' +
            '一方で魔物たちは仲間を呼び、数を増やしつつある。',
          '「あーあ、' + slave.short_name + 'サマの冒険譚、はバッドエンドで終わりかぁ」',

          'ハッとしたように' + slave.short_name + 'は頭を振り、不吉な考えを振り払った。' + 
          '冗談で言ったつもりの言葉に、思った以上の真実味を感じてしまったからだ……',
        ],
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '冷たく、硬い石の床に横たわっても疲れはほとんど取れはしない。',
          'だがそれでも' + slave.short_name + 'は休めなければいけない。助けがくる、あるいは逃げ出す' +
            'チャンスが巡ってくるまでは体力を一欠片でも温存しておかねばならなかった。',
          '「大丈夫大丈夫、助けは来るって……」',
        ],
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '冷たく、硬い石の床に横たわっても疲れはほとんど取れはしない。',
          'だがそれでも' + slave.short_name + 'は休めなければいけない。助けがくる、あるいは逃げ出す' +
            'チャンスが巡ってくるまでは体力を一欠片でも温存しておかねばならなかった。',
          '夜、体を休めるのは魔物たちも同じだ。',
          'だが彼らはボロ布やわらでできた思い思いのねぐらで休んでいる。外から襲われる可能性もないねぐらで休む魔物たちは、翌朝には十分に英気を養い、体力を回復させることができる。' +
            slave.short_name + 'とは大違いだった。',
          '……時間の経過が、' + slave.short_name + 'の不利になることは明らかだった。',
        ],
        [
          '魔物たちをあしらい続ける' + slave.short_name + 'の動きにも、かつてのキレは見えない。',
          'ここ数日で溜まりに溜まった疲労が、' + slave.short_name + 'の肉体を蝕んでいた……。',
          'キレが落ちたとはいえ、' + slave.short_name + 'は未だ魔物たちに屈することはない。' +
            'だが限界が迫りつつあるのは、' + slave.short_name + '自身も理解していた……',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '（助けは、助けは本当にこないの……　このままじゃ、' + slave.self_call + '……）',
          slave.short_name + 'の心身は、限界に近付きつつあった。',
        ],
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          'すでに手足には鉛のような重さを覚えている。自分が切れ味を失いつつあるのは明らかだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。',
          '「ふんっ、もっといい男になって出直してきて！」',
          slave.short_name + 'はさらに一体の魔物を組み伏せ、蹴り飛ばす。' +
            '今なら、まだ負けはしないだろう。だが限界は、すぐ目の前にまで迫りつつあった。',
        ],
        [
          '重い疲労を全身に感じながら、' + slave.short_name + 'は魔物たちを睨みつける。',
          '「いますぐ' + slave.self_call + 'を解放してくれないかな。そうすればいいことあるからさ、えーと、お金とか……」',
          slave.short_name + 'は交渉をしようとするがどう考えても無駄な行為だった。',
          '魔物たちは途切れることなく襲いかかってくる。' + 
            slave.short_name + 'の体力が少しずつ削られていった……',
        ],
      ].sample
    else
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          '「アハハハハ、故郷に帰れたら、きっと' + slave.self_call + '、地元の英雄扱いだろうなあ」',
          '「いろいろな人たちから英雄扱いされて困っちゃうよ、きっと」',
          '部屋の隅で、宙の一点を見つめながら' + slave.short_name + 'は虚ろに笑い、ブツブツとなにごとかつぶやいている',
          '心身の限界がすぐそこまで迫っていることは明らかだった。',
        ],
        [
          '魔物の一匹がついに' + slave.short_name + 'を押し倒した。',
          'ブチブチと服が乱暴に破られる。押しのけようとした右腕が、別の魔物に押さえつけられる。',
          '「離れろよっ！　このっ！　気持ち悪いんだよっ！」',
          '押し倒された' + slave.short_name + 'は、必死の力で、魔物の腹を蹴り上げる。うまくみぞおちに入ったことで、魔物は苦しそうに呻きとびのいた。',
          '腕を押さえていた魔物も顔に手刀を入れ、その隙に' + slave.short_name +
            'は離れることができた。',
          'かろうじて危地を脱することはできたが、崖っぷちにまで自分が追い込まれたのだ。',
          '押し倒され、おしのけることもできず犯されるのは遠い未来ではない。今日か、それとも明日か。',
          slave.short_name + 'の背筋に恐ろしい予感が走り抜けた。',
        ],
        [
          'ぜぇぜぇと' + slave.short_name + 'は荒い息を吐く。',
          '魔力を封じられてさえいなければ、武器さえあれば、仲間さえいれば、体力さえあれば。',
          'こんな雑魚たちなど束になっても相手になるはずがなかった。それが、こんなやつらに追い詰められている。',
          '破滅の足音がすぐそこまで迫っているのを、' + slave.short_name + 'は聞いていた……',
        ],
      ].sample
    end
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「こっ、こんなピンチ！　' + slave.self_call + 'は軽〜く脱出できるんだからね！」',
            slave.short_name + 'は、軽口を叩く余裕はまだあるようだ。',
          ],
          [
            '「ははっ……　これはちょっと……　' + slave.self_call + 'でもやばいかな……」',
            slave.short_name + 'は、ようやく事態の深刻さを理解し始めたようだ。',
          ],
          [
            '「乱暴にするなんて！　本当に信じらんない！　女の子の扱いもわかってないなんてサイテーねっ！」',
            slave.short_name + 'はまだ抵抗する気力を失っていないようだ。',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            '「こ、こないでよ……　' + slave.self_call + 'は負けないんだから……」',
            slave.short_name + 'は陵辱者たちを睨みつけてはいるが、その顔には怯えの色が見える……',
            '繰り返し刻み込まれた陵辱が' + slave.short_name + 'を蝕み続けている……',
          ],
          [
            '「早くここから出してよ……」',
            slave.short_name + 'は男たちの顔も見たくないというように顔を背けた',
            'しかしそれは、睨みつける気力が萎えてしまったことを悟らせないようにするための無駄な抵抗でもあった。',
          ],
          [
            slave.short_name + 'を取り囲んでいた魔物たちが、欲望の子種汁を吐き出し終えると、たちまち次の魔物たちが群がっていく。',
            slave.short_name + 'にはわずかばかりの休みも与えられることなく男たちに犯され続けていた。' +
              '精神や肉体が悲鳴を上げ、容赦なくすり減っていく。だが男たちは交代してながら犯すことで体力をたっぷりと回復させ、有り余る獣欲をたっぷりと' + slave.short_name + 'にぶつけていた。',
            '以前に休みをもらえたのはいつだっただろうか。昨日からずっとこの陵辱の宴は続いている。昨日の昼頃？　いや、もしかしたら昨日の朝だっただろうか。',
            'どうにも思い出せない。頭が鉛のように動かない。容赦のない陵辱が、' + slave.short_name +
              'の脳から高次の思考機能を容赦なく奪い去っていた。',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            '深夜。ようやく一日の陵辱調教が終わったのだ。',
            '「あはははは……　' + slave.short_name + 'は、人気者だからね……　困っちゃうよね……」',
            '全身に精液をこびりつかせ、' + slave.short_name + 'は無様そのものの姿でつぶやく。',
            'これから全身を清め、わずかばかりの眠りにつく。朝になればまた獣じみた欲望を叩きつけられるのだ。',
            '朝など来なければいい。かつて楽天的で快活だった少女は、これまでの人生で考えたこともない言葉を、本気で口にした。',
          ],
          [
            '「女の子は、大切に扱うものだからさ……」',
            '「せめて……　少しでいいから休ませてよ、ねぇ……」',
            'ボロ雑巾のようになりつつある' + slave.short_name + 'の願いは、けして顧みられることもない',
            '「うぅ……　いやだっ、いやだぁぁ……」',
          ],
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            '全身も痛々しい痣だらけであり、かつての雪のように白く絹のように滑らかな、清らかな肌は少しも残ってはいない……',
          ],
          [
            '「……ま、また、するの……」',
            '地下牢の入り口に魔物たちがぞろぞろと姿を表す。それは陵辱の始まりをつげる合図に相違なかった。' + slave.short_name + 'はビクリと震える。',
            slave.short_name + 'のノロノロとした態度が癇に障ったようだ。魔物の一匹が、威圧的に鞭を鳴らす。いうことを聞かなければ、こいつの痛さを教えてやると言いたげに。',
            '「ひぃぃっ！？」',
            '「わかってる、わかってるから……　だから、乱暴にしないで……」',
            slave.short_name + 'は魔物たちの言葉に、従順に従う。痛みと屈辱が、彼女の快活さを塗りつぶし、魔物たちに都合の良い従順さで塗りつぶしてしまったのだ……。',
          ],
        ].sample
      else
        [
          [
            '魔物たちが去った後の地下牢。' + slave.short_name + 'にとっては唯一許される休息の時間でもある。地下牢の冷たい床に横たわり、' + slave.short_name + 'は天井を見つめていた。',
            '「あはは……　もう、諦めてもいいかな……」',
            '「助けなんか、きっとこないよ……」',
            slave.short_name + 'は、どこか捨て鉢な態度でつぶやいた。',
          ],
          [
            '「どうして、どうして' + slave.self_call + 'なのよ……」',
            slave.short_name + 'は部屋の隅でブツブツとつぶやいている。どうやら限界が近いようだ……',
          ],

          [
            '「……うん、わかった……　やるから……」',
            '「だから、乱暴にしないで……」',
            slave.short_name + 'は魔物たちの言葉に、従順に従う。その表情からはなんの感情も読み取れない。',
            'そこにはかつての快活な印象はどこにもなかった。容赦のない陵辱によって、感性の全てが摩滅してしまったかのようだ。',
          ],
        ].sample
      end
    script
  end

end
