# coding: utf-8
require_rrk 'src/defines/script/dungeon/script_utils'
require_rrk 'src/app/service/dungeon/module/dungeon_common'
require_rrk 'src/defines/script/dungeon/adventurers/base_script'

class BaseAdventurerScript < BaseScript
  include ScriptUtils
  include DungeonCommon

  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「こちらが一人なら勝てると思ったか！いま片付けてやる！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
        [
          '「一人だからといって舐めるな！」',
          '自らを励ますように' + adventurer.short_name + 'は吠える',
        ],
        [
          '「数の力で押すことしかできない雑魚め！」',
          'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するように吠えた。',
        ],
        [
          '「たとえ一人でも、お前達ごときに負けはしない！」',
          '武器を構え、' + adventurer.short_name + 'は己を力づけるように吠えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会ですわ）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだ分が悪いようですね） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（チャンスはいくらでもあります。今はうかがうことにしましょう……）',
          ],
          [
            '（今日のところは、まだ分が悪いようですね） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（せいぜい、高みの見物といきますわ）',
          ],
        ].sample
      end
    else
      [
        [
          '「ふんっ、知性の足りない魔物どもめ」',
          adventurer.short_name + 'は敵を眺め武器を構える。',
          '「知性の不足は、威勢だけでは補えないぞ」',
        ],
        [
          '「こんな雑魚相手に負けるものか！」',
          adventurer.short_name + 'は威勢よく叫んだ',
        ],
        [
          '「実力の差を教えてやる！」',
          adventurer.short_name + 'は油断なく構えた',
        ],
        [
          '「片付けてやる！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
        [
          '「油断しないで！」',
          adventurer.short_name + 'は仲間たちに呼びかける',
        ],
        [
          '「雑魚にかまけている時間はない！」',
          adventurer.short_name + 'は威勢良く叫んだ',
        ],
      ].sample
    end
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「折れはしない……　たとえ何度穢されようとも、' + slave.self_call + 'は折れたりはしない……」',
            slave.short_name + 'は、魔物たちをにらみつける気力はまだあるようだ。',
          ],
          [
            '「うぎぃぃぃィッ、殺すっ……　お前たちっ、全員殺してやるぅぅ……」',
            slave.short_name + 'は心の中に溜まった憎悪をぶちまけるように、底冷えのような声で呻く',
            '「ゲヒャヒャッ、なぁにが殺すだよ。たっぷりブチ犯されるだけの肉便器がよぉ」',
            'もちろん魔物たちがそれに動じるはずもない。いまや' + slave.short_name + 'は無様に犯されるだけの肉穴なのだ。',
            '今までの借りを返すかのように、男たちは' + slave.short_name + 'を執拗にいたぶっている……',
          ],
          [
            '「おごっ、んぐぶぅぅぅぅぅ！？」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は男の腰を降参だというように何度もタップするが、男はもちろん気にするはずもない。',
            '肉穴も尻穴も口も、それぞれ男たちが己の欲望を吐き出すために塞がれている。',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            '「いい加減に……　いい加減にして……」',
            slave.short_name + 'は陵辱者たちを睨みつけてはいるが、その顔には怯えの色が見える……',
            '繰り返し刻み込まれた陵辱が' + slave.short_name + 'を蝕み続けている……',
          ],
          [
            '「早くここから出してよ……」',
            slave.short_name + 'は男たちの顔も見たくないというように顔を背けた',
            'しかしそれは、睨みつける気力が萎えてしまったことを悟らせないようにするための無駄な抵抗でもあった。',
          ],
          [
            slave.short_name + 'を取り囲んでいた魔物たちが、欲望の子種汁を吐き出し終えると、たちまち次の魔物たちが群がっていく。',
            slave.short_name + 'にはわずかばかりの休みも与えられることなく男たちに犯され続けていた。' +
              '精神や肉体が悲鳴を上げ、容赦なくすり減っていく。だが男たちは交代してながら犯すことで体力をたっぷりと回復させ、有り余る獣欲をたっぷりと' + slave.short_name + 'にぶつけていた。',
            '以前に休みをもらえたのはいつだっただろうか。昨日からずっとこの陵辱の宴は続いている。昨日の昼頃？　いや、もしかしたら昨日の朝だっただろうか。',
            'どうにも思い出せない。頭が鉛のように動かない。容赦のない陵辱が、' + slave.short_name + 
            'の脳から高次の思考機能を容赦なく奪い去っていた。',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            '「飽きもせずに何度も' + slave.self_call + 'を穢して……」',
            '「そんな行為、無駄だとわからないのか……」',
            slave.short_name + 'は、魔物たちをにらみつけても、魔物と視線が合うとそれを伏せた。',
            '確実に' + slave.short_name + 'の気力は削られているようだ……',
          ],
          [
            '「せめて……　少しでいいから休ませて……」',
            'ボロ雑巾のようになりつつある' + slave.short_name + 'の願いは、けして顧みられることもない',
            '「うぅ……　いやだっ、いやだぁぁ……」',
          ],
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            '全身も痛々しい痣だらけであり、かつての雪のように白く絹のように滑らかな、清らかな肌は少しも残ってはいない……',
          ],
        ].sample
      else
        [
          [
            '「どうして、どうして' + slave.self_call + 'なのよ……」',
            slave.short_name + 'は部屋の隅でブツブツとつぶやいている。どうやら限界が近いようだ……',
          ],
          [
            '「魔物ごときに、' + slave.self_call + 'が……」',
            '魔物たちの去った地下牢で、' + slave.short_name + 'は膝を抱えつぶやく。',
            '「いやだ、そんなのいやだ……」',
            '不吉な想像をしてしまった' + slave.short_name + 'はぶるりと震える。' + 
            'だが、このままでは破滅も近いことは明らかだった……',
          ],
          [
            '「……もう、やめて……　限界なの……」',
            '奇妙に平板な声で' + slave.short_name + 'はつぶやく。疲労の限界を超え、もうまともな感情の起伏を起こす余力もないのだ',
            '「本当に、死んでしまうの……　だから……」',
            '魔物は、その言葉にかまうことなく' + slave.short_name + 'を組み敷く。後ろの穴と口、手や胸を使うべく、他の魔物たちが集まってくる。',
            '陵辱の宴に終わりはない。奴隷宣言するそのときまでは',
          ],
        ].sample
      end
    script
  end

  def battle_prelude_only_n_washed_script(adventurer)
    [
      '刻まれた洗脳刻印が妖しく輝く。' + adventurer.short_name + 'は自分から武器を捨て、魔物たちに抵抗の意思がないことを示す。',
      '「ふふっ。そんなにガッつかないで。私も、逞しいあなたがたに抱かれることを楽しみにしておりますのよ？」',
    ]
  end

  def battle_prelude_all_washed_script(adventurer)
    [
      '冒険者たちに刻まれた刻まれた洗脳刻印が妖しく輝く。',
      adventurer.short_name + 'たちはは自分から武器を捨て、魔物たちに抵抗の意思がないことを示す。',
      '「ふふっ。そんなにガッつかないで。私たちも、逞しいあなたがたに抱かれることを楽しみにしておりますのよ？」',
      '「さあ、いいところに連れて行っていただけます？」',
    ]
  end

  def generate_motivation_by(hierarchy)
    case hierarchy
      when 'royal'  # 王族
        %w(
皇帝位への野心に燃える父の命令で
家名を上げるため
迷宮対策費の重税に苦しむ民の姿に心を痛めて
この迷宮から帰らなかった数少ない友人を探すために
本人は意識していないが、破滅願望に突き動かされるようにして
自分の才能を試してみたいと考えて
己の能力を過信して
王族ゆえのがんじがらめになった人生から逃れるために
当主である父の期待に応えるために
決められた許嫁との結婚に反発して
退屈な毎日に飽き飽きして
若くして当主の地位についた幼い弟を支えようと、武名を上げるため
財産の独占を目論む兄の陰謀により
        ).sample
      when 'noble'  # 貴族
        %w(
帯剣貴族としての名誉のため
家門の武名を上げるため
武功を上げ、爵位を得て独立するために
後継者としての責任を果たすために
当主である父の期待に応えるために
決められた許嫁との結婚に反発して
退屈な毎日に飽き飽きして
若くして地位についた幼い弟を支えようと、武名を上げるため
この迷宮から帰らなかった数少ない友人を探すために
        ).sample
      when 'rich'   # 富豪
        %w(
押し付けられた結婚に反発して
単なる好奇心から
退屈を持て余して
本人は意識していないが、破滅願望に突き動かされるようにして
自分の才能を試してみたいと考えて
己の能力を過信して
退屈な毎日に飽き飽きして
悪友に誘われて
        ).sample
      when 'middle' # 中流
        %w(
地元で英雄になるために
田舎の退屈な毎日に飽き飽きして
両親に反発して
英雄譚に憧れて
英雄になりたくて
地元より外の世界を見てみたくて
半ば強制の冒険者募集の人身御供に捧げられるように
立身出世の機会を夢見て
出来の良い従兄に対抗心を抱いて
        ).sample
      when 'poor'   # 貧民
        %w(
食い扶持を得るために
食べるに困って
退屈な毎日に飽き飽きして
貧困から抜け出すために
終わりのない貧しさから逃げ出そうとして
弟や妹を幸せにしてやりたくて
支度金目当ての両親に売られるようにして
体のいい口減らしのために
人買いに売られそうになり逃げだして
貧困ゆえの辛い現実から逃げるために
        ).sample
      else
        puts "INVALID hierarchy (#{hierarchy})"
        'ただなんとなく'
    end
  end

  def generate_virgin_text
    if random_roll(50, 100)
      script = [
        [
          '恋愛には憧れていますが、まだ具体的な相手との恋愛には及び腰になっているようです。',
        ],
        [
          '迷宮で武功をあげることで、素晴らしい男性に見初めてもらえると信じているようです。',
        ],
        [
          'いつか素敵な男性が現れると信じているようです。',
        ],
      ].sample
      return script
    end

    love_text = %w(静かな 秘めた 表には現れない 燃えるような ほのかな 淡い 激しい 狂おしいほどの 狂気にも似た).sample

    [
      [
        '憧れていた存在に対してに対して、' + love_text + '感情を抱いているようです。',
      ],
      [
        '幼い頃から見知っていた相手に対して、' + love_text + '感情を抱いているようです。',
      ],
      [
        '結ばれるはずのない相手に対して、' + love_text + '感情を抱いているようです。',
      ],
      [
        '身分が違いすぎる相手に対して、' + love_text + '感情を抱いているようです。',
      ],
    ].sample
  end

  def generate_origin_from(hierarchy)
    prev_text =
    case hierarchy
      when 'royal'  # 貴族
        %w(
西部外交面において重きをなす王弟家の
貿易の政治において重きをなす皇帝の叔父が当主を務める侯爵家の
豊かな貿易港を持つために代々王族が封じられるナッサウ辺境伯家の
先代皇帝の落胤として領土を与えられた近衛騎士家の
先代皇帝の補佐役として辣腕を振るった侯爵家の
初代皇帝の三男以来の血統であるフリジア公国家の
東方地域鎮定に大きな功績のあるフリートラント侯爵家の
名君として名高い女帝の息子より始まるタンネンベルク公爵家の
歴史に名を残した黒太子公の嫡流たるグンビンネン侯爵家の
現皇帝の庶弟の子が当主を務めるガリツィア伯爵家の
建国以来の名門たるマールバラ公爵家の
王政において重きをなす帝室分家のシドニア伯爵家の
地母神の恩寵厚きタウゼント侯爵家の
北方の盾と謳われるイェートラント公爵領当主の家の
        ).sample
      when 'noble'  # 貴族
        %w(
東部名門のテシェン侯爵家の
北東部のバウツェン男爵家の
武名で名高いジッタウ東方伯家の
東部で知らぬもののない高家ブランデンブルグ侯爵家の
ザクセン王国の名門伯爵家の
叔父が大臣であるフリートラント侯爵家の
元帥を何人も輩出した西部名門のグルーシー侯爵の
南部の広大な農園を有する男爵家の
南部の商業都市を領する男爵家の
東部の防衛線の重鎮たる辺境伯家の
東部要塞線を指揮する将軍が当主を務める辺境伯家の分家の
北部商業航路の重要な中継地を支配する伯爵家の
先の大戦で戦功をあげた男爵家の
文官としての才能を見込まれ叙勲騎士位を得た家の
傾きつつある世襲騎士の家の
異民族との最前線の南部を領する男爵家の
古き名門伯爵の庶家の騎士の家の
神代まで遡れる名門伯爵より分かれた男爵家の
東部遠征で名を馳せた騎士の家の
異民族来襲で３度も武功をあげた騎士の家の
外交において功績のある男爵家の
鉱山経営の資金を背景に政治力を誇る伯爵家の
先代の皇帝の信頼厚かった伯爵の家の
        ).sample
      when 'rich'   # 富豪
        %w(
北の商業都市スモンレスクの
北の海湾に面した商港都市ナルヴァの
陸海の商業の中心都市のメーメルの
雪の商都リガの
領主より荘園支配を任せられた代官の家の
農民たちの信頼厚いの名主の家の
徴税の差分で私腹を肥やす裏の顔を持つ名主の
有徳人として周囲の信頼厚い旧家の
街の旦那衆として活躍する当主を持つ家の
成功した実業家である父を持つ家の
敏腕な小麦商人である父を持つ商家の
戦争特需の波に目ざとく乗った馬商の家の
古くから続く南部の豪商の家の
東部領の貴族すらもしのぐ権勢の豪商の家の
金貸しとして悪名高い豪商の家の
味が評判の造り酒屋の
        ).sample
      when 'middle' # 中流
        %w(
顔役として頼られる有徳人の家の
北部のありふれた商業都市の
北海航路の中継地の港町の
南部の平和な農村の
どこまでも広がる豊かな小麦畑を持つ村の
街道に面し商業で賑わう町の
温厚な領主が治める町の
ワインが名産の町の
銀細工で知られた町の
騎士領である平和な農村の
商業都市にほど近い街の
王国の貨幣鋳造を一手に担う鉱工業の街の
何度も蛮族を撃退した城塞都市の
        ).sample
      when 'poor'   # 貧民
        %w(
北の名もない寒村の
重税に苦しむ東の山村の
荒地を開拓した村の
強制的に移住させられた村の
戦争により商人たちが立ち寄らなくなった町の
産出量が減りつつある鉱山の町の
小規模な鉱山以外に産業のない町の
洪水で田畑を流されてしまった川沿いの農村の
私腹を肥やす代官が治める村の
豪華な城を建てるために重税を課された町の
首都の低層民たちが住むとされる地区の
都市の最下層の者たちが住むとされる地区の
大都市のジメジメとした日陰の裏通りの
魚が減りつつある漁村の
        ).sample
      else
        puts "!?! INVALID hierarchy (#{hierarchy})"
        '西部の農村の'
    end

    suff_text =
      case hierarchy
        when 'royal'
          %w(
第三王女
愛人に産ませた娘
寵愛された娼婦との間にできた娘
身分の低い母から生まれた子
嫡流から外れた父のもとに生まれた娘
権力をほぼ失った父のもとに生まれた娘
庶子
庶妹
一人娘
嫡子の異母妹
期待されて育った存在
地位は低いが才能を高く評価された娘
才能がありながら産まれゆえに後を継げない庶子
幼い頃から冒険を夢見ていた娘
何不自由なく育った子
英才教育を授けられた娘
        ).sample
        when 'noble'  # 貴族
          %w(
愛人に産ませた娘
寵愛された娼婦との間にできた娘
身分の低い母から生まれた子
嫡流から外れた父のもとに生まれた娘
庶子
庶妹
一人娘
周囲の期待の中で育った一人娘
嫡子の異母妹
所領を継げるあてがない孫娘
跡を継ぐことを期待される子
期待されて育った存在
才能がありながら産まれゆえに後を継げない庶子
幼い頃から冒険を夢見ていた娘
何不自由なく育った子
英才教育を授けられた娘
        ).sample
        when 'rich'   # 富豪
          %w(
一人娘
周囲の愛情を一身に受けて育った一人娘
甘やかされて育った父を持つ娘
放蕩息子として知られる父を持つ娘
街一番の美人として知られた母から産まれた娘
何不自由なく育った子
幼い頃から冒険を夢見ていた娘
甘やかされて育った子
使用人に囲まれ甘やかされて育った娘
厳しく育てられた娘
跡を継ぐべく育てられた娘
英才教育を授けられた娘
おてんば娘として知られた子
        ).sample
        when 'middle' # 中流
          %w(
鍛冶屋の娘
雑貨屋の娘
優しげな顔の農夫の娘
腕の良い大工の娘
代官の荘園で働く農夫の娘
代官のもとで働く書記の娘
評判のよいパン屋の娘
名人と名高い牧夫の娘
学校で働く教師の娘
領主の館で働く使用人夫婦の娘
街に１件しかない宿屋の娘
酒場の看板娘である姉の妹
酒場の名歌姫として知られた母親の娘
かつて冒険者だった父のもとに生まれた子
        ).sample
        when 'poor'   # 貧民
          %w(
父親を知らぬ娼婦の娘
生まれの、村々を渡り歩く行商人の娘
貧困の中で育った娘
貧しいながらも愛されて育った娘
早くに没した父の分まで母から愛されて育った子
両親を早くに亡くし、叔父夫婦の家で居場所なく育った娘
両親を早くに亡くし、近所の家で使用人同然に酷使されながら育った娘
明日の食事にも事欠く中で育った娘
隙間風が絶えない家で育った子
日々の生活に消耗しながら育った子
いつか飢えを心配しないようになりたいと願って育った娘
かつて聞いた冒険譚の夢だけを希望に育った子
一つの部屋に雑魚寝するような家の出身
ありふれた小さな家の出身
口べらしに捨てられた孤児たちが集まる孤児院の出身
物心つく前に捨てられた救貧院の出身
        ).sample
        else
          puts "!! INVALID hierarchy (#{hierarchy})"
          'ありふれた農家の出身'
      end
    prev_text + '、' + suff_text
  end
end
