# coding: utf-8
module ScriptUtils
  require_rrk 'src/app/helper/game_define_helper'

  include GameDefineHelper
  def money_status(money)
    "（所持金：#{_add_comma(money)}）"
  end

  def magic_power_status(magic_power)
    "（あなたの魔力：#{_add_comma(magic_power)}）"
  end

  def magic_power_print(magic_power)
    "#{_add_comma(magic_power)}マナ"
  end

  def wallet_status(money, magic_power)
    "（所持金：#{_add_comma(money)}、魔力：#{_add_comma(magic_power)}）"
  end

  def spent_magic_power(magic_power, cost)
    [
      ' ',
      '保有する魔力が' + magic_power_print(magic_power) + 'になりました',
      '（魔力：' + magic_power_print(cost) + 'を使いました）',
      ' ',
    ]
  end

  def magic_power_to_development(price)
    [
      "開発に必要な魔力：#{magic_power_print(price)}",
    ]
  end

  def short_of_magic_power(magic_power, cost)
    [
      ' ',
      '保有する魔力（' + magic_power_print(magic_power) + '）が不足しています',
      '（必要な魔力は' + magic_power_print(cost) + 'です）',
      ' ',
    ]
  end

  def _add_comma(num)
    num.to_s.gsub(/(\d)(?=(\d{3})+(?!\d))/, '\1,')
  end

  def half_number_to_full(number)
    number.to_s.tr('0-9a-zA-Z\-', '０-９ａ-ｚＡ-Ｚ−')
  end

  def half_decimal_to_full(number)
    int_number = number.floor
    dec_number = number - int_number # 0.xXXXX みたいな感じ
    # 整数 + 小数点第1位まで
    (int_number.to_s + dec_number.to_s.slice(1, 2)).tr('0-9a-zA-Z\-', '０-９ａ-ｚＡ-Ｚ−')
  end

  def _party_leader_short_names(party)
    if party.is_only?
      party.leader.short_name
    else
      party.leader.short_name + 'たち'
    end
  end

  def _party_leader_short_names_by(party_leader_short_name, is_lonely)
    if is_lonely
      party_leader_short_name
    else
      party_leader_short_name + 'たち'
    end
  end

  def monster_name_and_unit_name(monster, count)
    "#{half_number_to_full(count)}#{monster.unit_name}の#{monster.name}"
  end

  def floor_view(floor)
    if floor < 1
      '地上'
    else
      "地下#{half_number_to_full(floor)}階"
    end
  end

  def slave_orgasm_status(slave)
    _orgasm_summary(slave) + _sperm_shot_summary(slave)
  end

  def _orgasm_summary(slave)
    script = []
    if slave.get_this_turn_orgasms_sum > 0
      script << "今日の絶頂回数：#{slave.get_this_turn_orgasms_sum}（#{_orgasm_script(slave)}）"
    end
    script
  end

  def _sperm_shot_summary(slave)
    script = []
    if slave.get_this_turn_sperm_shot_total_count > 0
      script << "今日の射精された回数：#{slave.get_this_turn_sperm_shot_total_count}（#{_sperm_shot_script(slave)}）"
    end
    script
  end

  def _orgasm_script(slave)
    script_elements = []
    script_elements << "膣#{half_number_to_full(slave.this_turn_v_orgasm_count)}回" if slave.this_turn_v_orgasm_count.nonzero?
    script_elements << "尻#{half_number_to_full(slave.this_turn_a_orgasm_count)}回" if slave.this_turn_a_orgasm_count.nonzero?
    script_elements << "胸#{half_number_to_full(slave.this_turn_b_orgasm_count)}回" if slave.this_turn_b_orgasm_count.nonzero?
    script_elements << "クリ#{half_number_to_full(slave.this_turn_c_orgasm_count)}回" if slave.this_turn_c_orgasm_count.nonzero?
    script_elements.join('、')
  end

  def _sperm_shot_script(slave)
    script_elements = []
    script_elements << "膣内#{half_number_to_full(slave.this_turn_v_sperm_shot_count)}回" if slave.this_turn_v_sperm_shot_count.nonzero?
    script_elements << "腸内#{half_number_to_full(slave.this_turn_a_sperm_shot_count)}回" if slave.this_turn_a_sperm_shot_count.nonzero?
    script_elements << "口#{half_number_to_full(slave.this_turn_oral_sperm_shot_count)}回" if slave.this_turn_oral_sperm_shot_count.nonzero?
    script_elements << "ぶっかけ#{half_number_to_full(slave.this_turn_skin_sperm_shot_count)}回" if slave.this_turn_skin_sperm_shot_count.nonzero?
    script_elements.join('、')
  end

  def _adventurer_type
    if FGO_MODE
      'サーヴァント'
    else
      '冒険者'
    end
  end
end