# coding: utf-8

require_rrk 'src/defines/script/dungeon/battle_script'

class ShortenBattleScript < BattleScript
  include ScriptUtils

  def event_in_ground_with_message(party, is_lonely)
    leader = party.leader
    ero_equip_adventurers = party.adventurers.values.select {|adv| adv.has_ero_equip? } + party.passengers.select {|adv| adv.has_ero_equip? }
    no_equip_adventurers = party.adventurers.values.select {|adv| adv.is_no_equip_point? } + party.passengers.select {|adv| adv.is_no_equip_point? }

    script =
      if is_lonely
        [
          '地上の明かりが見えた！ ' +
            'ついに' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'は地上に到着することができた。',
          '一人になりながら' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'は、薄暗い洞窟とは全く違う明るさに、ホッとしたような表情を浮かべている。',
        ]
      else
        [
          '地上の明かりが見えた！ ' +
            'ついに' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'は地上に到着することができた。薄暗い洞窟とは全く違う明るさが視界を覆う。',
        ]
      end

    unless ero_equip_adventurers.empty?
      script += [
        '（エロ装備の効果）',
        '痴女を疑われるような服装をしている' + ero_equip_adventurers.map(&:short_name).join('と') + 'に対して街の男たちから奇異の視線が向けられている。',
        'だがエロ装備の催眠の効果によって女であれば違和感を持つことがないがゆえに、その視線の意味を理解できない' +
          party.leader.short_name + 'は不躾な視線を不快に思う以上の感想は抱かなかった……',
        ' ',
      ]
    end

    unless no_equip_adventurers.empty?
      script += [
        '（無遠慮な視線）',
        '迷宮の中で装備を失い、下着すらもまともにつけてはいない' + no_equip_adventurers.map(&:short_name).join('と') + 'に対して街の男たちから好奇の視線が向けられている。',
        'この迷宮では、トラップや陵辱の効果により防具はおろか衣服全てを失ってしまう女冒険者は珍しくはない。そして美しく時には高い身分すらも持つ' +
          '女たちの肢体を楽しむために、冒険者たちが帰還するたびに迷宮から街の宿屋に続く大通りに男たちが、見世物を見る野次馬のように集まるのだ。',
        no_equip_adventurers.first.short_name + ((no_equip_adventurers.size > 1) ? 'たち' : '') +
          'は手でせめて秘所と胸を隠し、俯きながら大通りを歩く。宿屋までの時間が無限に感じられる。彼女は男たちの無遠慮な視線が肌に突き刺さる感覚に奇妙な興奮を覚えていた……',
        ' ',
      ]
    end

    script +=
      if is_lonely
        [
          'ついに宿屋兼酒場にたどり着くことができた。仲間の安否を気遣いながら、' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'は震える手で酒場の扉を開けた。',
        ]
      else
        [
          'まずは' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'は宿屋兼酒場を目指した。今回の冒険の疲れを労うと、次の冒険の無事を祈って' +
            _party_leader_short_names_by(leader.short_name, is_lonely) + 'は解散した。',
        ]
    end
    script += [
      ' ',
    ]
    script
  end

  def generate_enemies_scripts(party, monster_party)
    [
      _party_leader_short_names(party) + 'は' + floor_view(party.floor) + 'で' +
        "#{half_number_to_full(monster_party.initial_enemies_count)}#{monster_party.unit_name}の「#{monster_party.monster.name}」と遭遇した！"
    ]
  end

  def progress_and_engaged_script(leader, is_lonely, floor)
    [
      _party_leader_short_names_by(leader.short_name, is_lonely) + "は#{floor_view(floor)}で敵と遭遇したが、" +
        '無事やり過ごした。',
    ]
  end

  def progress_and_engage_and_rout_script(leader, is_lonely, floor)
    script = [
      _party_leader_short_names_by(leader.short_name, is_lonely) + "は#{floor_view(floor)}で敵と遭遇した！",
    ]
    base_text =
      if is_lonely
        '傷つき戦うことのできない' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'は全力で逃げ出した！'
      else
        '戦える者のいない' + _party_leader_short_names_by(leader.short_name, is_lonely) + 'は全力で逃げ出した！'
      end
    script += [ base_text + ' どうやら無事に振り切ったようだ。' ]
    script
  end
end

