# coding: utf-8
require_rrk 'src/defines/script/dungeon/script_utils'
require_rrk 'src/app/service/dungeon/module/dungeon_common'
require_rrk 'src/app/util/debug_util'
require_rrk 'src/app/helper/game_define_helper'

class TipsScript
  include DungeonCommon
  include ScriptUtils
  include DebugUtil
  include GameDefineHelper

  def tips
    return system_tips if random_roll(35, 100)
    return monster_tips if random_roll(60, 100)

    flavor_tips
  end

  def system_tips
    tips = [
      [
        '融合の魔道書を使うことで、冒険者の魂をあなたの支配下に置いた女淫魔と融合させ、あなたの命令に絶対服従の手駒に作り変えることができます。',
        '相手が強い女冒険者であるほど、かつては女冒険者たちの希望として活躍していた女が、かつての仲間を狩るあなたの優秀な猟犬に生まれ変わります。',
        ' ',
        '洗脳され、従属奴隷となった元・女冒険者は体力が尽きても死ぬことはなく、不死身の猟犬として女たちを狩りに迷宮を彷徨います。',
        '撃破され、体力が尽きると暫くの休養は必要になるでしょう。',
        '魔力を注ぎ込むことで、レベルを上げ、また体力を全回復させることができます。',
        '男根を生やしてやれば陵辱調教に加わらせることもできます。',
        'ただし、陵辱調教に加わっている間は戦闘に参加させることはできません。',
      ],
      [
        '女冒険者の売却価格は、基本的には現在の強さ（レベル）と全盛期の強さに大きく依存します。',
        'また、美貌や名声、男を惹きつける胸の大きさなどの要素でも売却価格は上がります。',
        '転換の魔道書によって魔力転換するときも、同様に強さが考慮されます。',
      ],
      [
        '夜に地下牢で起きる監禁中の出来事は、各キャラの名前をクリックすると、地下牢ごとのイベントを見ることができます……',
        '地下室ごとのイベントでは一日ごとに変わる各地下牢ごとの監禁中や陵辱調教中の出来事、あるいは' +
          '作り変えられていく女冒険者のステータスが見られます。',
        'ステータスは、酒場で噂話を聞くことでも確認できます。',
        '特に気になる冒険者については、監視リストに載せておくと、酒場で噂話を聞くときにすぐ確認できます。',
      ],
      [
        '監禁された女冒険者に魔術刻印を刻むことで、脱走の帽子や強制発情を行わせることができます。',
        'また「裏切りの魔道書」を持っていれば、相手を冒険者の中に隠れた裏切り者に仕立て上げることができます。',
        '彼女たちは、普段は他の冒険者と同じように振る舞いますが、それは迷宮の奥底にまで獲物を引きずり込むためです。',
        '戦闘可能な人数が自分たちより少なくなった瞬間、豹変し仲間に襲いかかります。',
        '背中から攻撃を受けてはどれほど熟練の冒険者でもひとたまりもありません。',
        'そうやって倒れた強い女冒険者を、魔物たちに引き渡すのが' +
          '彼女たち「裏切り者」、いえあなたの従者としての当然の使命にして至高の喜びだと洗脳された彼女たちは信じています。',
      ],
      [
        '女冒険者は敗北すると、魔物たちによって地下牢に監禁されます。',
        'しばらくは彼女の肉体を狙う魔物たちをあしらうことはできますが、素手なので助けが来るか、うまく脱走できないと' +
          'やがて体力が尽きて陵辱が始まります。',
        '陵辱によって理性や矜持を完全に削られきってしまうと、心が折れてしまい魔物たちに屈服し奴隷宣言を行いますます。',
        '奴隷宣言した女冒険者は二度と迷宮には戻ってくることはありません。',
        'この迷宮の外で、彼女たちをオークションで買った者たちによって目を背けたくなるような人生を送ることになる、と' +
          '酒場では噂されています。',
        ' ',
        'また監禁中に、もし別の女冒険者たちのパーティーが監禁された地下牢を見つけ出した場合救出を試みてくれることがあります。',
        'うまくいけば救出されますが、もし救援に来たパーティーが敗北した場合は、あらたな生贄が増えるだけです。',
      ],
    ]
    tips_main = tips.sample
    header = [
      '[TIPS]',
      '強い女冒険者たちが蟻地獄のように飲み込まれていく、悪魔のような迷宮の中には、強力な結界が張られています。',
      ' ',
    ]
    header + tips_main + [
      ' ',
      ' ',
    ]
  end

  def flavor_tips
    tips = [
      [
        'この迷宮の中を彷徨う魔物たちは、最下層近くの巨大な魔法陣から召喚されています。',
        '迷宮の根幹たる「賢者の大宝珠」の魔力を動力源に無尽蔵の魔物たちが湧き出しています。',
        '魔物たちの跳梁跋扈を押しとどめるには、この迷宮の最下層にある賢者の大宝珠を破壊するしかありません。',
        'そこまでは理解されていても、帝政府や騎士団、探索隊や魔術協会の破壊を行う試みはいずれも失敗しています。',
      ],
      [
        'この迷宮には、女しか入れぬ呪いとも言える結界が張られています。',
        '具体的には、迷宮に足を踏み入れた瞬間から肉体を激しい倦怠感と疲労感が襲います。生命力や魔力といったものを吸い取るために、' +
          '迷宮全体が魔術装置として機能するためです。',
        '男性のみに被害が及ぶため、初期にはこの迷宮の結界の目的は、古代のアマゾネスたちが立て籠もった要塞ではないかと、宮廷魔術師たちによって推測されていました。',
        ' ',
        '以前にも、「この世界」の帝政府が、精鋭の男の騎士たちを女魔術師の防護魔法で守ることで探査を試みましたが、それでも疲労は防げず第三階層にたどり着くまでに' +
          'ほぼすべての戦力を失ったためにこの試みは断念されました。',
        'さらに撤退時に魔物たちに襲われた事で、多くの騎士を殺害され、また女魔術師たちが拉致されたためにこの探査の損害は甚大になりました。',
        'この試みを最後に、男性を含んだ調査団による探査は行われていません。',
      ],
      [
        '魔術工房では、捕らえた肉奴隷たちに売春や触手改造、魔物妊娠などをさせることができます。',
        '奴隷娼館では肉奴隷たちに売春をさせることができます。',
        '「ダンジョンの強化」から設備を増やすことで娼婦売春や輪姦売春など、より対価を取れる売春ができるようになります。',
        '売春の日数と性経験によって配置できる売春の種類が変わります。',
        ' ',
        'また売春精神耐久度は、売春のストレスによって本人の精神が摩滅していく度合いを示しています。',
        '０になると精神崩壊を起こし、公衆便所売春以外の売春行為ができなくなります。',
        '魔道書や本人のスキルによって売春精神耐久度の摩滅を軽減させることができます。',
        ' ',
        '触手改造苗床では、触手たちに奴隷たちを嬲らせることで女の精神や肉体を不可逆に改造することができます。',
        '胸や尻穴など部位に特化した触手もいれば、洗脳に特化した触手もあります。',
        '洗脳用の触手に精神崩壊した奴隷を配置すると、新たな人格を上書きすることで再び売春可能になるケースもあります。',
        ' ',
        '魔物妊娠では肉奴隷たちに魔物を妊娠させることができます。',
        '強力な母胎からは強い魔物が生まれることでしょう。',
        'また、魔物の数を増やすことで女冒険者たちの前に立ちふさがる魔物たちの数を増やすことができます。',
        '奴隷が産んだ忌まわしき魔物たちは、かつての仲間たちをおおいに苦しめるでしょう……',
      ],
      [
        '売春精神耐久度が０になり、精神崩壊を起こした女はもはや通常の売春をさせることはできません。',
        '「壊れかけた」女を抱きたがる男はいても「完全に壊れた」女を抱くために高値を払おうという男はいないからです。',
        '地下室の便所に鎖でつなぐことで、公衆便所売春をさせることはできますが、大した稼ぎにはならないでしょう。',
        'ただしその肉体は、魔物の孕み袋としてはまだ使うことはできます。触手たちの玩具としても使うことはできるでしょう。',
        ' ',
        'また、洗脳効果を持つ触手たちに嬲らせると、時折触手たちが気に入れば脳の中に触手が寄生することがあります。',
        '壊れてしまった女の脳を、寄生型の触手が大量の強力な触手分泌液で刺激することで無理やり動かすことで、再度売春させることが可能になります。',
        'その姿は、かつての正常だった頃の人格と似ているようでありながら、決定的な違和感を過去の彼女を知る者に与えます。',
        'ただしそのことを気にするものは滅多にいないでしょう。彼女に求められる役割は淫乱な肉奴隷としてのそれであり、そこに彼女の人格への尊重は必要ありません。',
      ],
      [
        '酒場で聞いた冒険者の噂話を元に、冒険者に賞金をかけることができます。',
        '迷宮では噂話が伝わる速度はとても速く、あっという間に賞金の噂は迷宮中に伝わるでしょう。',
        'また、普段から強さを誇り、仲間である魔物たちを屠ってきた冒険者が孤立し弱っているときほど、魔物たちは容易に仕事を引き受けてくれます。',
        '美味な獲物が、無防備な姿で徘徊しているというときは、普段の「借り」を返す絶好の機会だからです。',
        ' ',
        'また同様に、賞金のかかっている冒険者をパーティーに加えることは、リーダーがよほどのお人好しでない限りしないでしょう。',
        '冒険者というものは本質的に我が身が大事だからです。',
      ],
    ]

    if ORIGINAL_MODE
      tips += [
        [
          '優しき地母神の慈しみを受けて作られた人類には、地母神の子たる始祖の地が受け継がれています。',
          '特に高貴な家柄、血筋であるほど地母神の厚い加護を受けた血統同士で婚姻を繰り返したために、' +
            '強い魔力や邪悪なる混沌の力を防ぐ破邪の力を、高貴な生まれの者は生まれながらにして持っています。',
          'また篤き信仰心を持つ者、あるいは先祖返りを起こし地母神からの恩寵を受けた者など、低い身分の者でも強力な力を持つ事はありえます。',
          '強い力を持つ者は、地母神を信ずる人類にとって強力な戦力であると同時に、混沌たる禍つ神々とその影響下にある者にとっては美味なる獲物になりえます。',
          '地母神の強い恩寵を持つ者を汚し辱めることは、混沌の者たちにとってなによりも素晴らしいことだからです。',
        ],
      ]
    end
    unless ORIGINAL_MODE
      tips += [
        [
          '以前にも、「この世界」の王国政府が派遣した女騎士や女兵士たちが何度もこの迷宮に挑みましたが、その試みはすべて失敗しています。',
          'そのときに捕らえられた女たちを売払った資金、あるいは廃人になるまで犯し抜くことで得られた魔力によってこの迷宮はさらに強化されています。',
          ' ',
          '王国も体面として散発的に何度も女だけで編成された調査団を送り込んではいますが、それが「生贄」同然であることは政府首脳部は承知しています。',
          'ですが「放置」することだけは絶対にありえません。王国政府の威信に関わるからです。',
          '現在の方針として王府は、目障りな貴族の娘、あるいは「成り上がり者」という比較的国家への損害が少ない者を中心に調査団を編成しているようです。',
        ],
      ]
    end

    if FGO_MODE
      tips += [
        [
          '重大なダメージを受けたり魔力を使い切るなどしたサーヴァントは通常は座に還ります。',
          'しかしこの迷宮に張られた結界の効果により、この迷宮の中で同様の状況になったサーヴァントは、座に還ることはできず、' +
          'この迷宮の根幹たる賢者の大宝珠の中に魂を永遠に囚われることになります。',
          '賢者の大宝珠に捧げられた女の魂がどうなるかは分かっていません。しかし今でも大宝珠のある部屋では' +
            '捧げられた女の苦しげな呻きがどこからか聞こえることから、魂そのものは消え去る事はなく、永遠に大宝珠の中で苦しむと推測されています。',
        ],
      ]
    end

    # 東方限定
    if !FGO_MODE && !ORIGINAL_MODE
      tips += [
        [
          'この世界、つまりはこの迷宮があった世界の帝政府は、この迷宮の周囲の次元が歪んだことで幻想郷という「異なる世界」と' +
            'つながっていることまでは把握しています。',
          'しかし、自分たちの世界の入り口側、すなわち「門」を厳重に閉ざしています。',
          'どうやら幻想郷側の人間が迷宮の「自分たちの側」にさえ来なければ、それでいいと考えているようです。',
          '幻想郷の管理者たる大賢者が早々に話をつけたとも、迷宮によって消耗した国力ゆえに調査隊を送り込む余力がないとも、' +
            '余人たちは好き勝手に噂しています。',
        ],
      ]
    end


      tips_main = tips.sample
    header = [
      '[TIPS]',
      '強い女冒険者たちが蟻地獄のように飲み込まれていく、悪魔のような迷宮の中には、強力な結界が張られています。',
      ' ',
    ]
    header + tips_main + [
      ' ',
      ' ',
    ]
  end

  def monster_tips
    tips_main = [
      # モンスター系
%w(
ゴブリン
他の強い種族によって地上から追い払われたゴブリンたちが洞窟に住み着いたもの。
性格は獰猛で好戦的。知性こそ低いが、集団戦やトラップを使いこなす。
強い者とは戦わないが、勝ち目があると見ると集団で襲いかかってくる。
その繁殖力は強く数で押す傾向がある。
また、捕らえた女を使って数を増やすこともあるという。
),
%w(
ホブ・ゴブリン
ゴブリンより大型の上位種。
奴隷階級としてのゴブリンたちを従え、より多くの栄養を得たことで大型化したその姿はゴブリンといえど侮れない。
性格は獰猛で好戦的。知性こそ低いが、集団戦やトラップを使いこなす。
武器には痺れ毒が塗られている時もあるので油断はできない。
強い者とは戦わないが、勝ち目があると見ると集団で襲いかかってくる。
その繁殖力は強く数で押す傾向がある。
また、捕らえた女を使って数を増やすこともあるという。
),
%w(
ブラック・ゴブリン
浅黒い肌を持つ、ゴブリンより大型の上位種。
奴隷階級としてのゴブリンたちを従え、より多くの栄養を得たことで大型化したその姿はゴブリンといえど侮れない。
階級化された社会と、魔術を操る少数のゴブリンメイジや戦術を操るその姿はもはや愚劣なゴブリンと同種とは言えない。
強い者とは戦わないが、勝ち目があると見ると集団で襲いかかってくる。
武器には痺れ毒が塗られている時もあるので油断はできない。
その繁殖力は強く数で押す傾向がある。
また、捕らえた女を使って数を増やすこともあるという。
),

%w(
オーク
ゴブリンに見た目は似ているが、全体的に大型化し、力も強い。
硬い外皮は生半可な剣戟を簡単に弾くだろう。
丸太のような腕を振り回す攻撃は強力で、防御していてもダメージは大きいだろう。
しっかりとした盾や鎧によって受け止めつつ確実にダメージを与えられなければ厄介な相手になる。
狡猾な性格で、罠を使いこなす。また武器には痺れ毒が塗られていることもある。
),
%w(
トロル
オークがさらに大型化、凶暴化したもの。
知性は下位種にくらべて発達している。棍棒や鉄斧、大型の鉄塊じみた剣などの武器で武装している。
武器や防具は略奪された冒険者が装備していた質の高いものだが、手入れはされていない。
しかし頑健な肉体から繰り出される攻撃は圧倒的で、多くの冒険者たちの人生を断ち切ってきた。
ダメージを与えることも容易ではなく、決して油断できる相手ではないだろう。
),
%w(
オーガ
オークの上位種たるトロルのさらに上位種にあたる。
歩けば地面を揺らす大型の体はもはや伝承における「鬼」に近い。
多くの場合兜で覆われた発達した頭部は彼らに戦術や体術を考えさせる知性を与えた。
それでなくとも強靭で頑健な肉体から繰り出される膂力は圧倒的で、抵抗する人々を容赦なく叩き潰す。
彼らが現れれば、すぐにいくつもの人間やエルフの集落は滅ぼされた。
奴隷に堕とした女たちを孕ませながら緑色の肌をもつこの悪魔たちは数を増やしている。
集落を焼きながら移動するその姿は、移動する災厄といえるだろう。
),
%w(
コボルト
犬のような顔をした獣人の一種。
亜人を迫害する人間たちの勢力拡大によって地上を追われた彼らが流れ着いたのがこのダンジョンだった。
簡単な武器と粗末な装備、低い知性しか持たないが、その嗅覚と敏捷さは冒険者にとっては厄介に感じるだろう。
),
%w(
ハイ・コボルト
犬のような顔をした獣人の一種。コボルトの上位種。
硬い毛皮と針金のような毛、筋肉で全身を鎧ったその姿は小型の熊のようだ。
簡単な武器と粗末な装備、低い知性しか持たないが、その嗅覚と敏捷さ、何より肉体能力は冒険者にとっては厄介に感じるだろう。
武器には痺れ毒が塗られている時もあるので油断はできない。
),
%w(
ワーウルフ
二足歩行で歩く、狼と熊の中間のような存在。
硬い毛皮と針金のような毛、鋼のごとき筋肉で全身を鎧ったその姿は熊のようだ。
人間に姿が近くなった分その動きは俊敏になり、多彩な戦術を操るようになった。
主に金属製の鎧と、冒険者から奪った装備で武装している。
統率の取れた動きと嗅覚、敏捷さ。何より肉体能力は多くの冒険者が命を奪われるか、あるいはそれ以上の絶望を味あわされてきた。
),
%w(
インプ
翼のついた小人のような姿をしている。
醜い顔を持ちその邪悪そうな表情どおり狡猾な知性を持つ。
長く凶悪な形状の男性器をぶら下げ、女と見ると執拗に襲いかかる。
群れで行動する習性がある。
相手の剣の届かない場所から一撃離脱で襲いかかるために厄介だ。
),
%w(
レッサーデーモン
翼のついた獣人じみた外見をしたモンスター。
棘やコブのついた男性器をぶら下げ、女と見ると執拗に襲いかかる。
下位種に比べ、人間らしい面影のある顔立ちをしていることから、人間や亜人の女を使って繁殖していることは明らかだ。
戦術を用いる傾向にあり、群れで行動する習性がある。
相手の剣の届かない場所から一撃離脱で襲いかかる
),
%w(
デーモン
翼を持ち、黒い肌を保つ亜人種のモンスター。
混沌の影響を強く受けており、赤く光る目と黒い肌、口元に見える長い牙が特徴。
流暢に人の言葉を操り、交渉や取引、あるいは会話を試みようとする。
ただしそれは女を罠にはめ、犯し、いたぶるための悪辣な罠であり、会話をするべきではない。
棘やコブのついた男性器をぶら下げ、女と見ると執拗に襲いかかる。
精液には麻薬じみた中毒性を持つ媚薬効果があり、この虜となった女の未来には破滅しかなくなってしまう。
人間らしい面影のある顔立ちと体つきをしていることから、人間や亜人の女を使って繁殖していることは明らかだ。
待ち伏せや包囲など戦術を用いる傾向にあり、群れで行動する習性がある。
相手の剣の届かない場所から一撃離脱で襲いかかる
),
%w(
イビル・メイジ
ローブをまとい杖をついたモンスター。
元は人間であったが、魔力がもつ力に取り憑かれてしまった魔導師。
己の魂と肉体を悪魔に捧げることで圧倒的な力を得ることができたが、その代価は大きく彼の者の精神と肉体と魂は悪魔たちに隷属することになった。
このダンジョンに召喚された彼らは、亡者のように地底の底をさまよい続けている。
しかし彼らが操る魔術の数々や、使役する死霊傀儡の元冒険者たちは侮れない実力を持つ。
),
%w(
デミ・イビル
ローブをまとった浅黒い肌を保つ人間型モンスター。
元は人間であったが、暗黒魔術がもつ「力」に取り憑かれてしまった魔導師が、暗黒魔術の使いすぎによって魔物の力に侵食された姿。
その価値観や思考は人間よりも悪魔のものに近い。
倒した人間を洗脳し死霊兵として使役したり、戯れに他の魔物たちに力を授け、後から法外な代償を取り立てたりする。
捕らえた女を嬲る時にも、狡猾な言葉と洗脳魔術で精神の隙間に入り込み、女の矜持と理性を容赦なく蹂躙していく。
半ば悪魔へと転化したその姿と放たれる強い暗黒魔力は相対した相手に悪寒を感じさせずにはいられない。
死霊兵に守られ、強力な魔術を使う半悪魔たちは決して侮ってはいけない存在だ。
),
%w(
ダークロード
マントをまとった黒い肌と紅の瞳をつ人間型モンスター。
元は人間であったが、暗黒魔術がもつ「力」に取り憑かれてしまった魔導師が、悪魔に隷属し、その血族と成り果てた姿。
その価値観や思考は悪魔そのものだ。
倒した人間を「転化」し、死ぬまで半死兵として使役したり、戯れに他の魔物たちに力を授け、後から法外な代償を取り立てたりする。
捕らえた女を嬲る時にも、狡猾な言葉と洗脳魔術で精神の隙間に入り込み、女の矜持と理性を容赦なく蹂躙していく。
また元・人間だけあって人間の急所や弱点をよく理解しており、戦術の隙をついて狡猾に襲いかかってくる。
悪魔そのものへと転化したその外見と放たれる強い暗黒魔力は相対した相手に悪寒を感じさせずにはいられない。
従者である半死兵に守られ、強力な魔術と圧倒的な膂力を誇る彼らは、上級の冒険者でなければ歯が立たないだろう。
),
%w(
リザードマン
身体中に鱗の生えた爬虫類のごとき亜人。
噂によれば、人の女が竜種によって孕まされたことで生まれた竜の下等種らしい。
社会性を持ち、集団で行動し、簡易な鎧と武器で武装している。
鋭い爪はたやすく冒険者の革鎧を切り裂き、硬い鱗は生半可な一撃は受け止めてしまう。
個体によっては炎を操り、簡易な魔術すらも使いこなす危険な亜人だ。
),
%w(
ブラックリザードマン
身体中に鱗の生えた爬虫類のごとき亜人。
噂によれば、人の女が竜種によって孕まされたことで生まれた竜の下等種らしい。
北方に住み、混沌の影響を強く受けていたため黒い鱗を持ち、また大型化している。
社会性を持ち、集団で行動する。
背中側を硬い鱗で多い、弱点である腹を鎧で武装することが多い。
鋭い爪はたやすく冒険者の革鎧を切り裂き、硬い鱗は生半可な一撃では傷をつけることもできない。
個体によっては炎を操り、高度な魔術すらも使いこなす危険な亜人だ。
),
%w(
ドラゴニュート
身体中に鱗の生えた爬虫類のごとき亜人。
もともとは北方の竜が守護する地において、竜に近仕や警護する人間たちに力を与えたことでこの姿になったとされる。
しかし北方は混沌の跋扈する地となり、竜は斃れ、その従者である彼らも邪悪な力によって歪められてしまった。
高位の亜人種らしく、高度な魔導技術と高い肉体能力を示し、戦術と集団戦で多くの冒険者を打ち倒してきた。
また混沌によって欲望を剥き出しにした彼らは、蛮人のように女を犯し楽しもうとする。
邪悪に歪められてしまった竜人たちが元の姿に戻ることは、もはやない。
),
%w(
ビーストヘッド
邪教を崇拝し、獣の頭をかぶった蛮人たちの集団。
破壊と殺戮、陵辱と略奪こそが信仰のための行為と信じて北の大地を荒らしまわってきた。
魔術と儀式による洗礼行為によって、肉体的強化を得る代わりにもはや彼らは人間よりもモンスターに近い存在となっている。
死を恐れない攻撃と鍛え上げられた体躯から振り下ろされる斧や戦鎚をまともに受ければ死は逃れられないだろう。
),
%w(
ビーストマン
邪教を崇拝する、獣人たちの集団。
破壊と殺戮、陵辱と略奪こそが信仰のための行為と信じて北の大地を荒らしまわってきた。
村々を襲っては人間よりもふたまわりは大きい体格で多くの戦士を粉砕し、女たちを拐い、子供を産ませては数を増やしてきた。
死を恐れない攻撃と鍛え上げられた体躯から振り下ろされる斧や戦鎚の力は恐ろしい威力を持つ。
),
%w(
ミノタウロス
邪教を崇拝する、牛の頭を持つ呪われた獣人たちの集団。
破壊と殺戮、陵辱と略奪こそが信仰のための使命と信じ、北の果ての国に死と破壊をふりまいてきた。
鋼のような筋肉は多くの兵士の武器を受け付けず、人間よりもはるかに大きな体格から振り下ろされる戦斧の攻撃は人間をやすやすと砕いてしまう。
男たちを殺戮し、女たちを拐い、子供を産ませては数を増やしてきた。
時には徒党を組み城壁で囲まれた都市すらも襲い、守る兵を殺戮し、都市ごと荒らすという。
この牛頭の悪魔たちが跋扈した北の果ての国では、多くの開拓民たちが切り開いた土地が数年で荒廃した無人の地に戻ってしまった。
),
    ].sample
    header = [
      '[TIPS]',
      'この女を飲み込む悪魔のような迷宮の中では、様々な魔物たちが蠢いています。',
      ' ',
    ]
    header + tips_main + [
      ' ',
      ' ',
    ]
  end
end
