# coding: utf-8
# 冒険者一覧

require_rrk 'src/game_define/dungeon/list/adventurers/root_list'
require_rrk 'src/defines/dungeon/utils/version_helper'
require_rrk 'src/app/helper/game_define_helper'

class AdventurersList
  include DungeonsList::Adventurers
  include VersionHelper
  include GameDefineHelper

  def self.original_name_list
    return nil unless ORIGINAL_MODE
    DungeonsList::Adventurers::Original::NAME_LIST
  end

  def self.original_class_list
    return nil unless ORIGINAL_MODE
    DungeonsList::Adventurers::Original::CLASS_LIST
  end

  def self.adventure_list_by_ver
    return DungeonsList::Adventurers::FGO::ADVENTURERS_LIST if FGO_MODE
    return DungeonsList::Adventurers::Gaiden::ADVENTURERS_LIST if GAIDEN_MODE
    return DungeonsList::Adventurers::Trial::ADVENTURERS_LIST_VER_TRIAL if TRIAL_MODE

    version = DUNGEON_VERSION.to_i
    adventure_list =
      case version
        when 9
          DungeonsList::Adventurers::V9::ADVENTURERS_LIST
        when 8
          DungeonsList::Adventurers::V8::ADVENTURERS_LIST
        when 7
          DungeonsList::Adventurers::V7::ADVENTURERS_LIST
        when 6 # 新定義が間に合わなかった
          DungeonsList::Adventurers::V5::ADVENTURERS_LIST
        when 5
          DungeonsList::Adventurers::V5::ADVENTURERS_LIST
        when 4
          DungeonsList::Adventurers::V4::ADVENTURERS_LIST
        when 3
          DungeonsList::Adventurers::V3::ADVENTURERS_LIST
        when 2
          DungeonsList::Adventurers::V2::ADVENTURERS_LIST
        when 1
          DungeonsList::Adventurers::V1::ADVENTURERS_LIST
        else
          DungeonsList::Adventurers::V1::ADVENTURERS_LIST
      end
    return adventure_list
  end

  # 追加リストがあるのはFGOだけ
  def self.append_adventure_list_by_ver
    return {} unless FGO_MODE
    DungeonsList::Adventurers::FGO::APPEND_ADVENTURERS_LIST
  end
end
