# coding: utf-8
module MakeView
  module Common
    def make_button(list_item)
      link_button =
        button(
          text: list_item[:text],
          pref_width: list_item[:pref_width],
        )
      link_button.set_on_action do
        eval(list_item[:action])
      end
      link_button
    end
  end

  module ListView
    # input array script
    def refresh_script_list_from_a(scripts)
      clear_script_list
      convert_to_labels(scripts)
      add_blanks_to_script_list if long_script_list?
    end

    # セリフのクリアはしない
    def add_script_list_from_a(scripts)
      convert_to_labels(scripts)
      add_blanks_to_script_list if long_script_list?
    end

    # input hash element_set
    def refresh_script_list_from_element(element_list)
      clear_script_list
      add_script_list_from_element(element_list)
    end
  end

  module SideMenu
    require_rrk 'src/helper_unit/util_var_helper'
    require_rrk 'src/helper_unit/global/util_var_define'
    include HelperUnit::UtilVar
    include HelperUnit::UtilVar::Global

    def make_main_list_view_of_slave_merchant(element_list, type = '')
      element_set = make_main_list_view_of_common(element_list, type)
      action = 'slave_merchant'
      element_set << { text: '戻る', action: action, pref_width: width_main_list_view }
      main_list_view_of_buttons(element_set)
    end

    def make_main_list_view_of_daily_report(element_list, type = '')
      element_set = make_main_list_view_of_common(element_list, type)
      main_list_view_of_buttons(element_set)
    end

    def make_main_list_view_of_day_end
      element_set = [{ text: '次へ', action: 'back_to_menu', pref_width: width_main_list_view }]
      main_list_view_of_buttons(element_set)
    end

    def make_main_list_view_in_train_of(element_list, type = '')
      element_set = make_main_list_view_of_common(element_list, type)
      action = 'choice_training'
      element_set << { text: '調教に戻る', action: action, pref_width: width_main_list_view }
      main_list_view_of_buttons(element_set)
    end

    def make_main_list_view_of_common(element_list, type = '')
      element_list.map do |key, element|
        make_label_element_in_main_list(key, element, type)
      end
    end

    def make_script_list_view(element_list, type = '')
      element_set =
        element_list.map do |key, element|
          make_label_element_in_script_list(key, element, type)
        end

      if type == 'opening_menu'
        ;
      elsif type == 'select_game_mode'
        ;
      elsif type == 'select_game_mode_after_ending'
        ;
      else
        action = 'back_to_menu'
        element_set << { text: '戻る', action: action, pref_width: width_script_list_view }
      end
      script_list_view_of_buttons(element_set)
    end

    def make_label_element_in_main_list(key, element, type)
      case type
        when 'item' then
          button_text = element[:name] + "(#{element[:price]})"
          { text: button_text, action: "detail_#{key}", pref_width: width_main_list_view }
        when 'building' then
          button_text = element[:name] + "(#{element[:price]})"
          { text: button_text, action: "detail_#{key}", pref_width: width_main_list_view }
        when 'sell_slave' then
          slave = element
          button_text = slave.name
          { text: button_text, action: SLAVE_SELL_DETAIL_PREFIX + key.to_s, pref_width: width_main_list_view }
        when 'buy_slave' then
          slave = element
          button_text = slave.short_name + "(#{slave.price})"
          { text: button_text, action: SLAVE_BUY_DETAIL_PREFIX + key.to_s, pref_width: width_main_list_view }
        when 'xx_report' then
          button_text = element
          { text: button_text, action: key, pref_width: width_main_list_view }
        when 'back_from_daily_report' then
          button_text = element
          { text: button_text, action: key, pref_width: width_main_list_view }
        # ここだけ調教中
        when 'drug_box' then
          button_text = element[:name] + "(#{element[:price]})"
          { text: button_text, action: key, pref_width: width_main_list_view }
        else
          puts "そんなtypeはありません(#{ type.to_s })"
          ''
      end
    end

    def make_label_element_in_script_list(key, element, type)
      case type
        when 'cage' then
          slave = element
          slave_id = slave.id
          memo_text =
            if @spring_house.all_cage.include?(slave_id)
              " #{@spring_house.all_cage[slave_id][:spring_type_short_name]}売春中"
            else
              ''
            end
          button_text = slave.short_name + " (体: #{slave.strength} / #{slave.base_strength})" + slave.status_memo + memo_text
          { text: button_text, action: SLAVE_CAGE_PREFIX + slave.id, pref_width: width_script_list_view }
        when 'opening_menu' then
          slave = element
          button_text = element
          { text: button_text, action: key, pref_width: width_script_list_view }
        when 'select_game_mode' then
          slave = element
          button_text = element
          { text: button_text, action: key, pref_width: width_script_list_view }
        when 'select_game_mode_after_ending' then
          # 上に同じ
          slave = element
          button_text = element
          { text: button_text, action: key, pref_width: width_script_list_view }
        else
          puts "=== ALERT!!!! type: #{tyep} is NOT FOUND ========"
          ''
      end
    end
  end

  module MainList
    SIDE_BUTTON_WIDTH_IN_MAIN_LIST = 250
    def width_main_list_view
      SIDE_BUTTON_WIDTH_IN_MAIN_LIST
    end

    def height_main_list_view
      20
    end

    def main_list_view_of_buttons(list_items)
      elements =
        list_items.map do |li|
  #        li[:pref_width] ||= width_main_list_view
          li[:height] ||= height_main_list_view
          make_button(li)
        end

      set_buttons_to_menu_list(elements)
    end
  end

  module ScriptList
    def width_script_list_view
      560
    end

    def script_list_max_size
      if JRubyFX::Application.in_jar?
        36
      else
        30
      end
    end

    SIZE_OF_LONG_SCRIPT_LIST = 15
    def long_script_list?
      @script_list.items.count > SIZE_OF_LONG_SCRIPT_LIST
    end

    def add_blanks_to_script_list
      convert_to_labels(['', ''])
    end

    def script_list_view_of_buttons(list_items)
      list_items.each do |li|
        li[:pref_width] ||= width_script_list_view
        @script_list.items << make_button(li)
      end
    end

    def add_script_list_from_element(list_items)
      list_items.each do |li|
        if li[:type] && li[:type] == 'button'
          add_script_list_to_button(li)
        else
          add_script_list_to_split_label(li)
        end
      end
    rescue
      puts '【===Error!!===】' + __method__.to_s + 'has some errors, cause of'
      puts list_items
    end

    def add_script_list_to_split_label(li)
      if li[:text].size > script_list_max_size
        line_number = (li[:text].size / script_list_max_size).to_i

        label_text =
          (0..line_number).to_a.map do |ln|
            begin
              # script_list_max_size文字数ある場合
              start_position = (ln * script_list_max_size)

              if have_max_size(li[:text].size , start_position, script_list_max_size)
                # 最終行ではない
                li[:text][start_position, script_list_max_size]
              else
                # 最終行である
                last_line_length = li[:text].size - start_position
                li[:text][start_position, last_line_length]
              end
            rescue
              puts '=====Oops, some error has occurred in Point ASL-01==================='
              ['']
            end
          end
      else
        label_text = [li[:text]]
      end

      begin
        label_text.each { |lt| @script_list.items << label(text: lt) }
      rescue
        puts 'An Error is happen in Point ASL-02'
        puts label_text.class
        puts label_text
      end
    end

    def have_max_size(text_size, start_position, script_list_max_size)
      (text_size - start_position) >= script_list_max_size
    end

    def add_script_list_to_button(li)
      li[:pref_width] = width_script_list_view
      @script_list.items << make_button(li)
    end

    def convert_to_labels(text_set)
      list_items = convert_to_text_elements(text_set)
      add_script_list_from_element(list_items)
    end

    def convert_to_text_elements(text_set)
      text_set.map { |text| { type: 'label', text: text } }
#    rescue
#      puts 'error is occurred in convert C1,'
#      puts text_set
    end

    def show_start_turn_scripts
      scripts = @scenario_service.start_turn
      refresh_script_list_from(scripts)
    end
  end

  module Refresh_List
    SIDE_BUTTON_WIDTH = 190
    def refresh_back_to_menu_list_to_after_ending
      elements = [
        {
          'text' => '強くてニューゲーム',
          'action' => 'get_bonus_resurrection',
        },
        {
          'text' => 'エンドレスモードへ',
          'action' => 'move_to_endless_mode',
        },
      ]

      button_elements = @chain_view.convert_buttons_from(elements, SIDE_BUTTON_WIDTH)
      button_items = convert_button_element_in_xx_list(button_elements)
      @chain_view.clear_items_of(@menu_list)
      @chain_view.add_items_to_xx_list(@menu_list, button_items)
    end

    include JewelSkillDefine

    SCRIPT_LIST_BUTTON_WIDTH = 560
    def refresh_script_list_for_resurrection
      elements = []
      JEWEL_SKILL_LIST.each do |jewel_key, jewel_element|
        elements << {
          'text' => 'スキル' + jewel_element['name'] + 'を取得',
          'action' => "get_#{jewel_key}_jewel_skill",
        }
      end

      button_elements = @chain_view.convert_buttons_from(elements, SCRIPT_LIST_BUTTON_WIDTH)
      button_items = convert_view_element_in_script_list(button_elements)
      @chain_view.add_items_to_xx_list(@script_list, button_items)
    end

    def refresh_lists_to_blank_exclude_scripts
      clear_menu_list
      clear_menu_list
      clear_slave_status_view
    end
  end
end

