# coding: utf-8
module SlaveHelper
  module Equipment
    # ======装備周り=====

    def has_equipment_items?
      !(@equipment_items.empty?)
    end

    def already_equip?(equip_command)
      @equipment_items.include?(equip_command)
    end

    def reverse_equipment!(equip_number)
      if @equipment_items.include?(equip_number)
        # はずす
        @equipment_items.delete(equip_number)
      else
        # つける
        @equipment_items << equip_number
      end
    end

    def start_recording!(equip_number)
      self.record_in_train = true

      # ビデオ撮影開始時のみ
      @equipment_items << equip_number
    end

    def end_recording!(equip_number)
      self.record_in_train = false

      # ビデオ撮影終了時のみ
      @equipment_items.delete(equip_number)
    end

    def in_recording?
      self.record_in_train
    end

    # TODO: アイテム周りは必ずここを追加すること
    C_EQUIP_ITEMS = []
    V_EQUIP_ITEMS = [1]
    A_EQUIP_ITEMS = [2, 3, 21]
    B_EQUIP_ITEMS = []

    # 該当箇所に装着されていないか？　装着されていなければtrue
    def no_equip?(equip_point)
      case equip_point
        when 'c' then
          (@equipment_items & C_EQUIP_ITEMS).empty?
        when 'v' then
          (@equipment_items & V_EQUIP_ITEMS).empty?
        when 'a' then
          (@equipment_items & A_EQUIP_ITEMS).empty?
        when 'b' then
          (@equipment_items & B_EQUIP_ITEMS).empty?
        else
          puts "===== alert!!! invalid equip_point: [#{equip_point}] ==========="
          true
      end
    end
  end
end
